/**
 * Created by xieli on 2017/1/18.
 */
module game {


    export class xjNode {
        public m_cc_Node: any = null;
        public __instanceId: number = null;
        public m_NodePtr: number = null;//node 内存地址
        static g_instanceId : any = (0|(Math.random()*998));
        m_Scheduler: any = null;



        constructor(type: any = "Node") {
            if (type == null) {
                type = "Node";
            }

            if (type == "Node"){
                this.m_cc_Node = new cc.Node();

            }
            this.__instanceId =  ++xjNode.g_instanceId;

        }

        initNodePtr()
        {
            if(cc.sys.isNative)
            {
                if(this.m_NodePtr == null)
                {
                    this.m_NodePtr =  this.m_cc_Node.getNodePtr();
                }

            }
        }


        init(heroName: any = null): any {
            return this.m_cc_Node.init();
        }
        isPlay(heroName: any = null): any {
            return false;
        }
        changeFather( father: cc.Node = null): Boolean {
            this.getParent().removeChild( this.m_cc_Node ,false);
            father.addChild( this.m_cc_Node );
            return false;
        }


        runAction(sequence: any = null): any {
            return this.m_cc_Node.runAction(sequence);
        }

        stopAction(act: any = null): any {
            return this.m_cc_Node.stopAction(act);
        }

        scheduleUpdate(): any {
             //this.m_cc_Node.scheduleUpdate();
         }

         update(dt): any {
        //     //this.m_cc_Node.update(dt);
         }
        pause(): any {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.pauseEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.pause();
            }

        }


        resume(): any {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.resumeEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.resume();
            }

        }



        unscheduleUpdate(): any {
         //  this.m_cc_Node.unscheduleUpdate();
         }

        setLocalZOrder(z: any): any {
            this.m_cc_Node.setLocalZOrder(z);
        }


        getLocalZOrder(): any {
            return this.m_cc_Node.getLocalZOrder();
        }

        getParent(): cc.Node {
            return this.m_cc_Node.getParent();
        }

        isVisible(): boolean {

            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.isVisibleEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.isVisible();
            }

        }

        setVisible(visible): void {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.setVisibleEx(this.m_NodePtr,visible);
            }
            else
            {
                return this.m_cc_Node.setVisible(visible);
            }

        }

        getNode(): cc.Node {
            return this.m_cc_Node;
        }
        setPositionY(data: any) {
            this.m_cc_Node.setPositionY(data);
        }
        setPositionX(data: any) {
            this.m_cc_Node.setPositionX(data);
        }

        getPositionY() {

            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.getPositionYEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.getPositionY();
            }


        }
        getPositionX() {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.getPositionXEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.getPositionX();
            }
            // return  this.getPosition().x;
        }

        getPosition(): any {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.getPositionEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.getPosition();
            }
        }
        getScale()
        {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.getScaleEx(this.m_NodePtr);
            }
            else
            {
                return this.m_cc_Node.getScale();
            }


        }

        setScaleY(s: any) {
            this.m_cc_Node.setScaleY(s);
        }
        setScaleX(s: number) {
            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.setScaleXEx(this.m_NodePtr,s);
            }
            else
            {
                return this.m_cc_Node.setScaleX(s);
            }

        }
        setScale(s: any) {
            this.m_cc_Node.setScale(s);
        }
        setRotation(r: any) {
            this.m_cc_Node.setRotation(r);
        }

        setPosition( in_xjPoint: any ) {
            // this.m_cc_Node.setPosition(in_xjPoint);

            this.initNodePtr();
            if(this.m_NodePtr)
            {
                return this.m_cc_Node.setPositionEx(this.m_NodePtr,in_xjPoint);
            }
            else
            {
                return this.m_cc_Node.setPosition(in_xjPoint);
            }
        }

        getAnchorPoint(): any {
            return this.m_cc_Node.getAnchorPoint();
        }

        setAnchorPoint(in_xjPoint: any) {
            this.m_cc_Node.setAnchorPoint(in_xjPoint);
        }



        addChild(child: cc.Node, localZOrder?: number, tag?: number|string): void {

            // if( child.m_cc_Node )
            // {
            //     child = child.m_cc_Node;
            // }

            if (child == null) {
                console.log("error addChild");
                console.error("error addChild");
                return null;
            }

            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            try {
                this.m_cc_Node.addChild(child, localZOrder, tag);
            }
            catch (err)
            {
                console.log("addChild error =============== " + err.stack);
                console.error("error" + err.stack);
            }

        }

        removeChild(child: cc.Node, cleanup: boolean = true): void {
            try {
                this.m_cc_Node.removeChild(child, cleanup);
            }
            catch (err)
            {
                console.log("error" + err.stack);
                console.error("error" + err.stack);
            }
        }

        onExit(): void {
            this.m_cc_Node.onExit();
        }


    }
}
