/**
 * Created by xieli on 2017/1/18.
 */
module game {
    export class xjSkeletonAnimation extends xjNode
    {
        constructor( namejson , nameimage , father , zoder )
        {
            super("ske");
            this.m_cc_Node = new sp.SkeletonAnimation(namejson, nameimage);
            // this.m_cc_Node.scheduleUpdate();
            //this.m_cc_Node.setAnimation(0, "daiji", true);
            if ( father )
            {
                father.addChild(this.m_cc_Node, zoder);
            }
            this.getNode().setName("xjSkeletonAnimation类 +++" + namejson);
        }

        m_bonePoint: Map<string ,number > = new Map<string ,number >();

        setSkin( name: string ) : void {
            this.m_cc_Node.setSkin(name);
        }

        getNode() : sp.SkeletonAnimation {
            return this.m_cc_Node;
        }

        setVisible( visible ): void {
            this.m_cc_Node.setVisible( visible );
        }

        getParent(): cc.Node {
            return this.m_cc_Node.getParent();
        }

        findBone( bonename : any ) : any {
            // return this.m_cc_Node.findBone(bonename);
            if (cc.sys.isNative)
            {
                return this.m_cc_Node.getBoneInfo(bonename);
            }
            return this.m_cc_Node.findBone(bonename);
        }


        getBoneWorldPos_Root( bonename: any ) : cc.Vec2 {
            //
            if ( cc.sys.isNative )
            {
                let bonepoint = this.m_bonePoint.get(bonename);
                if (bonepoint == null)
                {
                    bonepoint = this.m_cc_Node.getBonePoint(bonename);
                    this.m_bonePoint.set(bonename, bonepoint);
                }

                if(bonepoint == 0)
                {
                    let pos = cc.p(0, 0);
                    return pos;
                }

                let bonepos = this.m_cc_Node.getBoneWorldPos_Root(bonepoint);
                let pos = cc.p(bonepos.worldX, bonepos.worldY);
                return pos;
            }
            else
            {
                let bone = this.m_cc_Node.findBone(bonename);
                let pos = cc.p(bone.worldX, bone.worldY);
                return pos;
            }

        }

        getBoundingBoxBySlotName(name: any): any {
            return this.m_cc_Node.getBoundingBoxBySlotName(name);
        }

        getCurrent(id: any): any {
            return this.m_cc_Node.getCurrent(id);
        }

        getScaleX(): any {
            return this.m_cc_Node.getScaleX();
        }

        getScaleY(): any {
            return this.m_cc_Node.getScaleY();
        }

        setAnimation(id: number, animationname: string, isloop: boolean): any {
            return this.m_cc_Node.setAnimation(id, animationname, isloop);
        }

        setTimeScale(s: any): any {
            this.m_cc_Node.setTimeScale(s);
        }

        getTimeScale(): any {
            return this.m_cc_Node.getTimeScale()
        }

        setEventListener(callback: any): any {
            this.m_cc_Node.setEventListener(callback);
        }

        setCompleteListener(callback: any): any {
            this.m_cc_Node.setCompleteListener(callback);
        }

        setStartListener(callback: any): any {
            this.m_cc_Node.setStartListener(callback);
        }

        setEndListener(callback: any): any {
            this.m_cc_Node.setEndListener(callback);
        }

        setSlotsToSetupPose(): any {
            this.m_cc_Node.setSlotsToSetupPose();
        }

        setMix(_curAnimation, name, mintime): any {
            this.m_cc_Node.setMix(_curAnimation, name, mintime);
        }

        setToSetupPose(): any {
            this.m_cc_Node.setToSetupPose();
        }


        SetBoneData(bonename, flag: boolean): any {
            this.m_cc_Node.SetBoneData(bonename, flag);
        }

        SetShader_blur(flag: boolean): any {
            this.m_cc_Node.SetShader_blur(flag);
        }

        //


        // setColor( color ) {
        //     this.getNode().setColor(color);
        // }
        // setOpacity(_setOpacity) {
        //     this.getNode().setOpacity(_setOpacity);
        // }
    }
}