//主要用于玩家存档
var game;
(function (game) {
    var dataMgr = (function () {
        function dataMgr() {
        }
        dataMgr.getMe = function () {
            if (game.dataMgr.g_ing == null) {
                dataMgr.g_ing = new dataMgr();
                return dataMgr.g_ing;
            }
            else {
                return dataMgr.g_ing;
            }
        };
        ;
        dataMgr.prototype.init = function () {
        };
        dataMgr.prototype.getPlayDoc = function () {
            return game.fileMgr.getMe().m_play_doc;
        };
        dataMgr.prototype.getPlayPintuDoc = function () {
            return game.fileMgr.getMe().m_play_doc.pintu;
        };
        dataMgr.prototype.getPlayYindaoByType = function (name) {
            var data = game.fileMgr.getMe().m_play_doc.yindao[name];
            return data;
        };
        dataMgr.prototype.setPlayYindao = function (name, flag) {
            var data = game.fileMgr.getMe().m_play_doc.yindao[name];
            game.fileMgr.getMe().m_play_doc.yindao[name] = flag;
        };
        dataMgr.prototype.setItems = function (items) {
            game.fileMgr.getMe().m_play_doc["items"] = items;
        };
        //获取当前日期
        dataMgr.prototype.getTodayDate = function () {
            return dataMgr.getMe().getPlayDoc().coreData.curdate;
        };
        dataMgr.prototype.addGold = function (num) {
            if (this.addItemByType("gold", num) == false) {
                console.error("addGold");
                return false;
            }
            game.uiMgr.getMe().updateGoldandDiamonds();
            return true;
        };
        dataMgr.prototype.getGold = function () {
            return game.fileMgr.getMe().m_play_doc["items"]["gold"]["num"];
        };
        dataMgr.prototype.removeGold = function (num) {
            if (this.removeItemByType("gold", num) == false) {
                console.error("removeGold");
                return false;
            }
            game.uiMgr.getMe().updateGoldandDiamonds();
            return true;
        };
        dataMgr.prototype.removeDiamond = function (num) {
            if (this.removeItemByType("zuanshi", num) == false) {
                console.error("removeDiamond");
                return false;
            }
            game.uiMgr.getMe().updateGoldandDiamonds();
            return true;
        };
        dataMgr.prototype.getDiamond = function () {
            return game.fileMgr.getMe().m_play_doc["items"]["zuanshi"]["num"];
        };
        dataMgr.prototype.addDiamond = function (num) {
            if (this.addItemByType("zuanshi", num) == false) {
                console.error("addDiamond");
                return false;
            }
            game.uiMgr.getMe().updateGoldandDiamonds();
            return true;
        };
        dataMgr.prototype.addItemByType = function (type, num) {
            if (type == null || type == "") {
                console.error("addItemByType");
                return false;
            }
            if (num == null) {
                console.error("addItemByType");
                return false;
            }
            if (num < 0) {
                console.error("addItemByType");
                return false;
            }
            //
            if (!isNaN(num)) {
                num = parseInt(num);
            }
            var buffnum = game.fileMgr.getMe().m_play_doc["items"][type]["num"] + num;
            if (buffnum > Number.MAX_VALUE) {
                console.error("addItemByType");
                return false;
            }
            game.fileMgr.getMe().m_play_doc["items"][type]["num"] += num;
        };
        dataMgr.prototype.setItemByType = function (type, num) {
            if (type == null || type == "") {
                console.error("setItemByType");
                return false;
            }
            if (num == null) {
                console.error("setItemByType");
                return false;
            }
            if (num < 0) {
                console.error("setItemByType");
                return false;
            }
            //
            if (!isNaN(num)) {
                num = parseInt(num);
            }
            if (num > Number.MAX_VALUE) {
                console.error("setItemByType");
                return false;
            }
            game.fileMgr.getMe().m_play_doc["items"][type]["num"] = num;
        };
        dataMgr.prototype.getItemByType = function (type) {
            return parseInt(game.fileMgr.getMe().m_play_doc["items"][type]["num"]);
        };
        dataMgr.prototype.removeItemByType = function (type, num) {
            if (type == null || type == "") {
                console.error("removeItemByType");
                return false;
            }
            if (num == null) {
                console.error("removeItemByType");
                return false;
            }
            if (num < 0) {
                console.error("removeItemByType");
                return false;
            }
            //
            if (!isNaN(num)) {
                num = parseInt(num);
            }
            var buffnum = game.fileMgr.getMe().m_play_doc["items"][type]["num"] - num;
            if (buffnum > Number.MAX_VALUE) {
                console.error("addItemByType");
                return false;
            }
            game.fileMgr.getMe().m_play_doc["items"][type]["num"] -= num;
        };
        dataMgr.prototype.addPintuByName = function (name, num) {
            if (name == null || name == "") {
                console.error("addPintuByName");
                return false;
            }
            if (num == null) {
                console.error("addPintuByName");
                return false;
            }
            if (num < 0) {
                console.error("addPintuByName");
                return false;
            }
            //
            if (!isNaN(num)) {
                num = parseInt(num);
            }
            var buffnum = game.fileMgr.getMe().m_play_doc["pintu"][name]["num"] + num;
            if (buffnum > Number.MAX_VALUE) {
                console.error("addItemByType");
                return false;
            }
            game.fileMgr.getMe().m_play_doc["pintu"][name]["num"] += num;
        };
        dataMgr.prototype.getPintuByName = function (name) {
            return parseInt(game.fileMgr.getMe().m_play_doc["pintu"][name]["num"]);
        };
        dataMgr.prototype.removePintuByName = function (name, num) {
            if (name == null || name == "") {
                console.error("removePintuByName");
                return false;
            }
            if (num == null) {
                console.error("removePintuByName");
                return false;
            }
            if (num < 0) {
                console.error("removePintuByName");
                return false;
            }
            //
            if (!isNaN(num)) {
                num = parseInt(num);
            }
            var buffnum = game.fileMgr.getMe().m_play_doc["pintu"][name]["num"] - num;
            if (buffnum > Number.MAX_VALUE) {
                console.error("addItemByType");
                return false;
            }
            game.fileMgr.getMe().m_play_doc["pintu"][name]["num"] -= num;
        };
        //获得英雄存档信息 - 随从
        dataMgr.prototype.getHeroPlaydocInfo = function (heroname) {
            var ret = game.fileMgr.getMe().m_hero_save_data_Map.get(heroname);
            if (ret == null) {
                console.log("error getHeroPlaydocInfo 没有这个角色 " + heroname);
            }
            return ret;
        };
        //获得英雄的等级
        dataMgr.prototype.getHeroLevel = function (heroname) {
            if (heroname.indexOf("bobifenshen") > -1) {
                heroname = "bobi";
            }
            var playinfo = this.getHeroPlaydocInfo(heroname);
            if (playinfo.islocked == null) {
                return 1;
            }
            if (playinfo.islocked == 1) {
                return 1;
            }
            var level = playinfo.level;
            if (level == null) {
                console.error("getHeroLevel:" + heroname);
            }
            return level;
        };
        dataMgr.prototype.getHeroNameByName = function (heroname) {
            var level = this.getHeroLevel(heroname);
            return heroname + level;
            // return this.getHeroConfig(heroname).spine_res;
        };
        //英雄升级函数
        dataMgr.prototype.addHeroLevel = function (heroname) {
            if (this.isHeroMaxLevel(heroname)) {
                //console.error("addHeroLevel: > g_PlayerMaxLevel" + heroname);
                return false;
            }
            var playinfo = this.getHeroPlaydocInfo(heroname);
            playinfo.level++;
            game.uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            return true;
        };
        //获取解锁花费
        dataMgr.prototype.getUnlockCost = function (heroname) {
            if (!game.g_differentPrices[game.g_version]) {
                console.error("error getUnlockCost 版本不对" + game.g_version);
            }
            // if (fileMgr.getMe().m_playHero_data_Map.has(heroname) == false) {
            //     console.error("error getUnlockCost 没有这个角色" + heroname);
            // }
            return game.g_differentPrices[game.g_version].unlock[heroname];
            // let ret = fileMgr.getMe().m_playHero_data_Map.get(heroname).unLockDiamond;
            // if (ret == null) {
            //     console.error("getUnlockCost:" + heroname);
            // }
            // return ret;
        };
        dataMgr.prototype.getLevelUpCost = function (heroname) {
            if (!game.g_differentPrices[game.g_version]) {
                console.error("error getUnlockCost 版本不对" + game.g_version);
            }
            return game.g_differentPrices[game.g_version].heros[heroname];
        };
        //获得英雄是否解锁
        dataMgr.prototype.getHeroIsLocked = function (heroname) {
            var playinfo = this.getHeroPlaydocInfo(heroname);
            var ret = playinfo.islocked;
            if (ret == null) {
                console.error("getHeroIsLocked:" + heroname);
            }
            if (ret == 0) {
                return false;
            }
            return true;
        };
        //判断英雄是否满级
        dataMgr.prototype.isHeroMaxLevel = function (heroname) {
            var level = this.getHeroLevel(heroname);
            if ((level == null)) {
                console.error("isHeroMaxLevel: isHeroMaxLevel error" + heroname);
            }
            if (level >= game.g_PlayerMaxLevel) {
                return true;
            }
            return false;
        };
        dataMgr.prototype.heroLevelUP = function (heroname) {
            var playinfo = this.getHeroPlaydocInfo(heroname);
            if (playinfo.level < 3) {
                ++playinfo.level;
                return true;
            }
            else {
                console.log("等级已到最高级");
            }
            return false;
        };
        dataMgr.prototype.getHeroHeadIcon = function (heroname) {
            var ret = this.getHeroConfig(heroname).small_head_icon;
            if (ret == null) {
                console.error("getHeroHeadIcon:" + heroname);
            }
            return ret;
        };
        dataMgr.prototype.getHeroHeadBigIcon = function (heroname) {
            var ret = this.getHeroConfig(heroname).big_head_icon;
            if (ret == null) {
                console.error("getHeroHeadBigIcon:" + heroname);
            }
            return ret;
        };
        //获得英雄的名字 中文
        dataMgr.prototype.getHeroName_ZH = function (heroname) {
            if (game.fileMgr.getMe().m_playHero_data_Map.has(heroname) == false) {
                console.error("error getHeroName_ZH 没有这个角色" + heroname);
            }
            var ret = game.fileMgr.getMe().m_playHero_data_Map.get(heroname).desName;
            if (ret == null) {
                console.error("getHeroName_ZH:" + heroname);
            }
            return ret;
        };
        //获得怪物的名字 中文
        dataMgr.prototype.getMonsterName_ZH = function (name) {
            if (game.g_monster_config[name] == null) {
                console.log("error g_monster_config 没有这个角色" + name);
                console.error("error g_monster_config 没有这个角色" + name);
            }
            var ret = game.g_monster_config[name]["desName"];
            if (ret == null) {
                console.error("getMonsterName_ZH:" + name);
            }
            return ret;
        };
        //获得英雄名字的图片
        dataMgr.prototype.getHeroNameImage = function (heroname) {
            if (game.fileMgr.getMe().m_playHero_data_Map.has(heroname) == false) {
                console.error("error getHeroNameImage 没有这个角色" + heroname);
            }
            var ret = game.fileMgr.getMe().m_playHero_data_Map.get(heroname).hero_name_image;
            if (ret == null) {
                console.error("getHeroNameImage:" + heroname);
            }
            return ret;
        };
        //解锁英雄
        dataMgr.prototype.unLockHero = function (heroname) {
            var playinfo = this.getHeroPlaydocInfo(heroname);
            var ret = playinfo.islocked;
            if (ret == null) {
                console.error("unLockHero:" + heroname);
                return false;
            }
            playinfo.islocked = 0;
            game.uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            return true;
        };
        dataMgr.prototype.getMonsterBaseInfo = function (name) {
            var ret = game.g_monster_config[name];
            if (ret == null) {
                console.error("error g_monster_config 没有这个角色" + name);
            }
            return ret;
        };
        //获得英雄或随从的配置信息，图片地址等
        dataMgr.prototype.getHeroConfig = function (heroname) {
            var ret = game.fileMgr.getMe().m_playHero_data_Map.get(heroname);
            if (ret == null) {
                console.error("error getHeroConfig 没有这个角色" + heroname);
            }
            return ret;
        };
        //获得角色 介绍
        dataMgr.prototype.getHeroshuoming = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getjieshao:" + heroname);
            }
            var ret = info["shuoming"];
            if (ret == null) {
                console.error("getshuoming:" + heroname);
            }
            return ret;
        };
        //获得基础攻击
        dataMgr.prototype.getBaseAtt = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBaseSpeed:" + heroname);
            }
            var ret = info["attackPoint"];
            if (ret == null) {
                console.error("getBaseAtt:" + heroname);
            }
            return ret;
        };
        //获得基础暴击
        dataMgr.prototype.getBaseCrit = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBaseSpeed:" + heroname);
            }
            var ret = info["criticalRate"];
            if (ret == null) {
                console.error("criticalRate:" + heroname);
            }
            return ret;
        };
        //获得基础血量
        dataMgr.prototype.getBasehp = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBasehp:" + heroname);
            }
            var ret = info["hp"];
            if (ret == null) {
                console.error("getBasehp:" + heroname);
            }
            return ret;
        };
        //获得绝招
        dataMgr.prototype.getBaseJuezhao = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBaseSpeed:" + heroname);
            }
            var ret = info.juezhao;
            if (ret == null) {
                console.error("getBaseSpeed:" + heroname);
            }
            return ret;
        };
        //获得基础移速
        dataMgr.prototype.getBaseSpeed = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBaseSpeed:" + heroname);
            }
            var ret = info.runSpeed;
            if (ret == null) {
                console.error("getBaseSpeed:" + heroname);
            }
            return ret;
        };
        dataMgr.prototype.getBasemiss = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBasemiss:" + heroname);
            }
            var ret = info["dodgeRate"];
            if (ret == null) {
                console.error("getBasemiss:" + heroname);
            }
            return ret;
        };
        //天赋基础cd 不升级  玩家和 怪物公用
        dataMgr.prototype.getBasecd = function (heroname) {
            return 0;
        };
        //基础防御力
        dataMgr.prototype.getBasesdefense = function (heroname) {
            var info = this.getHeroConfig(heroname);
            if ((info == null)) {
                console.error("getBasesdefense:" + heroname);
            }
            var ret = info["defencePoint"];
            if (ret == null) {
                console.error("getBasemiss:" + heroname);
            }
            return ret;
        };
        //获得解锁的英雄
        dataMgr.prototype.getUnLockedHero = function () {
            var datalist = new Array();
            game.fileMgr.getMe().m_hero_save_data_Map.forEach(function (data, key) {
                if (data.islocked == 0) {
                    datalist.push(key);
                }
            }, this);
            return datalist;
        };
        //获得英雄解锁数量
        dataMgr.prototype.getHeroUnLockNum = function () {
            var unLockNum = 0;
            game.fileMgr.getMe().m_hero_save_data_Map.forEach(function (data, key) {
                if (data.islocked == 0) {
                    unLockNum++;
                }
            }, this);
            return unLockNum;
        };
        dataMgr.prototype.isBoss = function (name) {
            if (game.g_monster_config[name] == null) {
                console.log("error   g_monster_config 没有这个随从" + name);
                console.error("error isBoss 没有这个角色" + name);
            }
            if (game.g_monster_config[name]["type"] == "boss") {
                return true;
            }
            return false;
        };
        //获取技能信息
        dataMgr.prototype.getSkillInfo = function (heroname, skillname) {
            if (game.g_player_skill[heroname] == null) {
                console.error("error getSkillInfo 没有这个角色 " + heroname);
            }
            var ret = game.g_player_skill[heroname][skillname];
            if (ret == null) {
                console.error("getSkillInfo:" + heroname);
            }
            return ret;
        };
        // 向导是否完成
        dataMgr.prototype.isFinishxiangdao = function (id) {
            var ret = game.fileMgr.getMe().m_play_doc["yindaos"][id]["lock"];
            if (ret == null) {
                console.error("isFinishxiangdao:" + id);
                return false;
            }
            if (!ret) {
                return false;
            }
            return true;
        };
        // 完成向导id
        dataMgr.prototype.finishxiangdao = function (id) {
            var ret = game.fileMgr.getMe().m_play_doc["yindaos"][id]["lock"];
            if (ret == null) {
                console.error("isFinishxiangdao:" + id);
                return false;
            }
            game.fileMgr.getMe().m_play_doc["yindaos"][id]["lock"] = 1;
            return true;
        };
        dataMgr.prototype.getChengjiuInfoById = function (id) {
            var ret = game.fileMgr.getMe().m_play_doc["chengjius"][id];
            if (ret == null) {
                console.error("getChengjiuInfoById:" + id);
            }
            return ret;
        };
        dataMgr.prototype.finishChengjiu = function (id) {
            var ret = game.fileMgr.getMe().m_play_doc["chengjius"][id];
            if (ret == null) {
                console.error("finishChengjiu:" + id);
            }
            game.fileMgr.getMe().m_play_doc["chengjius"][id]["over"] = 2;
        };
        dataMgr.prototype.getSceneDocById = function (id) {
            for (var i = 0; i < game.fileMgr.getMe().m_scenesMsg_Map.size; ++i) {
                var data = game.fileMgr.getMe().m_scenesMsg_Map.getByIndex(i);
                if (data.id == id) {
                    return data;
                }
            }
            return null;
        };
        //获得场景存档信息
        dataMgr.prototype.getSceneDocInfo = function (scenename) {
            var ret = game.fileMgr.getMe().m_scenesMsg_Map.get(scenename); // ["scenes"][scenename];
            if (ret == null) {
                console.error("getSceneDocInfo:");
            }
            return ret;
        };
        //
        // //获得场景存档信息
        // getSceneDocInfo(scenename) {
        //     let ret = fileMgr.getMe().m_play_doc["scenes"][scenename];
        //     if (ret == null) {
        //         console.error("getSceneDocInfo:");
        //     }
        //     return ret;
        // }
        dataMgr.prototype.setWinBySceneName = function (name, flag) {
            var ret = game.fileMgr.getMe().m_scenesMsg_Map.get(name);
            if (ret == null) {
                console.error("getSceneDocInfo:");
            }
            ret.isWined = flag;
        };
        dataMgr.prototype.isWinBySceneName = function (name) {
            var ret = game.fileMgr.getMe().m_scenesMsg_Map.get(name);
            if (ret == null) {
                console.error("getSceneDocInfo:");
            }
            return ret.isWined;
        };
        dataMgr.prototype.getCurFollow = function () {
            return this.getPlayDoc().coreData.curFollower;
        };
        dataMgr.prototype.setCurFollow = function (name) {
            this.getPlayDoc().coreData.curFollower = name;
        };
        dataMgr.prototype.getCurHero = function () {
            return this.getPlayDoc().coreData.curHero;
        };
        dataMgr.prototype.setCurHero = function (name) {
            return this.getPlayDoc().coreData.curHero = name;
        };
        dataMgr.prototype.getOneRandBoss = function () {
            var arr = new Array();
            for (var p in game.g_monster_config) {
                if (game.g_monster_config[p]["type"] == "boss") {
                    if (p.indexOf("wulingwang") == -1)
                        arr.push(p);
                }
            }
            var ret = game.public_rand_array(arr, 1);
            return ret[0];
        };
        dataMgr.g_ing = null;
        return dataMgr;
    }());
    game.dataMgr = dataMgr;
})(game || (game = {}));
//# sourceMappingURL=dataMgr.js.map 
//# sourceMappingURL=DataMgr.js.map