/**
 * 子弹 属性配置
 *
 *
 *  "hitType":"bomb",//可以被打掉的子弹
 */
//玩家子弹
module game{
    export var g_bullet_play =
        {
            "texiao_demo": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiao",
                "resAnimation": "play",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong6S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 500,
                        "subY": 500
                    }
                }
            },
            "paokou1_fashe1_wulingwangzidan": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1200,
                "range_dis": 1200,
                "res": "wulingwangzidan",
                "resAnimation": "wulingwangzidan",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "wulingwangtexiao1_texiao2_wulingwangtexiao1_1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao1",
                "resAnimation": "wulingwangtexiao1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong1S",
                        "stunPoint": 10,
                        "damagePercent": 0.5,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 400,
                        "subY": 400
                    }
                }
            },
            "texiaochaorenqiang_texiao1_texiaochaorenqiang4_-10_full": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaochaorenqiang",
                "resAnimation": "texiaochaorenqiang4",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "skillpos":{
                    "x":550,
                    "y":350,
                },
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 12,
                        "damagePercent": 1.95,
                        "criticalRate": 0,
                        "buffType": "xuanyun_2",
                        "power": 1,
                        "addY": 300,
                        "subY": 300
                    }
                }
            },
            "texiaowulingwang1_texiao1_texiaowulingwang1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaowulingwang1",
                "resAnimation": "texiaowulingwang1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji3",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong1S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 50,
                        "subY": 50
                    }
                }
            },
            "wulingwangtexiao_texiao3_wulingwangtexiao3_1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "wulingwangtexiao3",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong4S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": "xuanyun_1",
                        "power": 1,
                        "addY": 300,
                        "subY": 300
                    }
                }
            },
            "wulingwangtexiao_texiao3_wulingwangtexiao4_1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "wulingwangtexiao4",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong2S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 300,
                        "subY": 300
                    }
                }
            },
            "texiaozhuzhuxia_texiao1_texiaozhuzhuxia": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaozhuzhuxia",
                "resAnimation": "texiaozhuzhuxia",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong4S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 50,
                        "subY": 50
                    }
                }
            },
            "texiaolaohu_texiao1_texiaolaohu": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaolaohu",
                "resAnimation": "texiaolaohu",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong6S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "texiaolaohu_texiao2_texiaolaohu": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaolaohu",
                "resAnimation": "texiaolaohu",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong6S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 150,
                        "subY": 150
                    }
                }
            },
            "texiaolaohu_texiao3_texiaolaohu_-10": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaolaohu",
                "resAnimation": "texiaolaohu",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong6S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 200,
                        "subY": 200
                    }
                }
            },
            "texiaolaohu_texiao4_texiaolaohu_-10": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaolaohu",
                "resAnimation": "texiaolaohu",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong6S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 200,
                        "subY": 200
                    }
                }
            },
            "texiaofeifei_texiao1_texiaofeifei": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaofeifei",
                "resAnimation": "texiaofeifei",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong1S",
                        "stunPoint": 12,
                        "damagePercent": 4.7,
                        "criticalRate": 0,
                        "buffType": "xuanyun_2",
                        "power": 1,
                        "addY": 400,
                        "subY": 400
                    }
                }
            },
            "texiaofeifei_texiao1_texiaofeifei1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaofeifei",
                "resAnimation": "texiaofeifei1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 10,
                        "damagePercent": 0.7,
                        "criticalRate": 0,
                        "buffType": "xuanyun_2",
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "texiaofeifei_texiao1_texiaofeifei2": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaofeifei",
                "resAnimation": "texiaofeifei2",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 12,
                        "damagePercent": 2.3,
                        "criticalRate": 0,
                        "buffType": "xuanyun_4",
                        "power": 1,
                        "addY": 160,
                        "subY": 160
                    }
                }
            },
            "texiaofeifei_texiao1_texiaofeifei3": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaofeifei",
                "resAnimation": "texiaofeifei3",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 12,
                        "damagePercent": 2.3,
                        "criticalRate": 0,
                        "buffType": "xuanyun_4",
                        "power": 1,
                        "addY": 160,
                        "subY": 160
                    }
                }
            },
            "paokou1_fashe1_xiaodaidaizidan": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 2400,
                "range_dis": 1000,
                "res": "xiaodaidaizidan",
                "resAnimation": "xiaodaidaizidan",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji0",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 0.55,
                        "criticalRate": 0,
                        "buffType": "ice_15",
                        "power": 1,
                        "addY": 50,
                        "subY": 50
                    }
                }
            },
            "paokou1_fashe1_xiaodaidaizidan1": {
                "bulletType": "spineline",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1000,
                "range_dis": 800,
                "res": "xiaodaidaizidan",
                "resAnimation": "xiaodaidaizidan1",
                "luxianSpine": "xiaodaidaizidanluxian",
                "luxianAnimation": [
                    "luxian1"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 0.65,
                        "criticalRate": 0,
                        "buffType": "ice_15",
                        "power": 1,
                        "addY": 50,
                        "subY": 50
                    }
                }
            },
            "texiaoxiaodaidai_texiao1_texiaoxiaodaidai_-10_full": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaoxiaodaidai",
                "resAnimation": "texiaoxiaodaidai",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "skillpos":{
                    "x":400,
                    "y":400,
                },
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 12,
                        "damagePercent": 2.6,
                        "criticalRate": 0,
                        "buffType": "ice_30",
                        "power": 1,
                        "addY": 400,
                        "subY": 400
                    }
                }
            },
            "texiaobobi_texiao1_texiaobobi1_-10": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaobobi",
                "resAnimation": "texiaobobi1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong2S",
                        "stunPoint": 12,
                        "damagePercent": 2.6,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 160,
                        "subY": 160
                    }
                }
            },
            "wulingwangtexiao_texiao3_xiaodaidai1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "xiaodaidai1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai2": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 12,
                        "damagePercent": 2.6,
                        "criticalRate": 0,
                        "buffType": "ice_30",
                        "power": 1,
                        "addY": 200,
                        "subY": 200
                    }
                }
            },
            "texiaochaorenqiang_texiao1_texiaochaorenqiang": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaochaorenqiang",
                "resAnimation": "texiaochaorenqiang",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 12,
                        "damagePercent": 3.25,
                        "criticalRate": 0,
                        "buffType": "xuanyun_3",
                        "power": 1,
                        "addY": 100,
                        "subY": 100
                    }
                }
            },
            "texiaochaorenqiang_texiao1_texiaochaorenqiang1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaochaorenqiang",
                "resAnimation": "texiaochaorenqiang1",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 10,
                        "damagePercent": 0.7,
                        "criticalRate": 0,
                        "buffType": "xuanyun_2",
                        "power": 1,
                        "addY": 100,
                        "subY": 100
                    }
                }
            },
            "texiaochaorenqiang_texiao1_texiaochaorenqiang2": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaochaorenqiang",
                "resAnimation": "texiaochaorenqiang2",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 10,
                        "damagePercent": 1.95,
                        "criticalRate": 0,
                        "buffType": "xuanyun_4",
                        "power": 1,
                        "addY": 100,
                        "subY": 100
                    }
                }
            },
            "texiaochaorenqiang_texiao1_texiaochaorenqiang3": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaochaorenqiang",
                "resAnimation": "texiaochaorenqiang3",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": "xuanyun_2",
                        "power": 1,
                        "addY": 100,
                        "subY": 100
                    }
                }
            },
            "texiaobobi_texiao1_texiaobobi": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "texiaobobi",
                "resAnimation": "texiaobobi",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong2S",
                        "stunPoint": 12,
                        "damagePercent": 0.9,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 100,
                        "subY": 100
                    }
                }
            },
            "wulingwangtexiao_texiao1_wulingwangtexiao4_1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "wulingwangtexiao4",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong2S",
                        "stunPoint": 10,
                        "damagePercent": 0.7,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 400,
                        "subY": 400
                    }
                }
            },
            "wulingwangtexiao_texiao3_bobitexiaojineng5_1": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "wulingwangtexiao5",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji2",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 12,
                        "damagePercent": 2.6,
                        "criticalRate": 0,
                        "buffType": "xuanyun_1",
                        "power": 1,
                        "addY": 50,
                        "subY": 50
                    }
                }
            },
            "paokou1_fashe1_bingxueguaizidan": {
                "bulletType": "spineline",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1000,
                "range_dis": 600,
                "res": "bingxueguaizidan",
                "resAnimation": "bingxueguaizidan",
                "luxianSpine": "bingxueguaizidanluxian",
                "luxianAnimation": [
                    "luxian1"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": "ice_15",
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "paokou1_fashe1_bingxueguaizidan1": {
                "bulletType": "spineline",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1000,
                "range_dis": 600,
                "res": "bingxueguaizidan",
                "resAnimation": "bingxueguaizidan1",
                "luxianSpine": "bingxueguaizidanluxian",
                "luxianAnimation": [
                    "luxian1"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": "ice_15",
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "paokou1_fashe1_bingxueguaizidan2": {
                "bulletType": "spineline",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1000,
                "range_dis": 600,
                "res": "bingxueguaizidan",
                "resAnimation": "bingxueguaizidan2",
                "luxianSpine": "bingxueguaizidanluxian",
                "luxianAnimation": [
                    "luxian1"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong5S",
                        "stunPoint": 10,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": "ice_15",
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "paokou1_fashe1_kuyeshanxiaozidan": {
                "bulletType": "spineline",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 1000,
                "range_dis": 600,
                "res": "kuyeshanxiaozidan",
                "resAnimation": "kuyeshanxiaozidan",
                "luxianSpine": "kuyeshanxiaozidanluxian",
                "luxianAnimation": [
                    "luxian1"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong7S",
                        "stunPoint": 10,
                        "damagePercent": 0.65,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 80,
                        "subY": 80
                    }
                }
            },
            "lieyifeijiutexiao_texiao1_lieyifeijiutexiao": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "lieyifeijiutexiao",
                "resAnimation": "lieyifeijiutexiao",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong4S",
                        "stunPoint": 12,
                        "damagePercent": 0.7,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 300,
                        "subY": 300
                    }
                }
            },
            "wulingwangtexiao_texiao2_wulingwangtexiao3_-10": {
                "bulletType": "normal",
                "des_name": "通用特效子弹",
                "scale": 1,
                "speed": 400,
                "range_dis": 1000,
                "res": "wulingwangtexiao",
                "resAnimation": "wulingwangtexiao",
                "luxianSpine": null,
                "luxianAnimation": [
                    "null"
                ],
                "hitType": "bomb",
                "hit": {
                    "shanghai1": {
                        "hitAct1": "shouji1",
                        "hitAct2": "shouji1_kongzhong",
                        "hitAct3": "shouji6",
                        "hitAct4": "shouji6_kongzhong",
                        "spineName": "jizhongtexiao",
                        "animationName": "jizhong4S",
                        "stunPoint": 12,
                        "damagePercent": 1.3,
                        "criticalRate": 0,
                        "buffType": null,
                        "power": 1,
                        "addY": 400,
                        "subY": 400
                    }
                }
            }
        }
}
//# sourceMappingURL=bullet_config.js.map