var game;
(function (game) {
    game.g_sceneSpine_preload = {
        "wulingwang1": ["wulingwang", "wulingwangzidan", "wulingwangtexiao1", "texiaochaorenqiang"],
        "wulingwang2": ["wulingwang2", "wulingwangzidan", "wulingwangtexiao1", "texiaowulingwang1"],
        "wulingwang3": ["wulingwang3", "texiaowulingwang1"],
        "zhuzhuxia1": ["zhuzhuxia", "texiaozhuzhuxia", "texiaolaohu"],
        "zhuzhuxia2": ["zhuzhuxia2", "texiaozhuzhuxia", "texiaolaohu"],
        "zhuzhuxia3": ["zhuzhuxia3", "texiaozhuzhuxia", "texiaolaohu"],
        "feifei1": ["feifei", "texiaofeifei", "texiaochaorenqiang"],
        "feifei2": ["feifei2", "texiaofeifei"],
        "feifei3": ["feifei3", "texiaofeifei"],
        "xiaodaidai1": ["xiaodaidai", "xiaodaidaizidan", "xiaodaidaizidanluxian", "texiaoxiaodaidai"],
        "xiaodaidai2": ["xiaodaidai2", "xiaodaidaizidan", "xiaodaidaizidanluxian", "texiaoxiaodaidai"],
        "xiaodaidai3": ["xiaodaidai3", "xiaodaidaizidan", "xiaodaidaizidanluxian"],
        "chaorenqiang1": ["chaorenqiang", "texiaochaorenqiang"],
        "chaorenqiang2": ["chaorenqiang2", "texiaochaorenqiang"],
        "chaorenqiang3": ["chaorenqiang3", "texiaochaorenqiang"],
        "bobi1": ["bobi", "bobib"],
        "bobi2": ["bobi2", "bobi2b", "texiaobobi"],
        "bobi3": ["bobi3", "bobi3b", "wulingwangtexiao"],
        "miaomiaoguai": ["miaomiaoguai"],
        "miaomiaoguai2": ["miaomiaoguai2"],
        "miaomiaoguai3": ["miaomiaoguai3"],
        "bingxueguai": ["bingxueguai", "bingxueguaizidan"],
        "bingxueguai2": ["bingxueguai2", "bingxueguaizidan"],
        "bingxueguai3": ["bingxueguai3", "bingxueguaizidan"],
        "tielongguai": ["tielongguai"],
        "tielongguai2": ["tielongguai2"],
        "tielongguai3": ["tielongguai3"],
        "yefengguai": ["yefengguai"],
        "yefengguai2": ["yefengguai2"],
        "yefengguai3": ["yefengguai3"],
        "benxiongguai": ["benxiongguai"],
        "benxiongguai2": ["benxiongguai2"],
        "benxiongguai3": ["benxiongguai3"],
        "huangjinshi": ["huangjinshi"],
        "jujiaolu": ["jujiaolu"],
        "kuyeshanxiao": ["kuyeshanxiao", "kuyeshanxiaozidan"],
        "lieyifeijiu": ["lieyifeijiu", "lieyifeijiutexiao"],
        "gangyanxiniu": ["gangyanxiniu"],
        "heianwulingwang": ["heianwulingwang", "wulingwangtexiao"],
        "huangjinshi_boss": ["huangjinshi"],
        "jujiaolu_boss": ["jujiaolu"],
        "kuyeshanxiao_boss": ["kuyeshanxiao", "kuyeshanxiaozidan"],
        "lieyifeijiu_boss": ["lieyifeijiu", "lieyifeijiutexiao"],
        "gangyanxiniu_boss": ["gangyanxiniu"],
        "heianwulingwang_boss": ["heianwulingwang", "wulingwangtexiao"],
    };
    game.g_sceneSpine_preload_sceneName = {
        "scene1_1": {
            "1": "benxiongguai",
            "2": "benxiongguai2"
        },
        "scene1_2": {
            "1": "miaomiaoguai",
            "2": "miaomiaoguai2",
            "3": "miaomiaoguai3"
        },
        "scene1_3": {
            "1": "miaomiaoguai",
            "2": "benxiongguai",
            "3": "miaomiaoguai2",
            "4": "benxiongguai2"
        },
        "scene1_4": {
            "1": "benxiongguai",
            "2": "miaomiaoguai",
            "3": "tielongguai",
            "4": "bingxueguai",
            "5": "miaomiaoguai2",
            "6": "tielongguai2"
        },
        "scene1_5": {
            "1": "tielongguai",
            "2": "benxiongguai",
            "3": "miaomiaoguai2",
            "4": "tielongguai2",
            "5": "benxiongguai2",
            "6": "bingxueguai2",
            "7": "huangjinshi_boss"
        },
        "scene2_1": {
            "1": "benxiongguai2",
            "2": "yefengguai",
            "3": "benxiongguai",
            "4": "miaomiaoguai",
            "5": "yefengguai2",
            "6": "miaomiaoguai2",
            "7": "miaomiaoguai3"
        },
        "scene2_2": {
            "1": "benxiongguai",
            "2": "yefengguai",
            "3": "yefengguai2",
            "4": "benxiongguai2",
            "5": "yefengguai3"
        },
        "scene2_3": {
            "1": "benxiongguai",
            "2": "yefengguai",
            "3": "bingxueguai",
            "4": "tielongguai",
            "5": "tielongguai2",
            "6": "benxiongguai2",
            "7": "yefengguai2",
            "8": "miaomiaoguai",
            "9": "miaomiaoguai3",
            "10": "tielongguai2"
        },
        "scene2_4": {
            "1": "yefengguai2",
            "2": "benxiongguai",
            "3": "bingxueguai2",
            "4": "tielongguai",
            "5": "tielongguai2",
            "6": "miaomiaoguai3",
            "7": "benxiongguai2",
            "8": "yefengguai",
            "9": "bingxueguai3",
            "10": "miaomiaoguai2",
            "11": "kuyeshanxiao_boss"
        },
        "scene2_5": {
            "1": "tielongguai2",
            "2": "yefengguai2",
            "3": "yefengguai3",
            "4": "benxiongguai2",
            "5": "miaomiaoguai3",
            "6": "miaomiaoguai2",
            "7": "bingxueguai3",
            "8": "tielongguai",
            "9": "benxiongguai3",
            "10": "bingxueguai2"
        },
        "scene3_1": {
            "1": "tielongguai",
            "2": "tielongguai2",
            "3": "benxiongguai",
            "4": "miaomiaoguai3",
            "5": "bingxueguai2",
            "6": "tielongguai3"
        },
        "scene3_2": {
            "1": "tielongguai2",
            "2": "yefengguai2",
            "3": "yefengguai3",
            "4": "miaomiaoguai2",
            "5": "miaomiaoguai3",
            "6": "gangyanxiniu_boss"
        },
        "scene3_3": {
            "1": "miaomiaoguai",
            "2": "tielongguai",
            "3": "yefengguai",
            "4": "miaomiaoguai2",
            "5": "benxiongguai2",
            "6": "bingxueguai",
            "7": "yefengguai3",
            "8": "bingxueguai3",
            "9": "tielongguai3",
            "10": "benxiongguai3"
        },
        "scene3_4": {
            "1": "tielongguai2",
            "2": "benxiongguai2",
            "3": "bingxueguai2",
            "4": "jujiaolu_boss",
            "5": "yefengguai2"
        },
        "scene3_5": {
            "1": "tielongguai3",
            "2": "benxiongguai2",
            "3": "miaomiaoguai2",
            "4": "miaomiaoguai3",
            "5": "tielongguai2",
            "6": "bingxueguai2",
            "7": "bingxueguai3",
            "8": "yefengguai2",
            "9": "huangjinshi_boss"
        },
        "scene4_1": {
            "1": "yefengguai",
            "2": "yefengguai2",
            "3": "yefengguai3",
            "4": "benxiongguai",
            "5": "benxiongguai2",
            "6": "benxiongguai3",
            "7": "yefengguai2",
            "8": "yefengguai3",
            "9": "kuyeshanxiao_boss"
        },
        "scene4_2": {
            "1": "tielongguai",
            "2": "miaomiaoguai",
            "3": "yefengguai",
            "4": "bingxueguai",
            "5": "benxiongguai",
            "6": "tielongguai2",
            "7": "bingxueguai3"
        },
        "scene4_3": {
            "1": "bingxueguai2",
            "2": "benxiongguai2",
            "3": "yefengguai3",
            "4": "tielongguai2",
            "5": "tielongguai3",
            "6": "huangjinshi_boss"
        },
        "scene4_4": {
            "1": "miaomiaoguai",
            "2": "miaomiaoguai2",
            "3": "bingxueguai",
            "4": "benxiongguai3",
            "5": "miaomiaoguai2",
            "6": "bingxueguai2",
            "7": "yefengguai2",
            "8": "tielongguai3"
        },
        "scene4_5": {
            "1": "tielongguai2",
            "2": "benxiongguai2",
            "3": "miaomiaoguai2",
            "4": "miaomiaoguai3",
            "5": "yefengguai2",
            "6": "bingxueguai2",
            "7": "bingxueguai3",
            "8": "gangyanxiniu_boss",
            "9": "tielongguai3"
        },
        "scene5_1": {
            "1": "yefengguai3",
            "2": "yefengguai2",
            "3": "benxiongguai3",
            "4": "benxiongguai2",
            "5": "miaomiaoguai3",
            "6": "tielongguai2",
            "7": "lieyifeijiu_boss"
        },
        "scene5_2": {
            "1": "tielongguai2",
            "2": "bingxueguai2",
            "3": "gangyanxiniu",
            "4": "benxiongguai2",
            "5": "benxiongguai3",
            "6": "bingxueguai2",
            "7": "yefengguai2",
            "8": "lieyifeijiu_boss",
            "9": "tielongguai3",
            "10": "yefengguai3"
        },
        "scene5_3": {
            "1": "bingxueguai2",
            "2": "bingxueguai3",
            "3": "tielongguai2",
            "4": "tielongguai3",
            "5": "benxiongguai2",
            "6": "benxiongguai3",
            "7": "yefengguai2",
            "8": "yefengguai3"
        },
        "scene5_4": {
            "1": "yefengguai3",
            "2": "benxiongguai3",
            "3": "bingxueguai3",
            "4": "tielongguai3",
            "5": "miaomiaoguai3"
        },
        "scene5_5": {
            "1": "tielongguai3",
            "2": "yefengguai3",
            "3": "benxiongguai3",
            "4": "jujiaolu",
            "5": "bingxueguai3",
            "6": "kuyeshanxiao_boss",
            "7": "miaomiaoguai3"
        },
        "scene6_1": {
            "1": "miaomiaoguai3",
            "2": "bingxueguai3",
            "3": "tielongguai3",
            "4": "bingxueguai3",
            "5": "lieyifeijiu_boss"
        },
        "scene6_2": {
            "1": "tielongguai3",
            "2": "yefengguai3",
            "3": "miaomiaoguai3",
            "4": "benxiongguai3",
            "5": "huangjinshi_boss",
            "6": "gangyanxiniu",
            "7": "bingxueguai3"
        },
        "scene6_3": {
            "1": "bingxueguai3",
            "2": "yefengguai3",
            "3": "miaomiaoguai3",
            "4": "benxiongguai3",
            "5": "tielongguai3",
            "6": "lieyifeijiu",
            "7": "jujiaolu_boss"
        },
        "scene6_4": {
            "1": "kuyeshanxiao",
            "2": "tielongguai3",
            "3": "huangjinshi",
            "4": "jujiaolu",
            "5": "heianwulingwang_boss"
        },
        "scene6_5": {
            "1": "lieyifeijiu",
            "2": "gangyanxiniu",
            "3": "tielongguai3",
            "4": "benxiongguai3",
            "5": "miaomiaoguai3",
            "6": "huangjinshi_boss",
            "7": "jujiaolu",
            "8": "kuyeshanxiao",
            "9": "yefengguai3",
            "10": "bingxueguai3"
        },
        "scenex_1": {
            "1": "tielongguai3",
            "2": "heianwulingwang_boss"
        },
        "scenew_1": {
            "1": "miaomiaoguai3",
            "2": "tielongguai3",
            "3": "yefengguai3",
            "4": "benxiongguai3",
            "5": "bingxueguai3"
        }
    };
})(game || (game = {}));
//# sourceMappingURL=jiazai_config.js.map