//状态机配置表   状态能切换
//中断等级
module game {

    export var g_playAiState_zhongduanLevel = [
        {"type": e_AiType.g_AiType_none, "brokenLevel": 0},
        {"type": e_AiType.g_AiType_Idle, "brokenLevel": 1},
        {"type": e_AiType.g_AiType_shache, "brokenLevel": 4},
        {"type": e_AiType.g_AiType_endAnimate, "brokenLevel": 5},
        {"type": e_AiType.g_AiType_run, "brokenLevel": 6},
        {"type": e_AiType.g_AiType_play_normalSkill, "brokenLevel": 7},
        {"type": e_AiType.g_AiType_autofight_ptgongji1, "brokenLevel": 7},
        {"type": e_AiType.g_AiType_autofight_ptgongji2, "brokenLevel": 7},
        {"type": e_AiType.g_AiType_autofight_ptgongji3, "brokenLevel": 7},
        {"type": e_AiType.g_AiType_autofight_ptgongji4, "brokenLevel": 7},
        {"type": e_AiType.g_AiType_autofight_skill, "brokenLevel": 18},
        {"type": e_AiType.g_AiType_play_skill1, "brokenLevel": 18},

        {"type": e_AiType.g_AiType_yun, "brokenLevel": 111},
        {"type": e_AiType.g_AiType_fallDown, "brokenLevel": 112},
        {"type": e_AiType.g_AiType_beiji, "brokenLevel": 113},
        {"type": e_AiType.g_AiType_beiji_tiaoqi, "brokenLevel": 113},
        {"type": e_AiType.g_AiType_dead_zhuolu, "brokenLevel": 114},
        {"type": e_AiType.g_AiType_Dead, "brokenLevel": 115},

    ];


    export var g_playAiState_config = {
        "1": {
            "type": e_AiType.g_AiType_Idle,
            "not": [],//不能切换到這个状态
            "can": [], //能切换到這个状态
        },

        "4": {
            "type": e_AiType.g_AiType_fallDown,
            "not": [
                // e_AiType.g_AiType_beiji,
                // e_AiType.g_AiType_beiji_tiaoqi,
                e_AiType.g_AiType_fallDown,

                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_play_skill1,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_Idle,
                e_AiType.g_AiType_shache,

                e_AiType.g_AiType_autofight_ptgongji1,
                e_AiType.g_AiType_autofight_ptgongji2,
                e_AiType.g_AiType_autofight_ptgongji3,
                e_AiType.g_AiType_autofight_ptgongji4,

            ],
        },


        //玩家普通攻击
        "6": {
            "type": e_AiType.g_AiType_play_normalSkill,
            "not": [
                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_Idle,
                e_AiType.g_AiType_shache,
            ],

        },



        "8": {
            "type": e_AiType.g_AiType_play_skill1,
            "not": [
                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_play_skill1,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_shache,
                e_AiType.g_AiType_Idle,
            ],

        },





        "20": {
            "type": e_AiType.g_AiType_run,
            "not": [],
            "can": [e_AiType.g_AiType_run], //能切换到這个状态

        },

        "3": {
            "type": e_AiType.g_AiType_beiji_tiaoqi,
            "can": [
                e_AiType.g_AiType_beiji_tiaoqi,
                e_AiType.g_AiType_fallDown,
                e_AiType.g_AiType_dead_zhuolu
            ],
        },


        "26": {
            "type": e_AiType.g_AiType_beiji,
            "not": [
                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_play_skill1,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_Idle,
                e_AiType.g_AiType_shache,

                e_AiType.g_AiType_autofight_ptgongji1,
                e_AiType.g_AiType_autofight_ptgongji2,
                e_AiType.g_AiType_autofight_ptgongji3,
                e_AiType.g_AiType_autofight_ptgongji4

            ],
            "can": [
                e_AiType.g_AiType_beiji,
                e_AiType.g_AiType_beiji_tiaoqi,
                e_AiType.g_AiType_beiji_qishen

            ],


        },
        "27": {
            "type": e_AiType.g_AiType_beiji_tiaoqi,
            "not": [
                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_play_skill1,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_Idle,
                e_AiType.g_AiType_shache,

                e_AiType.g_AiType_autofight_ptgongji1,
                e_AiType.g_AiType_autofight_ptgongji2,
                e_AiType.g_AiType_autofight_ptgongji3,
                e_AiType.g_AiType_autofight_ptgongji4

            ],
            "can": [
                e_AiType.g_AiType_beiji,
                e_AiType.g_AiType_beiji_tiaoqi,
                e_AiType.g_AiType_beiji_qishen

            ],
        },
        "28": {
            "type": e_AiType.g_AiType_beiji_qishen,
            "not": [
                e_AiType.g_AiType_play_normalSkill,
                e_AiType.g_AiType_play_skill1,
                e_AiType.g_AiType_run,
                e_AiType.g_AiType_Idle,
                e_AiType.g_AiType_shache,

                e_AiType.g_AiType_autofight_ptgongji1,
                e_AiType.g_AiType_autofight_ptgongji2,
                e_AiType.g_AiType_autofight_ptgongji3,
                e_AiType.g_AiType_autofight_ptgongji4

            ],
            "can": [
                e_AiType.g_AiType_beiji,
                e_AiType.g_AiType_beiji_tiaoqi,
                e_AiType.g_AiType_beiji_qishen

            ],
        },


    };
}
//# sourceMappingURL=aiState_config.js.map