module game {
    export var g_pintu_info =
        {
            "注释": {
                "name": "名字",
                "desName": "描述",
                "shuxing": "属性名",
                "percent": "百分比",
                "hp_up": "生命值",
                "att_up": "攻击力",
                "def_up": "防御力",
                "Speed_up": "移动速度",
                "crit_up": "暴击率",
                "suipian1": "碎片1",
                "image": "图片位置",
                "suipian2": "碎片2",
                "suipian3": "碎片3",
                "suipian4": "碎片4"
            },
            "wulingwang": {
                "desName": "五灵王",
                "shuxing": "攻防",
                "percent": 15,
                "hp_up": 0,
                "att_up": 0.15,
                "def_up": 0.15,
                "Speed_up": 0,
                "crit_up": 0,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_wulingwang1.png",
                    "name": "五灵王碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_wulingwang2.png",
                    "name": "五灵王碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_wulingwang3.png",
                    "name": "五灵王碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_wulingwang4.png",
                    "name": "五灵王碎片4"
                }
            },
            "zhuzhuxia": {
                "desName": "猪猪侠",
                "shuxing": "攻击",
                "percent": 10,
                "hp_up": 0,
                "att_up": 0.1,
                "def_up": 0,
                "Speed_up": 0,
                "crit_up": 0,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_zhuzhuxia1.png",
                    "name": "猪猪侠碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_zhuzhuxia2.png",
                    "name": "猪猪侠碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_zhuzhuxia3.png",
                    "name": "猪猪侠碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_zhuzhuxia4.png",
                    "name": "猪猪侠碎片4"
                }
            },
            "feifei": {
                "desName": "菲菲",
                "shuxing": "血量",
                "percent": 20,
                "hp_up": 0.2,
                "att_up": 0,
                "def_up": 0,
                "Speed_up": 0,
                "crit_up": 0,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_fiefei1.png",
                    "name": "菲菲碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_fiefei2.png",
                    "name": "菲菲碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_fiefei3.png",
                    "name": "菲菲碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_fiefei4.png",
                    "name": "菲菲碎片4"
                }
            },
            "xiaodaidai": {
                "desName": "小呆呆",
                "shuxing": "移速",
                "percent": 5,
                "hp_up": 0,
                "att_up": 0,
                "def_up": 0,
                "Speed_up": 0.05,
                "crit_up": 0,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_xiaodaidai1.png",
                    "name": "小呆呆碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_xiaodaidai2.png",
                    "name": "小呆呆碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_xiaodaidai3.png",
                    "name": "小呆呆碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_xiaodaidai4.png",
                    "name": "小呆呆碎片4"
                }
            },
            "chaorenqiang": {
                "desName": "超人强",
                "shuxing": "防御",
                "percent": 15,
                "hp_up": 0,
                "att_up": 0,
                "def_up": 0.15,
                "Speed_up": 0,
                "crit_up": 0,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_chaorenqiang1.png",
                    "name": "超人强碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_chaorenqiang2.png",
                    "name": "超人强碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_chaorenqiang3.png",
                    "name": "超人强碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_chaorenqiang4.png",
                    "name": "超人强碎片4"
                }
            },
            "bobi": {
                "desName": "波比",
                "shuxing": "暴击",
                "percent": 10,
                "hp_up": 0,
                "att_up": 0,
                "def_up": 0,
                "Speed_up": 0,
                "crit_up": 0.1,
                "suipian1": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_bobi1.png",
                    "name": "波比碎片1"
                },
                "suipian2": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_bobi2.png",
                    "name": "波比碎片2"
                },
                "suipian3": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_bobi3.png",
                    "name": "波比碎片3"
                },
                "suipian4": {
                    "image": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_pt_bobi4.png",
                    "name": "波比碎片4"
                }
            }
        };
}
//# sourceMappingURL=player_items.js.map