module game {
    export var g_scene_config =
        {
            "注释": {
                "scene_name": "场景名",
                "res_path": "配置表文件名",
                "des": "场景描述",
                "icon": "图标",
                "next_fuben": "进入下一关的场景",
                "attper": "怪物攻击力",
                "back_music": "背景音乐名字",
                "sceneType": "关卡类型",
                "sceneTime": "关卡时间",
                "winjiangli_f": "首次通过奖励",
                "winjiangli": "重复通过奖励",
                "bossImage": "BOSS图片",
                "interval": "间隔时间"
            },
            "scene1_1": {
                "res_path": "Scene_1_1.json",
                "des": "恶熊挡路",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene1_2",
                "hpper": 0.16,
                "attper": 1,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 5,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_2": {
                "res_path": "Scene_1_1.json",
                "des": "调虎离山",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene1_3",
                "hpper": 0.17,
                "attper": 1,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 5,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 3,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_3": {
                "res_path": "Scene_1_1.json",
                "des": "囚犯越狱",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene1_4",
                "hpper": 0.5,
                "attper": 1,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 5,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_4": {
                "res_path": "Scene_1_1.json",
                "des": "迷糊被劫",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene1_5",
                "hpper": 0.8,
                "attper": 1.5,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 5,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_5": {
                "res_path": "Scene_2_1.json",
                "des": "截黄金狮",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui144.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene2_1",
                "hpper": 1,
                "attper": 1.5,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 5,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_1": {
                "res_path": "Scene_2_1.json",
                "des": "审喵喵怪",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui145.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene2_2",
                "hpper": 1,
                "attper": 2,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_2": {
                "res_path": "Scene_2_1.json",
                "des": "寻野蜂怪",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui144.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene2_3",
                "hpper": 1,
                "attper": 2,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_3": {
                "res_path": "Scene_2_1.json",
                "des": "迷糊下落",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui145.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene2_4",
                "hpper": 1,
                "attper": 2.7,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_4": {
                "res_path": "Scene_3_1.json",
                "des": "枯叶山魈",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene2_5",
                "hpper": 1,
                "attper": 2.9,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_5": {
                "res_path": "Scene_3_1.json",
                "des": "遗忘诡计",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene3_1",
                "hpper": 1.5,
                "attper": 3.1,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_1": {
                "res_path": "Scene_3_1.json",
                "des": "审铁龙怪",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene3_2",
                "hpper": 1.8,
                "attper": 3.3,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_2": {
                "res_path": "Scene_3_1.json",
                "des": "罡岩犀牛",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene3_3",
                "hpper": 1.9,
                "attper": 3.5,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_3": {
                "res_path": "Scene_2_1.json",
                "des": "寻黄金狮",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui144.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene3_4",
                "hpper": 1.9,
                "attper": 3.7,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_4": {
                "res_path": "Scene_1_1.json",
                "des": "巨鹿劫囚",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene3_5",
                "hpper": 1.9,
                "attper": 4.1,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_5": {
                "res_path": "Scene_1_1.json",
                "des": "黄金狮现",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene4_1",
                "hpper": 1.9,
                "attper": 4.1,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_1": {
                "res_path": "Scene_2_1.json",
                "des": "夺取土灵",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui144.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene4_2",
                "hpper": 2,
                "attper": 4.3,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_2": {
                "res_path": "Scene_1_1.json",
                "des": "目标金灵",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene4_3",
                "hpper": 2.5,
                "attper": 4.5,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_3": {
                "res_path": "Scene_1_1.json",
                "des": "守卫金灵",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene4_4",
                "hpper": 2.5,
                "attper": 4.7,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_4": {
                "res_path": "Scene_1_1.json",
                "des": "回收囚犯",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene4_5",
                "hpper": 2.8,
                "attper": 4.9,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_5": {
                "res_path": "Scene_3_1.json",
                "des": "火灵现世",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene5_1",
                "hpper": 3,
                "attper": 5.1,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_1": {
                "res_path": "Scene_3_1.json",
                "des": "火灵飞鹫",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene5_2",
                "hpper": 3,
                "attper": 5.3,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_2": {
                "res_path": "Scene_3_1.json",
                "des": "再战飞鹫",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui146.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene5_3",
                "hpper": 3.3,
                "attper": 5.5,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_3": {
                "res_path": "Scene_2_1.json",
                "des": "清理宵小",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui145.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene5_4",
                "hpper": 3.6,
                "attper": 5.7,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_4": {
                "res_path": "Scene_4_1.json",
                "des": "水灵木灵",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene5_5",
                "hpper": 3.89999999999999,
                "attper": 6,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_5": {
                "res_path": "Scene_4_1.json",
                "des": "山魈送宝",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_1",
                "hpper": 4.3,
                "attper": 6,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene6_1": {
                "res_path": "Scene_2_1.json",
                "des": "碎片回家",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui144.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_2",
                "hpper": 4.7,
                "attper": 6,
                "back_music": "zhandou_senlin.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene6_2": {
                "res_path": "Scene_1_1.json",
                "des": "皇宫危机",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_3",
                "hpper": 5.10000000000001,
                "attper": 6,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene6_3": {
                "res_path": "Scene_1_1.json",
                "des": "基地遭劫",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui143.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_4",
                "hpper": 5.50000000000002,
                "attper": 6.2,
                "back_music": "zhandou_chengzhen.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 2200,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2250,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene6_4": {
                "res_path": "Scene_4_1.json",
                "des": "黑暗五灵",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 5.90000000000002,
                "attper": 6.5,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 6,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene6_5": {
                "res_path": "Scene_4_1.json",
                "des": "遗忘战士",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 6.30000000000003,
                "attper": 6.8,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 20
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 10
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 11,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "6_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scenex_1": {
                "res_path": "Scene_4_1.json",
                "des": "遗忘战士",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 1,
                "attper": 0.26,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 2,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "x_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 0,
                                        "waveIndex": "x_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scenew_1": {
                "res_path": "Scene_3_1.json",
                "des": "遗忘战士",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 1,
                "attper": 1,
                "back_music": "BJ_shijieboss.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 1,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scenet_1": {
                "res_path": "Scene_4_1.json",
                "des": "遗忘战士",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 1,
                "attper": 0.26,
                "back_music": "zhandou_senling.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 1,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "t_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scenet_2": {
                "res_path": "Scene_4_1.json",
                "des": "遗忘战士",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 1,
                "attper": 0.26,
                "back_music": "zhandou_shamo.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 1,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "t_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scenet_3": {
                "res_path": "Scene_4_1.json",
                "des": "遗忘战士",
                "icon": "xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui147.png",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "next_fuben": "scene6_5",
                "hpper": 1,
                "attper": 0.26,
                "back_music": "zhandou_yiji.mp3",
                "sceneType": "scene_Normal",
                "sceneTime": 1000,
                "winjiangli_f": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "winjiangli": [
                    {
                        "name": "zuanshi",
                        "num": 0
                    }
                ],
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 245
                },
                "follower1birth": {
                    "pos_x": 180,
                    "pos_y": 185
                },
                "follower2birth": {
                    "pos_x": 180,
                    "pos_y": 305
                },
                "guochang": [
                    {
                        "guankatype": "normal",
                        "winCond": {
                            "type": "killnum",
                            "num": 1,
                            "hpper": 0.6
                        },
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "t_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        }
}