/**
 * Created by cy1234 on 2016/7/30.
 */
//
// 状态机控制管理
//
var game;
(function (game) {
    var baseStateControl = (function () {
        function baseStateControl(playObj) {
            this.m_cur_RoleAiState = null;
            this.m_Ai_map_1 = null;
            this.m_roleObj = null;
            this.m_roleObj = playObj;
            this.m_Ai_map_1 = new game.Map();
        }
        baseStateControl.prototype.init = function () {
        };
        baseStateControl.prototype.getRoleObj = function () {
            return this.m_roleObj;
        };
        baseStateControl.prototype.getCurStateInfo = function () {
            return this.m_cur_RoleAiState;
        };
        baseStateControl.prototype.initState = function () {
        };
        baseStateControl.prototype.addState = function (data, type) {
            if (type === void 0) { type = null; }
            if (data == null) {
                return;
            }
            if (type == null) {
                if (this.m_Ai_map_1 == null) {
                    this.m_Ai_map_1.set(data.m_stateType, data);
                }
                if (data.m_stateType) {
                    this.m_Ai_map_1.set(data.m_stateType, data);
                }
                else {
                    this.m_Ai_map_1.set(data.m_stateType, data);
                }
            }
            else {
                this.m_Ai_map_1.set(type, data);
            }
        };
        baseStateControl.prototype.getState = function (type) {
            return this.m_Ai_map_1.get(type);
        };
        //强制切换状态
        baseStateControl.prototype.changeState_Ex = function (key, data) {
            if (data === void 0) { data = null; }
            this.m_cur_RoleAiState.ExternalEvent(key, data);
            var buffai = this.m_Ai_map_1.get(key);
            if (buffai == null) {
                return true;
            }
            if (buffai.InternalEvent(key, data)) {
                this.m_cur_RoleAiState = buffai;
                return true;
            }
        };
        baseStateControl.prototype.changeState = function (key, in_data) {
            // if(this.m_roleObj instanceof monster){
            // //
            //     console.log(  this.m_roleObj.getName() +"的状态是:"+  g_AiType.getAiTypeStr( key ) );
            //     if (this.m_roleObj.m_monsterAiControl.getAttackTarget())
            //         console.log( this.m_roleObj.getName() +"的目标是:"+ this.m_roleObj.m_monsterAiControl.getAttackTarget().getName() );
            // }
            if (in_data === void 0) { in_data = null; }
            var buffAi = this.m_Ai_map_1.get(key);
            if (buffAi == null) {
                console.log("  changeState!  没有這个状态:" + game.g_AiType.getAiTypeStr(key));
                return false;
            }
            if (this.getCurStateType() == game.e_AiType.g_AiType_yun && this.m_roleObj.m_buffControl.isFaint()) {
                return false;
            }
            if (!this.m_cur_RoleAiState.ExternalEvent(key, in_data)) {
                //console.log("  changeState!  当前状态不退出:" + this.getCurStateType() );
                return false;
            }
            if (buffAi.InternalEvent == null) {
                console.log("changeState!");
                return false;
            }
            if (buffAi.InternalEvent(key, in_data)) {
                this.m_cur_RoleAiState = buffAi;
            }
            else {
                this.m_cur_RoleAiState.InternalEvent(key, in_data);
            }
            return true;
        };
        baseStateControl.prototype.loop = function (dt) {
            if (this.getRoleObj().isdead()) {
                return;
            }
            this.m_cur_RoleAiState.update(dt);
        };
        baseStateControl.prototype.shutdown = function () {
        };
        baseStateControl.prototype.getCurStateType = function () {
            if (this.m_cur_RoleAiState == null) {
                return null;
            }
            return this.m_cur_RoleAiState.m_stateType;
        };
        baseStateControl.prototype.onFrameEvent = function (type, event) {
            this.m_cur_RoleAiState.onFrameEvent(type, event);
        };
        return baseStateControl;
    }());
    game.baseStateControl = baseStateControl;
})(game || (game = {}));
//# sourceMappingURL=baseStateControl.js.map