var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var normalBulletSpineLine = (function (_super) {
        __extends(normalBulletSpineLine, _super);
        function normalBulletSpineLine() {
            _super.call(this);
            this.m_spineLine = null;
            this.m_des = "normalBulletSpineLine";
            this.m_bulletType = game.g_bulletType.spineline;
            this.getNode().setName("normalBulletSpineLine类");
        }
        normalBulletSpineLine.prototype.initEx = function (info) {
            //处理你的特有逻辑
            _super.prototype.initEx.call(this, info);
            var ret = game.funcMgr.getMe().randFormList(info["luxianAnimation"], 1);
            this.m_spineLine = game.spineControlbulletLine.create(this, info["luxianSpine"], ret.begin());
            this.m_spineLine.m_SpineNode.setScale(info.scale);
            if (this.m_dir.x < 0) {
                this.m_spineLine.m_SpineNode.setScaleX(-1 * info.scale);
            }
        };
        normalBulletSpineLine.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            this.m_spineLine.shutdown();
        };
        normalBulletSpineLine.prototype.zanting = function (flag) {
            this.m_spineLine.zanting(flag);
            _super.prototype.zanting.call(this, flag);
        };
        normalBulletSpineLine.prototype.update = function (dt) {
            var ret = this.m_spineLine.loop(dt);
            if (ret == true) {
                return false;
            }
            return _super.prototype.update.call(this, dt);
        };
        //处理碰撞
        normalBulletSpineLine.prototype.phyParse = function (baseobj) {
            // this.m_isAlive = false;
            _super.prototype.phyParse.call(this, baseobj);
            var damageInfo = this.m_info["hit"]["shanghai1"];
            baseobj.OnBulletHit(this.m_owner, damageInfo, this);
        };
        normalBulletSpineLine.create = function () {
            return new game.normalBulletSpineLine();
        };
        return normalBulletSpineLine;
    }(game.baseBullet));
    game.normalBulletSpineLine = normalBulletSpineLine;
})(game || (game = {}));
//# sourceMappingURL=normalBulletSpineLine.js.map 
//# sourceMappingURL=normalBulletSpineLine.js.map