module  game {
    export class normalBulletSpineLine extends game.baseBullet {
        m_spineLine: spineControlbulletLine = null;
        static create = function () {
            return new game.normalBulletSpineLine();
        };

        constructor() {
            super();
            this.m_des = "normalBulletSpineLine";
            this.m_bulletType = game.g_bulletType.spineline;
            this.getNode().setName("normalBulletSpineLine类");
        }

        initEx(info) {
            //处理你的特有逻辑
            super.initEx(info);
            var ret = funcMgr.getMe().randFormList(info["luxianAnimation"], 1);
            this.m_spineLine = game.spineControlbulletLine.create(this, info["luxianSpine"], ret.begin());
            this.m_spineLine.m_SpineNode.setScale(info.scale);
            if (this.m_dir.x < 0) {
                this.m_spineLine.m_SpineNode.setScaleX(-1 * info.scale);
            }
        }

        shutdown() {
            super.shutdown();
            this.m_spineLine.shutdown();
        }

        zanting(flag) {
            this.m_spineLine.zanting(flag);
            super.zanting(flag);
        }

        update(dt) {
            var ret = this.m_spineLine.loop(dt);
            if (ret == true) {
                return false;
            }
            return super.update(dt);
        }

        //处理碰撞
        phyParse(baseobj) {
            // this.m_isAlive = false;
            super.phyParse(baseobj);
            var damageInfo = this.m_info["hit"]["shanghai1"];
            baseobj.OnBulletHit(this.m_owner, damageInfo, this);
        }
    }

}
//# sourceMappingURL=normalBulletSpineLine.js.map