var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var baseBullet_demo = (function (_super) {
        __extends(baseBullet_demo, _super);
        function baseBullet_demo() {
            _super.call(this);
            this.m_RoleType = game.g_bulletRoleType.bulletType_play;
            this.m_BulletNode = null;
            this.m_dir = cc.p(1, 0);
            this.m_rotation = null;
            this.m_speed = null;
            this.range_dis = 0;
            this.m_info = null;
            this.m_des = null;
            this.m_isAlive = true;
            this.m_jishi = 0;
            this.m_des = "baseBullet_demo";
            this.m_Type = game.g_ObjType.bullet;
            this.getNode().setName("baseBullet_demo类");
        }
        baseBullet_demo.prototype.zanting = function (flag) {
            if (flag) {
                this.m_BulletNode.pause();
            }
            else {
                this.m_BulletNode.resume();
            }
        };
        baseBullet_demo.prototype.isPlay = function () {
            return this.m_BulletNode.isPlay();
        };
        baseBullet_demo.prototype.initEx = function (info) {
            this.m_info = cc.copy(info);
            this.m_speed = this.m_info.speed;
            this.m_dir = this.m_info.dir;
            this.m_rotation = this.m_info.rotation;
            this.range_dis = this.m_info.range_dis;
            this.m_RoleType = this.m_info.roleType;
            //加载资源
            this.loadres();
            this.setPosition(this.m_info.pos);
            //m_dir
            if (this.m_rotation) {
                this.setRotation(this.m_rotation); //
            }
        };
        baseBullet_demo.prototype.shutdown = function () {
            this.m_isAlive = false;
            //  console.log("卸载资源" + this.m_info);
        };
        baseBullet_demo.prototype.loadres = function () {
            this.m_BulletNode = game.spineMgr.getMe().loadSpine(this.m_info["res"], this.getNode(), 4);
            if (this.m_info["resAnimation"]) {
                this.m_BulletNode.setAnimation(0, this.m_info["resAnimation"], true);
            }
            else {
                this.m_BulletNode.setAnimation(0, "play", true);
            }
            //this.addChild(this.m_BulletNode.getNode(), 4);
            if (this.m_dir.x < 0) {
                // this.setScaleX(-1);
                this.m_BulletNode.setScaleX(-1);
            }
            this.m_BulletNode.setScale(this.m_info.scale);
            return true;
        };
        baseBullet_demo.prototype.update = function (dt) {
            return this.loopMove(dt);
        };
        // 移动
        baseBullet_demo.prototype.loopMove = function (dt) {
            //this.m_jishi += dt;
            if (this.m_isAlive == false) {
                return false;
            }
            //
            var pos = this.getPosition();
            var newpos = cc.pAdd(pos, cc.pMult(this.m_dir, this.m_speed * dt));
            //处理射程
            var dis = cc.pDistance(this.m_info.pos, newpos);
            if (dis > this.range_dis) {
                this.m_isAlive = false;
                return true;
            }
            this.setPosition(newpos);
            return true;
        };
        baseBullet_demo.prototype.playAnimation = function (name, loop) {
            this.m_BulletNode.setAnimation(0, name, loop);
        };
        return baseBullet_demo;
    }(game.baseObj));
    game.baseBullet_demo = baseBullet_demo;
})(game || (game = {}));
//# sourceMappingURL=baseBullet_demo.js.map 
//# sourceMappingURL=baseBullet_demo.js.map