var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var bulletMgr_demo = (function (_super) {
        __extends(bulletMgr_demo, _super);
        function bulletMgr_demo() {
            _super.call(this);
            this.m_bullet_map = null;
            this.m_des = null;
            this.m_des = "bulletMgr_demo";
            this.init();
            this.getNode().setName("bulletMgr_demo类");
        }
        bulletMgr_demo.prototype.init = function () {
            _super.prototype.init.call(this);
            this.m_bullet_map = new game.MapGame();
        };
        bulletMgr_demo.prototype.update = function (t) {
            for (var i = 0; i < this.m_bullet_map.getSize(); ++i) {
                var data = this.m_bullet_map.getData(i);
                var ret = data.update(t);
                if (ret == false) {
                    this.removeBullet(data.__instanceId);
                    return;
                }
            }
        };
        bulletMgr_demo.prototype.shutdown = function () {
            for (var i = 0; i < this.m_bullet_map.size(); ++i) {
                var data = this.m_bullet_map.getData(i);
                data.shutdown();
                this.removeBullet(data.__instanceId);
            }
        };
        bulletMgr_demo.prototype.isPlay = function () {
            for (var i = 0; i < this.m_bullet_map.size(); ++i) {
                var data = this.m_bullet_map.getData(i);
                if (data.isPlay()) {
                    return true;
                }
            }
            return false;
        };
        bulletMgr_demo.prototype.zanting = function (flag) {
            for (var i = 0; i < this.m_bullet_map.size(); ++i) {
                var data = this.m_bullet_map.getData(i);
                data.zanting(flag);
            }
        };
        bulletMgr_demo.prototype.createBullet = function (info) {
            if (info == null) {
                return;
            }
            switch (info.bulletType) {
                case game.g_bulletType.normal:
                    this.createNormalBullet(info);
                    break;
                case game.g_bulletType.spineline:
                    this.createNormalBulletSpineLine(info);
                    break;
                default:
                    game.uiMgr.getMe().show_ui_MessageBox(true, "bulletType 类型填错了  路线子弹 ：spineline  普通子弹 ：normal  ");
                    // console.error("error createBullet !");
                    break;
            }
        };
        // 创建子弹 普通子弹
        bulletMgr_demo.prototype.createNormalBullet = function (info) {
            var _normalBullet = game.normalBullet_demo.create();
            _normalBullet.initEx(info);
            this.addChild(_normalBullet.getNode(), 2000);
            this.m_bullet_map.put(_normalBullet.__instanceId, _normalBullet);
        };
        bulletMgr_demo.prototype.createNormalBulletSpineLine = function (info) {
            var _normalBullet = game.normalBulletSpineLine_demo.create();
            _normalBullet.initEx(info);
            this.addChild(_normalBullet.getNode(), 2000);
            this.m_bullet_map.put(_normalBullet.__instanceId, _normalBullet);
        };
        bulletMgr_demo.prototype.createNormalBullet_texiao = function (info) {
            var _normalBullet = game.normalBullet_texiao_demo.create();
            _normalBullet.initEx(info);
            this.addChild(_normalBullet.getNode(), 2000);
            this.m_bullet_map.put(_normalBullet.__instanceId, _normalBullet);
        };
        // 移除子弹
        bulletMgr_demo.prototype.removeBullet = function (keyStr) {
            var data = this.m_bullet_map.getDataByKey(keyStr);
            data.shutdown();
            this.removeChild(data.getNode());
            this.m_bullet_map.remove(keyStr);
        };
        bulletMgr_demo.create = function () {
            var _bulletMgr_demo = new game.bulletMgr_demo();
            return _bulletMgr_demo;
        };
        return bulletMgr_demo;
    }(game.xjNode));
    game.bulletMgr_demo = bulletMgr_demo;
})(game || (game = {}));
//# sourceMappingURL=bulletMgr_demo.js.map 
//# sourceMappingURL=bulletMgr_demo.js.map