//特效子弹
module game {
    export class normalBullet_texiao_demo extends game.baseBullet_demo {
        m_isShutDown: boolean = true;

        constructor() {
            super();
            this.m_des = "normalBullet_texiao_demo";
            this.getNode().setName("normalBullet_texiao_demo类");
        }

        static create = function () {
            return new game.normalBullet_texiao_demo();
        };

        loadres(): boolean {
            this.m_BulletNode = game.spineMgr.getMe().loadSpine(this.m_info["res"], this.getNode(), 4);
            if (this.m_info["resAnimation"]) {
                var ret = this.m_BulletNode.setAnimation(0, this.m_info["resAnimation"], false);
                if (ret == null) {
                    console.log("spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                    //console.error(  "spine " + this.m_info["res"]  + "没有动画：" + this.m_info["resAnimation"]);
                    game.uiMgr.getMe().show_ui_MessageBox(true, "spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                }
            }
            else {
                var ret = this.m_BulletNode.setAnimation(0, "play", false);
            }
            if (this.m_dir.x < 0) {
                // this.setScaleX(-1);
                this.m_BulletNode.setScaleX(-1);
            }
            this.m_BulletNode.setScale(this.m_info.scale);
            //this.addChild(this.m_BulletNode.getNode(), 4);
            this.m_BulletNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_BulletNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_BulletNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
            }.bind(this));
            this.m_BulletNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind(this));
            return true;
        }

        onFrameEvent(type, event) {
            if (type == "End") {
                this.m_isShutDown = false;
            }
            else if (type == "Complete") {
                this.m_isShutDown = false;
            }
        }

        update(dt) {
            if (this.isPlay() == false) {
                return false;
            }
            return this.m_isShutDown;
        }
    }

}
//# sourceMappingURL=normalBullet_texiao_demo.js.map