/**
 * Created by cy1234 on 2016/5/3.
 */
//我们的回掉管理类】
var game;
(function (game) {
    var MyCallback = (function () {
        function MyCallback(selector, selectorTarget, data) {
            this._selectorTarget = null;
            this._function = null;
            this._data = null;
            this.initWithFunction(selector, selectorTarget, data);
        }
        MyCallback.prototype.initWithFunction = function (selector, selectorTarget, data) {
            if (selector) {
                this._function = selector;
            }
            if (selectorTarget) {
                this._selectorTarget = selectorTarget;
            }
            if (data !== undefined) {
                this._data = data;
            }
            return true;
        };
        /**
         * execute the function.
         */
        MyCallback.prototype.execute = function () {
            if (this._function) {
                this._function.call(this._selectorTarget, null, this._data);
            }
        };
        MyCallback.create = function (selector, selectorTarget, data) {
            return new MyCallback(selector, selectorTarget, data);
        };
        return MyCallback;
    }());
    game.MyCallback = MyCallback;
})(game || (game = {}));
//# sourceMappingURL=MyCallback.js.map 
//# sourceMappingURL=MyCallback.js.map