/**
 * Created by cy1234 on 2016/5/3.
 */
//我们的回掉管理类】
module  game {
    export class MyCallback {
        _selectorTarget: any = null;
        _function: any = null;
        _data: any = null;

        static create = function (selector, selectorTarget, data):MyCallback {
            return new MyCallback(selector, selectorTarget, data);
        }

        constructor(selector, selectorTarget, data) {
            this.initWithFunction(selector, selectorTarget, data);
        }

        initWithFunction(selector, selectorTarget, data) {
            if (selector) {
                this._function = selector;
            }
            if (selectorTarget) {
                this._selectorTarget = selectorTarget;
            }
            if (data !== undefined) {
                this._data = data;
            }
            return true;
        }

        /**
         * execute the function.
         */
        execute() {
            if (this._function) {
                this._function.call(this._selectorTarget, null, this._data);
            }
        }
    }

}
//# sourceMappingURL=MyCallback.js.map