/**
 * Created by Allen on 2016/12/10.
 */
var game;
(function (game) {
    var GuanKa_s = (function () {
        function GuanKa_s() {
            this["guankatype"] = "normal";
        }
        return GuanKa_s;
    }());
    game.GuanKa_s = GuanKa_s;
    var guankaMgr = (function () {
        function guankaMgr() {
            this.m_guanka = null;
            this.m_sceneInfo = null;
            this.m_curGuanKa = null;
            this.m_nextGuanKaRect = null;
            this.m_curGuanKaRect = null;
            this.m_rongheState = false;
            this.m_curGuanKaID = 0;
            this.m_AllGuankaInfo = null;
        }
        guankaMgr.create = function () {
            if (guankaMgr.g_ing == null) {
                guankaMgr.g_ing = new guankaMgr();
                return guankaMgr.g_ing;
            }
            else {
                return guankaMgr.g_ing;
            }
        };
        guankaMgr.prototype.init = function () {
        };
        guankaMgr.prototype.getGuanka = function () {
            return this.m_guanka;
        };
        //是否通过此格子
        guankaMgr.prototype.isGo = function () {
            return this.m_rongheState;
        };
        guankaMgr.prototype.updateGo = function () {
            game.ui_Go.ShowOrHide(this.isGo());
        };
        guankaMgr.prototype.loop = function (t) {
            if (this.m_guanka) {
                if (this.m_guanka.loop(t)) {
                    this.nextGuanKa();
                    return;
                }
            }
            if (this.m_rongheState) {
                game.cameraMgr.getMe().cutMinCamera();
                if (cc.rectContainsPoint(this.m_nextGuanKaRect, cc.pSub(game.roleMgr.getMe().getControlPlayer().getPosition(), cc.p(cc.director.getVisibleSize().width / 8, 0)))) {
                    this.m_curGuanKa.rect = this.m_nextGuanKaRect;
                    game.cameraMgr.getMe().setRect(this.m_curGuanKa.rect);
                    this.m_rongheState = false;
                }
            }
            this.updateGo();
        };
        guankaMgr.prototype.initGuanKaData = function (sceneInfo) {
            this.m_rongheState = false;
            this.m_sceneInfo = sceneInfo;
            var guankaInfo = sceneInfo.guochang;
            this.m_AllGuankaInfo = new game.Map();
            var index = 0;
            for (var i in guankaInfo) {
                var buff = guankaInfo[i];
                this.m_AllGuankaInfo.set(index, buff);
                index++;
            }
            this.m_curGuanKaID = 0;
            this.createGuanKa(this.m_curGuanKaID);
            return true;
        };
        guankaMgr.prototype.createGuanKa = function (id) {
            var guankainfo = this.m_AllGuankaInfo.getByIndex(id);
            if (guankainfo == null) {
                return false;
            }
            if (this.m_curGuanKa) {
                this.m_curGuanKaRect = this.m_curGuanKa.rect;
            }
            else {
                this.m_curGuanKaRect = cc.rect(0, 0, 0, 0);
            }
            this.m_curGuanKa = cc.clone(guankainfo);
            this.m_nextGuanKaRect = this.m_curGuanKa.rect;
            this.m_curGuanKa.rect = cc.rectUnion(this.m_curGuanKaRect, this.m_nextGuanKaRect);
            this.m_rongheState = true;
            game.cameraMgr.getMe().setRect(this.m_curGuanKa.rect);
            game.roleMgr.getMe().resetMonsterDeadNum(); //重置过场怪物死亡数为0
            switch (this.m_curGuanKa.guankatype) {
                case "normal":
                    this.m_guanka = new game.guanka_normal();
                    break;
                // case "chuansong":
                //     this.m_guanka = new guanka_portal();
                //     break;
                default:
                    this.m_guanka = new game.guanka();
                    break;
            }
            this.m_guanka.init(this.m_sceneInfo, guankainfo);
            return true;
        };
        // //判断胜利条件
        // updateGuanKa(t) {
        //
        // }
        guankaMgr.prototype.nextGuanKa = function () {
            this.m_curGuanKaID++;
            if (!this.createGuanKa(this.m_curGuanKaID)) {
                this.GuanKaOver();
            }
        };
        guankaMgr.prototype.GuanKaOver = function () {
            this.m_guanka = null;
            game.sceneMgr.getMe().getCurScene().gameOver(true);
        };
        guankaMgr.prototype.shutdown = function () {
            if (this.m_guanka) {
                this.m_guanka.shutdown();
            }
            this.m_AllGuankaInfo = null;
            game.ui_Go.ShowOrHide(false);
        };
        guankaMgr.getMe = function () {
            return guankaMgr.create();
        };
        guankaMgr.g_ing = null;
        return guankaMgr;
    }());
    game.guankaMgr = guankaMgr;
})(game || (game = {}));
//# sourceMappingURL=guankaMgr.js.map 
//# sourceMappingURL=guankaMgr.js.map