//维护者 魏红兵
//http://www.tuicool.com/articles/VzUzEbI
var game;
(function (game) {
    //  let WebSocket = WebSocket || (<any>window).WebSocket || (<any>window).MozWebSocket;
    game.g_protoflag = 2;
    var baseWebSocketManager = (function () {
        function baseWebSocketManager() {
            this._wsiSendText = null;
            this.m_msgMap = null;
            this.m_classMap = null;
            this.m_isConnect = false;
            this.m_isConnecting = false;
            this.m_msgDataList = null;
            this.m_msgDataListkey = 0;
            this.m_msgMap = new game.MapGame();
            this.m_classMap = new game.MapGame();
            this.m_msgDataList = new game.MapGame();
        }
        baseWebSocketManager.prototype.init = function (ipport, loginData) {
            if (ipport === void 0) { ipport = null; }
            if (loginData === void 0) { loginData = null; }
            if (this.m_isConnect == true) {
                return false;
            }
            if (this.m_isConnecting == true) {
                return false;
            }
            this.m_isConnecting = true;
            if (ipport == null) {
                ipport = "ws://127.0.0.1:77868";
            }
            if (this._wsiSendText != null) {
                console.log("websocket 已经连接。");
                return false;
            }
            if (WebSocket == null) {
                WebSocket = window.WebSocket || window.MozWebSocket;
            }
            this._wsiSendText = new WebSocket(ipport);
            //this._wsiSendText.binaryType="arrayBuffer";
            this._wsiSendText.onopen = this.onconnect.bind(this); //
            this._wsiSendText.onmessage = this.onmessage.bind(this);
            this._wsiSendText.onerror = this.onerror.bind(this);
            this._wsiSendText.onclose = this.onclose.bind(this);
            return true;
        };
        baseWebSocketManager.prototype.regClass = function (_class) {
            this.m_classMap.put(_class.m_msgType, _class);
        };
        baseWebSocketManager.prototype.regFunc = function (name, func, functarget) {
            var funcobj = {};
            funcobj["func"] = func;
            funcobj["funcTarget"] = functarget;
            //init func
            this.m_msgMap.put(name, funcobj);
        };
        baseWebSocketManager.prototype.send_protoBuff = function (data) {
            try {
                if (this.m_isConnect == true) {
                    //let sendstr = '2' + data;
                    var ret = this._wsiSendText.send(data.buffer);
                }
            }
            catch (_error) {
                console.log(_error.stack);
            }
        };
        baseWebSocketManager.prototype.send = function (data) {
            try {
                if (this.m_isConnect == true) {
                    if (data.length > 5000 && cc.sys.isNative) {
                        var sendstr = '1' + game.js_GameLogicMgr.getMe().gzcompress_base64(data);
                        this._wsiSendText.send(sendstr);
                    }
                    else {
                        var sendstr = '0' + data;
                        this._wsiSendText.send(sendstr);
                    }
                }
            }
            catch (_error) {
                this.m_msgDataList.put(++this.m_msgDataListkey, data);
            }
        };
        baseWebSocketManager.prototype.close = function () {
            this.m_isConnect = false;
            this.m_isConnecting = false;
            if (this._wsiSendText) {
                this._wsiSendText.close(); //关闭TCP连接
                this._wsiSendText = null;
            }
            cc.log("_wsiSendText websocket instance closed.");
        };
        baseWebSocketManager.prototype.onclose = function (evt) {
            game.uiMgr.getMe().show_ui_MessageBox(true, "网络连接中断！");
            this.close(); //关闭TCP连接
        };
        //
        baseWebSocketManager.prototype.onerror = function (evt) {
            console.log("sendText Error was fired");
            game.uiMgr.getMe().show_ui_MessageBox(true, "网络连接中断！");
            this.m_isConnect = false;
            this.m_isConnecting = false;
            this.close(); //关闭TCP连接
        };
        baseWebSocketManager.prototype.overCallback = function () {
            game.js_GameLogicMgr.getMe().resetExe();
        };
        // reConnect () {
        //     //重新连接
        //     httpLoginThreePath.getMe().onSendMsg();
        // },
        //重新连接 后发送消息
        baseWebSocketManager.prototype.reConnect_sendMsg = function () {
            //this.m_msgDataList.put(0, "ddd");
            var datalist = cc.clone(this.m_msgDataList);
            this.m_msgDataList.clear();
            for (var i = 0; i < datalist.getSize(); ++i) {
                var data = datalist.getData(i);
                this.send(data);
            }
        };
        //连接成功
        baseWebSocketManager.prototype.onconnect = function (evt) {
            console.log("WebSocket login ok");
            this.m_isConnect = true;
            this.m_isConnecting = false;
        };
        baseWebSocketManager.prototype.onmessage_binary = function (evt) {
            var _this = this;
            if (cc.sys.isNative) {
                // console.log(  "onmessage_binary:" + typeof(evt.data) );
                var data = new Uint8Array(evt.data);
                this.onmessage_probuff(data);
            }
            else {
                var reader = new FileReader();
                reader.onload = function (evt) {
                    if (evt.target.readyState == FileReader.DONE) {
                        var data = new Uint8Array(evt.target.result);
                        _this.onmessage_probuff(data);
                    }
                };
                reader.readAsArrayBuffer(evt.data);
            }
        };
        baseWebSocketManager.prototype.onmessage = function (evt) {
            if (typeof (evt.data) != "string") {
                this.onmessage_binary(evt);
                return;
            }
            var isyasuo = evt.data[0];
            var data = null;
            if (isyasuo == 0) {
                data = evt.data.substr(1, evt.data.length - 1);
            }
            else if (isyasuo == 1) {
                data = evt.data.substr(1, evt.data.length - 1);
                //解压
                data = game.js_GameLogicMgr.getMe().gzdecompress_base64(data);
            }
            else if (isyasuo == game.g_protoflag) {
                this.onmessage_probuff(evt);
                return;
            }
            //解析json
            var outjson = null;
            try {
                outjson = JSON.parse(data);
            }
            catch (e) {
                console.log("error msg!" + data);
                return;
            }
            var msgType = outjson["msgType"];
            var pClassObj = this.m_classMap.getDataByKey(msgType);
            if (pClassObj != null) {
                pClassObj.callback(outjson);
                return;
            }
            var pfuncObj = this.m_msgMap.getDataByKey(msgType);
            if (pfuncObj != null) {
                var pfunc = pfuncObj["func"];
                var pfunc_target = pfuncObj["funcTarget"];
                pfunc.call(pfunc_target, outjson);
            }
            else {
                console.log("error msg! 00 1" + data);
            }
        };
        baseWebSocketManager.prototype.onmessage_probuff = function (in_buff) {
            var l_dataview = new DataView(in_buff.buffer);
            var protoType = l_dataview.getUint8(0);
            if (protoType != game.g_protoflag) {
                console.log(" error onmessage_probuff ");
                return;
            }
            var protoMsgType = l_dataview.getUint32(1);
            var _protoBuffBase = game.protoBuffMgr.getMe().getProtoBaseByType(protoMsgType);
            if (_protoBuffBase) {
                var message = _protoBuffBase.buffToMessage(new Uint8Array(l_dataview.buffer.slice(5)));
                _protoBuffBase.callback(message);
            }
            else {
                console.log("error onmessage_probuff type:" + protoMsgType);
            }
            // let buffer = null;
            // buffer = evt.data.substr(1, evt.data.length - 1);
            //
            // let protoType: protoMessType = buffer[0];
            // let _protoBuffBase: protoBuffBase<any> = protoBuffMgr.getMe().getProtoBaseByType(protoType);
            // if (_protoBuffBase) {
            //     let message = _protoBuffBase.buffToMessage(buffer);
            //     _protoBuffBase.callback( message );
            // }
            // else
            // {
            //     console.log("error onmessage_probuff type:" + protoType);
            // }
        };
        baseWebSocketManager.prototype.update = function (t) {
            // for(let i = 0;i < this.m_classMap.size();++i)
            // {
            //     let data = this.m_classMap.getData(i);
            //    // data.l
            // }
        };
        baseWebSocketManager.prototype.loop_15s = function (dt) {
            if (this.m_isConnect == true) {
                var data = {};
                data["sysType"] = "0000";
                this.send(JSON.stringify(data));
            }
        };
        baseWebSocketManager.prototype.title = function () {
            return "baseWebSocketManager";
        };
        return baseWebSocketManager;
    }());
    game.baseWebSocketManager = baseWebSocketManager;
})(game || (game = {}));
//# sourceMappingURL=baseWebSocketManager.js.map 
//# sourceMappingURL=baseWebSocketManager.js.map