
//维护者 魏红兵
//http://www.tuicool.com/articles/VzUzEbI
module game {
  //  let WebSocket = WebSocket || (<any>window).WebSocket || (<any>window).MozWebSocket;

    export  let g_protoflag = 2;
    export class baseWebSocketManager {
        _wsiSendText: any = null;
        m_msgMap: any = null;
        m_classMap: game.MapGame = null;
        m_isConnect: any = false;
        m_isConnecting: any = false;
        m_msgDataList: any = null;
        m_msgDataListkey: any = 0;

        constructor() {
            this.m_msgMap = new game.MapGame();
            this.m_classMap = new game.MapGame();
            this.m_msgDataList = new game.MapGame();
        }

        init(ipport: any = null, loginData: any = null) :boolean{
            if (this.m_isConnect == true) {
                return false;
            }
            if (this.m_isConnecting == true) {
                return false;
            }
            this.m_isConnecting = true;
            if (ipport == null) {
                ipport = "ws://127.0.0.1:77868";
            }
            if (this._wsiSendText != null) {
                console.log("websocket 已经连接。");
                return false;
            }

            if(WebSocket == null)
            {
                  WebSocket =  (<any>window).WebSocket || (<any>window).MozWebSocket;
            }
            this._wsiSendText = new WebSocket(ipport);

            //this._wsiSendText.binaryType="arrayBuffer";
            this._wsiSendText.onopen = this.onconnect.bind(this); //
            this._wsiSendText.onmessage = this.onmessage.bind(this);
            this._wsiSendText.onerror = this.onerror.bind(this);
            this._wsiSendText.onclose = this.onclose.bind(this);
            return true;
        }

        regClass(_class) {
            this.m_classMap.put(_class.m_msgType, _class);
        }

        regFunc(name, func, functarget) {
            let funcobj = {};
            funcobj["func"] = func;
            funcobj["funcTarget"] = functarget;
            //init func
            this.m_msgMap.put(name, funcobj);
        }

        send_protoBuff(data:Uint8Array) {
            try {
                if ( this.m_isConnect == true ) {
                    //let sendstr = '2' + data;
                 let ret =   this._wsiSendText.send(data.buffer);
                }
            }
            catch (_error) {
                console.log(_error.stack);
               // this.m_msgDataList.put(++this.m_msgDataListkey, data);
            }
        }

        send(data ) {
            try {
                if (this.m_isConnect == true) {
                    if (data.length > 5000 && cc.sys.isNative) {
                        let sendstr = '1' + js_GameLogicMgr.getMe().gzcompress_base64(data);
                        this._wsiSendText.send(sendstr);
                    }
                    else {
                        let sendstr = '0' + data;
                        this._wsiSendText.send(sendstr);
                    }
                }
            }
            catch (_error) {
                this.m_msgDataList.put(++this.m_msgDataListkey, data);
            }
        }

        close() {
            this.m_isConnect = false;
            this.m_isConnecting = false;
            if (this._wsiSendText) {
                this._wsiSendText.close(); //关闭TCP连接
                this._wsiSendText = null;
            }
            cc.log("_wsiSendText websocket instance closed.");
        }

        onclose(evt) {
            uiMgr.getMe().show_ui_MessageBox(true,"网络连接中断！");
            this.close(); //关闭TCP连接
        }

        //
        onerror(evt) {
            console.log("sendText Error was fired");
            uiMgr.getMe().show_ui_MessageBox(true,"网络连接中断！");
            this.m_isConnect = false;
            this.m_isConnecting = false;
            this.close(); //关闭TCP连接
        }

        overCallback()
        {
            js_GameLogicMgr.getMe().resetExe();
        }
        // reConnect () {
        //     //重新连接
        //     httpLoginThreePath.getMe().onSendMsg();
        // },
        //重新连接 后发送消息
        reConnect_sendMsg() {
            //this.m_msgDataList.put(0, "ddd");
            let datalist = cc.clone(this.m_msgDataList);
            this.m_msgDataList.clear();
            for (let i = 0; i < datalist.getSize(); ++i) {
                let data = datalist.getData(i);
                this.send(data);
            }
        }

        //连接成功
        onconnect(evt) {
            console.log("WebSocket login ok");
            this.m_isConnect = true;
            this.m_isConnecting = false;
        }

        onmessage_binary( evt:any )
        {
            if(cc.sys.isNative)
            {
                // console.log(  "onmessage_binary:" + typeof(evt.data) );
                 let data : Uint8Array = new Uint8Array(evt.data);


                this.onmessage_probuff(data);


            }
            else
            {
                let reader = new FileReader();
                reader.onload =  (evt:any)=>{

                    if( evt.target.readyState == (<any>FileReader).DONE )
                    {
                        let data:Uint8Array = new Uint8Array(evt.target.result);
                        this.onmessage_probuff(data);
                    }
                }
                reader.readAsArrayBuffer(evt.data);
            }

        }

        onmessage(evt)
        {
            if (typeof(evt.data) != "string") {
                this.onmessage_binary(evt);
                return;
            }


        let isyasuo = evt.data[0];
            let data = null;
            if (isyasuo == 0) {
                data = evt.data.substr(1, evt.data.length - 1);
            }
            else if (isyasuo == 1) {
                data = evt.data.substr(1, evt.data.length - 1);
                //解压
                data = game.js_GameLogicMgr.getMe().gzdecompress_base64(data);
            }
            else if (isyasuo == g_protoflag) {

                this.onmessage_probuff(evt);
                return;
            }
            //解析json
            let outjson = null;
            try {
                outjson = JSON.parse(data);
            }
            catch (e) {
                console.log("error msg!" + data);
                return;
            }
            let msgType = outjson["msgType"];
            let pClassObj = this.m_classMap.getDataByKey(msgType);
            if (pClassObj != null) {
                pClassObj.callback(outjson);
                return;
            }
            let pfuncObj = this.m_msgMap.getDataByKey(msgType);
            if (pfuncObj != null) {
                let pfunc = pfuncObj["func"];
                let pfunc_target = pfuncObj["funcTarget"];
                pfunc.call(pfunc_target, outjson);
            }
            else {
                console.log("error msg! 00 1" + data);
            }
        }

        onmessage_probuff( in_buff:Uint8Array ) {
            let l_dataview = new DataView(in_buff.buffer);
            let protoType =  l_dataview.getUint8( 0 );
            if( protoType != g_protoflag )
            {
                console.log( " error onmessage_probuff " );
                return
            }

            let protoMsgType =  l_dataview.getUint32( 1 );
            let _protoBuffBase: protoBuffBase<any> = protoBuffMgr.getMe().getProtoBaseByType( protoMsgType );
            if (_protoBuffBase) {
                let message = _protoBuffBase.buffToMessage(  new Uint8Array( l_dataview.buffer.slice(5))  );
                _protoBuffBase.callback( message );
            }
            else
            {
                console.log("error onmessage_probuff type:" + protoMsgType);
            }

            // let buffer = null;
            // buffer = evt.data.substr(1, evt.data.length - 1);
            //
            // let protoType: protoMessType = buffer[0];
            // let _protoBuffBase: protoBuffBase<any> = protoBuffMgr.getMe().getProtoBaseByType(protoType);
            // if (_protoBuffBase) {
            //     let message = _protoBuffBase.buffToMessage(buffer);
            //     _protoBuffBase.callback( message );
            // }
            // else
            // {
            //     console.log("error onmessage_probuff type:" + protoType);
            // }

        }

        update(t) {
            // for(let i = 0;i < this.m_classMap.size();++i)
            // {
            //     let data = this.m_classMap.getData(i);
            //    // data.l
            // }


        }

        loop_15s(dt) {
            if (this.m_isConnect == true) {
                let data = {};
                data["sysType"] = "0000";
                this.send(JSON.stringify(data));
            }
        }

        title() {
            return "baseWebSocketManager";
        }
    }
}
//# sourceMappingURL=baseWebSocketManager.js.map