var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/7/14.
 */
//   与c++ 交互的类
var game;
(function (game) {
    game.g_httpType = {
        type_codesortInfo: 1,
        type_WritePlayData: 2,
        type_ReadPlayData: 3,
        type_httpLoginThreePath: "1001",
        type_httpLogin: "login",
        type_httpZhuce: "zhuce",
        type_ping: "ping",
        type_httpConsumptionList: "list",
        type_httpConsumptionList_zuanshi: "list2"
    };
    var HttpBaseNative = (function () {
        function HttpBaseNative() {
            this.m_HttpBaseJs = null;
            this.m_is_send = false;
            this.m_time_chaoshi = 10;
            this.m_timer = null;
            this.m_CompletedCallBack = null;
            this.m_ErrorCallBack = null;
            this.init();
        }
        HttpBaseNative.prototype.init = function () {
            if (cc.sys.isNative) {
                this.m_HttpBaseJs = new cc.HttpBaseJs();
                this.m_HttpBaseJs.onHttpRequestCompleted = this.onHttpRequestCompleted.bind(this);
                this.m_HttpBaseJs.onError = this.onError;
            }
            else {
                this.m_HttpBaseJs = cc.loader.getXMLHttpRequest();
            }
        };
        HttpBaseNative.prototype.setErrorCallback = function (callback) {
            this.m_ErrorCallBack = callback;
        };
        HttpBaseNative.prototype.setCompletedCallback = function (callback) {
            this.m_CompletedCallBack = callback;
        };
        //isPost : 1 POST 模式 0 ：GET 模式
        HttpBaseNative.prototype.httpSendMsg = function (url, isPost, isshengjianserver) {
            if (isPost === void 0) { isPost = null; }
            if (isshengjianserver === void 0) { isshengjianserver = null; }
            if (cc.sys.isNative) {
                if (this.m_HttpBaseJs) {
                    if (isPost == null) {
                        isPost = 0;
                    }
                    if (isshengjianserver == null) {
                        isshengjianserver = 1;
                    }
                    this.m_HttpBaseJs.onSendMsg(url, isPost, isshengjianserver);
                }
                else {
                    this.onError();
                }
            }
            else {
                var ret = this.m_HttpBaseJs.open("GET", url, true);
                this.m_HttpBaseJs.onreadystatechange = this.httpCallBack.bind(this);
                ret = this.m_HttpBaseJs.send(null);
            }
        };
        HttpBaseNative.prototype.httpCallBack = function () {
            if (this.m_HttpBaseJs.readyState != 4) {
                return;
            }
            if (this.m_HttpBaseJs.readyState == 4 && (this.m_HttpBaseJs.status >= 200 && this.m_HttpBaseJs.status <= 207)) {
                var httpStatus = this.m_HttpBaseJs.statusText;
                this.onHttpRequestCompleted(this.m_HttpBaseJs.responseText);
            }
            else {
                this.onError();
                return;
            }
        };
        HttpBaseNative.prototype.onError = function () {
            this.m_is_send = false;
            if (this.m_ErrorCallBack) {
                this.m_ErrorCallBack;
            }
        };
        HttpBaseNative.prototype.onHttpRequestCompleted = function (data, Description) {
            this.m_is_send = false;
            if (this.m_CompletedCallBack) {
                this.m_CompletedCallBack(data);
            }
            // console.log(" HttpBaseNative onHttpRequestCompleted!!!!");
        };
        HttpBaseNative.create = function () {
            var l_ins = new HttpBaseNative();
            return l_ins;
        };
        return HttpBaseNative;
    }());
    game.HttpBaseNative = HttpBaseNative;
    var httpBase = (function (_super) {
        __extends(httpBase, _super);
        function httpBase() {
            _super.call(this);
            this.m_sendUrl = null;
            this.m_downloaderror = false;
            this.m_type = null;
        }
        httpBase.prototype.addWorld = function (key, val) {
            var data = null;
            data = "&" + key + "=" + val;
            this.m_sendUrl += data;
        };
        httpBase.prototype.shutdown = function () {
        };
        httpBase.prototype.onSendMsg = function (data, data1) {
        };
        httpBase.prototype.onError = function () {
            _super.prototype.onError.call(this);
        };
        httpBase.prototype.isError = function () {
            return this.m_downloaderror;
        };
        httpBase.prototype.loop = function (t) {
        };
        httpBase.prototype.generateSign = function (isBossID, isAccount, isGameID, propName, extend) {
            var game_PrivateKey = game.httpMgr.getMe().g_game_PrivateKey;
            var Source = "";
            var BossID = game.iapMgr.getMe().getplatformId();
            var Account = game.iapMgr.getMe().getaccount();
            var GameID = game.iapMgr.getMe().getGameId();
            if (isAccount) {
                Source += Account;
            }
            if (isBossID) {
                Source += BossID;
            }
            if (extend != null)
                Source += extend;
            if (isGameID) {
                Source += GameID;
            }
            if (propName != null)
                Source += propName;
            var MySign = Source + game_PrivateKey;
            console.log("签名前的字符串 ----------- " + MySign);
            MySign = game.js_GameLogicMgr.getMe().sign(MySign);
            console.log("签名后的字符串 +++++++++++ " + MySign);
            return MySign;
        };
        httpBase.prototype.onSendMsgEx = function (url, isBossID, isAccount, isGameID, propName, extend) {
            url = game.httpMgr.getMe().g_url_server_one + url + "?";
            var BossID = "&BossID=" + game.iapMgr.getMe().getplatformId();
            var Account = "&Account=" + game.iapMgr.getMe().getaccount();
            var GameID = "&GameID=" + game.iapMgr.getMe().getGameId();
            if (isAccount) {
                url += Account;
            }
            if (isBossID) {
                url += BossID;
            }
            if (extend != null) {
                url += "&Extend=" + extend;
            }
            if (isGameID) {
                url += GameID;
            }
            if (propName != null) {
                var s = game.js_GameLogicMgr.getMe().encode(propName);
                console.log("==================================== " + s);
                url += "&PropName=" + s;
            }
            var sign = "&sign=" + this.generateSign(isBossID, isAccount, isGameID, propName, extend);
            url += sign;
            url = url.replace("?&", "?");
            return url;
        };
        return httpBase;
    }(HttpBaseNative));
    game.httpBase = httpBase;
})(game || (game = {}));
//# sourceMappingURL=a_HttpBaseNative.js.map