/**
 * Created by xieli on 2016/10/20.
 */
//返回系统时间
var game;
(function (game) {
    var mainserver_getServerTime = (function () {
        function mainserver_getServerTime() {
            this.m_loopTime = 0;
            this.m_msgType = "serverTime";
            this.m_curTime = "2016-12-21-2-10-3";
            this.m_loop_getTime = 0;
            // game.rootScene.getMe().m_timingControl_0_016s.onLoop(this.loop.bind(this));
        }
        mainserver_getServerTime.prototype.getDate = function () {
            return this.stringToDate(this.m_curTime);
        };
        mainserver_getServerTime.prototype.timeToSeconds = function (str) {
            // 8:22
            var ss = str.split(":");
            var s = Number(ss[0]) * 60 + Number(ss[1]);
            s *= 60;
            return s;
        };
        mainserver_getServerTime.prototype.getDate_num = function () {
            var date = this.stringToDate(this.m_curTime);
            var s = date.getHours() + ":" + date.getMinutes();
            return this.timeToSeconds(s);
        };
        mainserver_getServerTime.prototype.stringToDate = function (str) {
            var strlist = str.split("_");
            var ret = new Date();
            ret.setFullYear(strlist[0], strlist[1], strlist[2]);
            if (strlist[3] != null) {
                ret.setHours(strlist[3], strlist[4], strlist[5], 0);
            }
            return ret;
        };
        mainserver_getServerTime.prototype.getMonths = function () {
            var ret = this.m_curTime.split("_");
            return ret[1];
        };
        mainserver_getServerTime.prototype.getyear = function () {
            var ret = this.m_curTime.split("_");
            return ret[0];
        };
        mainserver_getServerTime.prototype.getday = function () {
            var ret = this.m_curTime.split("_");
            return ret[2];
        };
        //是否周末
        mainserver_getServerTime.prototype.isWeekends = function () {
            var date = this.getDate();
            if (date.getDay() == 0 || date.getDay() == 6) {
                return true;
            }
            return false;
        };
        mainserver_getServerTime.prototype.send = function () {
            var data = {};
            data["msgType"] = this.m_msgType;
            if (game.mainServer_webSocketManager.getMe()) {
                game.mainServer_webSocketManager.getMe().send(JSON.stringify(data));
            }
        };
        mainserver_getServerTime.prototype.loop = function (t) {
            // 自动更新时间
            this.m_loop_getTime += t;
            if (this.m_loop_getTime > 1) {
                this.send();
                this.m_loop_getTime = 0;
            }
        };
        mainserver_getServerTime.prototype.callback = function (in_data) {
            var data = {};
            if (in_data["errormsg"] == "") {
                console.log(" getservertime ok ！ " + in_data["msg"]);
                this.m_curTime = in_data["msg"];
            }
            else {
                console.log(" error getservertime！: " + JSON.stringify(in_data));
            }
        };
        mainserver_getServerTime.g_insta = null;
        mainserver_getServerTime.getMe = function () {
            return game.mainserver_getServerTime.create();
        };
        mainserver_getServerTime.create = function () {
            if (game.mainserver_getServerTime.g_insta == null) {
                game.mainserver_getServerTime.g_insta = new game.mainserver_getServerTime();
                return game.mainserver_getServerTime.g_insta;
            }
            else {
                return game.mainserver_getServerTime.g_insta;
            }
        };
        return mainserver_getServerTime;
    }());
    game.mainserver_getServerTime = mainserver_getServerTime;
})(game || (game = {}));
//# sourceMappingURL=mainserver_getServerTime.js.map