var game;
(function (game) {
    var protoBuffBase = (function () {
        function protoBuffBase(path, _protoMessType) {
            this.m_message_create = null;
            this.m_protoPath = path;
            this.m_protoMessType = _protoMessType;
            {
            }
            var root = protobuf.loadSync(this.m_protoPath);
            this._loadCallback(null, root);
        }
        protoBuffBase.prototype.messageToBuff = function (messageData) {
            if (this.m_message_create == null)
                return null;
            var buffer = new Uint8Array(0);
            if (messageData != null) {
                var message = this.m_message_create.create(messageData); //赋值
                buffer = this.m_message_create.encode(message).finish();
            }
            var mem_buff = new ArrayBuffer(5 + buffer.length);
            var l_dataview = new DataView(mem_buff);
            l_dataview.setUint8(0, game.g_protoflag);
            l_dataview.setUint32(1, this.m_protoMessType);
            for (var i = 0; i < buffer.length; ++i) {
                l_dataview.setUint8(i + 5, buffer[i]);
            }
            var outbuff = new Uint8Array(mem_buff);
            return outbuff;
        };
        //
        // messageToBuffEx(messageData: T): any {
        //     if (this.m_message_create == null)
        //         return null;
        //
        //     let buffer: Uint8Array = new Uint8Array(0);
        //     if(messageData != null)
        //     {
        //         let message = this.m_message_create.create(messageData);//赋值
        //         buffer = this.m_message_create.encode(message).finish();
        //     }
        //
        //     return buffer;
        // }
        protoBuffBase.prototype.buffToMessage = function (buffer) {
            if (this.m_message_create == null)
                return null;
            //buffer = buffer.substr(1, buffer.length - 1);
            var message = this.m_message_create.decode(buffer);
            return message;
        };
        protoBuffBase.prototype.buffToMessageEx = function (buffer) {
            if (this.m_message_create == null)
                return null;
            var message = this.m_message_create.decode(new Uint8Array(buffer.buffer.slice(5)));
            return message;
        };
        protoBuffBase.prototype.sendMessage = function (message) {
            var buffer = this.messageToBuff(message);
            if (game.mainServer_webSocketManager.getMe()) {
                game.mainServer_webSocketManager.getMe().send_protoBuff(buffer);
            }
        };
        protoBuffBase.prototype.callback = function (message) {
        };
        protoBuffBase.prototype._loadCallback = function (err, root) {
            if (err)
                throw err;
            // Obtain a message type
            this.m_message_create = root.lookup("game.gameMessage");
        };
        protoBuffBase.getMe = function (protoBuffBase_class) {
            if (protoBuffBase_class.g_insta == null) {
                protoBuffBase_class.g_insta = new protoBuffBase_class();
                game.protoBuffMgr.getMe().addProtoBase(protoBuffBase_class.g_insta);
                return protoBuffBase_class.g_insta;
            }
            else {
                return protoBuffBase_class.g_insta;
            }
        };
        return protoBuffBase;
    }());
    game.protoBuffBase = protoBuffBase;
})(game || (game = {}));
//# sourceMappingURL=protoBuffBase.js.map