
module game {

    export class protoBuffBase<T> {
        m_message_create: any = null;
        m_protoPath: string;
        m_protoMessType: protoMessType;

        static getMe = function (protoBuffBase_class) {
            if (protoBuffBase_class.g_insta == null) {
                protoBuffBase_class.g_insta = new protoBuffBase_class();
                protoBuffMgr.getMe().addProtoBase(protoBuffBase_class.g_insta);
                return protoBuffBase_class.g_insta;
            }
            else {
                return protoBuffBase_class.g_insta;
            }
        };

        constructor(path: string, _protoMessType: protoMessType) {
            this.m_protoPath = path;
            this.m_protoMessType = _protoMessType;

            {
                // protobuf.load("xingjiezhuzhuxia2/src/dep/protobuff/" + this.m_protoPath, this._loadCallback.bind(this));
            }

            var root = protobuf.loadSync(this.m_protoPath);
            this._loadCallback(null, root);
        }


        messageToBuff(messageData: T): any {
            if (this.m_message_create == null)
                return null;

            let buffer: Uint8Array = new Uint8Array(0);
            if (messageData != null) {
                let message = this.m_message_create.create(messageData);//赋值
                buffer = this.m_message_create.encode(message).finish();
            }

            let mem_buff = new ArrayBuffer(5 + buffer.length);
            let l_dataview = new DataView(mem_buff);
            l_dataview.setUint8(0, g_protoflag);
            l_dataview.setUint32(1, this.m_protoMessType);
            for (let i = 0; i < buffer.length; ++i) {
                l_dataview.setUint8(i + 5, buffer[i]);
            }
            let outbuff = new Uint8Array(mem_buff);
            return outbuff;
        }

        //
        // messageToBuffEx(messageData: T): any {
        //     if (this.m_message_create == null)
        //         return null;
        //
        //     let buffer: Uint8Array = new Uint8Array(0);
        //     if(messageData != null)
        //     {
        //         let message = this.m_message_create.create(messageData);//赋值
        //         buffer = this.m_message_create.encode(message).finish();
        //     }
        //
        //     return buffer;
        // }


        buffToMessage(buffer: Uint8Array): T {
            if (this.m_message_create == null)
                return null;
            //buffer = buffer.substr(1, buffer.length - 1);
            var message = this.m_message_create.decode(buffer);
            return message;
        }

        buffToMessageEx(buffer: Uint8Array): T {
            if (this.m_message_create == null)
                return null;

            var message = this.m_message_create.decode(new Uint8Array(buffer.buffer.slice(5)));
            return message;
        }

        sendMessage(message) {
            var buffer = this.messageToBuff(message);
            if (mainServer_webSocketManager.getMe()) {
                mainServer_webSocketManager.getMe().send_protoBuff(buffer);
            }
        }

        callback(message: any) {

        }

        _loadCallback(err, root) {
            if (err)
                throw err;
            // Obtain a message type
            this.m_message_create = root.lookup("game.gameMessage");
        }

    }

}
