/**
 * Created by cy1234 on 2016/4/29.
 */
//
module game {
    export class iapBase {
        m_shangpingid: any = -100;
        m_id: any = -100;
        m_item: any = null;
        m_succCallback: MyCallback = null;
        m_failCallback: MyCallback = null;
        m_ispop:boolean = true;

        constructor(succCallback: MyCallback, failCallback: MyCallback = null,ispop?) {
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            this.m_ispop = ispop;
        }

        init(id, shangpingid) {
            this.m_shangpingid = shangpingid;
            this.m_id = id;
            this.m_item = fileMgr.getMe().getShopInfoItem_byid(this.m_id);
            if (this.m_item == null) {
                this.m_item = fileMgr.getMe().getShopInfoItem_byTVid(this.m_shangpingid);
            }
        }

        buy(id, shangpingid) {
            this.init(id, shangpingid);
            js_GameLogicMgr.getMe().buy(this.m_shangpingid);
        }

        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //dataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_playOnce("goumaichenggong.json", "play");
                    // uiMgr.getMe().show_ui_MessageBox2(true, " 购买成功！")
                    //uiMgr.getMe().show_ui_pay_queren(false);
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                fileMgr.getMe().savePlayInfo();
            }
            else {
                if (uiMgr.getMe()) {
                    ui_messageBox2.ShowOrHide(true, "   购买失败！");
                    //uiMgr.getMe().show_ui_pay_queren(false);
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class buyzuanshi extends iapBase {
        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                if (this.m_item != null) {
                    dataMgr.getMe().addDiamond(this.m_item.zuanshi);
                }
                if (this.m_succCallback) {
                    this.m_succCallback.execute();
                }
                this.m_succCallback = null;
                if (uiMgr.getMe() && this.m_ispop) {
                    uiMgr.getMe().show_ui_playOnce("goumaichenggong.json", "play");
                }
                fileMgr.getMe().savePlayInfo();
                httpConsumptionList_zuanshi.getMe().onSendMsg(this.m_item.price_rmb+g_differentPrices[g_version].money+"买"+this.m_item.zuanshi+"钻石");
            }
            else {
                if (uiMgr.getMe()) {
                    ui_messageBox2.ShowOrHide(true, "   购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class iapMgr {
        m_iapBase: any = null;
        m_item: any = null;
        m_succCallback: any = null;
        m_failCallback: any = null;
        m_TVId_login: any = null;

        static g_ins: iapMgr = null;
        static getMe = function () {
            return iapMgr.create();
        };
        static create = function () {
            if (iapMgr.g_ins == null) {
                iapMgr.g_ins = new iapMgr();
                return iapMgr.g_ins;
            }
            else {
                return iapMgr.g_ins;
            }
        };

        constructor() {
            console.log("init iapMgr ctor");
        }

        init() {
            this.m_TVId_login = new MapGame();
            //this.m_TVId_login.put("tvp103011001","tvp103011001");
            console.log("init m_TVId_login!!");
            if (!cc.sys.isNative) {
                return;
            }
        }

        buy(id, succCallback?: MyCallback, failCallback?: MyCallback,ispop?:boolean,isConfirm?) {
            this.m_item = fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            if (fileMgr.getMe().m_xiangsu_info.root.querenkuang == 1 && isConfirm) {
                uiMgr.getMe().show_ui_pay_queren(true, this.m_item.id);
            }
            else {
                this.buyEx(ispop);
            }
        }


        //在商城外的购买
        buy_other(id, succCallback: MyCallback, failCallback: MyCallback,ispop) {

            this.m_item = fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }


            this.buyEx(ispop);

        }

        buyEx(ispop) {
            if (this.m_item.type == "buyzuanshi") {
                this.m_iapBase = new buyzuanshi(this.m_succCallback,null,ispop);
            }
            else {
                console.error("error iapmgr buy : ");
                return;
            }
            this.m_iapBase.buy(this.m_item.id, this.m_item.tvid);
        }

        //不买了
        noBuy() {
            if (this.m_failCallback) {
                this.m_failCallback.execute();
            }
            this.m_failCallback = null;
        }

        buycallback(isok, shangpingid) {
            console.log("buycallback start: " + isok + ": " + shangpingid);
            if (iapMgr.getMe().m_iapBase == null) {
                //启动的时候
                iapMgr.getMe().m_TVId_login.put(shangpingid, shangpingid);
                console.log("buycallback 001: " + isok + ": " + shangpingid);
                return;
            }
            console.log("buycallback  002: " + isok + ": " + shangpingid);
            iapMgr.getMe().m_iapBase.buycallback(isok, shangpingid);
            iapMgr.getMe().m_iapBase = null;
        }

        loop(t) {
            if (this.m_TVId_login.getSize() > 0) {
                for (var i = 0; i < this.m_TVId_login.size(); ++i) {
                    var data = this.m_TVId_login.getData(i);
                    if (data == "tvp103022001"
                        || data == "tvp103022002"
                        || data == "tvp103022003") {
                        var iapBase = new buyzuanshi(null);
                        iapBase.init(data, data);
                        iapBase.buycallback(1, data);
                    }
                }
                this.m_TVId_login.clear();
            }
        }

        useDiamondsDefaultLibao(succCallback: MyCallback, failCallback?: MyCallback) {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(3, succCallback, failCallback,false);
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy_other(chongzhiid, succCallback, failCallback,false);
            }
        }

        getUseDiamondsDefaultLibao() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = fileMgr.getMe().getShopInfoItem_byid(3);
                return item.zuanshi;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.zuanshi;
            }
        }

        getDefaultDiamondsPrice() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = fileMgr.getMe().getShopInfoItem_byid(3);
                return item.price_rmb + g_differentPrices[g_version].money;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);

                return item.price_rmb + g_differentPrices[g_version].money;
            }
        }

        //获得当前渠道应许最高价格
        getMaxPrice() {
            if (!cc.sys.isNative) {
                return 3000;
            }
            return Number(js_GameLogicMgr.getMe().getData("iapMgr_getMaxPrice"));
        }

        //ott appid
        getGameId() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getGameId");
            }
            else {
                return "tvg103022";
            }
        }

        //ott 渠道id
        getplatformId() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getplatformId");
            }
            else {
                return "1006";
            }
        }

        //Ott 用户id
        getaccount() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
            }
            else {
                return "user101";
            }
        }
    }

}
//# sourceMappingURL=iapMgr.js.map