"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var skill_shanghai_s = (function () {
        function skill_shanghai_s() {
            this["level"] = 1;
            this["hitAct1"] = "shouji1";
            this["hitAct2"] = "shouji1_kongzhong";
            this["hitAct3"] = "shouji6";
            this["hitAct4"] = "shouji6_kongzhong";
            this["spineName"] = "jizhongtexiao";
            this["animationName"] = "jizhong1S";
            this["stunPoint"] = 10;
            this["damagePercent"] = 0.3;
            this["buffType"] = "";
        }
        return skill_shanghai_s;
    }());
    game.skill_shanghai_s = skill_shanghai_s;
    var skill_struct = (function () {
        function skill_struct() {
            this["skillIcon"] = "skskkk/";
            this["desName"] = "普通攻击";
            this["animation"] = "ptgongji_1";
            this["endAnimation"] = "ptgongji_1huifu";
            this["brokenLevel"] = 5;
            this["raiseLimitStunPoint"] = 2;
            this["chongzhuang"] = 0;
            this["xiaohao_nuqi"] = 0;
        }
        return skill_struct;
    }());
    game.skill_struct = skill_struct;
    var baseRole = (function (_super) {
        __extends(baseRole, _super);
        // m_update_0_3_func:Function = null;
        function baseRole() {
            _super.call(this);
            this.m_name = "";
            this.m_res = "";
            this.m_SpineNode = null;
            this.m_curHp = 0;
            this.m_curAnimation = "daiji";
            this.m_roledir = -1;
            this.m_defaultZ = 0;
            this.m_curSkillInfo = null;
            this.m_curSkillName = null;
            this.m_buffControl = null;
            this.m_actionPauseCounter = 0;
            this.m_ground = cc.p(0, 0);
            this.m_beHitActName = "shouji1";
            this.m_shanghaiMap = null;
            this.m_spineLineControl = null;
            this.m_EventEmitter = null;
            this.m_wudi_time = 0;
            this.m_isControlRole = false;
            this.m_shaderFlash = null;
            this.m_SpriteShadow = null;
            this.shutdown_flag = false;
            this.m_xuetiao = null;
            this.m_firstresetPosition = false;
            this.m_playStateControl_Parallel = null;
            this.m_playCdControl = null;
            this.m_baseRole_js = null;
            this.m_buffControl = new game.buffControl(this);
            this.m_shanghaiMap = new game.MapGame();
            this.m_EventEmitter = new game.EventEmitter();
            this.getNode().setName("baseRole类");
            //  this.m_update_0_3_func = this.update_0_3.bind(this);
            // rootScene.getMe().m_timingControl_03s.onLoop(this.m_update_0_3_func );
        }
        baseRole.prototype.shutdown = function () {
            if (this.m_baseRole_js) {
                this.m_baseRole_js.retain();
            }
            if (this.shutdown_flag == true) {
                return;
            }
            this.shutdown_flag = true;
            this.m_EventEmitter.emit("exit");
            if (this.m_spineLineControl) {
                this.m_spineLineControl.shutdown();
                this.m_spineLineControl = null;
            }
            if (this.m_buffControl)
                this.m_buffControl.shutdown();
            if (this.m_SpriteShadow) {
                game.roleMgr.getMe().removeChild(this.m_SpriteShadow);
                this.m_SpriteShadow = null;
            }
            if (this.m_SpineNode) {
                this.removeChild(this.m_SpineNode.getNode());
                this.m_SpineNode = null;
            }
            console.log("卸载资源" + this.m_res);
        };
        baseRole.prototype.getState = function (aitype) {
            return null;
        };
        baseRole.prototype.getRunState = function () {
            return this.getState(game.e_AiType.g_AiType_run);
        };
        baseRole.prototype.setxunyun = function (flag) {
        };
        //脚底阴影
        baseRole.prototype.createShadow = function () {
            if (ccs._parser.g_isLowCpu == true)
                return;
            if (this.m_SpriteShadow)
                return;
            this.m_SpriteShadow = new cc.Sprite("xingjiezhuzhuxia2/big/spine/yingzi.png");
            this.m_SpriteShadow.setAnchorPoint(0.5, 0.5);
            this.m_SpriteShadow.setPosition(cc.p(0, 0));
            game.roleMgr.getMe().addChild(this.m_SpriteShadow, this.getLocalZOrder() - 100);
        };
        baseRole.prototype.updateShadow = function (t) {
            try {
                if (this.m_SpriteShadow) {
                    if (this.isdead() && this.m_SpriteShadow.isVisible()) {
                        this.m_SpriteShadow.setVisible(false);
                        if (this.m_xuetiao) {
                            this.m_xuetiao.setVisible(false);
                        }
                    }
                    else {
                        this.m_SpriteShadow.setPosition(cc.p(this.getPosition().x, this.m_ground.y));
                    }
                }
            }
            catch (e) {
            }
        };
        baseRole.prototype.setRunDir = function (dir) {
            var run = this.getState(game.e_AiType.g_AiType_run);
            run.setRunDir(dir);
        };
        // 设置骨骼动画速率
        baseRole.prototype.setSpeed = function (per) {
            try {
                this.m_SpineNode.setTimeScale(per);
            }
            catch (e) {
                console.log(e.stack);
            }
        };
        baseRole.prototype.getPlayCdControl = function () {
            return this.m_playCdControl;
        };
        baseRole.prototype.getTimeScale = function () {
            return this.m_SpineNode.getTimeScale();
        };
        //返回暴击概率
        baseRole.prototype.getBaojiPer = function (role) {
            return 50;
        };
        // 重置初始速率
        baseRole.prototype.resetSpeed = function () {
            this.m_SpineNode.setTimeScale(1);
        };
        // 无敌状态
        // 玩家被大受击之后，着陆动画、起身动画时无敌，另外起身后短时间无敌。大概0.5秒
        baseRole.prototype.isWudi = function () {
            if (this.getCurStateType() == game.e_AiType.g_AiType_fallDown) {
                return true;
            }
            if (this.getCurStateType() == game.e_AiType.g_AiType_beiji_qishen) {
                return true;
            }
            if (this.m_wudi_time > 0) {
                return true;
            }
            return false;
        };
        baseRole.prototype.loop_wudi = function (t) {
            if (this.m_wudi_time < 0)
                return;
            this.m_wudi_time -= t;
        };
        baseRole.prototype.isPlay = function () {
            return this.m_SpineNode.isPlay();
        };
        //是否战斗状态
        baseRole.prototype.isFight = function () {
            return false;
        };
        baseRole.prototype.isStateEnd = function () {
            return this.getCurStateInfo().m_isEnd;
        };
        //是否是按键不能操作的状态
        baseRole.prototype.isNotOperation = function () {
            if (this.isSkyState()) {
                return true;
            }
            switch (this.getCurStateType()) {
                //case e_AiType.g_AiType_beiji:
                //    return true;
                //    break;
                case game.e_AiType.g_AiType_beiji_tiaoqi:
                    return true;
                case game.e_AiType.g_AiType_beiji_qishen:
                    return true;
                case game.e_AiType.g_AiType_fallDown:
                    return true;
                case game.e_AiType.g_AiType_Dead:
                    return true;
                case game.e_AiType.g_AiType_dead_zhuolu:
                    return true;
            }
            return false;
        };
        //掉落状态
        baseRole.prototype.isFallDown = function () {
            if (this.getCurStateType() == game.e_AiType.g_AiType_fallDown) {
                return true;
            }
            return false;
        };
        //被击状态
        baseRole.prototype.isBeiji = function () {
            switch (this.getCurStateType()) {
                case game.e_AiType.g_AiType_beiji:
                    return true;
                case game.e_AiType.g_AiType_beiji_tiaoqi:
                    return true;
                case game.e_AiType.g_AiType_beiji_qishen:
                    return true;
            }
            return false;
        };
        //是否在蓄力状态
        baseRole.prototype.isXuli = function () {
            return false;
        };
        baseRole.prototype.isdead = function () {
            return false;
        };
        //死亡处理 是否可以
        baseRole.prototype.isdealdead = function () {
            if (this.isSkyState()) {
                return false;
            }
            if (this.getcurhp() <= 0) {
                return true;
            }
            return false;
        };
        baseRole.prototype.getSkillInfo = function (name) {
            return null;
        };
        baseRole.prototype.getRoleName = function () {
            return this.m_name;
        };
        baseRole.prototype.fuhuo = function () {
            // parMgr.getMe().createListAnimation_playOnce("xingjiezhuzhuxia2/big/pre/chusheng.plist", this, cc.p(0, 0));
            this.setHp(this.getmaxhp());
            this.changeState_Ex(game.e_AiType.g_AiType_Idle);
        };
        baseRole.prototype.getCurStateInfo = function () {
            return null;
        };
        // 返回类型 GameMap
        baseRole.prototype.getenemy = function () {
            if (this.getType() == game.g_ObjType.play || this.getType() == game.g_ObjType.follower) {
                return game.roleMgr.getMe().getMonsterAlive();
            }
            else {
                return game.roleMgr.getMe().getPlayerAlive();
            }
        };
        baseRole.prototype.HitPause = function (float) {
            this.m_actionPauseCounter += float;
            this.setSpeed(0);
            //PublicTimer.getMe().delayInvoke(this.resetSpeed, float,this);
        };
        //返回队友 活着的
        baseRole.prototype.getTeam = function () {
            return null;
        };
        //返回队友 死了的
        baseRole.prototype.getTeam_dead = function () {
            return null;
        };
        baseRole.prototype.getName = function () {
            return this.m_name;
        };
        baseRole.prototype.getDistance = function (pos) {
            return cc.pDistance(this.getPosition(), pos);
        };
        baseRole.prototype.getDisX = function (pos) {
            var ret = cc.Vec2.sub(this.getPosition(), pos);
            return Math.abs(ret.x);
        };
        baseRole.prototype.getDis = function (pos) {
            var ret = cc.pSub(this.getPosition(), pos);
            return cc.p(Math.abs(ret.x), Math.abs(ret.y));
        };
        baseRole.prototype.setLocalZOrder = function (z) {
            this.m_defaultZ = z;
            _super.prototype.setLocalZOrder.call(this, z);
        };
        baseRole.prototype.getShoujidianBoneWroldPosition = function () {
            return this.getBoneWroldPosition("shoujidian");
        };
        baseRole.prototype.getshoujizudang = function () {
            return this.m_SpineNode.getBoundingBoxBySlotName("shoujizudang");
        };
        baseRole.prototype.getPhyRect = function () {
            return this.getshoujizudang();
        };
        baseRole.prototype.getShenti_w = function () {
            return this.m_SpineNode.getBoundingBoxBySlotName("shoujizudang").width;
        };
        baseRole.prototype.getShenti_h = function () {
            return this.m_SpineNode.getBoundingBoxBySlotName("shoujizudang").height;
        };
        baseRole.prototype.getHeadBoneWroldPosition = function () {
            return this.getBoneWroldPosition("head");
        };
        baseRole.prototype.hasBone = function (bonename) {
            var pspBone = this.m_SpineNode.findBone(bonename);
            if (pspBone) {
                return true;
            }
            return true;
        };
        baseRole.prototype.getBoneWroldPosition = function (bonename) {
            var pspBone = this.m_SpineNode.getBoneWorldPos_Root(bonename);
            if (pspBone) {
                var buff = cc.p(pspBone.x * this.m_SpineNode.getScaleX(), pspBone.y * this.m_SpineNode.getScaleY());
                var buff1 = this.getPosition();
                return cc.pAdd(buff, buff1);
            }
            else {
                // uiMgr.getMe().show_ui_MessageBox(true, "error SkeletonAnimation_Ex::getBoneWorldPos   " + this.m_name + "没有这个骨骼 ：" + bonename);
                //cc.message("SkeletonAnimation_Ex::getBoneWorldPos", bonename.c_str() );
                //  console.( "error SkeletonAnimation_Ex::getBoneWorldPos   " + this.m_name + "没有这个骨骼 ：" + bonename);
                //  return this.m_SpineNode.getPosition();
                return null;
            }
            // return cc.p(0, 0);
        };
        //骨骼移动相对偏移位置
        baseRole.prototype.getBone_RelativePos = function (bonename) {
            var pspBone = this.m_SpineNode.findBone(bonename);
            if (pspBone) {
                var data = cc.p(pspBone.worldX * this.m_SpineNode.getScaleX(), pspBone.worldY * this.m_SpineNode.getScaleY());
                //data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }
            else {
                console.error("error SkeletonAnimation_Ex::getBone_RelativePos  没有这个骨骼 ： %s", bonename);
            }
            return cc.p(0, 0);
        };
        baseRole.prototype.zanting = function (flag) {
            if (flag) {
                if (this.m_SpineNode) {
                    this.m_SpineNode.pause();
                }
            }
            else {
                if (this.m_SpineNode) {
                    this.m_SpineNode.resume();
                }
            }
            if (this.m_spineLineControl) {
                this.m_spineLineControl.zanting(flag);
            }
        };
        //受到伤害的数值处理
        baseRole.prototype.dealDamage = function (affector, affectSkill) {
            var a = game.proforFunc.create();
            //攻击力公式：角色攻击力*技能倍率
            if (!affectSkill) {
                console.log("");
            }
            var attackPoint = affectSkill.damagePercent * affector.getOutAtt(this);
            this.dealDamage_val(affector, attackPoint);
            a.end("dealDamage");
        };
        baseRole.prototype.dealDamage_val = function (affector, attackPoint) {
        };
        baseRole.prototype.updateShanghaiMap = function (affectorId, attackPoint) {
            if (this.m_shanghaiMap.hasData(affectorId)) {
                var oldattackPoint = this.m_shanghaiMap.getDataByKey(affectorId);
                this.m_shanghaiMap.put(affectorId, oldattackPoint + attackPoint);
            }
            else {
                this.m_shanghaiMap.put(affectorId, attackPoint);
            }
        };
        baseRole.prototype.getShanghaiMap = function () {
            return this.m_shanghaiMap;
        };
        //天空中
        baseRole.prototype.isSkyState = function () {
            if (game.e_AiType.g_AiType_beiji_tiaoqi == this.getCurStateType()) {
                return true;
            }
            var curpos = this.getBoneWroldPosition("root_2");
            if (curpos == null) {
                curpos = this.getPosition();
            }
            if (curpos.y - this.m_ground.y > 50) {
                return true;
            }
            return false;
        };
        //怪物后退被击
        baseRole.prototype.onMonsterBackBeiji = function (roleObj) {
        };
        baseRole.prototype.changeState = function (type, roleObj) {
            if (roleObj === void 0) { roleObj = null; }
        };
        baseRole.prototype.changeState_Ex = function (type) {
        };
        //死亡受击处理
        baseRole.prototype.dealDamageAction_dead = function (damageInfo, roleObj) {
            if (this.isdealdead() == true) {
                this.m_beHitActName = damageInfo.hitAct3;
                this.changeState(game.e_AiType.g_AiType_beiji_tiaoqi, roleObj);
                return true;
            }
            return false;
        };
        //是否小被击 0 无被击 1： 小 2： 大
        baseRole.prototype.isSmallHit = function () {
            if (this.getCurStateType() == game.e_AiType.g_AiType_beiji_qishen)
                return 2;
            if (this.isBeiji()) {
                if (this.m_curAnimation == "shouji0") {
                    return 1;
                }
                else if (this.m_curAnimation == "shouji1") {
                    return 1;
                }
                else if (this.m_curAnimation == "shouji2") {
                    return 1;
                }
                else if (this.m_curAnimation == "shouji3") {
                    return 1;
                }
                else if (this.m_curAnimation == "shouji4") {
                    return 1;
                }
                return 2;
            }
            return 0;
        };
        baseRole.prototype.getDamageActionAnimation = function (damageInfo, roleObj) {
            var retobj = {};
            retobj._hitType = "";
            //基础硬值
            var basestun = this.getBaseAntiStun();
            //计算硬直  基础硬值 + 技能硬值
            retobj.rolestun = this.getAntiStun();
            var stun = retobj.rolestun * 1.5; // 大于%50 重击
            //先设置播放哪种被击动画
            var hit1 = null;
            var hit2 = null;
            var bsky = this.isSkyState();
            if (bsky == true) {
                hit1 = "hitAct2";
                hit2 = "hitAct4";
            }
            else {
                hit1 = "hitAct1";
                hit2 = "hitAct3";
            }
            var bigHit = damageInfo.stunPoint >= stun;
            if (bigHit) {
                retobj._hitType = hit2;
            }
            else {
                retobj._hitType = hit1;
                if (damageInfo.stunPoint >= basestun * 1.5) {
                    retobj._hitType = hit2;
                }
                else {
                    retobj._hitType = hit1;
                }
            }
            //倒在地面能被击
            if (this.m_curAnimation.indexOf("zhuolu") > -1) {
                retobj._hitType = hit2;
            }
            //索引名称处理
            var actName = damageInfo[retobj._hitType];
            retobj._isRoute = false;
            if (actName.indexOf("_luxian") > -1) {
                actName = actName.replace(/_luxian/, "");
                retobj._isRoute = true;
            }
            this.m_beHitActName = actName;
            if (actName == "shouji6" || actName == "shouji7") {
                retobj._isRoute = true;
            }
            return retobj;
        };
        //受到伤害的动作处理
        baseRole.prototype.dealDamageAction = function (damageInfo, roleObj) {
            var retobj = this.getDamageActionAnimation(damageInfo, roleObj);
            if (retobj.rolestun >= damageInfo.stunPoint) {
                //被击后动作切换
                if (this.dealDamageAction_dead(damageInfo, roleObj) == true) {
                    return;
                }
                if (this.m_curAnimation.indexOf("zhuolu") > -1) {
                    return;
                }
                if (this.isSkyState()) {
                    return;
                }
                this.onMonsterBackBeiji(roleObj);
                return;
            }
            if (retobj._hitType == "hitAct2" || retobj._hitType == "hitAct4" || retobj._isRoute) {
                this.changeState(game.e_AiType.g_AiType_beiji_tiaoqi, roleObj);
            }
            else {
                //被击后动作切换
                if (this.dealDamageAction_dead(damageInfo, roleObj) == true) {
                    return;
                }
                if (this.isSmallHit() == 2) {
                    return;
                }
                this.changeState(game.e_AiType.g_AiType_beiji, roleObj);
            }
        };
        //受到伤害的特效处理
        baseRole.prototype.dealDamageEffect = function (effectSpineName, effectAnimationName) {
            // let _proforFunc = proforFunc.create();
            if (effectSpineName == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "子弹表中的hit【shanghai】下没有 spineName");
                return;
            }
            if (effectSpineName == "") {
                game.uiMgr.getMe().show_ui_MessageBox(true, "子弹表中的hit【shanghai】下没有 spineName");
                return;
            }
            //this.playPlistAnimation_Once(plistEffect);
            // if(  ccs._parser.g_isLowCpu == false )
            {
                var ret = game.spineMgr.getMe().createSpineOncePlay(effectSpineName, effectAnimationName, game.roleMgr.getMe().getNode(), cc.p(0, 100), this.getLocalZOrder() + 23);
                if (ret) {
                    var pos = this.getBoneWroldPosition("shoujidian");
                    ret.m_SpineNode.setPosition(pos);
                }
            }
            // _proforFunc.end("dealDamageEffect");
        };
        //被 affectorSkill 击中
        baseRole.prototype.OnHit = function (affector, damageInfo) {
            var a = game.proforFunc.create();
            if (this.isWudi() == true) {
                return;
            }
            if (affector != null) {
                //处理buff
                // this.dealBuff(affector, damageInfo);
                this.m_buffControl.createBuff(affector.getName(), damageInfo);
                //掉血数值计算
                this.dealDamage(affector, damageInfo);
                //特效计算
                this.dealDamageEffect(damageInfo.spineName, damageInfo.animationName);
                //处理被击状态
                this.dealDamageAction(damageInfo, affector);
                this.startBloom();
            }
            a.end("baserole_OnHit");
        };
        baseRole.prototype.OnBulletHit = function (affector, damageInfo, nodeObj) {
            if (this.isWudi() == true) {
                return;
            }
            if (affector != null) {
                // this.dealBuff(affector, damageInfo); //加buff
                this.m_buffControl.createBuff(affector.getName(), damageInfo);
                //掉血数值计算
                this.dealDamage(affector, damageInfo);
                //特效计算
                this.dealDamageEffect(damageInfo.spineName, damageInfo.animationName);
                //处理被击状态
                this.dealDamageAction(damageInfo, nodeObj);
                //处理buff
                this.startBloom();
            }
        };
        baseRole.prototype.fuhuoRole = function () {
            this.setHp(this.getmaxhp());
            this.changeState_Ex(game.e_AiType.g_AiType_Idle);
            game.spineMgr.getMe().createSpineOncePlay("chushengtexiao", "play", game.roleMgr.getMe().getNode(), this.getPosition(), 1);
        };
        baseRole.prototype.create_baseRole_js = function () {
            if (cc.sys.isNative) {
                if (this.m_baseRole_js)
                    return;
                this.m_baseRole_js = new cc.baseRole_jsb();
                this.m_baseRole_js.retain();
                this.m_baseRole_js.initEx(this.getNode(), this.m_SpineNode.getNode());
            }
        };
        baseRole.prototype.loadres = function (res) {
            this.m_res = res;
            this.createShadow();
            this.m_SpineNode = game.spineMgr.getMe().loadSpine(res, this.getNode(), 4);
            this.create_baseRole_js();
            this.m_shaderFlash = new game.shaderFlash(this.m_SpineNode);
            this.setRoleDir(this.m_roledir);
            this.playAnimation("daiji");
            this.m_SpineNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_SpineNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_SpineNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
            }.bind(this));
            this.m_SpineNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind(this));
            if (game.rootScene.getMe().iszanting() == true) {
                this.zanting(true);
            }
            return true;
        };
        baseRole.prototype.onFrameEvent = function (type, event) {
            if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    game.musicMgr.getMe().playeffect(event.data.name);
                }
            }
        };
        //朝向 dir:1 左边  dir:0 右边
        baseRole.prototype.setRoleDir = function (dir) {
            this.m_roledir = dir;
            var nowScale = this.m_SpineNode.getScale();
            if (nowScale < 0) {
                nowScale = -nowScale;
            }
            this.m_SpineNode.setScaleX(nowScale * dir);
        };
        //控制角色方向
        baseRole.prototype.setDir = function (dir) {
            if (dir > 0) {
                this.setRoleDir(1);
            }
            else if (dir < 0) {
                this.setRoleDir(-1);
            }
        };
        baseRole.prototype.getDir = function () {
            return this.m_roledir;
        };
        baseRole.prototype.getmaxhp = function () {
            return 1;
        };
        baseRole.prototype.setHp = function (val) {
            this.m_curHp = val;
            if (this.m_xuetiao)
                this.m_xuetiao.setHpPer(this.getcurhp() / this.getmaxhp() * 100);
        };
        baseRole.prototype.removeHp = function (val) {
        };
        baseRole.prototype.addHp = function (val, _notEffect) {
            if (_notEffect === void 0) { _notEffect = null; }
        };
        baseRole.prototype.getcurhp = function () {
            return this.m_curHp;
        };
        baseRole.prototype.gethpPer = function () {
            return (this.getcurhp() / this.getmaxhp()) * 100;
        };
        baseRole.prototype.getOutAttNoBuff = function () {
            return 1;
        };
        baseRole.prototype.getOutAtt = function (role) {
            return 1;
        };
        baseRole.prototype.getAntiStun = function () {
            return 1;
        };
        baseRole.prototype.getBaseAntiStun = function () {
            return 1;
        };
        baseRole.prototype.getOutSpeed = function () {
            return 0;
        };
        baseRole.prototype.setRolePosition = function (x, y) {
            this.m_SpineNode.setPosition(cc.p(x, y));
        };
        baseRole.prototype.getCurStateType = function () {
            return game.e_AiType.g_AiType_Dead;
        };
        //0.3调用一次
        baseRole.prototype.update_0_3 = function (dt) {
        };
        baseRole.prototype.update = function (dt) {
            this.loop_wudi(dt);
            this.loopShader(dt);
            this.loopShader_wudi_shanshuo(dt);
            this.updateShadow(dt);
            this.update_ZOrder();
            if (this.m_buffControl) {
                this.m_buffControl.update(dt);
            }
            //攻击时的暂停处理
            if (this.m_actionPauseCounter > 0) {
                if (this.m_SpineNode.getTimeScale() > 0) {
                    this.m_SpineNode.setTimeScale(0);
                }
                this.m_actionPauseCounter -= dt;
                if (this.m_actionPauseCounter <= 0) {
                    this.m_actionPauseCounter = 0;
                    this.resetSpeed();
                }
            }
        };
        baseRole.prototype.playAnimation = function (name, loop, mix, mintime, b_setToSetupPose) {
            if (loop === void 0) { loop = null; }
            if (mix === void 0) { mix = null; }
            if (mintime === void 0) { mintime = null; }
            if (b_setToSetupPose === void 0) { b_setToSetupPose = null; }
            if (name == null) {
                console.log("playAnimation 不能为空！" + name);
                return;
            }
            if (loop == null) {
                loop = true;
            }
            if (mix == null) {
                mix = false;
                mintime = 0;
            }
            if (b_setToSetupPose == null) {
                b_setToSetupPose = true;
            }
            // if (this.getType() == g_ObjType.follower) {
            //     console.log("playAnimation:" + name);
            // }
            var data = game.g_AnimationMix[name];
            if (data != null) {
                var curAnimationMixName = data[this.m_curAnimation];
                if (curAnimationMixName != null) {
                    this.m_SpineNode.setMix(this.m_curAnimation, name, curAnimationMixName["mixtime"]);
                    this.m_SpineNode.setMix(name, this.m_curAnimation, curAnimationMixName["mixtime"]);
                }
                if (data["isReset"] != null) {
                    b_setToSetupPose = data["isReset"];
                }
            }
            if (mix) {
                this.m_SpineNode.setMix(this.m_curAnimation, name, mintime);
                this.m_SpineNode.setMix(name, this.m_curAnimation, mintime);
            }
            //this.m_SpineNode.setMix(this.m_curAnimation, name, 0.1);
            //this.m_SpineNode.setMix(name, this.m_curAnimation, 0.1);
            this.m_curAnimation = name;
            if (b_setToSetupPose) {
                this.m_SpineNode.setToSetupPose();
            }
            var ret = null;
            //this.m_SpineNode.clearTracks();
            ret = this.m_SpineNode.setAnimation(0, name, loop);
            //if (this.m_oldAnimation) {
            //    this.m_SpineNode.clearTracks();
            //    ret = this.m_SpineNode.setAnimation(0, name, loop);
            //}
            //else {
            //    ret = this.m_SpineNode.setAnimation(0, name, loop);
            //}
            if (ret == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "没有动画" + name + "怪物" + this.getRoleName());
            }
        };
        //在身体上播放一个序列帧动画
        // playPlistAnimation (name, loop) {
        //     if (loop == null) {
        //         loop = false;
        //     }
        //     parMgr.getMe().initListAnimation(name, loop);
        //}
        // //在身体上播放一个序列帧动画
        // playPlistAnimation_Once (name) {
        //     if (name == null) {
        //         return;
        //     }
        //     if (name == "") {
        //         return;
        //     }
        //
        //     let pSprite_Once = new Sprite_Once();
        //     pSprite_Once.initEx(roleMgr.getMe(), name, this.getHeadHpPosition());
        //}
        //
        //
        baseRole.prototype.playBuffSpineAnimation_Once = function (spineName, animation) {
            var shoujidianpos = this.getBoneWroldPosition("shoujidian");
            var pos = this.getPosition();
            var pSpine_Once = game.spineMgr.getMe().createSpineOncePlay(spineName, animation, this.getNode(), cc.pSub(shoujidianpos, pos), 1000);
            pSpine_Once.m_SpineNode.setScale(game.g_buff_config["public"][0].scale);
        };
        baseRole.prototype.playBuffSpineAnimation_Once_foot = function (spineName, animation) {
            var shoujidianpos = this.getBoneWroldPosition("root");
            var pos = this.getPosition();
            var pSpine_Once = game.spineMgr.getMe().createSpineOncePlay(spineName, animation, this.getNode(), cc.pSub(shoujidianpos, pos), 1000);
            pSpine_Once.m_SpineNode.setScale(game.g_buff_config["public"][0].scale);
        };
        baseRole.prototype.playBuffSpineAnimation_loop = function () {
        };
        //开始shader
        baseRole.prototype.startBloom = function () {
            var _proforFunc = game.proforFunc.create();
            // if(ccs._parser.g_isLowCpu == true )
            //     return;
            this.m_shaderFlash.startBloom();
            _proforFunc.end("startBloom");
        };
        baseRole.prototype.loopShader = function (t) {
            this.m_shaderFlash.loopShader(t);
        };
        //结束shader
        baseRole.prototype.endBloom = function () {
            this.m_shaderFlash.endBloom();
        };
        //开始shader 闪烁
        baseRole.prototype.loopShader_wudi_shanshuo = function (t) {
            // if(ccs._parser.g_isLowCpu == true ){
            //     return;
            // }
            this.m_shaderFlash.loopShader_shanshuo(t, this.isWudi());
        };
        baseRole.prototype.createXueTiao = function (pos, per, name) {
            this.m_xuetiao = game.ui_xuetiao.create(name);
            this.m_SpineNode.addChild(this.m_xuetiao.getNode());
            this.m_xuetiao.setPosition(pos);
            this.m_xuetiao.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_xuetiao.setHpPer(per);
        };
        //控制骨骼移动
        // 设置是否停止移动跟root 骨骼  0 停止移动 1 : 移动
        baseRole.prototype.startResetPosition = function () {
            if (cc.sys.isNative) {
                this.m_baseRole_js.startResetPosition();
            }
            this.m_SpineNode.startPlayAnimation();
            this.m_SpineNode.m_StartPos_anmimation = this.getPosition();
            this.m_firstresetPosition = true;
        };
        baseRole.prototype.stopMoveRootBone = function (flag) {
            if (cc.sys.isNative) {
                if (!this.m_SpineNode) {
                    return;
                }
                //console.log("stopMoveRootBone 01" + flag);
                this.m_SpineNode.SetBoneData("root", flag);
            }
            else {
                if (!this.m_SpineNode) {
                    return;
                }
                var pspBone = this.m_SpineNode.findBone("root");
                if (!pspBone) {
                    return;
                }
                pspBone.isMoveX = flag;
            }
        };
        //重置root 节点 到世界坐标  islerp(精确碰撞)
        baseRole.prototype.resetPosition = function (t, ischongzhuang) {
            //  return;
            if (ischongzhuang === void 0) { ischongzhuang = null; }
            if (this.m_firstresetPosition == true) {
                this.m_firstresetPosition = false;
                return true;
            }
            if (cc.sys.isNative) {
                return this.m_baseRole_js.resetPosition();
            }
            else {
                //判断方向
                var l_resetPos = cc.pAdd(this.m_SpineNode.UndataRootBoneWorldPos(), this.getPosition());
                var cameraMgrrect = game.cameraMgr.getMe().getRect();
                if (cc.rectContainsPoint(cameraMgrrect, l_resetPos)) {
                    this.setPositionEx(l_resetPos);
                    return l_resetPos;
                }
                else {
                    var endpoint = cameraMgrrect.x + cameraMgrrect.width;
                    var dis_l = game.funcMgr.getMe().float_dis(l_resetPos.x, cameraMgrrect.x);
                    var dis_r = game.funcMgr.getMe().float_dis(l_resetPos.x, endpoint);
                    if (dis_l < dis_r) {
                        l_resetPos.x = cameraMgrrect.x;
                    }
                    else {
                        l_resetPos.x = cameraMgrrect.x + cameraMgrrect.width;
                    }
                    this.setPositionEx(l_resetPos);
                }
                return l_resetPos;
            }
        };
        //特别处理冲撞技能
        //144 角色在屏幕边缘释放位移技能的时候，正方向被墙壁挡住不往前走没错，反方向对着空气也不能往前走。
        baseRole.prototype.resetPositionEx = function (_resetPos) {
            this.m_SpineNode.m_StartPos_anmimation.x = this.m_SpineNode.m_StartPos_anmimation.x + (this.m_SpineNode.m_StartPos_anmimation.x - _resetPos.x) / 3;
            return _resetPos;
        };
        baseRole.prototype.getRootPosition = function () {
            return this.m_SpineNode.getBoneWorldPos("root");
        };
        baseRole.prototype.dealDamageNumberPosition = function () {
            return this.getPosition();
        };
        baseRole.prototype.setPositionEx = function (position) {
            var pos_old = this.getPosition();
            var dis = cc.pDistance(pos_old, position);
            if (dis > 100) {
                this.setPosition(position);
            }
            this.setPosition(position);
            return true;
        };
        //与身体碰撞
        baseRole.prototype.dealPhyWithRect = function (rect) {
            var rectme_qugan = this.m_SpineNode.getBoundingBoxBySlotName("shoujizudang");
            if (rectme_qugan.width <= 0.1) {
                return 0;
            }
            if (cc.rectIntersectsRect(rectme_qugan, rect)) {
                return 1;
            }
            return 0;
        };
        //碰撞处理
        baseRole.prototype.dealPhy = function (baseRole_enemy, colliderIndex) {
            var rect = this.m_SpineNode.getBoundingBoxBySlotName(colliderIndex);
            if (rect.width <= 0.1) {
                return 0;
            }
            if (rect.height <= 0.1) {
                return 0;
            }
            var rectme_qugan = baseRole_enemy.m_SpineNode.getBoundingBoxBySlotName("shoujizudang");
            if (cc.rectIntersectsRect(rectme_qugan, rect)) {
                //g_logger("碰撞体：" + colliderIndex + "碰撞了" + baseRole_enemy.getRoleName() + "！！！！");
                return 1;
            }
            return 0;
        };
        baseRole.prototype.roleDeathEvent = function () {
        };
        baseRole.prototype.isRun = function () {
            switch (this.getCurStateType()) {
                case game.e_AiType.g_AiType_run:
                    return true;
                case game.e_AiType.g_AiType_shache:
                    return true;
            }
            return false;
        };
        baseRole.prototype.isIdle = function () {
            switch (this.getCurStateType()) {
                case game.e_AiType.g_AiType_Idle:
                    return true;
            }
            return false;
        };
        baseRole.prototype.setControlRole = function (flag) {
            this.m_isControlRole = flag;
            if (flag)
                game.cameraMgr.getMe().reset(this);
        };
        baseRole.prototype.isControlRole = function () {
            return this.m_isControlRole;
        };
        baseRole.prototype.setPosition = function (pos) {
            _super.prototype.setPosition.call(this, pos);
        };
        //只有改变了位置才需要调用
        baseRole.prototype.update_ZOrder = function () {
            this.setLocalZOrder(2000 - this.getPositionY());
        };
        return baseRole;
    }(game.baseObj));
    game.baseRole = baseRole;
})(game || (game = {}));
//# sourceMappingURL=baseRole.js.map