/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
var game;
(function (game) {
    var baseRoleControl = (function () {
        function baseRoleControl() {
            this.m_DoEnterCurButtonState = false;
            this.m_maxSpeed = false;
            this.m_runButtonPressed = false;
            this.m_runDir = cc.p(0, 0);
            this.init();
        }
        baseRoleControl.prototype.onKeyPressed = function (keyCode) {
            switch (keyCode) {
                // PC版本，数字键1切换主角随从个，数字键2自动战斗,3自动复活开关
                case cc.KEY.num1:
                case 49:
                    {
                        this.onkey_1();
                    }
                    break;
                case cc.KEY.num2: //自动战斗
                case 50:
                    {
                        this.onkey_2();
                    }
                    break;
                case cc.KEY.num3: //自动战斗
                case 51:
                    {
                        this.onkey_3();
                    }
                    break;
                case cc.KEY.a:
                    {
                    }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp:
                    {
                        this.up();
                    }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown:
                    {
                        this.down();
                    }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft:
                    {
                        this.left();
                    }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight:
                    {
                        this.right();
                    }
                    break;
                case cc.KEY.dpadCenter:
                case cc.KEY.enter:
                    {
                        this.DoEnterCurButton();
                    }
                    break;
                case cc.KEY.menu:
                    {
                        this.onMenu();
                    }
                    break;
            }
        };
        baseRoleControl.prototype.onKeyReleased = function (keyCode) {
            switch (keyCode) {
                case cc.KEY.num1:
                    {
                    }
                    break;
                case cc.KEY.num2:
                    {
                    }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp:
                    {
                        this.up_Released();
                    }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown:
                    {
                        this.down_Released();
                    }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft:
                    {
                        this.left_Released();
                    }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight:
                    {
                        this.right_Released();
                    }
                    break;
                case cc.KEY.enter:
                case cc.KEY.dpadCenter:
                    {
                        this.DoEnterCurButton_Released();
                    }
                    break;
            }
        };
        baseRoleControl.prototype.init = function () {
        };
        baseRoleControl.prototype.loop = function (t) {
        };
        baseRoleControl.prototype.onMenu = function () {
        };
        baseRoleControl.prototype.onkey_1 = function () {
        };
        baseRoleControl.prototype.onkey_2 = function () {
        };
        baseRoleControl.prototype.onkey_3 = function () {
        };
        //被控制的角色
        baseRoleControl.prototype.getControlRole = function () {
            var pRole = game.roleMgr.getMe().getControlPlayer();
            return pRole;
        };
        baseRoleControl.prototype.left = function () {
            this.m_runButtonPressed = true;
            return true;
        };
        baseRoleControl.prototype.right = function () {
            this.m_runButtonPressed = true;
            return true;
        };
        baseRoleControl.prototype.left_Released = function () {
            this.m_runButtonPressed = false;
            return true;
        };
        baseRoleControl.prototype.right_Released = function () {
            this.m_runButtonPressed = false;
            return true;
        };
        baseRoleControl.prototype.up = function () {
            this.m_runButtonPressed = true;
            return true;
        };
        // 操作键下：按一次，释放小技能；按着不松蓄力满了释放大技能。
        baseRoleControl.prototype.down = function () {
            this.m_runButtonPressed = true;
            return true;
        };
        baseRoleControl.prototype.up_Released = function () {
            this.m_runButtonPressed = false;
            return true;
        };
        baseRoleControl.prototype.down_Released = function () {
            this.m_runButtonPressed = false;
            return true;
        };
        baseRoleControl.prototype.DoEnterCurButton = function () {
            if (this.m_DoEnterCurButtonState == true) {
                return true;
            }
            this.m_DoEnterCurButtonState = true;
            var pRole = this.getControlRole();
            if (pRole) {
                pRole.changeState(game.e_AiType.g_AiType_play_normalSkill);
            }
            return true;
        };
        baseRoleControl.prototype.DoEnterCurButton_Released = function () {
            this.m_DoEnterCurButtonState = false;
            return true;
        };
        return baseRoleControl;
    }());
    game.baseRoleControl = baseRoleControl;
})(game || (game = {}));
//# sourceMappingURL=baseRoleControl.js.map 
//# sourceMappingURL=baseRoleControl.js.map