var game;
(function (game) {
    var removeSpeedBuff = (function () {
        function removeSpeedBuff(role) {
            this.m_buffdata = null;
            this.m_object_role = null;
            this.m_Alive = false;
            this.init(role);
        }
        removeSpeedBuff.prototype.init = function (role) {
            if (this.m_Alive) {
                this.buff_end();
            }
            this.m_buffdata = new game.buffConfig();
            this.m_object_role = role;
        };
        removeSpeedBuff.prototype.getPerCoefficient = function () {
            return this.m_buffdata.perCoefficient;
        };
        removeSpeedBuff.prototype.buffTexiao = function () {
            // this.m_spineNode.playBuffSpineAnimation_Once_foot("buffTexiao", "bingdong");
            if (!this.m_spineNode) {
                this.m_spineNode = game.spineMgr.getMe().loadSpine("buffTexiao", this.m_object_role.getNode(), 30);
                this.m_spineNode.setAnimation(0, "bingdong", true);
                this.m_spineNode.setScale(game.g_buff_config["public"][0].scale);
            }
        };
        removeSpeedBuff.prototype.loop_continueTime = function (t) {
            if (this.m_buffdata) {
                this.m_buffdata.continueTime -= t;
                if (this.m_buffdata.continueTime < 0) {
                    this.buff_end();
                }
            }
        };
        removeSpeedBuff.prototype.loop = function (t) {
            if (this.m_Alive)
                this.loop_continueTime(t);
        };
        removeSpeedBuff.prototype.buff_start = function (time, perCoefficient) {
            this.m_Alive = true;
            this.m_buffdata.continueTime = time;
            this.m_buffdata.perCoefficient = this.m_buffdata.perCoefficient > perCoefficient ? this.m_buffdata.perCoefficient : perCoefficient;
            this.buffTexiao();
            if (this.m_spineNode && !this.m_spineNode.isVisible()) {
                this.m_spineNode.setVisible(true);
                this.m_spineNode.resume();
            }
        };
        removeSpeedBuff.prototype.buff_end = function () {
            this.m_Alive = false;
            this.m_buffdata.continueTime = 0;
            this.m_buffdata.perCoefficient = 0;
            // if (this.m_spineNode)
            //     this.m_object_role.removeChild(this.m_spineNode.getNode());
            if (this.m_spineNode && this.m_spineNode.isVisible()) {
                this.m_spineNode.setVisible(false);
                this.m_spineNode.pause();
            }
        };
        removeSpeedBuff.prototype.shutdown = function () {
            this.m_Alive = false;
            this.m_buffdata = null;
            if (this.m_spineNode && this.m_spineNode.getNode())
                this.m_object_role.removeChild(this.m_spineNode.getNode());
        };
        return removeSpeedBuff;
    }());
    game.removeSpeedBuff = removeSpeedBuff;
})(game || (game = {}));
//# sourceMappingURL=removeSpeedBuff.js.map 
//# sourceMappingURL=removeSpeedBuff.js.map