var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    game.g_effectEventType = {
        "Damage": "shanghai"
    };
    var EffectMgr = (function (_super) {
        __extends(EffectMgr, _super);
        function EffectMgr() {
            _super.apply(this, arguments);
        }
        EffectMgr.prototype.OnEvent = function (event, eventEffect) {
            var name = event.data.name;
            //动作停顿
            if (name.indexOf(game.g_eventFrameType["Pause"]) > -1) {
                this.OnPause(event);
            }
            //动作时间缩放
            if (name.indexOf(game.g_eventFrameType["TimeScale"]) > -1) {
                this.OnTimeScaleChange(event);
            }
            //震屏
            if (name.indexOf(game.g_eventFrameType["ScreenShake"]) > -1) {
                this.OnScreenShake(event);
            }
        };
        EffectMgr.prototype.OnBulletPause = function (event, _object_role) {
        };
        //停顿
        EffectMgr.prototype.OnPause = function (event, _object_role) {
            if (_object_role === void 0) { _object_role = null; }
            var info = game.g_animation_effect_config.pause[event.data.name];
            //需要判断有没有碰撞
            var colliderPartPos = event.data.name.indexOf(game.g_eventFrameType["AttackCollision"]);
            var colliderIndexString = event.data.name.substr(colliderPartPos, game.g_eventFrameType["AttackCollision"].length + 1);
            if (colliderIndexString == null)
                return;
            var anyCollision = false;
            var eList = _object_role.getenemy();
            for (var j = 0; j < eList.size; ++j) {
                var o = eList.getByIndex(j);
                var ret = _object_role.dealPhy(o, colliderIndexString);
                if (ret == 1) {
                    o.HitPause(info.duration);
                    anyCollision = true;
                }
            }
            if (anyCollision) {
                var info = game.g_animation_effect_config.pause[event.data.name];
                _object_role.HitPause(info.duration);
            }
        };
        EffectMgr.prototype.OnTimeScaleChange = function (event) {
            var info = game.g_animation_effect_config.timeScale[event.data.name];
            //info.duration = 2;
            game.TimeScaleControl.getMe().setTimeScale(info.degree, info.duration); //
        };
        EffectMgr.prototype.OnScreenShake = function (event) {
            var info = game.g_animation_effect_config.shakeScreen[event.data.name];
            if (info) {
                game.cameraMgr.getMe().start_Shake(info.duration, info.effectval);
            }
            else {
                console.log("error g_animation_effect_config 没有event：" + event.data.name);
            }
        };
        EffectMgr.g_effectMgr = null;
        EffectMgr.getMe = function () {
            if (EffectMgr.g_effectMgr == null) {
                EffectMgr.g_effectMgr = new EffectMgr();
                // EffectMgr.g_effectMgr.m_effectDic = new Map();
                EffectMgr.g_effectMgr.getNode().setName("EffectMgr类");
            }
            return EffectMgr.g_effectMgr;
        };
        return EffectMgr;
    }(game.xjNode));
    game.EffectMgr = EffectMgr;
})(game || (game = {}));
//# sourceMappingURL=effectMgr.js.map 
//# sourceMappingURL=effectMgr.js.map