/**
 * Created by xieli on 2017/2/4.
 */

//物品管理类


module game {


    export class itemMgr {

        m_item_Info_Type_Map: game.Map<e_item_TYPE,item_Info> = null;
        m_item_Info_name_Map: game.Map<string,item_Info> = null;
        static g_itemMgr: itemMgr = null;
        static getMe = function () {
            if (game.itemMgr.g_itemMgr == null) {
                game.itemMgr.g_itemMgr = new game.itemMgr();
            }
            return game.itemMgr.g_itemMgr;
        };

        initex() {
            //
            this.m_item_Info_Type_Map = new game.Map<e_item_TYPE,item_Info>();
            for (let p in g_items_info) {
                let type: string = p;
                let l_item_Info: item_Info = g_items_info[p];
                this.m_item_Info_Type_Map.set(l_item_Info.type, l_item_Info);
            }
            this.m_item_Info_name_Map = new game.Map<string,item_Info>();
            for (let p in g_items_info) {
                let name: string = p;
                let l_item_Info: item_Info = g_items_info[p];
                this.m_item_Info_name_Map.set(name, l_item_Info);
            }


        }


        getItemByType(type: e_item_TYPE): item_Info {
            return this.m_item_Info_Type_Map.get(type);
        }

        getItemByName(name: string): item_Info {
            let ret = this.m_item_Info_name_Map.get(name);
            if (!ret) {
                console.log("没有这个物品" + name);
                uiMgr.getMe().show_ui_MessageBox(true, ".error playitem 表  没有这个物品:" + name);
            }
            return ret;
        }

        getItemZHNameByName( name: string ): string {
            let ret: item_Info = this.m_item_Info_name_Map.get(name);
            if (!ret) {
                uiMgr.getMe().show_ui_MessageBox(true, ".error playitem 表  没有这个物品:" + name);
            }
            return ret.name;
        }


        getItemIconByName(name): string {
            let ret: item_Info = this.m_item_Info_name_Map.get(name);
            if(ret == null){
                return null
            }
            return ret.icon;
        }

        getItemIconByType(type: e_item_TYPE): string {
            let ret: item_Info = this.m_item_Info_Type_Map.get(type);
            if (ret) {
                return ret.icon;
            }
            else {
                console.log("error 没有这个item:" + type);
                return null;
            }
        }

    }


}
//# sourceMappingURL=itemMgr.js.map