"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//boss的Ai控制 boosAiControl
var game;
(function (game) {
    var bossAiControl = (function (_super) {
        __extends(bossAiControl, _super);
        function bossAiControl(role) {
            _super.call(this, role);
            this.m_baseState_zhuiji_player = null;
            this.m_baseState_randSkill = null;
            this.m_baseState_houtui_player = null;
            this.m_baseState_fight = null;
            this.m_monsterState_xunyun = null;
            this.m_g_AiType_silly = null;
            this.m_roleObj = role;
            // this.m_target = roleMgr.getMe().getControlPlayer();
            this.m_target = this.randomTarget();
        }
        bossAiControl.prototype.isboss = function () {
            return true;
        };
        bossAiControl.prototype.init = function () {
            //this._super;
        };
        bossAiControl.prototype.initState = function () {
            this.m_baseState_zhuiji_player = new game.baseState_zhuiji(this);
            this.m_baseState_randSkill = new game.baseState_randSkill(this);
            this.m_baseState_houtui_player = new game.baseState_houtui(this);
            this.m_baseState_fight = new game.baseState_fight(this);
            this.m_monsterState_xunyun = new game.monsterState_xunyun(this);
            this.m_g_AiType_silly = new game.g_AiType_silly(this);
            this.addState(this.m_monsterState_xunyun);
            this.addState(this.m_baseState_fight);
            this.addState(this.m_baseState_zhuiji_player);
            this.addState(this.m_baseState_randSkill);
            this.addState(this.m_baseState_houtui_player);
            this.addState(this.m_g_AiType_silly);
            this.m_cur_RoleAiState = this.m_baseState_zhuiji_player; //当前状态
        };
        bossAiControl.prototype.update = function (dt) {
            if (!this.m_roleObj) {
                return;
            }
            this.m_cur_RoleAiState.update(dt);
            _super.prototype.update.call(this, dt);
        };
        bossAiControl.create = function (role) {
            var _bossAiControl = new bossAiControl(role);
            return _bossAiControl;
        };
        return bossAiControl;
    }(game.baseAiControl));
    game.bossAiControl = bossAiControl;
})(game || (game = {}));
//# sourceMappingURL=bossAiControl.js.map 
//# sourceMappingURL=bossAiControl.js.map