/**
 * Created by cy1234 on 2016/8/11.
 */
//刷怪类
var game;
(function (game) {
    var createMonsterMgr = (function () {
        function createMonsterMgr() {
            this.m_birthData = null;
            this.m_index = 0; //m_birthData 索引
            this.m_intervalTime = 0; //2个波次的间隔时间
            this.m_wareData = null;
            this.m_begin = false; //刷怪开关
            this.m_waveIndex = null; //波次名称
            this.m_monsterBirthInfo = null; //string
        }
        createMonsterMgr.getMe = function () {
            return createMonsterMgr.create();
        };
        ;
        createMonsterMgr.create = function () {
            console.log(" init createMonsterMgr.create ");
            var l_createMonsterMgr = new createMonsterMgr();
            return l_createMonsterMgr;
            // if (createMonsterMgr.g_ing == null) {
            //     createMonsterMgr.g_ing = new createMonsterMgr();
            //     return createMonsterMgr.g_ing;
            // }
            // else {
            //     return createMonsterMgr.g_ing;
            // }
        };
        ;
        createMonsterMgr.prototype.initMonsterBirthData = function (birthdata) {
            this.m_birthData = birthdata;
            this.m_begin = true;
            this.m_index = 0;
            this.m_waveIndex = null;
            this.m_intervalTime = 0;
            this.m_wareData = null;
            this.m_monsterBirthInfo = new game.Map();
            this.updateMonsterBirthWaveData();
        };
        createMonsterMgr.prototype.shutdown = function () {
            this.m_monsterBirthInfo = null;
            this.m_begin = false;
            this.m_birthData = null;
            this.m_index = 0;
            this.m_waveIndex = null;
            this.m_intervalTime = 0;
            this.m_wareData = null;
        };
        createMonsterMgr.prototype.isUpdataNextWave = function () {
            if (this.m_begin == false) {
                return false;
            }
            var condition = this.m_wareData.condition;
            for (var p in condition) {
                var cond = condition[p];
                var condType = cond["type"];
                switch (condType) {
                    case "kill":
                        {
                            var monster_name = cond["name"];
                            var killnum = cond["num"];
                            var deadnum = game.roleMgr.getMe().getMonsterDeadNumByName(monster_name);
                            if (deadnum < killnum) {
                                return false;
                            }
                        }
                        break;
                    case "killall":
                        {
                            if (this.isKillAll() == false) {
                                return false;
                            }
                        }
                        break;
                    case "tohpper":
                        {
                            var hpper = cond["hpper"];
                            var boss = game.roleMgr.getMe().getBoss();
                            if (boss) {
                                if (boss.gethpPer() > hpper) {
                                    return false;
                                }
                            }
                            else {
                                return false;
                            }
                        }
                        break;
                    default:
                        break;
                }
            }
            return true;
        };
        createMonsterMgr.prototype.updateWaveData = function () {
            if (this.m_wareData == null) {
                return false;
            }
            if (!this.isUpdataNextWave()) {
                return false;
            }
            //下一波怪物来了
            this.m_index++;
            this.updateMonsterBirthWaveData();
            return true;
        };
        //更新下一波怪
        createMonsterMgr.prototype.updateMonsterBirthWaveData = function () {
            if (this.m_birthData[this.m_index] == null) {
                return false;
            }
            this.m_wareData = cc.clone(this.m_birthData[this.m_index]);
            this.m_intervalTime = this.m_wareData.interval;
            var waveIndex = this.m_wareData.waveIndex;
            this.m_waveIndex = waveIndex;
            var index = 0;
            if (game.g_monster_birth_config[waveIndex] == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "刷怪表没有对应的下标，请检查！");
                return;
            }
            var monsterbirthInfo = cc.clone(game.g_monster_birth_config[waveIndex]);
            this.m_monsterBirthInfo = new game.Map();
            for (var i in monsterbirthInfo) {
                var buff = monsterbirthInfo[i];
                buff.birth_total_num = 0;
                buff.birth_end = false;
                buff.birth_wave = waveIndex;
                this.m_monsterBirthInfo.set(index, buff);
                index++;
            }
            return true;
        };
        createMonsterMgr.prototype.isKillAll = function () {
            for (var i = 0; i < this.m_monsterBirthInfo.size; ++i) {
                var v = this.m_monsterBirthInfo.getByIndex(i);
                if (v.birth_end == false) {
                    return false;
                }
            }
            if (game.roleMgr.getMe().getMonsterAliveByWave(this.m_waveIndex) > 0) {
                return false;
            }
            return true;
        };
        createMonsterMgr.prototype.update = function (t) {
            if (this.m_begin == false) {
                return;
            }
            if (this.m_intervalTime > 0) {
                this.m_intervalTime -= t;
                return;
            }
            else {
                if (this.updateWaveData())
                    return;
            }
            if (ccs._parser.g_isLowCpu) {
                if (game.roleMgr.getMe().m_monsterCount >= 2) {
                    // console.log("bbbbbbbbbbbbbbbbbbbbbbbbbb "+roleMgr.getMe().m_monsterCount);
                    return;
                }
            }
            for (var i = 0; i < this.m_monsterBirthInfo.size; ++i) {
                var birthInfo = this.m_monsterBirthInfo.getByIndex(i);
                if (birthInfo.birth_end) {
                    continue;
                }
                if (birthInfo.birth_total_num >= birthInfo.birth_count) {
                    birthInfo.birth_end = true;
                    continue;
                }
                if (birthInfo.first_birth_time > 0) {
                    birthInfo.first_birth_time -= t;
                    continue;
                }
                game.roleMgr.getMe().createMonster(birthInfo);
                birthInfo.birth_total_num++;
            }
        };
        createMonsterMgr.g_ing = null;
        return createMonsterMgr;
    }());
    game.createMonsterMgr = createMonsterMgr;
})(game || (game = {}));
//# sourceMappingURL=createMonsterMgr.js.map