"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//怪物ai
var game;
(function (game) {
    var aiBase_monster = (function (_super) {
        __extends(aiBase_monster, _super);
        function aiBase_monster() {
            _super.apply(this, arguments);
        }
        /**
         * @return {boolean}\
         */
        aiBase_monster.prototype.initZhongduanLevel = function () {
            for (var p in game.g_playAiState_zhongduanLevel) {
                var data = game.g_playAiState_zhongduanLevel[p];
                if (data.type == this.m_stateType) {
                    this.m_stateZhongduanLevel = data.brokenLevel;
                    break;
                }
            }
        };
        aiBase_monster.prototype.getBaseRole = function () {
            return this.m_object_role;
        };
        aiBase_monster.prototype.ExternalEvent = function (key, data) {
            //this.m_object_role.startResetPosition();
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            if (ret == false) {
                return ret;
            }
            return ret;
        };
        aiBase_monster.prototype.update = function (dt) {
            _super.prototype.update.call(this, dt);
            //提前结束3帧
            var curTime = this.m_object_role.m_SpineNode.getAnimationSurplusTime();
            if (curTime <= 0.120) {
                this.Complete();
            }
            return true;
        };
        return aiBase_monster;
    }(game.aiBase));
    game.aiBase_monster = aiBase_monster;
    var aiBaseSkill_monster = (function (_super) {
        __extends(aiBaseSkill_monster, _super);
        function aiBaseSkill_monster(role) {
            _super.call(this, role);
            this.m_skillInfo = null;
            this.m_state = 0;
            this.m_isEndAnimation = 0;
        }
        aiBaseSkill_monster.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.m_curSkillInfo = this.m_skillInfo;
            if (this.m_skillInfo == null) {
                return false;
            }
            // this.m_object_role.m_antiStunSum += this.m_skillInfo.raiseLimitStunPoint;
        };
        aiBaseSkill_monster.prototype.ExternalEvent = function (key, data) {
            //this.m_object_role.m_antiStunSum -= this.m_skillInfo.raiseLimitStunPoint;
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        aiBaseSkill_monster.prototype.Complete = function () {
            //判断是否有回复动画
            if (this.m_isEndAnimation == 1) {
                if (this.endAnimation() == true) {
                    return true;
                }
            }
            _super.prototype.Complete.call(this);
            return true;
        };
        aiBaseSkill_monster.prototype.endAnimation = function () {
            //判断是否有回复动画
            var skill = this.m_object_role.m_curSkillInfo.endAnimation;
            if (skill != null) {
                this.m_object_role.changeState(game.e_AiType.g_AiType_endAnimate);
                return true;
            }
            return false;
        };
        return aiBaseSkill_monster;
    }(aiBase_monster));
    game.aiBaseSkill_monster = aiBaseSkill_monster;
    var aiBaseSkill_zhuolu = (function (_super) {
        __extends(aiBaseSkill_zhuolu, _super);
        function aiBaseSkill_zhuolu(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_dead_zhuolu;
            _super.prototype.initZhongduanLevel.call(this);
        }
        aiBaseSkill_zhuolu.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.startResetPosition();
            game.aiBase_public_func.getMe().resetPos_y(this.m_object_role);
            if (this.m_object_role.m_curAnimation == "shouji6") {
                this.m_object_role.playAnimation("shouji6_kongzhong_zhuolu", false);
            }
            else if (this.m_object_role.m_curAnimation == "shouji7") {
                this.m_object_role.playAnimation("shouji7_zhuolu", false);
            }
            else if (this.m_object_role.m_curAnimation == "shouji1_kongzhong") {
                this.m_object_role.playAnimation("shouji1_kongzhong_zhuolu", false);
            }
            else {
                this.m_object_role.playAnimation("shouji7_zhuolu", false);
            }
            return true;
        };
        aiBaseSkill_zhuolu.prototype.update = function (t) {
            //this.m_object_role.setPositionY(this.m_object_role.m_ground.y);
            this.m_object_role.resetPosition(t);
            _super.prototype.update.call(this, t);
            return true;
        };
        aiBaseSkill_zhuolu.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        aiBaseSkill_zhuolu.prototype.Complete = function () {
            this.m_object_role.changeState_Ex(game.e_AiType.g_AiType_Dead);
            return true;
        };
        return aiBaseSkill_zhuolu;
    }(aiBase_monster));
    game.aiBaseSkill_zhuolu = aiBaseSkill_zhuolu;
    //待机
    var monsterAi_idle = (function (_super) {
        __extends(monsterAi_idle, _super);
        function monsterAi_idle() {
            _super.apply(this, arguments);
        }
        return monsterAi_idle;
    }(game.aiBase_idle));
    game.monsterAi_idle = monsterAi_idle;
    //眩晕
    var monsterAi_yun = (function (_super) {
        __extends(monsterAi_yun, _super);
        function monsterAi_yun() {
            _super.apply(this, arguments);
        }
        return monsterAi_yun;
    }(game.aiBase_yun));
    game.monsterAi_yun = monsterAi_yun;
    //移动
    var monsterAi_run = (function (_super) {
        __extends(monsterAi_run, _super);
        function monsterAi_run(role) {
            _super.call(this, role);
            this.m_aiBaseRun_jsb = null;
            this.m_Rect = cc.rect(game.g_walkRect.x, game.g_walkRect.y, game.g_walkRect.width, game.g_walkRect.height);
        }
        monsterAi_run.prototype.shutdown = function () {
            if (this.m_aiBaseRun_jsb) {
                this.m_aiBaseRun_jsb.release();
                this.m_aiBaseRun_jsb = null;
            }
        };
        monsterAi_run.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            if (cc.sys.isNative) {
                if (this.m_aiBaseRun_jsb == null) {
                    this.m_aiBaseRun_jsb = new cc.aiBaseRun_jsb();
                    this.m_aiBaseRun_jsb.initEx(this.m_object_role.m_baseRole_js);
                    this.m_aiBaseRun_jsb.retain();
                }
            }
            return true;
        };
        monsterAi_run.prototype.ExternalEvent = function (key, data) {
            if (this.CanExitExternalEvent(key) == false) {
                return false;
            }
            else if (key == this.m_stateType) {
                if (game.funcMgr.getMe().isObjectValueEqual(this.m_dir, data)) {
                    return false;
                }
                else {
                    return true;
                }
            }
            this.m_object_role.startResetPosition();
            this.m_isEnd = true;
            return true;
        };
        monsterAi_run.prototype.getMonster = function () {
            return this.m_object_role;
        };
        monsterAi_run.prototype.update = function (t) {
            //return;
            var _proforFunc = game.proforFunc.create();
            if (this.getMonster().m_monsterAiControl.m_baseState_beiji_houtui.isActive() == true) {
                return;
            }
            if (cc.sys.isNative) {
                this.m_zhuangqiang = this.m_aiBaseRun_jsb.update(this.m_dir, this.m_speed, t);
            }
            else {
                this.js_update(t);
            }
            this.m_object_role.m_ground.y = this.m_object_role.getPosition().y;
            // super.update(t);
            _proforFunc.end("monsterAi_run - " + this.m_object_role.getName());
            return true;
        };
        monsterAi_run.prototype.js_update = function (t) {
            var pos = this.m_object_role.getPosition();
            var newpos = cc.pAdd(pos, cc.pMult(this.m_dir, this.m_speed * t));
            //已经嵌入到摄像机外面的情况下可以处理
            var walkRect = cc.rectIntersection(game.cameraMgr.getMe().getRect(), this.m_Rect);
            if (this.m_dir.y > 0) {
                if (pos.y > walkRect.height + walkRect.y) {
                    this.m_zhuangqiang = true;
                    return true;
                }
            }
            if (this.m_dir.y < 0) {
                if (pos.y < walkRect.y) {
                    this.m_zhuangqiang = true;
                    return true;
                }
            }
            if (cc.rectContainsPoint(walkRect, pos) == true) {
                if (!cc.rectContainsPoint(walkRect, newpos)) {
                    this.m_zhuangqiang = true;
                    return true;
                }
            }
            this.m_object_role.setPosition(newpos);
        };
        return monsterAi_run;
    }(game.aiBase_run));
    game.monsterAi_run = monsterAi_run;
    var monsterAi_dead = (function (_super) {
        __extends(monsterAi_dead, _super);
        //m_canDelete:any = false;
        function monsterAi_dead(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_Dead;
            _super.prototype.initZhongduanLevel.call(this);
        }
        /**
         * @return {boolean}
         */
        monsterAi_dead.prototype.ExternalEvent = function (key, data) {
            _super.prototype.ExternalEvent.call(this, key, data);
            return false;
        };
        /**
         * @return {boolean}
         */
        monsterAi_dead.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            //清空血条
            this.m_object_role.setHp(0);
            game.roleMgr.getMe().monsterDead(this.m_object_role);
            // this.m_object_role.m_buffControl.shutdown();
            this.getBaseRole().m_canDelete = false;
            game.playNuqiMgr.getMe().addNuqi(this.getBaseRole().m_monster_config_Data.addNuqiDead);
            if (data != "killself") {
                if (this.m_object_role.m_curAnimation == "shouji6_kongzhong_zhuolu") {
                    this.m_object_role.playAnimation("shouji6_siwang", false);
                }
                else {
                    this.m_object_role.playAnimation("shouji7_siwang", false);
                }
            }
            else {
                this.getBaseRole().m_canDelete = true;
            }
            return true;
        };
        monsterAi_dead.prototype.update = function (t) {
            _super.prototype.update.call(this, t);
            return true;
        };
        monsterAi_dead.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        monsterAi_dead.prototype.Complete = function () {
            this.m_isEnd = true;
            this.getBaseRole().m_canDelete = true;
            return true;
        };
        return monsterAi_dead;
    }(aiBase_monster));
    game.monsterAi_dead = monsterAi_dead;
    //怪物普通攻击
    var monsterAi_skillbase = (function (_super) {
        __extends(monsterAi_skillbase, _super);
        function monsterAi_skillbase(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_autofight_ptgongji1;
            _super.prototype.initZhongduanLevel.call(this);
        }
        monsterAi_skillbase.prototype.ExternalEvent = function (key, data) {
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            return ret;
        };
        monsterAi_skillbase.prototype.InternalEvent = function (key, data) {
            var name = this.m_object_role.getRoleName();
            if (game.g_monster_skill[name] == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill[name][ptgongji_1] 没有配置 " + name);
                return;
            }
            if (game.g_monster_skill[name]["ptgongji_1"] == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill[name][ptgongji_1] 没有配置 " + name);
                return;
            }
            else {
                this.m_skillInfo = game.g_monster_skill[name]["ptgongji_1"]["1"];
            }
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.playAnimation(this.m_skillInfo.animation, false);
            this.m_object_role.stopMoveRootBone(0);
            return true;
        };
        monsterAi_skillbase.prototype.update = function (t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            _super.prototype.update.call(this, t);
            return true;
        };
        monsterAi_skillbase.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        monsterAi_skillbase.prototype.Complete = function () {
            _super.prototype.Complete.call(this);
            return true;
        };
        return monsterAi_skillbase;
    }(aiBaseSkill_monster));
    game.monsterAi_skillbase = monsterAi_skillbase;
    var monsterAi_baozha = (function (_super) {
        __extends(monsterAi_baozha, _super);
        function monsterAi_baozha(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_autofight_baozha;
            _super.prototype.initZhongduanLevel.call(this);
        }
        monsterAi_baozha.prototype.ExternalEvent = function (key, data) {
            if (key == this.m_stateType) {
                return false;
            }
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            this.m_object_role.setHp(0);
            return ret;
        };
        monsterAi_baozha.prototype.Complete = function () {
            this.m_object_role.changeState_Ex(game.e_AiType.g_AiType_Dead);
            return true;
        };
        return monsterAi_baozha;
    }(monsterAi_skillbase));
    game.monsterAi_baozha = monsterAi_baozha;
    //攻击Ai
    var monsterAi_skill = (function (_super) {
        __extends(monsterAi_skill, _super);
        function monsterAi_skill(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_autofight_skill;
            _super.prototype.initZhongduanLevel.call(this);
        }
        monsterAi_skill.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_skill.prototype.InternalEvent = function (key, data) {
            this.m_isEndAnimation = parseInt(data.endAnimate); //;
            var name = this.m_object_role.getRoleName();
            if (game.g_monster_skill[name] == null) {
                console.log("InternalEvent :" + name);
                //   uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill 没有monster :" + name);
                console.log("g_monster_skill 没有monster :" + name);
                return false;
            }
            if (game.g_monster_skill[name][data.animation] == null) {
                console.log("InternalEvent :" + data.animation);
                // uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill 没有skillNameCode:" + data.animation);
                console.log("g_monster_skill 没有skillNameCode:" + data.animation);
                return false;
            }
            this.m_skillInfo = game.g_monster_skill[name][data.animation];
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.playAnimation(this.m_skillInfo.animation);
            this.m_object_role.stopMoveRootBone(0);
            return true;
        };
        monsterAi_skill.prototype.update = function (t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            _super.prototype.update.call(this, t);
            return true;
        };
        monsterAi_skill.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        monsterAi_skill.prototype.Complete = function () {
            _super.prototype.Complete.call(this);
            return true;
        };
        return monsterAi_skill;
    }(aiBaseSkill_monster));
    game.monsterAi_skill = monsterAi_skill;
    //被击
    var monsterAi_beiji_base = (function (_super) {
        __extends(monsterAi_beiji_base, _super);
        function monsterAi_beiji_base(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.g_AiType_beiji;
        }
        monsterAi_beiji_base.prototype.ExternalEvent = function (key, data) {
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            if (key == this.m_stateType) {
                this.m_object_role.startResetPosition();
                this.m_object_role.stopMoveRootBone(0);
                this.m_isEnd = true;
                return true;
            }
            return ret;
        };
        monsterAi_beiji_base.prototype.InternalEvent = function (key, data) {
            //this.resetPos();
            //设置方向
            game.aiBase_public_func.getMe().resetDir_beiji(data, this.m_object_role);
            this.m_object_role.stopMoveRootBone(1);
            if (this.m_object_role.m_beHitActName == "shouji_luxian") {
                game.uiMgr.getMe().show_ui_MessageBox(true, "玩家技能表错误！");
            }
            this.m_object_role.playAnimation(this.m_object_role.m_beHitActName, false);
            var ret = _super.prototype.InternalEvent.call(this, key, data);
            return ret;
        };
        monsterAi_beiji_base.prototype.update = function (t) {
            var ret = _super.prototype.update.call(this, t);
            return ret;
        };
        return monsterAi_beiji_base;
    }(aiBase_monster));
    game.monsterAi_beiji_base = monsterAi_beiji_base;
    var monsterAi_beiji = (function (_super) {
        __extends(monsterAi_beiji, _super);
        function monsterAi_beiji(role) {
            _super.call(this, role);
            this.m_AnimationName = null;
            this.m_stateType = game.e_AiType.g_AiType_beiji;
            _super.prototype.initZhongduanLevel.call(this);
        }
        monsterAi_beiji.prototype.shutdown = function () {
            if (this.m_object_role.m_spineLineControl) {
                this.m_object_role.m_spineLineControl.shutdown();
                this.m_object_role.m_spineLineControl = null;
            }
            game.aiBase_public_func.getMe().resetPos_y(this.m_object_role);
            _super.prototype.shutdown.call(this);
        };
        monsterAi_beiji.prototype.ExternalEvent = function (key, data) {
            if (_super.prototype.ExternalEvent.call(this, key, data) == true) {
                this.shutdown();
                return true;
            }
            return false;
        };
        monsterAi_beiji.prototype.InternalEvent = function (key, data) {
            //updata dir
            var dir = game.aiBase_public_func.getMe().updataDir(data, this.m_object_role);
            this.m_AnimationName = this.m_object_role.m_beHitActName;
            _super.prototype.InternalEvent.call(this, key, data);
            if (!this.m_object_role.m_spineLineControl)
                this.m_object_role.m_spineLineControl = game.spineLine_beiji_noanimation.create(this.m_object_role, "luxian", this.m_object_role.m_beHitActName);
            if (dir) {
                this.m_object_role.m_spineLineControl.setRoleDir(-1 * dir);
            }
            this.m_object_role.stopMoveRootBone(0);
            return true;
        };
        monsterAi_beiji.prototype.update = function (t) {
            if (this.m_object_role.m_spineLineControl) {
                //同步速度
                this.m_object_role.m_spineLineControl.setTimeScale(this.m_object_role.getTimeScale());
                var ret = this.m_object_role.m_spineLineControl.loop(t);
                if (ret == true) {
                    this.m_object_role.m_spineLineControl.shutdown();
                    this.m_object_role.m_spineLineControl = null;
                }
            }
            _super.prototype.update.call(this, t);
            return true;
        };
        monsterAi_beiji.prototype.Complete = function () {
            if (this.m_object_role.m_curAnimation == "shouji6"
                || this.m_object_role.m_curAnimation == "shouji7"
                || this.m_object_role.m_curAnimation == "shouji6_kongzhong"
                || this.m_object_role.m_curAnimation == "shouji1_kongzhong") {
                this.m_object_role.changeState(game.e_AiType.g_AiType_fallDown, this.m_AnimationName);
                return;
            }
            if (this.m_object_role.getcurhp() <= 0) {
                this.m_object_role.changeState_Ex(game.e_AiType.g_AiType_dead_zhuolu);
            }
            else {
                _super.prototype.Complete.call(this);
            }
            return true;
        };
        return monsterAi_beiji;
    }(monsterAi_beiji_base));
    game.monsterAi_beiji = monsterAi_beiji;
    //空中
    var monsterAi_beiji_tiaoqi = (function (_super) {
        __extends(monsterAi_beiji_tiaoqi, _super);
        function monsterAi_beiji_tiaoqi() {
            _super.apply(this, arguments);
        }
        monsterAi_beiji_tiaoqi.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_beiji_tiaoqi.prototype.Complete = function (data) {
            if (data == "resEnd") {
                return;
            }
            if (this.m_object_role.getcurhp() <= 0) {
                this.m_object_role.changeState_Ex(game.e_AiType.g_AiType_dead_zhuolu);
            }
            else {
                _super.prototype.Complete.call(this);
            }
            return true;
        };
        return monsterAi_beiji_tiaoqi;
    }(game.aiBase_beiji_tiaoqi));
    game.monsterAi_beiji_tiaoqi = monsterAi_beiji_tiaoqi;
    var monsterAi_shache = (function (_super) {
        __extends(monsterAi_shache, _super);
        function monsterAi_shache() {
            _super.apply(this, arguments);
        }
        return monsterAi_shache;
    }(game.aiBase_shache));
    game.monsterAi_shache = monsterAi_shache;
    ;
})(game || (game = {}));
//# sourceMappingURL=monsterAi.js.map