var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/9/23.
 */
//怪物状态机管理模块
var game;
(function (game) {
    var monsterStateControl = (function (_super) {
        __extends(monsterStateControl, _super);
        function monsterStateControl(monsterObj) {
            _super.call(this, monsterObj);
        }
        monsterStateControl.prototype.initState = function () {
            _super.prototype.initState.call(this);
            this.m_cur_RoleAiState = new game.monsterAi_idle(this.m_roleObj);
            this.m_cur_RoleAiState.InternalEvent();
            this.addState(this.m_cur_RoleAiState);
            this.addState(new game.monsterAi_dead(this.m_roleObj));
            this.addState(new game.monsterAi_run(this.m_roleObj));
            this.addState(new game.monsterAi_yun(this.m_roleObj));
            this.addState(new game.monsterAi_baozha(this.m_roleObj));
            this.addState(new game.aiBaseQishen(this.m_roleObj));
            this.addState(new game.monsterAi_skill(this.m_roleObj));
            this.addState(new game.monsterAi_shache(this.m_roleObj));
            this.addState(new game.monsterAi_beiji_tiaoqi(this.m_roleObj));
            this.addState(new game.monsterAi_beiji(this.m_roleObj));
            this.addState(new game.aiBase_fallDown(this.m_roleObj));
            this.addState(new game.aiBase_AttackRecover(this.m_roleObj));
            this.addState(new game.aiBase_none(this.m_roleObj));
            this.addState(new game.aiBaseSkill_zhuolu(this.m_roleObj));
        };
        monsterStateControl.prototype.loop = function (dt) {
            _super.prototype.loop.call(this, dt);
            this.deadloop(dt);
        };
        //死亡状态切换
        monsterStateControl.prototype.deadloop = function (dt) {
            if (this.m_roleObj.getcurhp() <= 0) {
                if (this.m_roleObj.isBeiji()) {
                    return true;
                }
                if (this.m_roleObj.getCurStateType() == game.e_AiType.g_AiType_dead_zhuolu) {
                    return true;
                }
                if (this.getCurStateType() == game.e_AiType.g_AiType_Dead) {
                    return true;
                }
                this.changeState_Ex(game.e_AiType.g_AiType_Dead);
            }
        };
        monsterStateControl.create = function () {
            return new monsterStateControl(null);
        };
        return monsterStateControl;
    }(game.baseStateControl));
    game.monsterStateControl = monsterStateControl;
})(game || (game = {}));
//# sourceMappingURL=monsterStateControl.js.map 
//# sourceMappingURL=monsterStateControl.js.map