/**
 * 主角连击管理类
 */
var game;
(function (game) {
    var playComboMgr = (function () {
        function playComboMgr() {
            this.m_combo = 0;
            this.m_curComboTime = 0;
            this.m_isBeginCombo = false;
            this.m_des = "";
            this.m_des = "playComboMgr";
        }
        // 初始化
        //init () {
        //    this.m_combo = 0;
        //}
        // 增加连击数
        playComboMgr.prototype.addCombo = function () {
            ++this.m_combo;
            game.ui_combo.ShowOrHide(true);
            if (game.ui_combo.getMe()) {
                game.ui_combo.getMe().addCombo(this.m_combo);
            }
            this.m_isBeginCombo = true;
            this.m_curComboTime = 0;
        };
        playComboMgr.prototype.getCombo = function () {
            return this.m_combo;
        };
        // 中断连击
        playComboMgr.prototype.breakCombo = function () {
            this.m_combo = 0;
            this.m_isBeginCombo = false;
            this.m_curComboTime = 0;
            game.ui_combo.ShowOrHide(false);
        };
        playComboMgr.prototype.loop = function (t) {
            if (this.m_isBeginCombo) {
                this.m_curComboTime += t;
                if (this.m_curComboTime >= game.g_loseComboTime) {
                    this.breakCombo();
                }
            }
        };
        playComboMgr.g_playComboMgr = null;
        playComboMgr.getMe = function () {
            if (playComboMgr.g_playComboMgr == null) {
                playComboMgr.g_playComboMgr = new playComboMgr();
                return playComboMgr.g_playComboMgr;
            }
            return playComboMgr.g_playComboMgr;
        };
        return playComboMgr;
    }());
    game.playComboMgr = playComboMgr;
})(game || (game = {}));
//# sourceMappingURL=playComboMgr.js.map