var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
var game;
(function (game) {
    var playControl = (function (_super) {
        __extends(playControl, _super);
        function playControl() {
            _super.apply(this, arguments);
        }
        playControl.prototype.getControlRole = function () {
            var pRole = game.roleMgr.getMe().getControlPlayer();
            return pRole;
        };
        playControl.prototype.resetKey = function () {
            this.m_DoEnterCurButtonState = false;
            this.m_runButtonPressed = false;
            this.stoprun();
        };
        playControl.prototype.onMenu = function () {
            var pRole = game.roleMgr.getMe().getControlPlayer();
            var skillInfo = pRole.getSkillInfo("jineng1");
            if (!game.playNuqiMgr.getMe().NuqiIsEnough(skillInfo.xiaohao_nuqi)) {
                if (game.sceneMgr.getMe().getCurSceneType() != game.e_SceneType.SceneType_yindao) {
                    game.ui_tanchuang1.ShowOrHide(true);
                }
                pRole.changeState(game.e_AiType.g_AiType_Idle);
                pRole.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_none);
                return true;
            }
            // if(pRole != roleMgr.getMe().m_curControlRole && roleMgr.getMe().getMonsterAlive().size < 2){
            //     pRole.changeState(e_AiType.g_AiType_play_normalSkill);
            // }else{
            var ret = pRole.changeState(game.e_AiType.g_AiType_play_skill1);
            if (ret) {
                game.playNuqiMgr.getMe().removeNuqi(skillInfo.xiaohao_nuqi);
            }
            // }
        };
        playControl.prototype.onkey_2 = function () {
        };
        playControl.prototype.onkey_3 = function () {
        };
        playControl.prototype.left = function () {
            this.m_runDir = cc.p(-1, 0);
            this.run();
            return _super.prototype.left.call(this);
        };
        playControl.prototype.right = function () {
            this.m_runDir = cc.p(1, 0);
            this.run();
            return _super.prototype.right.call(this);
        };
        playControl.prototype.left_Released = function () {
            this.stoprun();
            return _super.prototype.left_Released.call(this);
        };
        playControl.prototype.right_Released = function () {
            this.stoprun();
            return _super.prototype.right_Released.call(this);
        };
        playControl.prototype.run = function () {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                if (pRole.m_buffControl.isFaint()) {
                    return;
                }
                pRole.changeState(game.e_AiType.g_AiType_run, this.m_runDir);
                pRole.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_none); //
            }
        };
        playControl.prototype.stoprun = function () {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return;
                // }
                if (this.m_maxSpeed) {
                    this.m_maxSpeed = false;
                    pRole.changeState(game.e_AiType.g_AiType_shache);
                }
                else {
                    pRole.changeState(game.e_AiType.g_AiType_Idle);
                }
            }
        };
        playControl.prototype.stoprun_noshache = function () {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return;
                // }
                pRole.changeState(game.e_AiType.g_AiType_Idle);
            }
        };
        // 操作键下：按一次，释放普通攻击；按着不松蓄力满了释放技能。
        playControl.prototype.DoEnterCurButton = function () {
            if (this.m_DoEnterCurButtonState == true) {
                return true;
            }
            this.m_DoEnterCurButtonState = true;
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return true;
                // }
                var ret = pRole.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_play_xuli_enter); //
                if (ret == false) {
                    pRole.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_play_xuli_enter_memory); //
                }
            }
            return true;
        };
        playControl.prototype.up = function () {
            this.m_runDir = cc.p(0, 1);
            this.run();
            return _super.prototype.up.call(this);
        };
        playControl.prototype.down = function () {
            this.m_runDir = cc.p(0, -1);
            this.run();
            return _super.prototype.down.call(this);
        };
        playControl.prototype.up_Released = function () {
            this.stoprun_noshache();
            return _super.prototype.up_Released.call(this);
        };
        playControl.prototype.down_Released = function () {
            this.stoprun_noshache();
            return _super.prototype.down_Released.call(this);
        };
        playControl.g_playControl = null;
        playControl.getMe = function () {
            return playControl.create();
        };
        playControl.create = function () {
            if (playControl.g_playControl == null) {
                playControl.g_playControl = new playControl();
                return playControl.g_playControl;
            }
            else {
                return playControl.g_playControl;
            }
        };
        return playControl;
    }(game.baseRoleControl));
    game.playControl = playControl;
})(game || (game = {}));
//# sourceMappingURL=playControl.js.map