var game;
(function (game) {
    var playNuqiMgr = (function () {
        function playNuqiMgr() {
            this.m_nuqitiao_Num = 0; //几罐怒气
            this.m_maxNuqi = 0; //一罐最大有多少怒气
            this.m_curNuqi = 0; //当前怒气
        }
        playNuqiMgr.prototype.init = function () {
            this.m_maxNuqi = game.g_nuqi_cofig.chushiNuqi + game.dataMgr.getMe().getHeroUnLockNum() * game.g_nuqi_cofig.addNuqi_unlockHero;
            this.m_nuqitiao_Num = game.dataMgr.getMe().getItemByType("nuqitiao");
            this.m_curNuqi = this.m_maxNuqi;
            this.updateUI(this.m_nuqitiao_Num, this.m_curNuqi);
        };
        playNuqiMgr.prototype.reset = function () {
            this.m_maxNuqi = game.g_nuqi_cofig.chushiNuqi + game.dataMgr.getMe().getHeroUnLockNum() * game.g_nuqi_cofig.addNuqi_unlockHero;
            this.m_nuqitiao_Num = game.dataMgr.getMe().getItemByType("nuqitiao");
            this.updateUI(this.m_nuqitiao_Num, this.m_curNuqi);
            this.addNuqi(0);
        };
        playNuqiMgr.prototype.addNuqi = function (val) {
            if (val == null) {
                return false;
            }
            if (val < 0) {
                return false;
            }
            var buff = this.m_curNuqi + val;
            if (buff > this.m_maxNuqi) {
                this.m_curNuqi = this.m_maxNuqi;
                this.updateUI(this.m_nuqitiao_Num, 100);
            }
            else {
                this.m_curNuqi = buff;
                var per = (this.m_curNuqi / this.m_maxNuqi) * 100;
                this.updateUI(this.m_nuqitiao_Num, per);
            }
            return true;
        };
        playNuqiMgr.prototype.updateUI = function (nuqitiaoNum, nuqiPer) {
            if (game.ui_zhandoujm.getMe()) {
                game.ui_zhandoujm.getMe().updateNuqiUI(nuqitiaoNum, nuqiPer);
            }
        };
        playNuqiMgr.prototype.getCurNuqi = function () {
            return this.m_curNuqi;
        };
        playNuqiMgr.prototype.removeNuqi = function (val) {
            if (val == null) {
                return false;
            }
            if (val < 0) {
                return false;
            }
            if (this.m_curNuqi < val) {
                if (this.m_nuqitiao_Num > 0) {
                    this.m_nuqitiao_Num--;
                    this.m_curNuqi = (this.m_curNuqi + this.m_maxNuqi) - val;
                }
                else {
                    console.log("没有怒气...");
                    return false;
                }
            }
            else {
                this.m_curNuqi = this.m_curNuqi - val;
            }
            var per = (this.m_curNuqi / this.m_maxNuqi) * 100;
            game.dataMgr.getMe().setItemByType("nuqitiao", this.m_nuqitiao_Num);
            this.updateUI(this.m_nuqitiao_Num, per);
            return true;
        };
        playNuqiMgr.prototype.NuqiIsEnough = function (val) {
            if (this.m_nuqitiao_Num > 0) {
                return true;
            }
            if (val > this.getCurNuqi()) {
                return false;
            }
            return true;
        };
        playNuqiMgr.prototype.NuqiIsEnough_follow = function (val) {
            if (val > this.getCurNuqi()) {
                return false;
            }
            return true;
        };
        playNuqiMgr.prototype.getMaxNuqi = function () {
            return this.m_maxNuqi;
        };
        playNuqiMgr.getMe = function () {
            return playNuqiMgr.create();
        };
        playNuqiMgr.g_ing = null;
        playNuqiMgr.create = function () {
            if (playNuqiMgr.g_ing == null) {
                playNuqiMgr.g_ing = new playNuqiMgr();
                return playNuqiMgr.g_ing;
            }
            else {
                return playNuqiMgr.g_ing;
            }
        };
        return playNuqiMgr;
    }());
    game.playNuqiMgr = playNuqiMgr;
})(game || (game = {}));
//# sourceMappingURL=playNuqiMgr.js.map 
//# sourceMappingURL=playNuqiMgr.js.map