var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/9/23.
 */
//状态机管理模块
var game;
(function (game) {
    var playStateControl = (function (_super) {
        __extends(playStateControl, _super);
        function playStateControl(playObj) {
            _super.call(this, playObj);
            this.m_playerAi_normalSkill = null;
            this.m_des = "";
            this.m_des = "playStateControl";
        }
        playStateControl.create = function () {
            return new playStateControl(null);
        };
        ;
        playStateControl.prototype.initState = function () {
            this.m_cur_RoleAiState = new game.playerAi_idle(this.m_roleObj);
            this.m_cur_RoleAiState.InternalEvent();
            this.addState(this.m_cur_RoleAiState);
            this.addState(new game.playerAi_beiji(this.m_roleObj));
            this.addState(new game.playerAi_beiji_tiaoqi(this.m_roleObj));
            this.addState(new game.playerAi_dead(this.m_roleObj));
            this.addState(new game.playerAi_yun(this.m_roleObj));
            this.addState(new game.playerAi_run(this.m_roleObj));
            this.addState(new game.playerAi_normalAttack(this.m_roleObj));
            this.addState(new game.playerAi_shache(this.m_roleObj));
            this.addState(new game.playerAi_Skill_jineng1(this.m_roleObj));
            this.addState(new game.playerAi_fallDown(this.m_roleObj));
            this.addState(new game.aiBase_AttackRecover(this.m_roleObj));
            this.addState(new game.aiBaseQishen(this.m_roleObj));
            this.addState(new game.playerAi_ptgongji1(this.m_roleObj));
            this.addState(new game.playerAi_ptgongji2(this.m_roleObj));
            this.addState(new game.playerAi_ptgongji3(this.m_roleObj));
            this.addState(new game.playerAi_ptgongji4(this.m_roleObj));
            this.addState(new game.playAiBaseSkill_zhuolu(this.m_roleObj));
            this.m_playerAi_normalSkill = this.getState(game.e_AiType.g_AiType_play_normalSkill);
            _super.prototype.initState.call(this);
        };
        playStateControl.prototype.loop = function (dt) {
            // console.log("m_playStateControl");
            this.deadloop(dt);
            // console.log("loop" + this.getCurStateType());
            _super.prototype.loop.call(this, dt);
            if (this.m_playerAi_normalSkill.m_linking) {
                if (game.playControl.getMe().m_DoEnterCurButtonState) {
                    this.changeState(game.e_AiType.g_AiType_play_normalSkill);
                }
                if (this.m_roleObj.isBeiji()) {
                    this.m_playerAi_normalSkill.ResetStage();
                    return;
                }
                this.m_playerAi_normalSkill.m_nextStageTimeCounter -= dt;
                if (this.m_playerAi_normalSkill.m_nextStageTimeCounter < 0) {
                    this.m_playerAi_normalSkill.ResetStage();
                }
            }
            if (this.getCurStateType() == game.e_AiType.g_AiType_Idle) {
                // if (playControl.getMe().m_DoEnterCurButtonState) {
                //     this.changeState(e_AiType.g_AiType_play_normalSkill);
                // }
                if (game.playControl.getMe().m_runButtonPressed) {
                    game.playControl.getMe().run();
                }
            }
            if (this.getCurStateType() == game.e_AiType.g_AiType_endAnimate) {
                if (game.playControl.getMe().m_runButtonPressed) {
                    game.playControl.getMe().run();
                }
            }
        };
        //死亡处理
        playStateControl.prototype.deadloop = function (dt) {
            if (this.m_roleObj.getcurhp() <= 0) {
                if (this.m_roleObj.isBeiji()) {
                    return;
                }
                if (this.m_roleObj.getCurStateType() == game.e_AiType.g_AiType_dead_zhuolu) {
                    return;
                }
                if (this.m_roleObj.getCurStateType() == game.e_AiType.g_AiType_Dead) {
                    return;
                }
                this.m_roleObj.changeState_Ex(game.e_AiType.g_AiType_Dead);
            }
        };
        return playStateControl;
    }(game.baseStateControl));
    game.playStateControl = playStateControl;
})(game || (game = {}));
//# sourceMappingURL=playStateControl.js.map 
//# sourceMappingURL=playStateControl.js.map