/**
 * Created by xieli on 2016/9/23.
 */
//状态机管理模块
module  game {
    export class playStateControl extends baseStateControl {
        m_playerAi_normalSkill: any = null
       public m_des:string = "";

        constructor(playObj)
        {
            super(playObj);
            this.m_des = "playStateControl";
        }

        static create  (): playStateControl {
            return new playStateControl(null);
        };

        initState() {
            this.m_cur_RoleAiState = new playerAi_idle(this.m_roleObj);
            this.m_cur_RoleAiState.InternalEvent();
            this.addState(this.m_cur_RoleAiState);
            this.addState(new playerAi_beiji(this.m_roleObj));
            this.addState(new playerAi_beiji_tiaoqi(this.m_roleObj));
            this.addState(new playerAi_dead(this.m_roleObj));
            this.addState(new playerAi_yun(this.m_roleObj));
            this.addState(new playerAi_run(this.m_roleObj));
            this.addState(new playerAi_normalAttack(this.m_roleObj));
            this.addState(new playerAi_shache(this.m_roleObj));
            this.addState(new playerAi_Skill_jineng1(this.m_roleObj));
            this.addState(new playerAi_fallDown(this.m_roleObj));
            this.addState(new aiBase_AttackRecover(this.m_roleObj));
            this.addState(new aiBaseQishen(this.m_roleObj));
            this.addState(new playerAi_ptgongji1(this.m_roleObj));
            this.addState(new playerAi_ptgongji2(this.m_roleObj));
            this.addState(new playerAi_ptgongji3(this.m_roleObj));
            this.addState(new playerAi_ptgongji4(this.m_roleObj));
            this.addState(new playAiBaseSkill_zhuolu(this.m_roleObj));
            this.m_playerAi_normalSkill = this.getState(e_AiType.g_AiType_play_normalSkill);
            super.initState();
        }

        loop(dt) {
           // console.log("m_playStateControl");
            this.deadloop(dt);
           // console.log("loop" + this.getCurStateType());
            super.loop(dt);
            if (this.m_playerAi_normalSkill.m_linking) {
                if (playControl.getMe().m_DoEnterCurButtonState) {
                    this.changeState(e_AiType.g_AiType_play_normalSkill);
                }
                if (this.m_roleObj.isBeiji()) {
                    this.m_playerAi_normalSkill.ResetStage();
                    return;
                }
                this.m_playerAi_normalSkill.m_nextStageTimeCounter -= dt;
                if (this.m_playerAi_normalSkill.m_nextStageTimeCounter < 0) {
                    this.m_playerAi_normalSkill.ResetStage();
                }
            }
            if (this.getCurStateType() == e_AiType.g_AiType_Idle) {
                // if (playControl.getMe().m_DoEnterCurButtonState) {
                //     this.changeState(e_AiType.g_AiType_play_normalSkill);
                // }
                if (playControl.getMe().m_runButtonPressed ) {
                    playControl.getMe().run();
                }
            }
            if (this.getCurStateType() == e_AiType.g_AiType_endAnimate) {
                if (playControl.getMe().m_runButtonPressed ) {
                    playControl.getMe().run();
                }
            }
        }

        //死亡处理
        deadloop(dt) {
            if (this.m_roleObj.getcurhp() <= 0) {
                if (this.m_roleObj.isBeiji()) {
                    return;
                }
                if (this.m_roleObj.getCurStateType() == e_AiType.g_AiType_dead_zhuolu) {
                    return;
                }
                if (this.m_roleObj.getCurStateType() == e_AiType.g_AiType_Dead) {
                    return;
                }
                this.m_roleObj.changeState_Ex(e_AiType.g_AiType_Dead);
            }
        }
    }

}
//# sourceMappingURL=playStateControl.js.map