var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var playerAi_normalAttack = (function (_super) {
        __extends(playerAi_normalAttack, _super);
        // m_brokenLevel: any = null;
        function playerAi_normalAttack(role) {
            _super.call(this, role);
            this.m_nextStageTimeCounter = 0;
            this.m_currentStage = 1;
            this.m_skillTypeName = "";
            this.m_linking = false;
            this.m_state = null;
            this.m_skillInfo = null;
            this.m_stateType = game.e_AiType.g_AiType_play_normalSkill;
            _super.prototype.initZhongduanLevel.call(this);
        }
        playerAi_normalAttack.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            //重置连接状态
            this.m_linking = false;
            //设置技能信息到状态
            this.m_skillTypeName = "ptgongji_" + this.m_currentStage;
            this.m_skillInfo = this.m_object_role.getSkillInfo(this.m_skillTypeName);
            this.m_currentStage++;
            if (this.m_currentStage > 4) {
                this.m_currentStage = 1;
            }
            // this.m_brokenLevel = this.m_skillInfo.brokenLevel;
            //更新当前技能信息
            this.m_object_role.m_curSkillInfo = this.m_skillInfo;
            //先更新当前技能信息，再播放攻击动作
            this.m_object_role.playAnimation(this.m_skillInfo.animation, false);
            //提升硬直上限功能
            //this.m_object_role.m_antiStunSum += this.m_skillInfo.raiseLimitStunPoint;
            this.m_object_role.stopMoveRootBone(0); //开始动画
            return true;
        };
        playerAi_normalAttack.prototype.update = function (t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            _super.prototype.update.call(this, t);
            return true;
        };
        playerAi_normalAttack.prototype.ExternalEvent = function (key, data) {
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            if (ret == false) {
                return ret;
            }
            //减去硬直加成
            // this.m_object_role.m_antiStunSum -= this.m_skillInfo.raiseLimitStunPoint;
            //设置接招时间
            this.m_nextStageTimeCounter = game.g_nextStageTime;
            this.m_linking = true;
            return true;
        };
        playerAi_normalAttack.prototype.ResetStage = function () {
            this.m_currentStage = 1;
            this.m_nextStageTimeCounter = 0;
            this.m_linking = false;
        };
        playerAi_normalAttack.prototype.Complete = function () {
            this.m_state = 1;
            //判断是否有回复动画
            var skill = this.m_object_role.m_curSkillInfo.endAnimation;
            if (skill != null) {
                this.m_object_role.changeState(game.e_AiType.g_AiType_endAnimate);
                return true;
            }
            _super.prototype.Complete.call(this);
            return true;
        };
        return playerAi_normalAttack;
    }(game.aiBase_play));
    game.playerAi_normalAttack = playerAi_normalAttack;
})(game || (game = {}));
// 
//# sourceMappingURL=playerAi_normalAttack.js.map 
//# sourceMappingURL=playerAi_normalAttack.js.map