module  game {
    export class playerAi_normalAttack extends game.aiBase_play {
        m_nextStageTimeCounter: any = 0
        m_currentStage: any = 1
        m_skillTypeName: any = ""
        m_linking: any = false
        m_state: any = null;
        m_skillInfo: any = null;
        // m_brokenLevel: any = null;
        constructor(role) {
            super(role);
            this.m_stateType = game.e_AiType.g_AiType_play_normalSkill;
            super.initZhongduanLevel();
        }

        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            //重置连接状态
            this.m_linking = false;
            //设置技能信息到状态

            this.m_skillTypeName = "ptgongji_" + this.m_currentStage;
            this.m_skillInfo  = this.m_object_role.getSkillInfo(this.m_skillTypeName);

            this.m_currentStage++;
            if (this.m_currentStage > 4) {
                this.m_currentStage = 1;
            }
            // this.m_brokenLevel = this.m_skillInfo.brokenLevel;
            //更新当前技能信息
            this.m_object_role.m_curSkillInfo = this.m_skillInfo;
            //先更新当前技能信息，再播放攻击动作
            this.m_object_role.playAnimation(this.m_skillInfo.animation, false);
            //提升硬直上限功能
            //this.m_object_role.m_antiStunSum += this.m_skillInfo.raiseLimitStunPoint;
            this.m_object_role.stopMoveRootBone(0); //开始动画
            return true;
        }

        update(t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            super.update(t);
            return true;
        }

        ExternalEvent(key, data) {
            var ret = super.ExternalEvent(key, data);
            if (ret == false) {
                return ret;
            }
            //减去硬直加成
            // this.m_object_role.m_antiStunSum -= this.m_skillInfo.raiseLimitStunPoint;
            //设置接招时间
            this.m_nextStageTimeCounter = g_nextStageTime;
            this.m_linking = true;
            return true;
        }

        ResetStage() {
            this.m_currentStage = 1;
            this.m_nextStageTimeCounter = 0;
            this.m_linking = false;
        }

        Complete() {
            this.m_state = 1;
            //判断是否有回复动画
            var skill = this.m_object_role.m_curSkillInfo.endAnimation;
            if (skill != null) {
                this.m_object_role.changeState(game.e_AiType.g_AiType_endAnimate);
                return true;
            }
            super.Complete();
            return true;
        }
    }

}
// 
//# sourceMappingURL=playerAi_normalAttack.js.map