/**
 * Created by xieli on 2017/2/21.
 */
/**
 * 玩家属性管理类
 */
var game;
(function (game) {
    (function (e_property_Type) {
        e_property_Type[e_property_Type["e_hp"] = 0] = "e_hp";
        e_property_Type[e_property_Type["e_baseAtt"] = 1] = "e_baseAtt";
        e_property_Type[e_property_Type["e_baoji"] = 2] = "e_baoji";
        e_property_Type[e_property_Type["e_att"] = 3] = "e_att";
        e_property_Type[e_property_Type["e_defense"] = 4] = "e_defense";
        e_property_Type[e_property_Type["e_attSpeed"] = 5] = "e_attSpeed";
        e_property_Type[e_property_Type["e_runSpeed"] = 6] = "e_runSpeed";
    })(game.e_property_Type || (game.e_property_Type = {}));
    var e_property_Type = game.e_property_Type;
    game.getPropertyStr = function (t) {
        if (t == e_property_Type.e_hp)
            return "hp";
        else if (t == e_property_Type.e_baseAtt)
            return "baseatt";
        else if (t == e_property_Type.e_att)
            return "att";
        else if (t == e_property_Type.e_defense)
            return "defense";
        else if (t == e_property_Type.e_attSpeed)
            return "attSpeed";
        else if (t == e_property_Type.e_runSpeed)
            return "runSpeed";
        else if (t == e_property_Type.e_baoji)
            return "baoji";
    };
    game.getPropertyZHStr = function (name) {
        if (name == "hp")
            return "血量";
        else if (name == "att")
            return "攻击";
        else if (name == "defense")
            return "防御";
        else if (name == "attSpeed")
            return "攻速";
        else if (name == "runSpeed")
            return "移速";
        else if (name == "baoji")
            return "暴击";
        return "";
    };
    game.eToPropertyStr = function (t) {
        if (t == "hp")
            return e_property_Type.e_hp;
        else if (t == "runSpeed")
            return e_property_Type.e_runSpeed;
        else if (t == "att")
            return e_property_Type.e_att;
        else if (t == "defense")
            return e_property_Type.e_defense;
        else if (t == "attSpeed")
            return e_property_Type.e_attSpeed;
        else if (t == "baoji")
            return e_property_Type.e_baoji;
    };
    var propertyData = (function () {
        function propertyData(t, _per) {
            this.per = _per;
            this.type = t;
        }
        ;
        return propertyData;
    }());
    game.propertyData = propertyData;
    var propertyMgr = (function () {
        function propertyMgr() {
            this.m_des = "propertyMgr";
        }
        propertyMgr.prototype.init = function () {
            this.reset();
        };
        propertyMgr.prototype.reset = function () {
            this.m_propertyMap = new game.Map();
            this.m_propertyMap.set(e_property_Type.e_hp, new propertyData(e_property_Type.e_hp, 0));
            this.m_propertyMap.set(e_property_Type.e_att, new propertyData(e_property_Type.e_att, 0));
            this.m_propertyMap.set(e_property_Type.e_defense, new propertyData(e_property_Type.e_defense, 0));
            this.m_propertyMap.set(e_property_Type.e_runSpeed, new propertyData(e_property_Type.e_runSpeed, 0));
            this.m_propertyMap.set(e_property_Type.e_attSpeed, new propertyData(e_property_Type.e_attSpeed, 0));
            this.m_propertyMap.set(e_property_Type.e_baoji, new propertyData(e_property_Type.e_baoji, 0));
            var hero_pintu_data = game.dataMgr.getMe().getPlayPintuDoc();
            for (var p in hero_pintu_data) {
                var pintu = hero_pintu_data[p];
                var pintuConfig = game.g_pintu_info[p];
                for (var i = 0; i < pintu.num; ++i) {
                    this.addProperty_str("hp", game.g_pintu_info[p].hp_up);
                    this.addProperty_str("att", game.g_pintu_info[p].att_up);
                    this.addProperty_str("defense", game.g_pintu_info[p].def_up);
                    this.addProperty_str("runSpeed", game.g_pintu_info[p].Speed_up);
                    this.addProperty_str("baoji", game.g_pintu_info[p].crit_up);
                }
            }
        };
        propertyMgr.prototype.addProperty_str = function (strtype, per) {
            this.addProperty(game.eToPropertyStr(strtype), per);
        };
        propertyMgr.prototype.addProperty = function (t, per) {
            if (per < 0) {
                console.error("error addProperty");
                return;
            }
            return this.m_propertyMap.get(t).per += per;
        };
        propertyMgr.prototype.getProperty_str = function (strtype) {
            this.getProperty(game.eToPropertyStr(strtype));
        };
        propertyMgr.prototype.getProperty = function (t) {
            return this.m_propertyMap.get(t);
        };
        propertyMgr.prototype.getPropertyNum = function (t) {
            return this.m_propertyMap.get(t).per;
        };
        propertyMgr.prototype.removeProperty_str = function (strtype, per) {
            this.removeProperty(game.eToPropertyStr(strtype), per);
        };
        propertyMgr.prototype.removeProperty = function (t, per) {
            if (per < 0) {
                console.error("error removeProperty");
                return;
            }
            return this.m_propertyMap.get(t).per -= per;
        };
        propertyMgr.prototype.loop = function (dt) {
        };
        propertyMgr.prototype.shutdown = function () {
        };
        propertyMgr.g_propertyMgr = null;
        propertyMgr.getMe = function () {
            if (propertyMgr.g_propertyMgr == null) {
                propertyMgr.g_propertyMgr = new propertyMgr();
                return propertyMgr.g_propertyMgr;
            }
            return propertyMgr.g_propertyMgr;
        };
        return propertyMgr;
    }());
    game.propertyMgr = propertyMgr;
})(game || (game = {}));
//# sourceMappingURL=propertyMgr.js.map