var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
// 角色管理类
var game;
(function (game) {
    var roleMgr = (function (_super) {
        __extends(roleMgr, _super);
        function roleMgr() {
            _super.call(this);
            this.m_curRole = null;
            this.m_curControlRole = null;
            this.m_worldBoss = null;
            // m_curFollower: follower = null;
            this.m_player_map = null;
            this.m_follower_map = null;
            this.m_AllRole_map = null;
            this.m_AllRole_map_Alive = null;
            this.m_player_map_Alive = null;
            this.m_player_map_dead = null;
            this.m_monster_map = null;
            this.m_monster_map_Alive = null;
            this.m_monster_map_dead = null;
            this.m_sceneinfo = null;
            this.m_isChangePlayer = true;
            this.m_avatar = null;
            this.m_monsterCount = 0;
            this.m_roleMgr_jsb = null;
            this.m_follower_map = new game.Map();
            this.m_monster_map = new game.Map();
            this.m_player_map = new game.Map();
            this.m_AllRole_map = new game.Map();
            this.m_player_map_Alive = new game.Map();
            this.m_monster_map_Alive = new game.Map();
            this.m_AllRole_map_Alive = new game.Map();
            this.m_player_map_dead = new game.Map();
            this.m_monster_map_dead = new game.Map();
            this.getNode().setName("roleMgr类");
            this.m_monsterCount = 0;
            if (cc.sys.isNative) {
                this.m_roleMgr_jsb = new cc.roleMgr_jsb();
            }
        }
        // 设置当前控制角色
        roleMgr.prototype.setControlPlayer = function () {
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var obj = this.m_player_map.getByIndex(i);
                obj.setControlRole(false);
            }
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var obj = this.m_player_map.getByIndex(i);
                if (!obj.isdead()) {
                    obj.setControlRole(true);
                    // this.m_curControlRole = obj;
                    this.setcurControlRole(obj);
                    break;
                }
            }
            game.playControl.getMe().resetKey();
        };
        //当前被控制的角色
        roleMgr.prototype.getControlPlayer = function () {
            return this.m_curControlRole;
        };
        roleMgr.prototype.setcurControlRole = function (_baseRole) {
            this.m_curControlRole = _baseRole;
            if (cc.sys.isNative) {
                this.m_roleMgr_jsb.setCurControlBaseRole(this.m_curControlRole.m_baseRole_js);
            }
        };
        //////////  调试阻挡模块 开始   //////////////
        roleMgr.prototype.updataDebug_drawRect = function (obj) {
            // if (obj == null) {
            //     return;
            // }
            // let rect = obj.getPhyRect();
            // _DrawNode_debug.drawRect(cc.p(rect.x, rect.y), cc.pAdd(cc.p(rect.width, rect.height), cc.p(rect.x, rect.y)), null, 2, cc.color(255, 0, 255, 255));
            // //  this.m_drawNodeMap.put(obj.__instanceId, obj);
        };
        roleMgr.prototype.updataDebug = function () {
            // if (_DrawNode_debug == null) {
            //     _DrawNode_debug = new cc.DrawNode();
            //     this.addChild(_DrawNode_debug, 100000);
            // }
            // _DrawNode_debug.clear();
            // this.updataDebug_drawRect(this.m_curRole);
            // this.updataDebug_drawRect(this.m_curFollower);
            // for (let i = 0; i < bulletMgr.getMe().m_bullet_map.size; ++i) {
            //     let data = bulletMgr.getMe().m_bullet_map.getByIndex(i);
            //     this.updataDebug_drawRect(data);
            // }
        };
        /////////////////////调试阻挡模块 结束  ////////////////////
        roleMgr.prototype.initroleMgr = function (sceneinfo) {
            if (this.m_curRole) {
                return;
            }
            this.m_sceneinfo = sceneinfo;
            this.createPlayer(game.dataMgr.getMe().getCurHero());
            var follower = game.dataMgr.getMe().getCurFollow();
            // if(follower.length > 0)
            // {
            //     this.createFollower(follower[0],0);
            // }
            for (var i = 0; i < follower.length; i++) {
                this.createFollower(follower[i], i);
            }
        };
        //create Follower 随从
        roleMgr.prototype.createFollower = function (followname, num) {
            // return;
            if (followname == "" || followname == null) {
                return;
            }
            var l_follower = game.follower.create();
            l_follower.init(followname);
            var pos;
            if (num == 0) {
                pos = cc.p(this.m_sceneinfo["follower1birth"]["pos_x"], this.m_sceneinfo["follower1birth"]["pos_y"]);
            }
            else {
                pos = cc.p(this.m_sceneinfo["follower2birth"]["pos_x"], this.m_sceneinfo["follower2birth"]["pos_y"]);
            }
            l_follower.m_ground = pos;
            l_follower.setPosition(pos);
            this.addChild(l_follower.getNode(), 500);
            if (ccs._parser.g_isLowCpu == false) {
                game.spineMgr.getMe().createSpineOncePlay("chushengtexiao", "play", roleMgr.getMe().getNode(), l_follower.getPosition(), 1001);
            }
            this.m_follower_map.set(l_follower.__instanceId, l_follower);
            this.m_player_map.set(l_follower.__instanceId, l_follower);
            this.m_AllRole_map.set(l_follower.__instanceId, l_follower);
        };
        roleMgr.prototype.createAvatar = function (followname, pos) {
            if (!this.m_avatar) {
                this.m_avatar = game.Avatar.create();
                this.m_avatar.init(followname);
                this.addChild(this.m_avatar.getNode(), 500);
                this.m_follower_map.set(this.m_avatar.__instanceId, this.m_avatar);
                this.m_player_map.set(this.m_avatar.__instanceId, this.m_avatar);
                this.m_AllRole_map.set(this.m_avatar.__instanceId, this.m_avatar);
            }
            this.m_avatar.setHp(this.m_avatar.getmaxhp());
            this.m_avatar.m_xuetiao.setHpPer(100);
            this.m_avatar.m_ground = pos;
            this.m_avatar.setPosition(pos);
            // spineMgr.getMe().createSpineOncePlay("chushengtexiao", "play", roleMgr.getMe().getNode(), l_follower.getPosition(), 1001);
            if (this.m_avatar.isdead()) {
                this.m_avatar.changeState_Ex(game.e_AiType.g_AiType_Idle);
            }
            if (this.m_avatar.m_SpriteShadow) {
                this.m_avatar.m_SpriteShadow.setVisible(true);
            }
            if (this.m_avatar.m_xuetiao) {
                this.m_avatar.m_xuetiao.setVisible(true);
            }
            return this.m_avatar;
        };
        roleMgr.prototype.removeFollower = function (l_follower) {
            this.m_follower_map.delete(l_follower.__instanceId);
            this.m_AllRole_map.delete(l_follower.__instanceId);
            this.removeChild(l_follower);
        };
        //create monster
        roleMgr.prototype.createMonster = function (monsterInfo) {
            var l_monster = game.monster.create();
            l_monster.init(monsterInfo);
            l_monster.m_birthwave = monsterInfo.birth_wave; //波次类型 可以为空
            this.addChild(l_monster.getNode(), 0);
            this.m_monster_map.set(l_monster.__instanceId, l_monster);
            this.m_AllRole_map.set(l_monster.__instanceId, l_monster);
            this.m_monster_map_Alive.set(l_monster.__instanceId, l_monster);
            if (ccs._parser.g_isLowCpu == false) {
                game.spineMgr.getMe().createSpineOncePlay("guaiwuchuchangtexiao", "guaiwuchuchangtexiao", roleMgr.getMe().getNode(), l_monster.getPosition(), 1);
            }
            this.m_monsterCount++;
            return l_monster;
        };
        roleMgr.prototype.monsterDead = function (l_monster) {
            this.m_monster_map_Alive.delete(l_monster.__instanceId);
        };
        //create monster
        roleMgr.prototype.createWorldBoss = function (monsterInfo) {
            var l_monster = game.worldBoss.create();
            l_monster.init(monsterInfo);
            this.addChild(l_monster.getNode(), 0);
            this.m_monster_map.set(l_monster.__instanceId, l_monster);
            this.m_AllRole_map.set(l_monster.__instanceId, l_monster);
            this.m_monster_map_Alive.set(l_monster.__instanceId, l_monster);
            this.m_worldBoss = l_monster;
            if (ccs._parser.g_isLowCpu == false) {
                game.spineMgr.getMe().createSpineOncePlay("guaiwuchuchangtexiao", "guaiwuchuchangtexiao", roleMgr.getMe().getNode(), l_monster.getPosition(), 1);
            }
            return l_monster;
        };
        roleMgr.prototype.getWorldBoss = function () {
            return this.m_worldBoss;
        };
        roleMgr.prototype.removeMonster = function (l_monster) {
            var monstername = l_monster.getName();
            if (this.m_monster_map_dead.has(monstername)) {
                var deadnum = this.m_monster_map_dead.get(monstername);
                this.m_monster_map_dead.set(monstername, deadnum + 1);
            }
            else {
                this.m_monster_map_dead.set(monstername, 1);
            }
            this.m_monster_map.delete(l_monster.__instanceId);
            this.m_AllRole_map.delete(l_monster.__instanceId);
            l_monster.shutdown();
            this.removeChild(l_monster.getNode());
            this.m_monsterCount--;
        };
        // 当前玩家
        roleMgr.prototype.createPlayer = function (heroname) {
            //create hero
            var l_player = game.player.create();
            this.m_curRole = l_player;
            l_player.init(heroname);
            var pos = cc.p(this.m_sceneinfo["playerbirth"]["pos_x"], this.m_sceneinfo["playerbirth"]["pos_y"]);
            l_player.m_ground = pos;
            l_player.setPosition(pos);
            game.cameraMgr.getMe().reset(l_player);
            this.addChild(l_player.getNode(), 1000);
            this.m_player_map.set(l_player.__instanceId, l_player);
            this.m_AllRole_map.set(l_player.__instanceId, l_player);
            game.spineMgr.getMe().createSpineOncePlay("chushengtexiao", "play", roleMgr.getMe().getNode(), l_player.getPosition(), 1001);
            this.setcurControlRole(l_player);
            return l_player;
        };
        roleMgr.prototype.getRoleByName = function (name) {
            for (var i = 0; i < this.m_AllRole_map.size; ++i) {
                var data = this.m_AllRole_map.getByIndex(i);
                if (data.getRoleName() == name) {
                    return data;
                }
            }
            return null;
        };
        //返回当前玩家
        roleMgr.prototype.getPlayer = function () {
            return this.m_curRole;
        };
        //返回当前玩家
        //删除玩家
        roleMgr.prototype.deletePlayer = function () {
        };
        roleMgr.prototype.shutdown = function () {
            game.uieffectMgr.getMe().reset();
            for (var i = 0; i < this.m_monster_map.size; ++i) {
                var data = this.m_monster_map.getByIndex(i);
                data.shutdown();
            }
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var data = this.m_player_map.getByIndex(i);
                data.shutdown();
            }
        };
        roleMgr.prototype.getPlayerdead = function () {
            this.m_player_map_dead.clear();
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var obj = this.m_player_map.getByIndex(i);
                if (obj.isdead()) {
                    this.m_player_map_dead.set(obj.__instanceId, obj);
                }
            }
            return this.m_player_map_dead;
        };
        roleMgr.prototype.getBoss = function () {
            for (var i = 0; i < this.m_monster_map.size; ++i) {
                var obj = this.m_monster_map.getByIndex(i);
                if (obj.isboss()) {
                    return obj;
                }
            }
            return null;
        };
        roleMgr.prototype.resetMonsterDeadNum = function () {
            this.m_monster_map_dead.clear();
        };
        roleMgr.prototype.getMonsterDeadNumByName = function (name) {
            var monsterDeadNum = 0;
            if (this.m_monster_map_dead != null) {
                for (var i = 0; i < this.m_monster_map_dead.size; ++i) {
                    var obj = this.m_monster_map_dead.getByIndex(i);
                    if (obj == name) {
                        monsterDeadNum = this.m_monster_map_dead.getByIndex(i);
                        break;
                    }
                }
            }
            return monsterDeadNum;
        };
        roleMgr.prototype.getMonsterDeadNum = function () {
            var monsterDeadNum = 0;
            if (this.m_monster_map_dead != null) {
                for (var i = 0; i < this.m_monster_map_dead.size; ++i) {
                    var num = this.m_monster_map_dead.getByIndex(i);
                    monsterDeadNum += num;
                }
            }
            return monsterDeadNum;
        };
        roleMgr.prototype.getBossDeadNum = function () {
            var bossDeadNum = 0;
            if (this.m_monster_map_dead != null) {
                for (var i = 0; i < this.m_monster_map_dead.size; ++i) {
                    var obj = this.m_monster_map_dead.getKey(i);
                    if (game.dataMgr.getMe().isBoss(obj)) {
                        var num = this.m_monster_map_dead.getByIndex(i);
                        bossDeadNum += num;
                    }
                }
            }
            return bossDeadNum;
        };
        roleMgr.prototype.getMonsterAliveById = function (id) {
            var pMonster = null;
            if (this.m_monster_map.has(id)) {
                pMonster = this.m_monster_map.getByIndex(id);
                if (pMonster.isdead()) {
                    return null;
                }
            }
            return pMonster;
        };
        roleMgr.prototype.getMonsterAliveByWave = function (birthWave) {
            var count = 0;
            var l_MonsterAlive = this.getMonsterAlive();
            for (var i = 0; i < l_MonsterAlive.size; ++i) {
                var monster_1 = l_MonsterAlive.getByIndex(i);
                if (monster_1.m_birthwave == birthWave)
                    count++;
            }
            return count;
        };
        roleMgr.prototype.getRoleById = function (keyid) {
            var pRole = null;
            if (this.m_AllRole_map.has(keyid)) {
                pRole = this.m_AllRole_map.get(keyid);
                if (pRole.isdead()) {
                    return null;
                }
            }
            return pRole;
        };
        //获取没有死掉的队友
        roleMgr.prototype.getPlayerAlive = function () {
            this.m_player_map_Alive.clear();
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var obj = this.m_player_map.getByIndex(i);
                if (!obj.isdead()) {
                    this.m_player_map_Alive.set(obj.__instanceId, obj);
                }
            }
            return this.m_player_map_Alive;
        };
        //获取没有死掉的怪物
        roleMgr.prototype.getMonsterAlive = function () {
            return this.m_monster_map_Alive;
        };
        //根据位置搜索最近的怪物
        roleMgr.prototype.getNeerestMonster = function (pos, minDis) {
            var pMonster = null;
            var l_MonsterAlive = this.getMonsterAlive();
            for (var i = 0; i < l_MonsterAlive.size; ++i) {
                var data = l_MonsterAlive.getByIndex(i);
                if (data.isdead() == true) {
                    continue;
                }
                if (data.getDistance(pos) < minDis) {
                    pMonster = data;
                    minDis = data.getDistance(pos);
                }
            }
            return pMonster;
        };
        roleMgr.prototype.isMonsterAllDead = function () {
            for (var i = 0; i < this.m_monster_map.size; ++i) {
                var obj = this.m_monster_map.getByIndex(i);
                if (!obj.isdead()) {
                    return false;
                }
            }
            return true;
        };
        roleMgr.prototype.isPlayerAllDead = function () {
            for (var i = 0; i < this.m_player_map.size; ++i) {
                var obj = this.m_player_map.getByIndex(i);
                if (obj.getName().indexOf("bobifenshen") > -1) {
                    continue;
                }
                if (!obj.isdead()) {
                    return false;
                }
            }
            return true;
        };
        //暂停动画
        roleMgr.prototype.zanting = function (falg) {
            this.m_AllRole_map.forEach(function (v, k) {
                v.zanting(falg);
            }, this);
        };
        roleMgr.prototype.getMonsterSize = function () {
            return roleMgr.getMe().getMonsterAlive().size;
        };
        roleMgr.prototype.update_0_3 = function (t) {
            this.m_AllRole_map.forEach(function (v, k) {
                v.update_0_3(t);
            }, this);
        };
        roleMgr.prototype.update = function (t) {
            //this.updataDebug();
            this.m_AllRole_map.forEach(function (v, k) {
                v.update(t);
            }, this);
            for (var i = 0; i < this.m_monster_map.size; ++i) {
                var data = this.m_monster_map.getByIndex(i);
                if (data.getCurStateType() == game.e_AiType.g_AiType_Dead) {
                    if (data.m_canDelete == true) {
                        this.removeMonster(data);
                    }
                    return;
                }
            }
        };
        roleMgr.getMe = function () {
            if (game.sceneMgr.getMe().m_curScene == null) {
                return null;
            }
            return game.sceneMgr.getMe().m_curScene.getRoleMgr();
        };
        roleMgr.create = function () {
            var _roleMgr = new roleMgr();
            return _roleMgr;
        };
        return roleMgr;
    }(game.xjNode));
    game.roleMgr = roleMgr;
})(game || (game = {}));
//# sourceMappingURL=roleMgr.js.map 
//# sourceMappingURL=roleMgr.js.map