var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//随从
var game;
(function (game) {
    var Avatar = (function (_super) {
        __extends(Avatar, _super);
        function Avatar() {
            _super.call(this);
            this.m_Type = game.g_ObjType.follower;
            this.m_isControlRole = false;
            this.getNode().setName("Avatar类");
        }
        Avatar.prototype.init = function (Avatar_data) {
            var heroName = "bobi";
            var heroLv = game.dataMgr.getMe().getHeroLevel(heroName);
            this.m_name = "bobifenshen" + heroLv;
            this.m_heroConfig = cc.clone(game.fileMgr.getMe().m_playHero_data_Map.get(this.m_name));
            if (this.m_heroConfig == null) {
                console.log("g_playhero_config 表需要配置：" + heroName);
            }
            if (this.m_heroConfig.spine_res == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "hero 表出错: name： " + heroName + "没有字段：spine_res");
                console.error("hero 表出错: name： " + heroName + "没有字段：spine_res");
            }
            this.m_res = this.m_heroConfig.spine_res;
            this.createShadow();
            this.m_SpineNode = game.spineMgr.getMe().loadSpine(this.m_res, this.getNode(), 4);
            this.m_SpineNode.setScale(this.m_heroConfig.scale);
            this.setRoleDir(this.m_roledir);
            this.m_shaderFlash = new game.shaderFlash(this.m_SpineNode);
            this.playAnimation("daiji");
            this.m_SpineNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_SpineNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_SpineNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
            }.bind(this));
            this.m_SpineNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind(this));
            if (game.rootScene.getMe().iszanting() == true) {
                this.zanting(true);
            }
            //設置hp
            this.setHp(this.getmaxhp());
            this.initState();
            this.m_playAutoFightControl = game.playAutoFightControl.create(this);
            this.m_playAutoFightControl.init();
            this.m_playCdControl = game.playCdControl.create(this);
            this.m_playCdControl.init();
            var pos = this.m_heroConfig.headHpBarPos;
            this.createXueTiao(pos, 100, this.m_heroConfig.bloodName);
            this.create_baseRole_js();
        };
        Avatar.prototype.setHp = function (val) {
            this.m_curHp = parseInt(val);
            if (this.m_xuetiao)
                this.m_xuetiao.setHpPer(this.getcurhp() / this.getmaxhp() * 100);
        };
        Avatar.prototype.update = function (dt) {
            _super.prototype.update.call(this, dt);
        };
        Avatar.getMe = function () {
            return game.Avatar.create();
        };
        Avatar.create = function () {
            var _Avatar = new game.Avatar();
            return _Avatar;
        };
        return Avatar;
    }(game.player));
    game.Avatar = Avatar;
})(game || (game = {}));
//# sourceMappingURL=avatar.js.map