//
//
var game;
(function (game) {
    var sceneResTextureMgr = (function () {
        function sceneResTextureMgr() {
            this.m_loadState = 0;
            this._numberOfLoadedTexture = 0;
            this.m_des = "sceneResTextureMgr";
        }
        sceneResTextureMgr.prototype.loadSceneTexture = function (scene) {
            if (!scene || !game.g_res_scene[scene]) {
                this.m_loadState = 3;
                return;
            }
            this.m_loadState = 1;
            if (!game.g_res_scene[scene]["g_texture"]["1"]) {
                this.m_loadState = 3;
                return;
            }
            if (game.g_res_scene[scene]["g_texture"]["1"].state == "load") {
                var json_texture = eval(game.g_res_scene[scene]["g_texture"]["1"].path);
                this._numberOfLoadedTexture = json_texture.length;
                for (var i = 0; i < json_texture.length; i++) {
                    cc.textureCache.addImageAsync(json_texture[i].texture_path, this.loadingCallBack, this);
                }
            }
            if (this._numberOfLoadedTexture == 0) {
                this.m_loadState = 2;
                game.g_res_scene[scene]["g_texture"]["1"].state = "loaded";
            }
        };
        sceneResTextureMgr.prototype.loadingCallBack = function () {
            --this._numberOfLoadedTexture;
        };
        sceneResTextureMgr.prototype.shutdown = function () {
            this.m_loadState = 0;
        };
        return sceneResTextureMgr;
    }());
    game.sceneResTextureMgr = sceneResTextureMgr;
    var sceneResSpineMgr = (function () {
        function sceneResSpineMgr() {
            this.m_loadState = 0;
            this.m_de = "sceneResSpineMgr";
        }
        sceneResSpineMgr.prototype.loadSceneSpine = function (scene) {
            if (!scene || !game.g_res_scene[scene]) {
                this.m_loadState = 3;
                return;
            }
            this.m_loadState = 1;
            for (var i in game.g_res_scene[scene]["g_spine"]) {
                if (!i) {
                    this.m_loadState = 3;
                    return;
                }
                if (game.g_res_scene[scene]["g_spine"][i].state == "load") {
                    game.spineMgr.getMe().loadSpine(game.g_res_scene[scene]["g_spine"][i].path, null);
                    game.g_res_scene[scene]["g_spine"][i].state = "loaded";
                }
            }
            this.m_loadState = 2;
        };
        sceneResSpineMgr.getloadSceneSpine = function (scenename, sceneType) {
            var spineMap = {};
            if (sceneType != game.e_SceneType.SceneType_login) {
                var json_spine = game.fileMgr.getMe().m_resouce.sceneSpine;
                for (var i = 0; i < json_spine.length; i++) {
                    spineMap[json_spine[i]] = json_spine[i];
                }
            }
            // 根据场景名获得怪物名
            var monsters = game.g_sceneSpine_preload_sceneName[scenename];
            var monsterName;
            var spines;
            for (var i in monsters) {
                monsterName = monsters[i];
                spines = game.g_sceneSpine_preload[monsterName];
                for (var j = 0; j < spines.length; j++)
                    spineMap[spines[j]] = spines[j];
            }
            // 玩家选择的角色
            var playerName = game.dataMgr.getMe().getCurHero();
            var playSpine = game.dataMgr.getMe().getHeroNameByName(playerName);
            spines = game.g_sceneSpine_preload[playSpine];
            for (var j = 0; j < spines.length; j++)
                spineMap[spines[j]] = spines[j];
            // if(playerName.indexOf("bobi") > -1){
            //     playSpine = dataMgr.getMe().getHeroNameByName("bobifenshen");
            //     spines = g_sceneSpine_preload[playSpine];
            //     for(let j = 0; j < spines.length; j++)
            //         spineMap[spines[j]] = spines[j];
            // }
            var followersName = game.dataMgr.getMe().getCurFollow();
            for (var i = 0; i < followersName.length; i++) {
                playSpine = game.dataMgr.getMe().getHeroNameByName(followersName[i]);
                spines = game.g_sceneSpine_preload[playSpine];
                for (var j = 0; j < spines.length; j++)
                    spineMap[spines[j]] = spines[j];
            }
            return spineMap;
        };
        sceneResSpineMgr.prototype.shutdown = function () {
            // this.m_loadState = 0;
        };
        return sceneResSpineMgr;
    }());
    game.sceneResSpineMgr = sceneResSpineMgr;
    var sceneResMgr = (function () {
        function sceneResMgr() {
            this.m_sceneResSpineMgr = null;
            this.m_sceneResTextureMgr = null;
            this.m_sceneResPlistMgr = null;
            this.m_des = sceneResMgr;
            this.init();
        }
        sceneResMgr.prototype.init = function () {
            this.m_sceneResSpineMgr = new sceneResSpineMgr();
            this.m_sceneResTextureMgr = new sceneResTextureMgr();
        };
        //loadRes  (scene) {
        //    this.m_sceneResSpineMgr.loadSceneSpine(scene);
        //    this.m_sceneResTextureMgr.loadSceneTexture(scene);
        //    this.m_sceneResPlistMgr.loadScenePlist(scene);
        //
        //},
        sceneResMgr.prototype.setSceneLoading = function () {
            // if (this.m_sceneResSpineMgr.m_loadState == 2 || this.m_sceneResSpineMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
            // if (this.m_sceneResTextureMgr.m_loadState == 2 || this.m_sceneResTextureMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 40;
            // if (this.m_sceneResPlistMgr.m_loadState == 2 || this.m_sceneResPlistMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
        };
        //释放内存
        sceneResMgr.prototype.shutdown = function () {
            this.m_sceneResSpineMgr.shutdown();
            this.m_sceneResTextureMgr.shutdown();
            this.m_sceneResPlistMgr.shutdown();
            this.m_sceneResSpineMgr = null;
            this.m_sceneResTextureMgr = null;
            this.m_sceneResPlistMgr = null;
        };
        sceneResMgr.g_resMgr = null;
        sceneResMgr.getMe = function () {
            return sceneResMgr.create();
        };
        sceneResMgr.create = function () {
            if (sceneResMgr.g_resMgr == null) {
                sceneResMgr.g_resMgr = new sceneResMgr();
                return sceneResMgr.g_resMgr;
            }
            else {
                return sceneResMgr.g_resMgr;
            }
        };
        return sceneResMgr;
    }());
    game.sceneResMgr = sceneResMgr;
})(game || (game = {}));
//# sourceMappingURL=sceneResMgr.js.map 
//# sourceMappingURL=sceneResMgr.js.map