//
//
module game {

    export class sceneResTextureMgr {
        m_loadState: any = 0;
        _numberOfLoadedTexture: any = 0;
        m_des: string = "sceneResTextureMgr";


        loadSceneTexture(scene) {
            if (!scene || !g_res_scene[scene]) {
                this.m_loadState = 3;
                return;
            }
            this.m_loadState = 1;
            if (!g_res_scene[scene]["g_texture"]["1"]) {
                this.m_loadState = 3;
                return;
            }
            if (g_res_scene[scene]["g_texture"]["1"].state == "load") {
                var json_texture = eval(g_res_scene[scene]["g_texture"]["1"].path);
                this._numberOfLoadedTexture = json_texture.length;
                for (var i = 0; i < json_texture.length; i++) {
                    cc.textureCache.addImageAsync(json_texture[i].texture_path, this.loadingCallBack, this);
                }
            }
            if (this._numberOfLoadedTexture == 0) {
                this.m_loadState = 2;
                g_res_scene[scene]["g_texture"]["1"].state = "loaded";
            }
        }


        loadingCallBack() {
            --this._numberOfLoadedTexture;
        }


        shutdown() {
            this.m_loadState = 0;
        }
    }

    export class sceneResSpineMgr {
        m_loadState: any = 0;
        m_de: any = "sceneResSpineMgr";

        constructor() {
        }

        loadSceneSpine(scene) {
            if (!scene || !g_res_scene[scene]) {
                this.m_loadState = 3;
                return;
            }
            this.m_loadState = 1;
            for (var i in g_res_scene[scene]["g_spine"]) {
                if (!i) {
                    this.m_loadState = 3;
                    return;
                }
                if (g_res_scene[scene]["g_spine"][i].state == "load") {
                    spineMgr.getMe().loadSpine(g_res_scene[scene]["g_spine"][i].path,null);
                    g_res_scene[scene]["g_spine"][i].state = "loaded";
                }
            }
            this.m_loadState = 2;
        }

        static getloadSceneSpine(scenename, sceneType) {
            let spineMap:any = {};
            if (sceneType != e_SceneType.SceneType_login) {
                let json_spine = fileMgr.getMe().m_resouce.sceneSpine;
                for (let i = 0; i < json_spine.length; i++) {
                    spineMap[json_spine[i]] = json_spine[i];
                }
            }

            // 根据场景名获得怪物名
            let monsters = g_sceneSpine_preload_sceneName[scenename];
            let monsterName;
            let spines;
            for (let i in monsters) {
                monsterName = monsters[i];
                spines = g_sceneSpine_preload[monsterName];
                for(let j = 0; j < spines.length; j++)
                spineMap[spines[j]] = spines[j];
            }

            // 玩家选择的角色
            let playerName = dataMgr.getMe().getCurHero();
            let playSpine = dataMgr.getMe().getHeroNameByName(playerName);
            spines = g_sceneSpine_preload[playSpine];
            for(let j = 0; j < spines.length; j++)
                spineMap[spines[j]] = spines[j];

            // if(playerName.indexOf("bobi") > -1){
            //     playSpine = dataMgr.getMe().getHeroNameByName("bobifenshen");
            //     spines = g_sceneSpine_preload[playSpine];
            //     for(let j = 0; j < spines.length; j++)
            //         spineMap[spines[j]] = spines[j];
            // }

            let followersName = dataMgr.getMe().getCurFollow();
            for(let i = 0;i< followersName.length; i++){
                playSpine = dataMgr.getMe().getHeroNameByName(followersName[i]);
                spines = g_sceneSpine_preload[playSpine];
                for(let j = 0; j < spines.length; j++)
                    spineMap[spines[j]] = spines[j];

                // if(followersName[i].indexOf("bobi") > -1){
                //     playSpine = dataMgr.getMe().getHeroNameByName("bobifenshen");
                //     spines = g_sceneSpine_preload[playSpine];
                //     for(let j = 0; j < spines.length; j++)
                //         spineMap[spines[j]] = spines[j];
                // }
            }
            return spineMap;
        }

        shutdown() {
            // this.m_loadState = 0;
        }
    }


    export class sceneResMgr {
        m_sceneResSpineMgr: any = null;
        m_sceneResTextureMgr: any = null;
        m_sceneResPlistMgr: any = null;
        m_des: any = sceneResMgr;
        static g_resMgr: any = null;
        static getMe = function () {
            return sceneResMgr.create();
        };
        static create = function () {
            if (sceneResMgr.g_resMgr == null) {
                sceneResMgr.g_resMgr = new sceneResMgr();
                return sceneResMgr.g_resMgr;
            }
            else {
                return sceneResMgr.g_resMgr;
            }
        };

        constructor() {
            this.init();
        }

        init() {
            this.m_sceneResSpineMgr = new sceneResSpineMgr();
            this.m_sceneResTextureMgr = new sceneResTextureMgr();

        }

        //loadRes  (scene) {
        //    this.m_sceneResSpineMgr.loadSceneSpine(scene);
        //    this.m_sceneResTextureMgr.loadSceneTexture(scene);
        //    this.m_sceneResPlistMgr.loadScenePlist(scene);
        //
        //},
        setSceneLoading() {
            // if (this.m_sceneResSpineMgr.m_loadState == 2 || this.m_sceneResSpineMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
            // if (this.m_sceneResTextureMgr.m_loadState == 2 || this.m_sceneResTextureMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 40;
            // if (this.m_sceneResPlistMgr.m_loadState == 2 || this.m_sceneResPlistMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
        }

        //释放内存
        shutdown() {
            this.m_sceneResSpineMgr.shutdown();
            this.m_sceneResTextureMgr.shutdown();
            this.m_sceneResPlistMgr.shutdown();
            this.m_sceneResSpineMgr = null;
            this.m_sceneResTextureMgr = null;
            this.m_sceneResPlistMgr = null;
        }
    }

}


//# sourceMappingURL=sceneResMgr.js.map