//
var game;
(function (game) {
    var TimeScaleControl = (function () {
        function TimeScaleControl() {
            this.m_updateCall_time = 0;
            this.m_updateCall = null;
            this.m_isTimeScale = false;
            this.m_fScale_per = 1;
        }
        TimeScaleControl.prototype.update = function (dt) {
            this.updateCall(dt);
        };
        TimeScaleControl.prototype.setTimeScale = function (scale, timeToEnd) {
            cc.director.getScheduler().setTimeScale(scale);
            this.m_fScale_per = scale;
            this.m_updateCall_time = timeToEnd;
            this.m_isTimeScale = true;
        };
        TimeScaleControl.prototype.getUpdateTime = function (t) {
            if (this.m_isTimeScale == true) {
                return this.m_fScale_per * t;
            }
            return t;
        };
        TimeScaleControl.prototype.shutdown = function () {
            cc.director.getScheduler().setTimeScale(1);
            this.m_isTimeScale = false;
        };
        //更新调用，代替定时器
        TimeScaleControl.prototype.updateCall = function (dt) {
            if (this.m_isTimeScale == false) {
                return true;
            }
            // var newdt = (dt / cc.director.getScheduler().getTimeScale());
            this.m_updateCall_time -= (dt);
            if (this.m_updateCall_time < 0) {
                this.shutdown();
            }
            return true;
        };
        TimeScaleControl.g_TimeScaleControl = null;
        TimeScaleControl.getMe = function () {
            return game.TimeScaleControl.create();
        };
        TimeScaleControl.create = function () {
            if (game.TimeScaleControl.g_TimeScaleControl == null) {
                game.TimeScaleControl.g_TimeScaleControl = new game.TimeScaleControl();
                return game.TimeScaleControl.g_TimeScaleControl;
            }
            else {
                return game.TimeScaleControl.g_TimeScaleControl;
            }
        };
        return TimeScaleControl;
    }());
    game.TimeScaleControl = TimeScaleControl;
})(game || (game = {}));
//# sourceMappingURL=TimeScaleControl.js.map 
//# sourceMappingURL=TimeScaleControl.js.map