//
module game {
    export class TimeScaleControl {
        m_updateCall_time: any = 0
        m_updateCall: any = null
        m_isTimeScale: any = false
        m_fScale_per: any = 1

        static  g_TimeScaleControl: TimeScaleControl = null
        static getMe = function () {
            return game.TimeScaleControl.create();
        };
        static create = function () {
            if (game.TimeScaleControl.g_TimeScaleControl == null) {
                game.TimeScaleControl.g_TimeScaleControl = new game.TimeScaleControl();
                return game.TimeScaleControl.g_TimeScaleControl;
            }
            else {
                return game.TimeScaleControl.g_TimeScaleControl;
            }
        };

        constructor() {
        }

        update(dt) {
            this.updateCall(dt);
        }

        setTimeScale(scale, timeToEnd) {
            cc.director.getScheduler().setTimeScale(scale);
            this.m_fScale_per = scale;
            this.m_updateCall_time = timeToEnd;
            this.m_isTimeScale = true;
        }

        getUpdateTime(t) {
            if (this.m_isTimeScale == true) {
                return this.m_fScale_per * t;
            }
            return t;
        }

        shutdown() {
            cc.director.getScheduler().setTimeScale(1);
            this.m_isTimeScale = false;
        }

        //更新调用，代替定时器
        updateCall(dt) {
            if (this.m_isTimeScale == false) {
                return true;
            }
            // var newdt = (dt / cc.director.getScheduler().getTimeScale());
            this.m_updateCall_time -= (dt);
            if (this.m_updateCall_time < 0) {
                this.shutdown();
            }
            return true;
        }
    }

}
//# sourceMappingURL=TimeScaleControl.js.map