var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗场景  基类
var game;
(function (game) {
    var baseSceneFight = (function (_super) {
        __extends(baseSceneFight, _super);
        function baseSceneFight() {
            _super.call(this);
            this.m_startGame = false;
            this.m_gameOver = false;
            this.m_win = false;
            this.m_sceneTime = 0; //场景运行时间
            this.m_resultTimer = 0;
            this.m_juqingInfo = null;
            this.m_SceneType = game.e_SceneType.SceneType_fight;
            this.getNode().setName("baseSceneFight类");
        }
        baseSceneFight.scene = function () {
            var layer = new baseSceneFight();
            return layer;
        };
        ;
        baseSceneFight.prototype.init = function () {
            game.uiMgr.getMe().shutdownAllUi();
            game.ui_zhandoujm.ShowOrHide(true);
            game.playNuqiMgr.getMe().init();
            // this.m_createMonsterMgr = createMonsterMgr.create();
            game.guankaMgr.getMe().initGuanKaData(this.m_SceneInfo);
            this.initlayout();
            return true;
        };
        baseSceneFight.prototype.setKillMonsterExp = function (exp) {
            ++this.m_AllKillMonsterNum;
            if (this.m_SceneInfo.monsterexpPer == null) {
                this.m_SceneInfo.monsterexpPer = 1;
            }
            this.m_AllKillMonsterExp += (exp * this.m_SceneInfo.monsterexpPer);
        };
        baseSceneFight.prototype.start_game = function () {
            this.m_startGame = true;
            this.m_gameOver = false;
        };
        baseSceneFight.prototype.end_game = function () {
            this.m_startGame = false;
            this.m_gameOver = true;
        };
        baseSceneFight.prototype.onPlayFollowDead = function () {
        };
        baseSceneFight.prototype.updateWinOver = function (t) {
            if (this.m_gameOver == false) {
                return;
            }
            if (this.m_resultTimer > 2) {
                this.m_resultTimer = -10;
                this.endjuqing();
            }
            else {
                this.m_resultTimer += t;
            }
        };
        baseSceneFight.prototype.update_0_3 = function (t) {
            _super.prototype.update_0_3.call(this, t);
            this.update_Layout(t);
        };
        baseSceneFight.prototype.update = function (t) {
            _super.prototype.update.call(this, t);
            this.updateWinOver(t);
            this.update_Layout(t);
            game.talkMgr.getMe().update(t);
            if (this.m_gameOver) {
                return;
            }
            if (this.m_startGame) {
                this.updateStartGame(t);
            }
        };
        baseSceneFight.prototype.updateStartGame = function (t) {
            this.m_sceneTime += t;
            game.guankaMgr.getMe().loop(t);
        };
        baseSceneFight.prototype.startjuqing = function () {
            this.m_juqingInfo = cc.clone(game.fileMgr.getMe().getJuqingInfo(game.sceneMgr.getMe().getCurSceneName()));
            if (this.m_juqingInfo == null
                || this.m_juqingInfo["start"] == null) {
                this.loadsceneEx();
                return;
            }
            game.talkMgr.getMe().initTalkData(this.m_juqingInfo["start"], this.loadsceneEx, this);
        };
        //结束剧情处理
        baseSceneFight.prototype.endjuqing = function () {
            if (this.m_juqingInfo == null
                || this.m_juqingInfo["end"] == null) {
                this.show_shengli_shibai();
                return;
            }
            if (this.m_win) {
                if (this.m_juqingInfo["end"]["win"] == null) {
                    this.show_shengli_shibai();
                    return;
                }
                game.talkMgr.getMe().initTalkData(this.m_juqingInfo["end"]["win"], this.show_shengli_shibai, this);
            }
            else {
                if (this.m_juqingInfo["end"]["unwin"] == null) {
                    this.show_shengli_shibai();
                    return;
                }
                game.talkMgr.getMe().initTalkData(this.m_juqingInfo["end"]["unwin"], this.show_shengli_shibai, this);
            }
        };
        baseSceneFight.prototype.show_shengli_shibai = function () {
            if (this.m_win) {
                game.ui_shibai_shengli.ShowOrHide(true, true);
            }
            else {
                game.ui_shibai_shengli.ShowOrHide(true, false);
            }
        };
        baseSceneFight.prototype.initlayout = function () {
            if (cc.sys.isNative) {
                this.m_baseScene_jsb.initlayout();
                return;
            }
            this.initlayout_js();
        };
        baseSceneFight.prototype.initlayout_js = function () {
            if (cc.sys.isNative) {
                this.m_baseScene_jsb.initlayout();
                return;
            }
        };
        baseSceneFight.prototype.update_Layout = function (t) {
            if (this.m_scenenode == null) {
                return;
            }
            if (cc.sys.isNative) {
                this.m_baseScene_jsb.update_Layout(t);
                return;
            }
            this.update_Layout_js(t);
        };
        baseSceneFight.prototype.update_Layout_js = function (t) {
            var moves_node = game.g_moves;
            for (var p in moves_node) {
                var info = moves_node[p];
                //  let pnode = this.m_scenenode.getChildByTag(parseInt(info.node_id));
                if (!info.pnode) {
                    console.error("移动层id错误没有这个id"); //
                    continue;
                }
                if (info.speed != 0) {
                    var startPos = cc.p(info.startPos_x, info.startPos_y);
                    info.pnode.setPosition(startPos);
                }
                else {
                    var speedlay = game.fileMgr.getMe().m_curMyStruct_xiangsu_base.laySpeedscale;
                    var pos_play = game.sceneMgr.getMe().getPosition();
                    var scale = game.cameraMgr.getMe().m_sceneScale;
                    pos_play = cc.pMult(pos_play, scale);
                    var speedscale = info.playspeed_per_w * speedlay;
                    var nowPos = cc.p(-pos_play.x + speedscale * pos_play.x, 0);
                    info.pnode.setPosition(nowPos);
                }
            }
        };
        baseSceneFight.prototype.gameOver = function (winval, data) {
            if (data === void 0) { data = null; }
            if (this.m_gameOver) {
                return;
            }
            this.m_win = winval;
            if (game.playComboMgr.getMe())
                game.playComboMgr.getMe().breakCombo();
            this.end_game();
        };
        baseSceneFight.prototype.loadscene = function (scenename) {
            _super.prototype.loadscene.call(this, scenename);
            game.cameraMgr.getMe().initex();
            // this.startjuqing();
            //this.loadsceneEx();
        };
        baseSceneFight.prototype.loadsceneEx = function () {
            this.m_roleMgr.initroleMgr(this.m_SceneInfo);
            this.m_sceneTime = 0;
            this.start_game();
        };
        baseSceneFight.prototype.shutdown = function () {
            if (game.playComboMgr.getMe())
                game.playComboMgr.getMe().breakCombo();
            if (game.sceneMgr.getMe().getCurScene())
                game.sceneMgr.getMe().getCurScene().resetBackUpLay();
            _super.prototype.shutdown.call(this);
            game.talkMgr.getMe().shutdown();
            game.guankaMgr.getMe().shutdown();
            game.ui_zhandoujm.ShowOrHide(false);
            game.cameraMgr.getMe().shutdown();
            return true;
        };
        return baseSceneFight;
    }(game.baseScene));
    game.baseSceneFight = baseSceneFight;
})(game || (game = {}));
//# sourceMappingURL=baseSceneFight.js.map 
//# sourceMappingURL=baseSceneFight.js.map