//战斗场景
module game {
    export class fightscene_worldboss extends baseSceneFight {
        m_timer:number = 0;
        m_damage:number = 0;
        static scene = function () {
            return new fightscene_worldboss();
        };

        constructor() {
            super();
            this.m_SceneType = e_SceneType.SceneType_worldboss;
            this.getNode().setName("fightscene_worldboss类");
        }

        loadsceneEx(){
            super.loadsceneEx();
            // this.initMonster();
            //从服务器上获得boss属性 所有的场景加上预加载
            proto_worldBoss_getState.getMe().send();
            this.m_timer = 0;
            this.m_damage = 0;
        }

        init() {
            super.init();
            return true;
        }

        closeBoss(f){
            let str:string = "";
            if(f == 1){
                str = ui_shijieboss_config.boss_dead;
            }else{
                str = ui_shijieboss_config.boss_timeout;
            }
            rootScene.getMe().zanting(true);
            ui_messageBox2.ShowOrHide(true,str,function () {
                rootScene.getMe().zanting(false);
                sceneMgr.getMe().selectScene(e_SceneType.SceneType_login, "");
                ui_shijiboss.ShowOrHide(true);
            },this);
        }

        initMonster(data:worldBossState){
            if(roleMgr.getMe().m_worldBoss) return;
            let monsterInfo:shijieboss_info = new shijieboss_info();
            monsterInfo.pos_x = game.g_cjce_config["boss_birthPos"]["pos_x"];
            monsterInfo.pos_y = game.g_cjce_config["boss_birthPos"]["pos_y"];
            monsterInfo.attackPoint = data.attackPoint;
            monsterInfo.maxhp = data.maxhp;
            monsterInfo.curhp = data.curhp;
            roleMgr.getMe().createWorldBoss(monsterInfo);
        }

        shutdown() {
            super.shutdown();
            return true;
        }

        //
        show_shengli_shibai() {

        }

        setDamage(v){
            this.m_damage += v;
        }

        updateStartGame(t) {
            this.m_sceneTime += t;
            this.m_timer += t;
            if(this.m_timer >= 10){
                proto_worldBoss_removeBossHp.getMe().send(this.m_damage);
                this.m_timer = 0;
                this.m_damage = 0;
            }
            // if(roleMgr.getMe().m_worldBoss && roleMgr.getMe().m_worldBoss.isdead()){
            //     // if(!roleMgr.getMe().m_worldBoss){
            //     proto_worldBoss_closeBoss.getMe().send();
            // }
        }

        gameOver(winval, data: any = null) {
            if (this.m_gameOver) {
                return;
            }
            this.m_win = winval;
            if (playComboMgr.getMe())
                playComboMgr.getMe().breakCombo();
            this.end_game();
            proto_worldBoss_closeBoss.getMe().send();
        }
    }

}
//# sourceMappingURL=fightscene.js.map