module game {
    export class rootScene extends xjLayer {

        _zanting: boolean = false;
        _zanting_fightcd: boolean = false;
        m_autoDownload: boolean = false;
        m_isUpdate: boolean = false;
        m_win_scale: number = 1;

        // m_timingControl_15s: timingControl = null;
        // m_timingControl_0_016s: timingControl = null;
        // 0.3秒
        // m_timingControl_03s: timingControl = null;

        m_ccNodeLoop: cc.updateNode;

        //m_updateCall_counter : any = 0 ;  //更新定时器
        // m_updateCall :any =  null;  //更新定时器到时间的回调
        static g_point: any = null;
        static getMe = function (): rootScene {
            return rootScene.g_point;
        };
        static scene = function () {
            let scene = new cc.Scene();
            let layer = new rootScene();
            rootScene.g_point = layer;
            layer.init();

            scene.addChild(layer.getNode());
            return scene;
        };


        onExit() {
            console.log("exit js");
            if (cc.sys.isNative) {
                fileMgr.getMe().savePlayInfo();
            }
            super.onExit();
        }


        isLowCpu(): boolean {
            return ccs._parser.g_isLowCpu;
        }

        //fps 低于15
        fpsLow_15():boolean {
            if (this.m_curFps < 15) {
                return true;
            }
            return false;
        }

        m_curFps: number = 100;

        testcpu() {

            if (cc.sys.isNative) {
                this.m_curFps = cc.director.getFrameRate();
                if (this.m_curFps < 25) {
                    ccs._parser.g_isLowCpu = true;
                }
                else {
                    ccs._parser.g_isLowCpu = false;
                }
            }
            else {
                ccs._parser.g_isLowCpu = false;
            }
        }

        //只初始化一次
        init() {

            this.getNode().setName("rootScene类");

            this.m_ccNodeLoop = new cc.updateNode();
            this.m_ccNodeLoop.initEx();
            this.addChild(this.m_ccNodeLoop);
            this.m_ccNodeLoop.regUnpdate(this.loop_0016s.bind(this));

            this.m_win_scale = fileMgr.getMe().m_curMyStruct_xiangsu_base.scale;
            iapMgr.getMe().init();
            js_GameLogicMgr.getMe().init();
            js_GameLogicMgr.getMe().tvsdk_login_shouui();
            httpMgr.getMe().init();
            // httpMgr.getMe().getPlayData();
            this.addChild(KeyboardMgr.getMe().getNode(), 10000);
            this.addChild(uiMgr.getMe().getNode(), 1000);
            if (this.m_autoDownload == true) {
                //uiMgr.getMe().show_ui_autoDownload(true);
                // autoDownloadMgr.getMe().init();
                if (this.m_isUpdate == false) {
                    this.m_isUpdate = true;
                    this.scheduleUpdate();
                }
            }
            else {
                this.init_1();
            }

            // ccs._parser.g_isLowCpu = true;
            return true;
        }

        init_1() {
            musicMgr.getMe();
            resMgr.getMe().loadTexutre();
            return true;
        }

        initex() {
            this.addChild(sceneMgr.getMe().getNode(), 0);
            this.addChild(parMgr.getMe().getNode(), 100);

            // if (dataMgr.getMe().getPlayDoc().yindaos.xinshou.lock == 0) {
            //     sceneMgr.getMe().selectScene(e_SceneType.SceneType_xiangdao, "scene_12_1_config");
            // }
            // else {
            //

            sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);

            // }
            if (this.m_isUpdate == false) {
                this.m_isUpdate = true;
                //this.scheduleUpdate();
            }

            //登录游戏
            httpLoginThreePath.getMe().onSendMsg(js_GameLogicMgr.getMe().getShenjian_login_id());
            // httpConsumptionList.getMe().onSendMsg("测试消费记录");
            worldBossMgr.getMe().init();
            propertyMgr.getMe().init();
        }

        speed_time(speed: number, timelen: number) {
            let director = cc.director;
            director.getScheduler().setTimeScale(speed);
        }

        //15秒调用一次
        m_15s_time: number = 0;
        m_003s_time: number = 0;

        loop_15s(dt: number) {
            this.m_15s_time += dt;
            if (this.m_15s_time < 15) {
                return;
            }
            dt = this.m_15s_time;
            this.m_15s_time = 0;
            mainServer_webSocketManager.getMe().loop_15s(dt);
            mainserver_getServerTime.getMe().loop(dt);

        }


        loop_003s(dt) {

            // if (rootScene.getMe().fpsLow_15() == true) {
            //     return;
            // }

            // this.m_003s_time += dt;
            // if (this.m_003s_time < 0.05) {
            //     return
            // }
            // dt = this.m_003s_time;
            // this.m_003s_time = 0;



            httpMgr.getMe().loop(dt);

            protoBuffMgr.getMe().updata();

            musicMgr.getMe().loop(dt);

            if (this.iszanting()) {
                return;
            }
            uieffectMgr.getMe().loop();

            if (roleMgr.getMe()) {
                roleMgr.getMe().update_0_3(dt);
            }

            sceneMgr.getMe().update_0_3(dt);

        }

        loop_0016s(dt: number) {
            js_GameLogicMgr.getMe().loop(dt);
          //  return;

            this.testcpu();

            this.loop_15s(dt);

           this.loop_003s(dt);



            uiMgr.getMe().loop(dt);

            spineMgr.getMe().update(dt);


            if (this.iszanting()) {
                return;
            }

            if (roleMgr.getMe() != null) {
                roleMgr.getMe().update(dt);
            }



            if (bulletMgr.getMe() != null) {
                bulletMgr.getMe().update(dt);
            }


            cameraMgr.getMe().loop(dt);

            sceneMgr.getMe().update(dt);

            TimeScaleControl.getMe().updateCall(dt); //

             worldBossMgr.getMe().loop(dt);


        }

        update_download(dt) {
            // if (this.m_autoDownload == true) {
            //     if (autoDownloadMgr.getMe().m_state == 0) {
            //         autoDownloadMgr.getMe().update(dt);
            //         uiMgr.getMe().loop(dt);
            //         return true;
            //     }
            // }
            return false;
        }


        update(dt) {


        }

        iszanting() {
            return this._zanting;
        }

        //暂停动画 与 cd
        zanting(flag) {
            this._zanting = flag;
            if (roleMgr.getMe()) {
                roleMgr.getMe().zanting(flag);
            }
            if (spineMgr.getMe()) {
                spineMgr.getMe().zanting(flag);
            }
            if (bulletMgr.getMe()) {
                bulletMgr.getMe().zanting(flag);
            }
        }

        //暂停技能cd
        zanting_fightcd(flag) {
            this._zanting_fightcd = flag;
        }

        shutdown() {
            console.log("exit");
            // uieffectMgr.getMe().shutdown();
        }

    }






}


