var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//
var game;
(function (game) {
    var sceneMgr = (function (_super) {
        __extends(sceneMgr, _super);
        function sceneMgr() {
            _super.call(this);
            this.m_curScene = null;
            this.m_sceneMgr_jsb = null;
            this.init();
            this.getNode().setName("sceneMgr类");
        }
        sceneMgr.getMe = function () {
            return sceneMgr.create();
        };
        ;
        sceneMgr.create = function () {
            if (sceneMgr.g_sceneMgr == null) {
                console.log(" init sceneMgr.create ");
                sceneMgr.g_sceneMgr = new sceneMgr();
                return sceneMgr.g_sceneMgr;
            }
            else {
                return sceneMgr.g_sceneMgr;
            }
        };
        ;
        sceneMgr.prototype.init = function () {
        };
        sceneMgr.prototype.getCurSceneName = function () {
            if (this.getCurSceneType() == game.e_SceneType.SceneType_fight) {
                var sn = this.m_curScene.m_scenename.split("_");
                if (sn.length > 2) {
                    var scenename = sn[0] + "_" + sn[1];
                    return scenename;
                }
            }
            return this.m_curScene.m_scenename;
        };
        sceneMgr.prototype.getCurSceneType = function () {
            if (this.m_curScene == null) {
                return game.e_SceneType.SceneType_login;
            }
            return this.m_curScene.m_SceneType;
        };
        sceneMgr.prototype.getCurScene = function () {
            return this.m_curScene;
        };
        sceneMgr.prototype.getCurSceneInfo = function () {
            return this.m_curScene.m_SceneInfo;
        };
        sceneMgr.prototype.getSceneInfoBySceneName = function (sceneName) {
            return game.fileMgr.g_scene_config_data_Map.get(sceneName);
        };
        //读取scene xml
        sceneMgr.prototype.readSceneInfo = function (sceneName) {
            var it = game.fileMgr.getMe().hasSceneInfo(sceneName);
            if (it == false) {
                return false;
            }
            return true;
        };
        //
        sceneMgr.prototype.selectScene = function (type, sceneName, callback, callback_data) {
            game.js_GameLogicMgr.getMe().removeAllSpineMem();
            if (type != game.e_SceneType.SceneType_login) {
                var data = {};
                data["type"] = type;
                data["scenename"] = sceneName;
                data["callback"] = callback;
                data["callback_data"] = callback_data;
                game.uiMgr.getMe().show_ui_sceneLoading(true, data);
            }
            else {
                this.selectSceneEx(type);
            }
            // this.selectSceneEx(type, sceneName);
        };
        //
        sceneMgr.prototype.selectSceneEx = function (type, sceneName) {
            if (sceneName === void 0) { sceneName = null; }
            if (type != game.e_SceneType.SceneType_login) {
                var ret = this.readSceneInfo(sceneName);
                if (ret == false) {
                    return null;
                }
            }
            if (this.m_curScene != null) {
                this.m_curScene.shutdown();
                this.removeChild(this.m_curScene.getNode(), true);
                this.m_curScene = null;
            }
            if (type == game.e_SceneType.SceneType_login) {
                this.m_curScene = game.loginscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_fight) {
                //战斗背景
                this.m_curScene = game.fightscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_chengjianchue) {
                //战斗背景
                this.m_curScene = game.fightscene_chengjianchue.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_yindao) {
                this.m_curScene = game.fightscene_yindao.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_worldboss) {
                this.m_curScene = game.fightscene_worldboss.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            if (cc.sys.isNative) {
                // m_sceneMgr_jsb
                if (this.m_sceneMgr_jsb == null) {
                    this.m_sceneMgr_jsb = new cc.sceneMgr_jsb();
                }
                this.m_sceneMgr_jsb.setCurSceneNode(this.getNode(), this.getCurScene().getNode());
            }
            return this.m_curScene;
        };
        sceneMgr.prototype.reset = function () {
            this.selectScene(this.getCurSceneType(), this.getCurSceneName());
        };
        sceneMgr.prototype.update = function (t) {
            if (this.m_curScene) {
                this.m_curScene.update(t);
            }
        };
        sceneMgr.prototype.update_0_3 = function (t) {
            if (this.m_curScene) {
                this.m_curScene.update_0_3(t);
            }
        };
        sceneMgr.g_sceneMgr = null;
        return sceneMgr;
    }(game.xjNode));
    game.sceneMgr = sceneMgr;
})(game || (game = {}));
//# sourceMappingURL=sceneMgr.js.map