//
module game {
    export class sceneMgr extends xjNode {

        static g_sceneMgr: any = null;
        static getMe   ():sceneMgr {
            return sceneMgr.create();
        };

        static create   () {
            if (sceneMgr.g_sceneMgr == null) {
                console.log(" init sceneMgr.create ");
                sceneMgr.g_sceneMgr = new sceneMgr();
                return sceneMgr.g_sceneMgr;
            }
            else {
                return sceneMgr.g_sceneMgr;
            }
        };
        m_curScene: baseScene = null;
        m_sceneMgr_jsb:cc.sceneMgr_jsb = null;


        constructor() {
            super();
            this.init();
            this.getNode().setName("sceneMgr类");
        }

        init() {
        }

        getCurSceneName() {
            if (this.getCurSceneType() == e_SceneType.SceneType_fight) {
                let sn = this.m_curScene.m_scenename.split("_");
                if (sn.length > 2) {
                    let scenename = sn[0] + "_" + sn[1] ;
                    return scenename;
                }
            }
            return this.m_curScene.m_scenename;
        }

        getCurSceneType():e_SceneType {
            if (this.m_curScene == null) {
                return e_SceneType.SceneType_login;
            }
            return this.m_curScene.m_SceneType;
        }

        getCurScene() : baseScene {
            return this.m_curScene;
        }

        getCurSceneInfo() {
            return this.m_curScene.m_SceneInfo;
        }

        getSceneInfoBySceneName( sceneName ) :scene_config_data_s{
            return fileMgr.g_scene_config_data_Map.get( sceneName );
        }

        //读取scene xml
        readSceneInfo(sceneName) {
            let it = fileMgr.getMe().hasSceneInfo(sceneName);
            if (it == false) {
                return false;
            }
            return true;
        }

        //
        selectScene(type:e_SceneType, sceneName?, callback?, callback_data?) {
            js_GameLogicMgr.getMe().removeAllSpineMem();
            if(type != e_SceneType.SceneType_login){
                let data: any = {};
                data["type"] = type;
                data["scenename"] = sceneName;
                data["callback"] = callback;
                data["callback_data"] = callback_data;
                uiMgr.getMe().show_ui_sceneLoading(true, data);
            }else{
                this.selectSceneEx(type);
            }
            // this.selectSceneEx(type, sceneName);
        }

        //
        selectSceneEx(type:e_SceneType, sceneName:any = null) {
            if (type != e_SceneType.SceneType_login) {
                let ret = this.readSceneInfo(sceneName);
                if (ret == false) {
                    return null;
                }
            }
            if (this.m_curScene != null) {
                this.m_curScene.shutdown();
                this.removeChild(this.m_curScene.getNode(), true);
                this.m_curScene = null;
            }
            if ( type == e_SceneType.SceneType_login ) {
                this.m_curScene = loginscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if ( type == e_SceneType.SceneType_fight ) {
                //战斗背景
                this.m_curScene = fightscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if ( type == e_SceneType.SceneType_chengjianchue ) {
                //战斗背景
                this.m_curScene = fightscene_chengjianchue.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == e_SceneType.SceneType_yindao) {
                this.m_curScene = fightscene_yindao.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == e_SceneType.SceneType_worldboss) {
                this.m_curScene = fightscene_worldboss.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }

            if( cc.sys.isNative )
            {
               // m_sceneMgr_jsb
                if( this.m_sceneMgr_jsb == null )
                {
                    this.m_sceneMgr_jsb = new cc.sceneMgr_jsb();
                }
                this.m_sceneMgr_jsb.setCurSceneNode(this.getNode(),this.getCurScene().getNode());
            }



            return this.m_curScene;
        }



        reset() {
            this.selectScene(this.getCurSceneType(), this.getCurSceneName());
        }

        update(t) {
            if (this.m_curScene) {
                this.m_curScene.update(t);
            }
        }
        update_0_3(t) {
            if (this.m_curScene) {
                this.m_curScene.update_0_3(t);
            }
        }


    }

}
