/**
 * Created by cy1234 on 2016/8/10.
 */
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//换装相关接口
//http://blog.csdn.net/u010536615/article/details/52805072
var game;
(function (game) {
    var SkeletonAnimation_Ex = (function (_super) {
        __extends(SkeletonAnimation_Ex, _super);
        function SkeletonAnimation_Ex() {
            _super.apply(this, arguments);
            this.m_StartPos_anmimation = cc.p(0, 0);
            this.m_startAnimationResetPos = cc.p(0, 0);
            this.m_spine_res = "";
        }
        SkeletonAnimation_Ex.prototype.spBone_localToWorld_buff = function (self_bone, localX, localY) {
            var data = cc.p();
            data.x = localX * self_bone.a + localY * self_bone.b + self_bone.worldX_buff;
            data.y = localX * self_bone.c + localY * self_bone.d + self_bone.worldY_buff;
            //console.log("spBone_localToWorld_buff  " + self_bone.worldX_buff +"y:" + self_bone.worldY_buff);
            // console.log("spBone_localToWorld_buff data " + data.x +"y" + data.y);
            return data;
        };
        SkeletonAnimation_Ex.prototype.startPlayAnimation = function () {
            this.m_startAnimationResetPos = cc.p(0, 0);
        };
        SkeletonAnimation_Ex.prototype.UndataRootBoneWorldPos = function () {
            if (cc.sys.isNative) {
                return;
            }
            var bonename = "root";
            var pspBone = this.findBone(bonename);
            if (pspBone) {
                var data = this.spBone_localToWorld_buff(pspBone, 0, 0);
                data = cc.pMult(data, this.getScaleX());
                var ret = cc.pSub(data, this.m_startAnimationResetPos);
                this.m_startAnimationResetPos = data;
                // data = cc.pAdd( data, this.m_StartPos_anmimation );
                return ret;
            }
            else {
                console.error("UndataRootBoneWorldPos error!");
            }
            return cc.p(0, 0);
        };
        SkeletonAnimation_Ex.prototype.setDebugSlotsEnabled = function (flag) {
            this.m_cc_Node.setDebugSlotsEnabled(flag);
        };
        SkeletonAnimation_Ex.prototype.getBoneWorldPos = function (bonename) {
            var pspBone = this.getBoneWorldPos_Root(bonename);
            if (pspBone) {
                var data = cc.p(pspBone.x * this.getScaleX(), pspBone.y * this.getScaleY());
                data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }
            console.log("error SkeletonAnimation_Ex::getBoneWorldPos  没有这个骨骼 ： %s", bonename);
            //MessageBox("SkeletonAnimation_Ex::getBoneWorldPos", bonename);
            // return null;
            var ret = cc.p(0, 0);
            return ret;
        };
        //骨骼移动相对偏移位置
        SkeletonAnimation_Ex.prototype.getBone_RelativePos = function (bonename) {
            var pspBone = this.findBone(bonename);
            if (pspBone) {
                var data = cc.p(pspBone.worldX * this.getScaleX(), pspBone.worldY * this.getScaleY());
                //data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }
            else {
                console.error("error SkeletonAnimation_Ex::getBone_RelativePos  没有这个骨骼 ： %s", bonename);
            }
            return cc.p(0, 0);
        };
        SkeletonAnimation_Ex.prototype.get_Phy_shoujizudang = function () {
            if (cc.sys.isNative) {
                var l_PhyRect = this.getBoundingBoxBySlotName("shoujizudang");
                return l_PhyRect;
            }
            else {
                var l_PhyRect = this.getBoundingBoxBySlotName("shoujizudang");
                return l_PhyRect;
            }
        };
        //是否有动画播放
        SkeletonAnimation_Ex.prototype.isPlay = function () {
            if (cc.sys.isNative) {
                return this.m_cc_Node.isPlay();
            }
            var pspTrackEntry = this.getCurrent(0);
            if (pspTrackEntry) {
                return true;
            }
            return false;
        };
        // 获得动画 剩余时间
        SkeletonAnimation_Ex.prototype.getAnimationSurplusTime = function () {
            //优化代码
            if (cc.sys.isNative) {
                return this.m_cc_Node.getAnimationSurplusTime();
            }
            else {
                var pspTrackEntry = this.getCurrent(0);
                if (pspTrackEntry) {
                    return pspTrackEntry.endTime - pspTrackEntry.time;
                }
            }
            return 0;
        };
        SkeletonAnimation_Ex.prototype.get_Phy_Rect_all_spine = function () {
            return this.get_Phy_shoujizudang();
        };
        /**
         * 获得骨骼信息
         * @param bonename
         * @returns {any}
         */
        SkeletonAnimation_Ex.prototype.getBoneInfo_js = function (bonename) {
            if (cc.sys.isNative) {
                return this.m_cc_Node.getBoneInfo(bonename);
            }
            else {
                return this.findBone(bonename);
            }
        };
        /**
         *        获得骨骼位置
         * @param bonename
         * @returns {Vec2}
         */
        SkeletonAnimation_Ex.prototype.getBoneWorldPos_js = function (bonename) {
            // console.log("getBoneWorldPos_js" + bonename);
            var pspBone = this.getBoneInfo_js(bonename);
            if (pspBone) {
                var data = cc.p(pspBone.worldX * this.getScaleX(), pspBone.worldY * this.getScaleY());
                data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }
            else {
                //console.log("warning SkeletonAnimation_Ex::getBoneWorldPos_js  没有这个骨骼 ："+ bonename);
                //console.error("error SkeletonAnimation_Ex::getBoneWorldPos  没有这个骨骼 ： %s", bonename);
                return this.getParent().getPosition();
            }
        };
        /**
         * 设置骨骼旋转角度
         * @param boneName
         * @param rotation
         * @constructor
         */
        SkeletonAnimation_Ex.prototype.SetBoneRotation = function (boneName, rotation) {
            if (cc.sys.isNative) {
                this.m_cc_Node.SetBoneRotation(boneName, rotation);
            }
            else {
                var buffspBone = this.findBone(boneName);
                if (buffspBone) {
                    buffspBone.isMyRotation = 0;
                    buffspBone.MyRotation = rotation;
                }
            }
        };
        return SkeletonAnimation_Ex;
    }(game.xjSkeletonAnimation));
    game.SkeletonAnimation_Ex = SkeletonAnimation_Ex;
})(game || (game = {}));
//# sourceMappingURL=SkeletonAnimation_Ex.js.map 
//# sourceMappingURL=SkeletonAnimation_Ex.js.map