/**
 * Created by cy1234 on 2016/5/18.
 */
//spine 特效的
module game {

    export class playOnceSpine {
        m_SpineNode: SkeletonAnimation_Ex = null;
        m_isShutDown: any = false;
        m_res: any = null;
        m_animationname: any = null;

        static create = function (res, animationname, father: cc.Node, pos, z) {
            let fff = new playOnceSpine();
            fff.initex(res, animationname, father, pos, z);

            return fff;
        };

        initex(res, animationname, father: cc.Node, pos, z = 1) {
            this.m_res = res;
            this.m_animationname = animationname;
            // this.m_SpineNode = spineMgr.getMe().loadSpine(res, this.getNode(), 10);

            this.m_SpineNode = spineMgr.getMe().createBuffSpine(res, father, z);
            this.m_SpineNode.setPosition(pos);
            //this.addChild(this.m_SpineNode.getNode(), 10);
            let ret = this.m_SpineNode.setAnimation(0, animationname, false);
            if (!ret) {
                this.m_isShutDown = true;
            }
            this.m_SpineNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_SpineNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_SpineNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
                //cc.log("%d complete: %d", traceIndex, loopCount);
            }.bind(this));
            this.m_SpineNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
                // cc.log( traceIndex + " event: %s, %d, %f, %s",event.data.name, event.intValue, event.floatValue, event.stringValue);
            }.bind(this));
        }

        zanting(flag) {
            try {
                if (flag) {
                    this.m_SpineNode.pause();
                }
                else {
                    this.m_SpineNode.resume();
                }
            }
            catch (e) {
            }
        }

        update(t) {
            return this.m_isShutDown;
        }

        onFrameEvent(type, event) {
            if (type == "End") {
                this.m_isShutDown = true;
            }
            else if (type == "Complete") {
                // EffectMgr.getMe().OnEnd(this);
                this.m_isShutDown = true;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    musicMgr.getMe().playeffect(event.data.name);
                }
            }
        }

        shutdown() {
            // if (this.getParent()) {
            //     this.getParent().removeChild(this.getNode(), true);
            // }
            // spineMgr.getMe().deleteBuffSpine( this.m_SpineNode  );
            this.m_SpineNode.setVisible( false );
            this.m_SpineNode = null;
        }

    }

}
//# sourceMappingURL=playOnceSpine.js.map