//
module game {

    export class spineMgr {
        static g_instance = null;

        static  getMe(): spineMgr {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };

        m_playOnceSpineMap: any = null;
        m_playOnceSpineMap_juezhao: any = null;
        m_spineMap:Map<string,SkeletonAnimation_Ex>;

        constructor() {
            this.init();
            this.m_playOnceSpineMap = new ArrayEx<any>();
            this.m_playOnceSpineMap_juezhao = new game.ArrayEx();
            this.m_spineMap = new Map<string,SkeletonAnimation_Ex>();
        }

        init() {
        }

        shutdown() {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap.clear();
            for (let i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                let data = this.m_playOnceSpineMap_juezhao.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap_juezhao.clear();
            this.m_spineMap.clear();
            // this.chanageScene_resetBuff();
        }

        zanting(flag) {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        }

        update(t) {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                let ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
            for (let i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                let data = this.m_playOnceSpineMap_juezhao.keys[i];
                let ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap_juezhao.remove(data);
                    data.shutdown();
                    return;
                }
            }
        }

        //
        createSpineControl_chuansong(res, animationname, father, pos, z): spineControl_chuansong {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }

            let ret = spineControl_chuansong.create(res, animationname, father, pos, z);
            return ret;
        }

        createSpineControl(res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.spineControl.create(res, animationname, father, pos, z);
            return ret;
        }

        createSpineOncePlay(res, animationname, father: cc.Node, pos, z = null) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        }

        createSpineOncePlay_juezhao(res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.playOnceSpine_juzhao.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap_juezhao.put(ret);
            return ret;
        }


        ////
        //缓存spine
        createBuffSpine(res: string, father: cc.Node, zOder: number = 0): SkeletonAnimation_Ex {
            //  let key = res + father.__instanceId;
     /*       let resArray: ArrayEx<SkeletonAnimation_Ex> = this.m_spineMap.get(res);
            if (!resArray) {
                resArray = new ArrayEx< SkeletonAnimation_Ex >();
                this.m_spineMap.set(res, resArray);
            }

            if (resArray.getSize() > 0) {
                let ret = resArray.begin();

                rootScene.getMe().removeChild(ret.getNode());
                father.addChild(ret.getNode(), zOder);
                ret.getNode().release();
                ret.resume();
                resArray.pop();
                //console.log("使用了缓存spine :" + res );
                ret.setVisible(true);
                return ret;
            }

            let spine: SkeletonAnimation_Ex = this.loadSpine(res, father, zOder);
            return spine;*/
            let key = res + father.__instanceId;
            let spine = this.m_spineMap.get(key);
            if(!spine){
                spine = this.loadSpine(res, father, zOder);
                this.m_spineMap.set(key,spine);
            }
            spine.setVisible(true);
            return spine;
        }

      /*  deleteBuffSpine(spine: SkeletonAnimation_Ex) {

            if (spine == null)
                return;

            let resArray: ArrayEx<SkeletonAnimation_Ex> = this.m_spineMap.get(spine.m_spine_res);
            if (!resArray) {
                resArray = new ArrayEx< SkeletonAnimation_Ex >();
                this.m_spineMap.set(spine.m_spine_res, resArray);
            }

            spine.getNode().retain();
            spine.getParent().removeChild(spine.getNode());
            spine.setVisible(false);
            spine.pause();
            rootScene.getMe().addChild(spine.getNode());
            resArray.put(spine);
        }

        //场景切换 删除缓存
        chanageScene_resetBuff()
        {
            this.m_spineMap.forEach((v: ArrayEx<SkeletonAnimation_Ex>, k) => {
                for (let p in v) {
                    let data = v[p];
                    data.realse();
                }
            }, this);


            this.m_spineMap.clear();
        }
*/
        /////

        //无缓存
        loadSpine(res, father: cc.Node, zOder: number = 0): SkeletonAnimation_Ex {
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            let jsonname = "xingjiezhuzhuxia2/big/spine/" + res + "/" + res + ".json";
            let atlasame = "xingjiezhuzhuxia2/big/spine/" + res + "/" + res + ".atlas";
            let spineBoy = new SkeletonAnimation_Ex(jsonname, atlasame, father, zOder);
            spineBoy.m_spine_res = res;
            return spineBoy;
        }

        createSpinePlay(res, animationname, isloop, father: cc.Node, pos, scale): SkeletonAnimation_Ex {
            let _ret = spineMgr.getMe().loadSpine(res, father, 23);
            _ret.setAnimation(0, animationname, isloop);
            //father.addChild(_ret.getNode(), 23);
            _ret.setPosition(pos);
            _ret.setScale(scale);
            return _ret;
        }
    }

}
