"use strict";
/**
 * Created by cy1234 on 2015/12/28.
 */
//   ui
module game {
    export class uiMgr extends xjLayer {
        m_UiMap: Map< number , any > = null
        _topUiBase: any = null
        static g_uiMgr: any = null
        static getMe   (): uiMgr {
            if (game.uiMgr.g_uiMgr == null) {
                uiMgr.g_uiMgr = new uiMgr();
                return uiMgr.g_uiMgr;
            }
            else {
                return uiMgr.g_uiMgr;
            }
        };


        constructor() {
            super();
            this.m_UiMap = new Map< number , any >();
            // let winSize = cc.director.getWinSize();
            this.getNode().setName("uiMgr类");
        }

        getUiScale_720() {
            let winSize = cc.director.getWinSize();
            let widthper = winSize.width / 1280.0;
            let heightper = winSize.height / 720.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        }

        getUiScale() {
            let winSize = cc.director.getWinSize();
            let widthper = winSize.width / 1280.0;
            let heightper = winSize.height / 768.0;
            if (widthper > heightper) {
                // console.log("winSize width:" + winSize.width);
                // console.log("winSize height:" + winSize.height);
                // console.log("getUiScale heightper:" + heightper);
                return heightper;
            }
            else {
                // console.log("winSize width:" + winSize.width);
                // console.log("winSize height:" + winSize.height);
                // console.log("getUiScale widthper:" + heightper);
                return widthper;
            }
            // return  1;
        }

        shutdownAllUi() {
            ui_zhandoujm.ShowOrHide(false);
            ui_shibai_shengli.ShowOrHide(false, false);
            ui_shibai_shengli_cjce.ShowOrHide(false, false);
            ui_zanting.ShowOrHide(false);
            ui_login.ShowOrHide(false);
            ui_tip.ShowOrHide(false);
            ui_zhujiemian.ShowOrHide(false);
            ui_juesexuanze.ShowOrHide(false);
            ui_fuhuo.ShowOrHide(false);
            ui_shijiebossfuhuo.ShowOrHide(false);
            //this.show_ui_MessageBox(false);
        }

        adduibase(data) {
            this.m_UiMap.set(data.__instanceId, data);
        }

        deleteuibase( data ) {
            this.m_UiMap.delete(data.__instanceId);
        }

        removeChild( child: cc.Node , cleanup: boolean = true) {
            if (cleanup == null) {
                cleanup = true;
            }
            super.removeChild(child, cleanup);
            this.updateBaseUi_OTT_key();
        }

        addChild(child: cc.Node, localZOrder, tag: any = null) {
            //  console.log(" uimgr addChild: localZOrder:" + localZOrder + "tag:" + tag  );
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            super.addChild(child, localZOrder, tag);
            this.updateBaseUi_OTT_key();
        }

        updateBaseUi_OTT_key() {

            var toplay = -1000;
            this._topUiBase = null;
            if (this.m_UiMap.size == 0) {
                return;
            }
            if (this.m_UiMap.size == 1) {
                var it = this.m_UiMap.getByIndex(0);
                if (it != null) {
                    this._topUiBase = it;
                    console.log(" init _topUiBase:");
                }
                return;
            }
            for (var i = 0; i < this.m_UiMap.size; ++i) {
                var l_uibase = this.m_UiMap.getByIndex(i);
                if (!l_uibase.m_key_not_close) {
                    continue;
                }
                if (l_uibase.getLocalZOrder() > toplay) {
                    toplay = l_uibase.getLocalZOrder();
                    this._topUiBase = l_uibase;
                }
            }
        }

        onKeyPressed(keycode) {
            if (this._topUiBase == null) {
                this.updateBaseUi_OTT_key();
            }
            if (this._topUiBase == null) {
            }
            else {
                this._topUiBase.onKeyPressed(keycode);
            }
        }

        onKeyReleased(keycode) {
            try {
                if (this._topUiBase == null) {
                }
                else {
                    this._topUiBase.onKeyReleased(keycode);
                }
            }
            catch (err) {
            }
        }

        //showRootUI (flag) {
        //    return  testui.create(flag);
        //}

        // show_ui_login_Mobile(flag) {
        //     return  ui_login_Mobile.ShowOrHide(flag);
        // }

        // show_ui_reg_Mobile(flag) {
        //     return  ui_reg_Mobile.ShowOrHide(flag);
        // }

        // show_ui_main_Mobile(flag) {
        //     return  ui_main_Mobile.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_bottom(flag) {
        //     return  ui_mobile_main_left_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_top(flag) {
        //     return  ui_mobile_main_left_top.ShowOrHide(flag);
        // }

        // show_ui_mobile_main_right_bottom(flag) {
        //     return  ui_mobile_main_right_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_right_top(flag) {
        //     return  ui_mobile_main_right_top.ShowOrHide(flag);
        // }

        // show_ui_setting(flag) {
        //     return ui_setting.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey(flag) {
        //     return  ui_cdkey.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey_success(flag, data) {
        //     return  ui_cdkey_success.ShowOrHide(flag, data);
        // }

        // show_ui_connectFightRoom (flag) {
        //     return  ui_connectFightRoom.ShowOrHide(flag);
        // }
        //
        show_ui_root(flag) {
        }

        // show_ui_liaotianshi(flag) {
        //     return  ui_liaotianshi.ShowOrHide(flag);
        // }

        show_ui_shop(flag) {
           // return ui_shangcheng.ShowOrHide(flag);
        }

        // show_ui_yindao(flag, data) {
        //     return ui_yingdao.ShowOrHide(flag, data);
        // }

        // show_ui_yindao_bottom(flag, data) {
        //     return ui_yingdao_bottom.ShowOrHide(flag, data);
        // }

        show_ui_pengxue(flag) {
            return ui_pengxue.ShowOrHide(flag);
        }


        show_ui_sceneLoading(flag, data?) {
            return ui_sceneLoading.ShowOrHide(flag, data);
        }

        show_ui_zhandoujm(flag) {
            return ui_zhandoujm.ShowOrHide(flag);
        }

        //
        show_ui_MessageBox(flag, text: any = null, func_ok: any = null,cancel_func: any = null, ponit: any = null) {
            return ui_messageBox.ShowOrHide(flag, text, func_ok,cancel_func, ponit);
        }

        show_ui_zanting(flag) {
            return ui_zanting.ShowOrHide(flag);
        }

        show_ui_playOnce(layout, animation, callFunc: any = null) {
            return ui_PlayAinamationOnce.create(layout, animation, callFunc);
        }

        updateGoldandDiamonds() {

            if (game.ui_huobi.getMe()) {
                ui_huobi.getMe().updateDiamondsAndGold();
            }
        }

        // show_ui_xinshoulibao(flag) {
        //     return ui_xinshoulibao.ShowOrHide(flag);
        // }

        show_ui_pay_queren(flag, shangpingid) {
            return ui_pay_queren.ShowOrHide(flag, shangpingid);
        }

        // show_ui_autoDownload(flag) {
        //     return ui_autoDownload.ShowOrHide(flag);
        // }



        show_ui_fuhuo(flag) {
            if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fight) {
                return ui_fuhuo.ShowOrHide(flag);
            }
            else if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_worldboss) {
                return ui_shijiebossfuhuo.ShowOrHide(flag);
            }
            else {
                return ui_fuhuo.ShowOrHide(flag);
            }
        }
        //游戏启动的时候播放启动视频
        show_ui_MoviePlayer_startGame(flag, mp4, func, point) {
            //return ui_MoviePlayer_startGame.ShowOrHide(flag, mp4, func, point);
        }

        loop(t) {
            for (let i = 0; i < this.m_UiMap.size; ++i) {
                let data = this.m_UiMap.getByIndex(i);
                data.loop(t);
            }
        }
    }

}
//# sourceMappingURL=uiMgr.js.map