/**
 * Created by xieli on 2017/1/4.
 */
var game;
(function (game) {
    var ui_listViewEx = (function () {
        function ui_listViewEx() {
            this.m_listView = null; //容器
            this.m_listView_tip = null; //容器里面存储的ui 模板
            this.m_playUIListMap = null; //
            this.m_DataMap = null;
            this.m_des = null;
            this.m_isBottom = true; //在最顶部显示或者最底部显示，默认底部
            this.m_des = "ui_listViewEx";
        }
        ui_listViewEx.prototype.init = function (_listview, _listView_tip, isBotton) {
            if (isBotton === void 0) { isBotton = true; }
            this.m_playUIListMap = new game.MapGame();
            this.m_DataMap = new game.MapGame();
            this.m_listView = _listview;
            this.m_listView_tip = _listView_tip;
            this.m_isBottom = isBotton;
            this.m_listView.addCCSEventListener(this.scrollEvent.bind(this));
            if (_listView_tip) {
                //更新数据前需要隐藏
                _listView_tip.setVisible(false);
                this.m_playUIListMap.put(0, _listView_tip);
            }
            // for( var i = 0; i <100; ++i )
            // {
            //     var in_data = {};
            //     in_data["name"] = "dd";
            //     in_data["say"] = "dddd";
            //     this.GetZhenyingChatTextCallback(in_data);
            // }
        };
        ui_listViewEx.prototype.shutdown = function () {
        };
        ui_listViewEx.prototype.addItem = function (in_data) {
            //var data = in_data["name"] + "：" + in_data["say"];
            this.m_DataMap.put(this.m_DataMap.getSize(), in_data);
            this.updataItem();
            if (this.m_isBottom) {
                this.m_listView.jumpToBottom();
            }
        };
        ui_listViewEx.prototype.updataItem = function () {
            if (this.m_listView) {
                for (var i = 0; i < this.m_DataMap.size(); ++i) {
                    var data = this.m_DataMap.getData(i);
                    if (data) {
                        this.addItemToListView(i, data);
                    }
                }
            }
        };
        ui_listViewEx.prototype.scrollEvent = function (sender, type) {
            switch (type) {
                case ccui.ScrollView.EVENT_SCROLL_TO_BOTTOM:
                    {
                        // if (this.m_lockAddItem) {
                        this.updataItem();
                    }
                    break;
                default:
                    break;
            }
        };
        ui_listViewEx.prototype.addItemToListView = function (index, data) {
            var uidata = null;
            uidata = this.m_playUIListMap.getData(index);
            if (uidata == null) {
                uidata = this.m_listView_tip.clone();
                this.m_listView.pushBackCustomItem(uidata);
                this.m_playUIListMap.put(index, uidata);
            }
            this.updataData(data, uidata);
            return uidata;
        };
        ui_listViewEx.prototype.updataData = function (data, uidata) {
            uidata.setVisible(true);
        };
        return ui_listViewEx;
    }());
    game.ui_listViewEx = ui_listViewEx;
})(game || (game = {}));
//# sourceMappingURL=ui_listViewEx.js.map 
//# sourceMappingURL=ui_listViewEx.js.map