var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var CGeziKeyState_ui_guanqiaaxuanze = (function (_super) {
        __extends(CGeziKeyState_ui_guanqiaaxuanze, _super);
        function CGeziKeyState_ui_guanqiaaxuanze() {
            _super.apply(this, arguments);
        }
        CGeziKeyState_ui_guanqiaaxuanze.prototype.left = function () {
            var ret = this.level_left();
            if (!ret)
                return false;
            _super.prototype.left.call(this);
            return false;
        };
        CGeziKeyState_ui_guanqiaaxuanze.prototype.right = function () {
            var ret = this.level_right();
            if (!ret)
                return false;
            _super.prototype.right.call(this);
            return false;
        };
        CGeziKeyState_ui_guanqiaaxuanze.prototype.level_left = function () {
            var name = this.m_key.getName();
            if (name == "guanqia1") {
                var chapter = ui_guanqiaaxuanze.getMe().m_curChapter;
                if (chapter == 1) {
                    game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                    return false;
                }
                ui_guanqiaaxuanze.getMe().m_curChapter = chapter - 1;
                if (ui_guanqiaaxuanze.getMe().m_curChapter < ui_guanqiaaxuanze.getMe().m_chaper) {
                    ui_guanqiaaxuanze.getMe().updateUI(5);
                }
                else {
                    ui_guanqiaaxuanze.getMe().updateUI(ui_guanqiaaxuanze.getMe().m_level);
                }
                ui_guanqiaaxuanze.getMe().selectedChapter(chapter - 1);
                ui_guanqiaaxuanze.getMe().m_CBaseKeyState.setCurKey_byName("guanqia5");
                game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                return false;
            }
            return true;
        };
        CGeziKeyState_ui_guanqiaaxuanze.prototype.level_right = function () {
            var name = this.m_key.getName();
            var chapter = ui_guanqiaaxuanze.getMe().m_curChapter;
            if (name == "guanqia5") {
                if (chapter == ui_guanqiaaxuanze.getMe().m_chaper) {
                    game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                    return false;
                }
                if (chapter == 6) {
                    game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                    return false;
                }
                ui_guanqiaaxuanze.getMe().m_curChapter = chapter + 1;
                if (ui_guanqiaaxuanze.getMe().m_curChapter < ui_guanqiaaxuanze.getMe().m_chaper) {
                    ui_guanqiaaxuanze.getMe().updateUI(5);
                }
                else {
                    ui_guanqiaaxuanze.getMe().updateUI(ui_guanqiaaxuanze.getMe().m_level);
                }
                ui_guanqiaaxuanze.getMe().selectedChapter(chapter + 1);
                ui_guanqiaaxuanze.getMe().m_CBaseKeyState.setCurKey_byName("guanqia1");
                game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                return false;
            }
            return true;
        };
        return CGeziKeyState_ui_guanqiaaxuanze;
    }(game.BaseKeyState_ui_config));
    var ui_guanqiaaxuanze = (function (_super) {
        __extends(ui_guanqiaaxuanze, _super);
        function ui_guanqiaaxuanze() {
            _super.call(this);
            this.m_chaper = 1;
            this.m_level = 1;
            this.m_curChapter = 1;
            this.m_curLevel = 1;
            this.m_CBaseKeyState = null;
            this.m_des = "ui_guankaxuanze类";
            this.getNode().setName("ui_guankaxuanze类");
            this.m_CBaseKeyState = new CGeziKeyState_ui_guanqiaaxuanze();
            this.m_CBaseKeyState.setUIName("guanka");
        }
        ui_guanqiaaxuanze.prototype.oninit = function (data) {
            var root = this._parseUIFile("guanqiaxuanze.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.getChapter();
            this.initUI();
            this.initChapter();
            this.selectedChapter(this.m_curChapter);
        };
        ui_guanqiaaxuanze.prototype.getChapter = function () {
            this.m_chaper = game.dataMgr.getMe().getPlayDoc().coreData.curchaperId;
            this.m_level = game.dataMgr.getMe().getPlayDoc().coreData.curguankaId;
            this.m_curChapter = game.dataMgr.getMe().getPlayDoc().coreData.curchaperId;
        };
        ui_guanqiaaxuanze.prototype.initUI = function () {
            var k = 1;
            for (var i = 1; i <= this.m_level; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                this.m_CBaseKeyState.regNodeEx(chap_check, k++);
                chap_check.addTouchEventListener(this.SelectGuanKa_Func, this);
                var name_1 = ccui.helper.seekWidgetByName(chap_check, "name");
                var image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                var num = (this.m_curChapter - 1) * 5 + i;
                name_1.setString(game.ui_daditu_config[num].name);
                image.loadTexture(game.ui_daditu_config[num].beijingImg);
            }
            for (var i = this.m_level + 1; i <= 5; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({ r: 128, g: 121, b: 121 });
                var pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
                var name_2 = ccui.helper.seekWidgetByName(chap_check, "name");
                var image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                var num = (this.m_curChapter - 1) * 5 + i;
                name_2.setString(game.ui_daditu_config[num].name);
                image.loadTexture(game.ui_daditu_config[num].beijingImg);
            }
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey_byName("guanqia" + this.m_level);
        };
        ui_guanqiaaxuanze.prototype.resetUI = function () {
            this.m_CBaseKeyState.resetKey();
            for (var i = 1; i <= 5; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({ r: 255, g: 255, b: 255 });
                var pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(true);
            }
        };
        ui_guanqiaaxuanze.prototype.initChapter = function () {
            for (var i = 1; i <= this.m_chaper; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                // chap_check.setColor({r: 255, g: 255, b: 255});
                var suo1 = ccui.helper.seekWidgetByName(chap_check, "suo1");
                var suo2 = ccui.helper.seekWidgetByName(chap_check, "suo2");
                suo1.setVisible(false);
                suo2.setVisible(false);
            }
            for (var i = this.m_chaper + 1; i <= 6; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                chap_check.setColor({ r: 128, g: 121, b: 121 });
            }
        };
        ui_guanqiaaxuanze.prototype.resetChapter = function () {
            for (var i = 1; i <= 6; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                var pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
            }
        };
        ui_guanqiaaxuanze.prototype.selectedChapter = function (chapter) {
            this.resetChapter();
            var chap_check2 = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + chapter);
            var pButtonImageView = ccui.helper.seekWidgetByName(chap_check2, "uitexiao");
            pButtonImageView.setVisible(true);
        };
        ui_guanqiaaxuanze.prototype.updateUI = function (level) {
            level = Number(level);
            this.resetUI();
            this.m_curLevel = level;
            var k = 1;
            for (var i = 1; i <= level; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                this.m_CBaseKeyState.regNodeEx(chap_check, k++);
                chap_check.addTouchEventListener(this.SelectGuanKa_Func, this);
                var name_3 = ccui.helper.seekWidgetByName(chap_check, "name");
                var image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                var num = (this.m_curChapter - 1) * 5 + i;
                name_3.setString(game.ui_daditu_config[num].name);
                image.loadTexture(game.ui_daditu_config[num].beijingImg);
            }
            for (var i = level + 1; i <= 5; ++i) {
                var chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({ r: 128, g: 121, b: 121 });
                var pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
                var name_4 = ccui.helper.seekWidgetByName(chap_check, "name");
                var image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                var num = (this.m_curChapter - 1) * 5 + i;
                name_4.setString(game.ui_daditu_config[num].name);
                image.loadTexture(game.ui_daditu_config[num].beijingImg);
            }
        };
        ui_guanqiaaxuanze.prototype.onBack = function () {
            ui_guanqiaaxuanze.ShowOrHide(false);
            game.ui_zhujiemian.ShowOrHide(true);
        };
        ui_guanqiaaxuanze.prototype.SelectGuanKa_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        var str = sender.getName().substring(7, 8);
                        var sceneName = "scene" + this.m_curChapter + "_" + str;
                        console.log(sceneName);
                        var guankadata = {};
                        guankadata["sceneType"] = game.e_SceneType.SceneType_fight;
                        guankadata["sceneName"] = sceneName;
                        game.ui_juesexuanze.ShowOrHide(true, guankadata);
                        ui_guanqiaaxuanze.ShowOrHide(false);
                    });
                    break;
                default:
                    break;
            }
        };
        ui_guanqiaaxuanze.g_instarn = null;
        ui_guanqiaaxuanze.getMe = function () {
            return ui_guanqiaaxuanze.g_instarn;
        };
        ui_guanqiaaxuanze.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_guanqiaaxuanze, game.uiMgr.getMe(), 300);
        };
        return ui_guanqiaaxuanze;
    }(game.UiBase));
    game.ui_guanqiaaxuanze = ui_guanqiaaxuanze;
})(game || (game = {}));
//# sourceMappingURL=ui_guankaxuanze.js.map