module game {
    class CGeziKeyState_ui_guanqiaaxuanze extends BaseKeyState_ui_config {
        left() {
            let ret = this.level_left();
            if (!ret) return false;
            super.left();
            return false;
        }

        right() {
            let ret = this.level_right();
            if (!ret) return false;
            super.right();
            return false;
        }

        level_left() {
            let name = this.m_key.getName();
            if (name == "guanqia1") {
                let chapter = ui_guanqiaaxuanze.getMe().m_curChapter;
                if (chapter == 1) {
                    musicMgr.getMe().playeffect(g_buttonChangeMp3);
                    return false;
                }
                ui_guanqiaaxuanze.getMe().m_curChapter = chapter - 1;
                if (ui_guanqiaaxuanze.getMe().m_curChapter < ui_guanqiaaxuanze.getMe().m_chaper) {
                    ui_guanqiaaxuanze.getMe().updateUI(5);
                } else {
                    ui_guanqiaaxuanze.getMe().updateUI(ui_guanqiaaxuanze.getMe().m_level);
                }
                ui_guanqiaaxuanze.getMe().selectedChapter(chapter - 1);
                ui_guanqiaaxuanze.getMe().m_CBaseKeyState.setCurKey_byName("guanqia5");
                musicMgr.getMe().playeffect(g_buttonChangeMp3);
                return false;
            }
            return true;
        }

        level_right() {
            let name = this.m_key.getName();
            let chapter = ui_guanqiaaxuanze.getMe().m_curChapter;
            if (name == "guanqia5") {
                if (chapter == ui_guanqiaaxuanze.getMe().m_chaper) {
                    musicMgr.getMe().playeffect(g_buttonChangeMp3);
                    return false;
                }
                if (chapter == 6) {
                    musicMgr.getMe().playeffect(g_buttonChangeMp3);
                    return false;
                }
                ui_guanqiaaxuanze.getMe().m_curChapter = chapter + 1;
                if (ui_guanqiaaxuanze.getMe().m_curChapter < ui_guanqiaaxuanze.getMe().m_chaper) {
                    ui_guanqiaaxuanze.getMe().updateUI(5);
                } else {
                    ui_guanqiaaxuanze.getMe().updateUI(ui_guanqiaaxuanze.getMe().m_level);
                }
                ui_guanqiaaxuanze.getMe().selectedChapter(chapter + 1);
                ui_guanqiaaxuanze.getMe().m_CBaseKeyState.setCurKey_byName("guanqia1");
                musicMgr.getMe().playeffect(g_buttonChangeMp3);
                return false;
            }
            return true;
        }

    }

    export class ui_guanqiaaxuanze extends UiBase {
        m_chaper: number = 1;
        m_level: number = 1;
        m_curChapter: number = 1;
        m_curLevel: number = 1;
        m_CBaseKeyState = null;
        static g_instarn: ui_guanqiaaxuanze = null;
        static getMe = function () {
            return ui_guanqiaaxuanze.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_guanqiaaxuanze, uiMgr.getMe(), 300);
        };

        constructor() {
            super();
            this.m_des = "ui_guankaxuanze类";
            this.getNode().setName("ui_guankaxuanze类");
            this.m_CBaseKeyState = new CGeziKeyState_ui_guanqiaaxuanze();
            this.m_CBaseKeyState.setUIName("guanka");
        }

        oninit(data) {
            let root = this._parseUIFile("guanqiaxuanze.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.getChapter();
            this.initUI();
            this.initChapter();
            this.selectedChapter(this.m_curChapter);
        }

        getChapter() {
            this.m_chaper = dataMgr.getMe().getPlayDoc().coreData.curchaperId;
            this.m_level = dataMgr.getMe().getPlayDoc().coreData.curguankaId;
            this.m_curChapter = dataMgr.getMe().getPlayDoc().coreData.curchaperId;
        }

        initUI() {
            let k = 1;
            for (let i = 1; i <= this.m_level; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                this.m_CBaseKeyState.regNodeEx(chap_check, k++);
                chap_check.addTouchEventListener(this.SelectGuanKa_Func, this);
                let name = ccui.helper.seekWidgetByName(chap_check, "name");
                let image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                let num = (this.m_curChapter - 1) * 5 + i;
                name.setString(ui_daditu_config[num].name);
                image.loadTexture(ui_daditu_config[num].beijingImg);
            }
            for (let i = this.m_level + 1; i <= 5; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({r: 128, g: 121, b: 121});
                let pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
                let name = ccui.helper.seekWidgetByName(chap_check, "name");
                let image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                let num = (this.m_curChapter - 1) * 5 + i;
                name.setString(ui_daditu_config[num].name);
                image.loadTexture(ui_daditu_config[num].beijingImg);
            }
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey_byName("guanqia" + this.m_level);
        }

        resetUI() {
            this.m_CBaseKeyState.resetKey();
            for (let i = 1; i <= 5; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({r: 255, g: 255, b: 255});
                let pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(true);
            }
        }

        initChapter(){
            for (let i = 1; i <= this.m_chaper; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                // chap_check.setColor({r: 255, g: 255, b: 255});
                let suo1 = ccui.helper.seekWidgetByName(chap_check, "suo1");
                let suo2 = ccui.helper.seekWidgetByName(chap_check, "suo2");
                suo1.setVisible(false);
                suo2.setVisible(false);
            }
            for (let i = this.m_chaper + 1; i <= 6; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                chap_check.setColor({r: 128, g: 121, b: 121});
            }
        }

        resetChapter() {
            for (let i = 1; i <= 6; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + i);
                let pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
            }
        }

        selectedChapter(chapter) {
            this.resetChapter();
            let chap_check2 = ccui.helper.seekWidgetByName(this.m_root, "zhangjie" + chapter);
            let pButtonImageView = ccui.helper.seekWidgetByName(chap_check2, "uitexiao");
            pButtonImageView.setVisible(true);
        }

        updateUI(level) {
            level = Number(level);
            this.resetUI();
            this.m_curLevel = level;
            let k = 1;
            for (let i = 1; i <= level; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                this.m_CBaseKeyState.regNodeEx(chap_check, k++);
                chap_check.addTouchEventListener(this.SelectGuanKa_Func, this);
                let name = ccui.helper.seekWidgetByName(chap_check, "name");
                let image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                let num = (this.m_curChapter - 1) * 5 + i;
                name.setString(ui_daditu_config[num].name);
                image.loadTexture(ui_daditu_config[num].beijingImg);
            }
            for (let i = level + 1; i <= 5; ++i) {
                let chap_check = ccui.helper.seekWidgetByName(this.m_root, "guanqia" + i);
                chap_check.setColor({r: 128, g: 121, b: 121});
                let pButtonImageView = ccui.helper.seekWidgetByName(chap_check, "uitexiao");
                pButtonImageView.setVisible(false);
                let name = ccui.helper.seekWidgetByName(chap_check, "name");
                let image = ccui.helper.seekWidgetByName(chap_check, "guanqia");
                let num = (this.m_curChapter - 1) * 5 + i;
                name.setString(ui_daditu_config[num].name);
                image.loadTexture(ui_daditu_config[num].beijingImg);
            }
        }

        onBack() {
            ui_guanqiaaxuanze.ShowOrHide(false);
            ui_zhujiemian.ShowOrHide(true);
        }

        SelectGuanKa_Func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        let str = sender.getName().substring(7,8);
                        let sceneName = "scene" + this.m_curChapter + "_" + str;
                        console.log(sceneName);
                        var guankadata = {};
                        guankadata["sceneType"] = e_SceneType.SceneType_fight;
                        guankadata["sceneName"] = sceneName;
                        ui_juesexuanze.ShowOrHide(true, guankadata);
                        ui_guanqiaaxuanze.ShowOrHide(false);
                    });
                    break;
                default:
                    break
            }
        }

    }
}