var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/14.
 */
var game;
(function (game) {
    var ui_jinhua = (function (_super) {
        __extends(ui_jinhua, _super);
        function ui_jinhua() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_des = "ui_jinhua类";
            this.getNode().setName("ui_jinhua类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_jinhua.prototype.shutdown = function () {
            // ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_jinhua.prototype.oninit = function (data) {
            var root = this._parseUIFile("jinhua.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            // ui_huobi.ShowOrHide(true);
            var hero1 = ccui.helper.seekWidgetByName(this.m_root, "hero1");
            var hero2 = ccui.helper.seekWidgetByName(this.m_root, "hero2");
            var hero3 = ccui.helper.seekWidgetByName(this.m_root, "hero3");
            var hero4 = ccui.helper.seekWidgetByName(this.m_root, "hero4");
            var hero5 = ccui.helper.seekWidgetByName(this.m_root, "hero5");
            var hero6 = ccui.helper.seekWidgetByName(this.m_root, "hero6");
            hero1.addTouchEventListener(this.jinhua_func, this);
            hero2.addTouchEventListener(this.jinhua_func, this);
            hero3.addTouchEventListener(this.jinhua_func, this);
            hero4.addTouchEventListener(this.jinhua_func, this);
            hero5.addTouchEventListener(this.jinhua_func, this);
            hero6.addTouchEventListener(this.jinhua_func, this);
            this.m_CBaseKeyState.regNodeEx(hero1, 1);
            this.m_CBaseKeyState.regNodeEx(hero2, 2);
            this.m_CBaseKeyState.regNodeEx(hero3, 3);
            this.m_CBaseKeyState.regNodeEx(hero4, 4);
            this.m_CBaseKeyState.regNodeEx(hero5, 5);
            this.m_CBaseKeyState.regNodeEx(hero6, 6);
            this.m_CBaseKeyState.init(this);
            this.m_selectHero = "wulingwang";
            this.m_curCheckBoxName = "hero1";
            this.initUI();
            this.updateUI();
            this.initheroPanel();
        };
        ui_jinhua.prototype.initheroPanel = function () {
            var panel = this.m_root;
            for (var i = 1; i <= 6; ++i) {
                var hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                var click_text = ccui.helper.seekWidgetByName(hero, "Text_10");
                var lock_image = ccui.helper.seekWidgetByName(hero, "Image_10");
                var hero_price = ccui.helper.seekWidgetByName(hero, "Text_5");
                var Image_20 = ccui.helper.seekWidgetByName(hero, "Image_20");
                var name_1 = this.checkBoxNameToheroname("hero" + i);
                var selectHeroLevel = game.dataMgr.getMe().getHeroLevel(name_1);
                var isLocked = game.dataMgr.getMe().getHeroIsLocked(name_1);
                if (isLocked) {
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].unlock[name_1 + selectHeroLevel]);
                    lock_image.setVisible(true);
                    click_text.setString("点击解锁");
                }
                else {
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].heros[name_1 + selectHeroLevel]);
                    if (selectHeroLevel == 3) {
                        Image_20.setVisible(false);
                        click_text.setVisible(false);
                    }
                    else {
                        Image_20.setVisible(true);
                        click_text.setVisible(true);
                    }
                    lock_image.setVisible(false);
                    click_text.setString("点击升级"); //xingjiezhuzhuxia2\big\ui\image
                }
            }
        };
        ui_jinhua.prototype.checkBoxNameToheroname = function (name) {
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        };
        ui_jinhua.prototype.initUI = function () {
            this.changeIcon("wulingwang", "hero1");
            this.changeIcon("zhuzhuxia", "hero2");
            this.changeIcon("xiaodaidai", "hero3");
            this.changeIcon("feifei", "hero4");
            this.changeIcon("chaorenqiang", "hero5");
            this.changeIcon("bobi", "hero6");
        };
        ui_jinhua.prototype.jinhua_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var islock = game.dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
                    if (islock) {
                        if (this.m_selectHero == "wulingwang") {
                            ui_jinhua.ShowOrHide(false);
                            game.ui_wulingwang.ShowOrHide(true);
                            return;
                        }
                        this.unlockCallback(this.m_selectHero);
                    }
                    else {
                        this.levelUpCallback(this.m_selectHero);
                    }
                    break;
                default:
                    break;
            }
        };
        ui_jinhua.prototype.unlockCallback = function (name) {
            var _this = this;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "解锁" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_unlock();
                    }, null, this);
                }
            }
            else {
                game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        };
        ui_jinhua.prototype.a = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石升级" + heronameZh);
                }
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并升级", function () {
                    _this.buy_diamond_and_levelUp();
                }, null, this);
            }
        };
        ui_jinhua.prototype.b = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石解锁" + heronameZh);
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并解锁", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_jinhua.prototype.buy_diamond_and_unlock = function () {
            var callback_func = game.MyCallback.create(this.b, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_jinhua.prototype.buy_diamond_and_levelUp = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_jinhua.prototype.unlockSuccess = function () {
            // ui_messageBox2.ShowOrHide(true, "解锁成功", null, null);
            game.uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
            this.initheroPanel();
        };
        ui_jinhua.prototype.levelUpCallback = function (name) {
            var _this = this;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "升级" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            }
            else {
                game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        };
        ui_jinhua.prototype.levelUpSuccess = function () {
            // ui_messageBox2.ShowOrHide(true, "升级成功", null, null);
            game.uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
            this.initheroPanel();
        };
        ui_jinhua.prototype.updateHeroIcon = function () {
            var heroConfig1 = game.dataMgr.getMe().getHeroConfig(this.m_selectHero + "1");
            var heroConfig2 = game.dataMgr.getMe().getHeroConfig(this.m_selectHero + "2");
            var heroConfig3 = game.dataMgr.getMe().getHeroConfig(this.m_selectHero + "3");
            var spineName1 = heroConfig1.hero_big_image;
            var spineName2 = heroConfig2.hero_big_image;
            var spineName3 = heroConfig3.hero_big_image;
            var xingtai1 = ccui.helper.seekWidgetByName(this.m_root, "xingtai1");
            var xingtai2 = ccui.helper.seekWidgetByName(this.m_root, "xingtai2");
            var xingtai3 = ccui.helper.seekWidgetByName(this.m_root, "xingtai3");
            xingtai1.loadTexture(spineName1);
            xingtai2.loadTexture(spineName2);
            xingtai3.loadTexture(spineName3);
            this.changeIcon(this.m_selectHero, this.m_curCheckBoxName);
        };
        ui_jinhua.prototype.changeIcon = function (name, checkName) {
            var hero1 = ccui.helper.seekWidgetByName(this.m_root, checkName);
            var hero1_icon = ccui.helper.seekWidgetByName(hero1, "touxiang");
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var heroConfig = game.dataMgr.getMe().getHeroConfig(name + curlevel);
            hero1_icon.loadTexture(heroConfig.small_head_icon);
        };
        ui_jinhua.prototype.updateUI = function () {
            this.updateCurHero();
            this.updateHeroIcon();
        };
        ui_jinhua.prototype.onBack = function () {
            ui_jinhua.ShowOrHide(false);
            game.ui_zhujiemian.ShowOrHide(true);
        };
        ui_jinhua.prototype.right = function () {
            _super.prototype.right.call(this);
            switch (this.m_selectHero) {
                case "wulingwang":
                    this.m_selectHero = "zhuzhuxia";
                    this.m_curCheckBoxName = "hero2";
                    break;
                case "zhuzhuxia":
                    this.m_selectHero = "xiaodaidai";
                    this.m_curCheckBoxName = "hero3";
                    break;
                case "xiaodaidai":
                    this.m_selectHero = "feifei";
                    this.m_curCheckBoxName = "hero4";
                    break;
                case "feifei":
                    this.m_selectHero = "chaorenqiang";
                    this.m_curCheckBoxName = "hero5";
                    break;
                case "chaorenqiang":
                    this.m_selectHero = "bobi";
                    this.m_curCheckBoxName = "hero6";
                    break;
                case "bobi":
                    this.m_selectHero = "bobi";
                    break;
            }
            this.updateUI();
        };
        ui_jinhua.prototype.left = function () {
            _super.prototype.left.call(this);
            switch (this.m_selectHero) {
                case "wulingwang":
                    this.m_selectHero = "wulingwang";
                    break;
                case "zhuzhuxia":
                    this.m_selectHero = "wulingwang";
                    this.m_curCheckBoxName = "hero1";
                    break;
                case "xiaodaidai":
                    this.m_selectHero = "zhuzhuxia";
                    this.m_curCheckBoxName = "hero2";
                    break;
                case "feifei":
                    this.m_selectHero = "xiaodaidai";
                    this.m_curCheckBoxName = "hero3";
                    break;
                case "chaorenqiang":
                    this.m_selectHero = "feifei";
                    this.m_curCheckBoxName = "hero4";
                    break;
                case "bobi":
                    this.m_selectHero = "chaorenqiang";
                    this.m_curCheckBoxName = "hero5";
                    break;
            }
            this.updateUI();
        };
        /**
         *  上边三个角色选择框
         */
        ui_jinhua.prototype.updateCurHero = function () {
            var selectHeroLevel = game.dataMgr.getMe().getHeroLevel(this.m_selectHero);
            var islock = game.dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            for (var j = 1; j <= 3; j++) {
                var heroNode = ccui.helper.seekWidgetByName(this.m_root, "xingtai" + j);
                // let texiao = ccui.helper.seekWidgetByName(heroNode, "uitexiao");
                var image = ccui.helper.seekWidgetByName(heroNode, "dangqianxingtai" + j);
                if (selectHeroLevel == j && !islock) {
                    // texiao.setVisible(true);
                    image.setVisible(true);
                }
                else {
                    // texiao.setVisible(false);
                    image.setVisible(false);
                }
            }
        };
        ui_jinhua.g_instarn = null;
        ui_jinhua.getMe = function () {
            return ui_jinhua.g_instarn;
        };
        ui_jinhua.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_jinhua, game.uiMgr.getMe(), 600);
        };
        return ui_jinhua;
    }(game.UiBase));
    game.ui_jinhua = ui_jinhua;
})(game || (game = {}));
//# sourceMappingURL=ui_jinhua.js.map