var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/14.
 */
var game;
(function (game) {
    var ui_juesexuanze = (function (_super) {
        __extends(ui_juesexuanze, _super);
        function ui_juesexuanze() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_sceneName = null;
            this.m_sceneType = null;
            this.m_selectHero = "wulingwang"; // 当前光标选择的角色
            this.m_curHerosList = null; // 选择的角色集
            this.m_des = "ui_juesexuanze类";
            this.getNode().setName("ui_juesexuanze类");
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
            this.m_curHerosList = new Array();
        }
        ui_juesexuanze.prototype.onBack = function () {
            this.endLayout(function () {
                if (this.m_sceneType == game.e_SceneType.SceneType_worldboss) {
                    ui_juesexuanze.ShowOrHide(false);
                    game.ui_shijiboss.ShowOrHide(true);
                }
                else {
                    ui_juesexuanze.ShowOrHide(false);
                    game.ui_zhujiemian.ShowOrHide(true);
                }
            });
        };
        ui_juesexuanze.prototype.shutdown = function () {
            game.ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_juesexuanze.prototype.oninit = function (data) {
            this.m_sceneName = data.sceneName;
            this.m_sceneType = data.sceneType;
            game.ui_huobi.ShowOrHide(true);
            var root = this._parseUIFile("juesexuanze.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var curHero = game.dataMgr.getMe().getCurHero();
            if (curHero != "") {
                this.m_curHerosList.push(curHero);
            }
            var curFollow = game.dataMgr.getMe().getCurFollow();
            if (curFollow.length != 0) {
                for (var i = 0; i < curFollow.length; ++i) {
                    this.m_curHerosList.push(curFollow[i]);
                }
            }
            this.m_selectHero = "wulingwang";
            this.regBaseKey();
            this.m_CBaseKeyState.setUIName("choice");
            this.initheroPanel();
            this.updateheroPanel();
            this.updateSelectHero();
        };
        ui_juesexuanze.prototype.regBaseKey = function () {
            var panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (var i = 1; i <= 6; ++i) {
                var hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                hero.addTouchEventListener(this.jinhua_func, this);
                this.m_CBaseKeyState.regNodeEx(hero, i);
            }
            var start = ccui.helper.seekWidgetByName(this.m_root, "kaishizhandou");
            start.addTouchEventListener(this.start_func, this);
            this.m_CBaseKeyState.regNodeEx(start, 7);
            this.m_CBaseKeyState.init(this);
        };
        ui_juesexuanze.prototype.left = function () {
            _super.prototype.left.call(this);
            this.m_selectHero = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key.getName());
            this.updateheroPanel();
        };
        ui_juesexuanze.prototype.right = function () {
            _super.prototype.right.call(this);
            this.m_selectHero = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key.getName());
            this.updateheroPanel();
        };
        /**
         * 解锁或出战
         */
        ui_juesexuanze.prototype.up = function () {
            _super.prototype.up.call(this);
            if (!this.m_selectHero) {
                console.log(this.m_selectHero);
                return;
            }
            // 是否解锁
            var isLocked = game.dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            if (isLocked) {
                if (this.m_selectHero == "wulingwang") {
                    ui_juesexuanze.ShowOrHide(false);
                    game.ui_wulingwang.ShowOrHide(true);
                    return;
                }
                this.unlockCallback();
                return;
            }
            this.showFighter();
            this.updateheroPanel();
        };
        /**
         * 出战
         */
        ui_juesexuanze.prototype.showFighter = function () {
            for (var i = 0; i < this.m_curHerosList.length; ++i) {
                if (this.m_curHerosList[i] == this.m_selectHero) {
                    this.m_curHerosList.splice(i, 1);
                    this.updateSelectHero();
                    return;
                }
            }
            if (game.rootScene.getMe().isLowCpu()) {
                if (this.m_curHerosList.length == 2) {
                    this.m_curHerosList.splice(0, 1);
                }
            }
            else {
                if (this.m_curHerosList.length == 3) {
                    this.m_curHerosList.splice(0, 1);
                }
            }
            this.m_curHerosList.push(this.m_selectHero);
            this.updateSelectHero();
        };
        ui_juesexuanze.prototype.initheroPanel = function () {
            var panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (var i = 1; i <= 6; ++i) {
                var hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                var up_image = ccui.helper.seekWidgetByName(hero, "xuanzechuzhan");
                var click_text = ccui.helper.seekWidgetByName(hero, "dianjishengji");
                var lock_image = ccui.helper.seekWidgetByName(hero, "Image_319_0");
                var icon_image = ccui.helper.seekWidgetByName(hero, "touxiang");
                var hero_price = ccui.helper.seekWidgetByName(hero, "Text_5");
                var Image_20 = ccui.helper.seekWidgetByName(hero, "Image_20");
                var name_1 = this.checkBoxNameToheroname("hero" + i);
                var selectHeroLevel = game.dataMgr.getMe().getHeroLevel(name_1);
                var isLocked = game.dataMgr.getMe().getHeroIsLocked(name_1);
                var heroConfig = game.dataMgr.getMe().getHeroConfig(name_1 + selectHeroLevel);
                icon_image.loadTexture(heroConfig.small_head_icon);
                if (isLocked) {
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].unlock[name_1 + selectHeroLevel]);
                    lock_image.setVisible(true);
                    click_text.setString("点击解锁");
                    up_image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui262.png");
                }
                else {
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].heros[name_1 + selectHeroLevel]);
                    if (selectHeroLevel == 3) {
                        Image_20.setVisible(false);
                        click_text.setVisible(false);
                    }
                    else {
                        Image_20.setVisible(true);
                        click_text.setVisible(true);
                    }
                    lock_image.setVisible(false);
                    click_text.setString("点击升级"); //xingjiezhuzhuxia2\big\ui\image
                    up_image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui256.png");
                }
            }
        };
        ui_juesexuanze.prototype.updateheroPanel = function () {
            var panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (var i = 1; i <= 6; ++i) {
                var hero_1 = ccui.helper.seekWidgetByName(panel, "hero" + i);
                var up_image_1 = ccui.helper.seekWidgetByName(hero_1, "xuanzechuzhan");
                var click_text_1 = ccui.helper.seekWidgetByName(hero_1, "dianjishengji");
                var arrow_image_1 = ccui.helper.seekWidgetByName(hero_1, "up");
                up_image_1.setVisible(false);
                click_text_1.setVisible(false);
                arrow_image_1.setVisible(false);
            }
            var name = this.checkBoxNameByheroname(this.m_selectHero);
            if (name == "")
                return;
            var hero = ccui.helper.seekWidgetByName(panel, name);
            var up_image = ccui.helper.seekWidgetByName(hero, "xuanzechuzhan");
            var click_text = ccui.helper.seekWidgetByName(hero, "dianjishengji");
            var arrow_image = ccui.helper.seekWidgetByName(hero, "up");
            if (!this.isSelectByName(this.m_selectHero)) {
                up_image.setVisible(true);
                arrow_image.setVisible(true);
            }
            var selectHeroLevel = game.dataMgr.getMe().isHeroMaxLevel(this.m_selectHero);
            if (selectHeroLevel) {
                click_text.setVisible(false);
            }
            else {
                click_text.setVisible(true);
            }
            this.updateShowHeroImage();
        };
        /**
         * 角色列表中是否存在当前英雄
         */
        ui_juesexuanze.prototype.isSelectByName = function (name) {
            for (var i = 0; i < this.m_curHerosList.length; ++i) {
                if (this.m_curHerosList[i] == name) {
                    return true;
                }
            }
            return false;
        };
        ui_juesexuanze.prototype.updateSelectHero = function () {
            var panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (var i = 1; i <= 6; ++i) {
                var hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                var image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(false);
            }
            if (this.m_curHerosList.length == 0)
                return;
            if (this.m_curHerosList.length > 0) {
                var mainHero = this.checkBoxNameByheroname(this.m_curHerosList[0]);
                var hero = ccui.helper.seekWidgetByName(panel, mainHero);
                var image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui73.png");
            }
            if (this.m_curHerosList.length > 1) {
                var secondHero = this.checkBoxNameByheroname(this.m_curHerosList[1]);
                var hero = ccui.helper.seekWidgetByName(panel, secondHero);
                var image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui72.png");
            }
            if (this.m_curHerosList.length > 2) {
                var thirdHero = this.checkBoxNameByheroname(this.m_curHerosList[2]);
                var hero = ccui.helper.seekWidgetByName(panel, thirdHero);
                var image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui72.png");
            }
        };
        ui_juesexuanze.prototype.updateShowHeroImage = function () {
            var dangqianxingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai1");
            var zuigaoxingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai3");
            var xiayixingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai2");
            var arrow = ccui.helper.seekWidgetByName(this.m_root, "Image_11");
            var node1 = ccui.helper.seekWidgetByName(this.m_root, "Node_1");
            var node2 = ccui.helper.seekWidgetByName(this.m_root, "Node_2");
            var rim1 = ccui.helper.seekWidgetByName(node1, "3jitexiao");
            var rim11 = ccui.helper.seekWidgetByName(node1, "3jitexiao_0");
            var rim2 = ccui.helper.seekWidgetByName(node2, "2jitexiao");
            var rim22 = ccui.helper.seekWidgetByName(node2, "2jitexiao_0");
            var heroPropertyPanel = ccui.helper.seekWidgetByName(this.m_root, "shuxing");
            var gongji1 = ccui.helper.seekWidgetByName(heroPropertyPanel, "gongji1");
            var gongji2 = ccui.helper.seekWidgetByName(heroPropertyPanel, "gongji2");
            var fangyu1 = ccui.helper.seekWidgetByName(heroPropertyPanel, "fangyu1");
            var fangyu2 = ccui.helper.seekWidgetByName(heroPropertyPanel, "fangyu2");
            var xueliang1 = ccui.helper.seekWidgetByName(heroPropertyPanel, "xueliang1");
            var xueliang2 = ccui.helper.seekWidgetByName(heroPropertyPanel, "xueliang2");
            var arrow1 = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia6");
            var arrow2 = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia5");
            var arrow3 = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia4");
            var name = this.m_selectHero;
            var selectHeroLevel = game.dataMgr.getMe().getHeroLevel(name);
            var heroConfig = game.dataMgr.getMe().getHeroConfig(name + selectHeroLevel);
            if (selectHeroLevel == 3) {
                dangqianxingtai.setVisible(false);
                xiayixingtai.setVisible(false);
                zuigaoxingtai.setVisible(true);
                arrow.setVisible(false);
                zuigaoxingtai.loadTexture(heroConfig.hero_big_image);
                arrow1.setVisible(false);
                arrow2.setVisible(false);
                arrow3.setVisible(false);
                gongji2.setVisible(false);
                fangyu2.setVisible(false);
                xueliang2.setVisible(false);
                node1.setVisible(true);
                node2.setVisible(false);
                rim1.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_" + this.m_selectHero + ".png");
                rim11.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_" + this.m_selectHero + ".png");
            }
            else {
                dangqianxingtai.setVisible(true);
                xiayixingtai.setVisible(true);
                zuigaoxingtai.setVisible(false);
                arrow.setVisible(true);
                arrow1.setVisible(true);
                arrow2.setVisible(true);
                arrow3.setVisible(true);
                gongji2.setVisible(true);
                fangyu2.setVisible(true);
                xueliang2.setVisible(true);
                node1.setVisible(false);
                node2.setVisible(true);
                var nextheroConfig = game.dataMgr.getMe().getHeroConfig(name + (selectHeroLevel + 1));
                dangqianxingtai.loadTexture(heroConfig.hero_big_image);
                xiayixingtai.loadTexture(nextheroConfig.hero_big_image);
                gongji2.setString(Math.round(nextheroConfig.attackPoint * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_att) + 1)));
                fangyu2.setString(Math.round(nextheroConfig.defencePoint * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_defense) + 1)));
                xueliang2.setString(Math.round(nextheroConfig.hp * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_hp) + 1)));
                rim2.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_" + this.m_selectHero + ".png");
                rim22.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_" + this.m_selectHero + ".png");
            }
            var a = game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_att);
            gongji1.setString(Math.round(heroConfig.attackPoint * (a + 1)));
            fangyu1.setString(Math.round(heroConfig.defencePoint * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_defense) + 1)));
            xueliang1.setString(Math.round(heroConfig.hp * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_hp) + 1)));
        };
        ui_juesexuanze.prototype.start_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_curHerosList.length == 0) {
                        game.ui_messageBox2.ShowOrHide(true, "请选择至少一个出战英雄");
                        return;
                    }
                    // for (let j = 0; j < this.m_curHerosList.length; j++) {
                    //     console.log("出战英雄：" + this.m_curHerosList[j]);
                    // }
                    // dataMgr.getMe().setCurHero(this.m_curHerosList[0]);
                    // dataMgr.getMe().setCurFollow(this.m_curHerosList.splice(1, 2));
                    // sceneMgr.getMe().selectScene(this.m_sceneType, this.m_sceneName);
                    var num = void 0;
                    if (game.rootScene.getMe().isLowCpu()) {
                        num = 2 - this.m_curHerosList.length;
                    }
                    else {
                        num = 3 - this.m_curHerosList.length;
                    }
                    if (num != 0) {
                        game.ui_messageBox.ShowOrHide(true, "还可选择" + num + "个同伴一起出战,是否继续选择?", function () {
                            game.ui_messageBox.ShowOrHide(false);
                        }, function () {
                            game.ui_messageBox.ShowOrHide(false);
                            ui_juesexuanze.getMe().fight_ex();
                        }, this);
                        break;
                    }
                    ui_juesexuanze.getMe().fight_ex();
                    // ui_tanchuang2.ShowOrHide(true);
                    break;
            }
        };
        ui_juesexuanze.prototype.fight_ex = function () {
            game.dataMgr.getMe().setCurHero(this.m_curHerosList[0]);
            game.dataMgr.getMe().setCurFollow(this.m_curHerosList.splice(1, 2));
            game.sceneMgr.getMe().selectScene(this.m_sceneType, this.m_sceneName);
        };
        /**
         *  解锁或升级或出战
         */
        ui_juesexuanze.prototype.jinhua_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.m_selectHero) {
                        console.log(this.m_selectHero);
                        return;
                    }
                    // 是否解锁
                    var isLocked = game.dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
                    if (isLocked) {
                        if (this.m_selectHero == "wulingwang") {
                            ui_juesexuanze.ShowOrHide(false);
                            game.ui_wulingwang.ShowOrHide(true);
                            return;
                        }
                        this.unlockCallback();
                        return;
                    }
                    this.levelUpCallback();
                    break;
                default:
                    break;
            }
        };
        ui_juesexuanze.prototype.levelUpSuccess = function () {
            game.uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.initheroPanel();
            this.updateShowHeroImage();
        };
        ui_juesexuanze.prototype.unlockSuccess = function () {
            game.uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.initheroPanel();
        };
        ui_juesexuanze.prototype.unlockCallback = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "解锁" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_unlock();
                    }, null, this);
                }
            }
            else {
                game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        };
        ui_juesexuanze.prototype.levelUpCallback = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "升级" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            }
            else {
                this.showFighter();
                this.updateheroPanel();
            }
        };
        ui_juesexuanze.prototype.a = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石升级" + heronameZh);
                }
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并升级", function () {
                    _this.buy_diamond_and_levelUp();
                }, null, this);
            }
        };
        ui_juesexuanze.prototype.b = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石解锁" + heronameZh);
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并解锁", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_juesexuanze.prototype.buy_diamond_and_unlock = function () {
            var callback_func = game.MyCallback.create(this.b, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_juesexuanze.prototype.buy_diamond_and_levelUp = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        /**
         * 根据键名返回对应角色名
         */
        ui_juesexuanze.prototype.checkBoxNameToheroname = function (name) {
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        };
        ui_juesexuanze.prototype.checkBoxNameByheroname = function (name) {
            if (name == "wulingwang") {
                return "hero1";
            }
            else if (name == "zhuzhuxia") {
                return "hero2";
            }
            else if (name == "xiaodaidai") {
                return "hero3";
            }
            else if (name == "feifei") {
                return "hero4";
            }
            else if (name == "chaorenqiang") {
                return "hero5";
            }
            else if (name == "bobi") {
                return "hero6";
            }
            return "";
        };
        ui_juesexuanze.g_instarn = null;
        ui_juesexuanze.getMe = function () {
            return ui_juesexuanze.g_instarn;
        };
        ui_juesexuanze.ShowOrHide = function (flag, data) {
            if (data === void 0) { data = null; }
            game.UiBase.ShowOrHide(flag, ui_juesexuanze, game.uiMgr.getMe(), 800, data);
            game.ui_tip.ShowOrHide(flag);
        };
        return ui_juesexuanze;
    }(game.UiBase));
    game.ui_juesexuanze = ui_juesexuanze;
})(game || (game = {}));
//# sourceMappingURL=ui_juesexuanze.js.map