/**
 * Created by w on 2017/2/14.
 */
module game {
    export class ui_shangcheng extends UiBase {
        static g_instarn: ui_shangcheng = null;
        m_CBaseKeyState = null;
        static getMe = function () {
            return ui_shangcheng.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_shangcheng, uiMgr.getMe(), 1000);
            ui_tip.ShowOrHide(flag);
        };

        constructor() {
            super();
            this.m_des = "ui_shangcheng_类";
            this.getNode().setName("ui_shangcheng_类");
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
            this.m_CBaseKeyState.setUIName("shop");
        }

        oninit(data) {
            let root = this._parseUIFile("shangcheng.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            ui_huobi.ShowOrHide(true);

            var maxprice = iapMgr.getMe().getMaxPrice();
            for (let j = 1; j <= 3; j++) {
                let jinbi_check: ccui.CheckBox = ccui.helper.seekWidgetByName(root, "zuanshi" + j);
                this.m_CBaseKeyState.regNodeEx(jinbi_check, j);
                var item = fileMgr.getMe().getShopInfoItem_byid(j);
                if (maxprice < item.price_rmb) {
                    jinbi_check.setVisible(false);
                } else {
                    jinbi_check.setUserData("goumai" + j);
                    jinbi_check.addTouchEventListener(this.buy_func, this)
                }
                let a = ccui.helper.seekWidgetByName(jinbi_check, "miaoshu");
                let b = ccui.helper.seekWidgetByName(jinbi_check, "Text_1");
                a.setString(g_differentPrices[g_version].price[j].money);
                b.setString(g_differentPrices[g_version].money)
            }

            let chouka1 = ccui.helper.seekWidgetByName(root, "choukaX1");//:ccui.CheckBox
            chouka1.setUserData("chouka1");
            chouka1.addTouchEventListener(this.chouka_func, this);
            this.m_CBaseKeyState.regNodeEx(chouka1, 5);

            let chouka10 = ccui.helper.seekWidgetByName(root, "choukaX10");//:ccui.CheckBox
            chouka10.setUserData("chouka10");
            chouka10.addTouchEventListener(this.chouka_func, this);
            this.m_CBaseKeyState.regNodeEx(chouka10, 6);


            this.m_CBaseKeyState.init(this);

            let five = ccui.helper.seekWidgetByName(root, "Text_24");
            let ten = ccui.helper.seekWidgetByName(root, "Text_25");
            let twenty = ccui.helper.seekWidgetByName(root, "Text_26");
            let chouka1_price = ccui.helper.seekWidgetByName(chouka1, "miaoshu");
            let chouka10_price = ccui.helper.seekWidgetByName(chouka10, "miaoshu");
            five.setString(g_differentPrices[g_version].price["1"].diamond);
            ten.setString(g_differentPrices[g_version].price["2"].diamond);
            twenty.setString(g_differentPrices[g_version].price["3"].diamond);
            chouka1_price.setString("消耗"+g_differentPrices[g_version].other.pumpCard_one);
            chouka10_price.setString("消耗"+g_differentPrices[g_version].other.pumpCard_ten);
        }

        onBack() {
            this.endLayout(function () {
                ui_shangcheng.ShowOrHide(false);
                ui_zhujiemian.ShowOrHide(true);
            });
        }


        shutdown() {
            ui_huobi.ShowOrHide(false);
            super.shutdown();
        }

        // test 抽卡未完成
        chouka_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    var key = sender.getUserData();
                    if (key == "chouka1") {
                        this.one_pumping();
                    }
                    if (key == "chouka10") {
                        this.ten_pumping();
                    }
                }
                    break
            }
        }

        one_pumping() {
            console.log("one");
            let price = g_differentPrices[g_version].other.pumpCard_one;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_one();
                    dataMgr.getMe().addItemByType(cardName, 1);

                    let card = new Card();
                    card.type = e_choukaType.one;
                    card.cards = [cardName];
                    ui_getPieces.ShowOrHide(true, card);

                    httpConsumptionList.getMe().onSendMsg("单抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            } else {
                // 钻石不足...
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_one_pumping();
                },null,this);
            }
        }

        buy_diamond_and_one_pumping () {
            let callback_func = MyCallback.create(this.one_pumping, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_ten_pumping () {
            let callback_func = MyCallback.create(this.ten_pumping, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        ten_pumping() {
            console.log("ten");
            let price = g_differentPrices[g_version].other.pumpCard_ten;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_ten();
                    for (let i = 0; i < 10; ++i) {
                        dataMgr.getMe().addItemByType(cardName[i], 1);
                    }

                    let card = new Card();
                    card.type = e_choukaType.ten;
                    card.cards = cardName;
                    ui_getPieces.ShowOrHide(true, card);

                    httpConsumptionList.getMe().onSendMsg("十抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            } else {
                // 钻石不足...
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_ten_pumping();
                },null,this);
            }
        }

        getRandomCard_one() {
            let cardName = null;
            var allgailv = 0;
            for (let i in g_chouka_config.chouka_one.gailv) {
                allgailv += g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (let i in g_chouka_config.chouka_one.gailv) {
                let nowgailv = aigailv + g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        getRandomCard_ten() {
            let arr = new Array<string>();
            for (let i = 0; i < 10; ++i) {
                arr[i] = this.getRandomCards();
            }
            return arr;
        }

        getRandomCards() {
            let cardName = null;
            var allgailv = 0;
            for (let i in g_chouka_config.chouka_ten.gailv) {
                allgailv += g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (let i in g_chouka_config.chouka_ten.gailv) {
                let nowgailv = aigailv + g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        buy_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    let id = sender.getUserData();
                    id = id.replace("goumai", "");
                    iapMgr.getMe().buy(id,null,null,true,true);
                }
                    break;
            }
        }

    }
}