var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_shijiboss = (function (_super) {
        __extends(ui_shijiboss, _super);
        function ui_shijiboss() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.isGetAward = false;
            this.m_timer = 0;
            this.m_des = "ui_shijiboss类";
            this.getNode().setName("ui_shijiboss类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_shijiboss.prototype.oninit = function (data) {
            var root = this._parseUIFile("shijieboss.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var boss = ccui.helper.seekWidgetByName(this.m_root, "boss");
            this.txt_bossTime = ccui.helper.seekWidgetByName(boss, "time");
            this.txt_parcent = ccui.helper.seekWidgetByName(boss, "baifenbi");
            this.bar_parcent = ccui.helper.seekWidgetByName(boss, "xueliang");
            this.m_xuetiao = ccui.helper.seekWidgetByName(boss, "Image_13");
            this.m_notStart = ccui.helper.seekWidgetByName(boss, "timeout");
            this.txt_resurgenceTime = ccui.helper.seekWidgetByName(this.m_root, "fuhuoshijan");
            this.bossTime = ccui.helper.seekWidgetByName(this.m_root, "bossshuaxin");
            this.txt_resurgenceTime.setVisible(false);
            this.regBaseStateKey();
            this.bossState = new game.worldBossState();
            this.bossState.isbegin = false;
            this.bossState.daojishi = -1;
            this.bossState.startTime = "0";
            this.bossState.curhp = 1;
            this.bossState.maxhp = 1;
            this.initBossState();
            game.proto_worldBoss_enterRoom.getMe().send();
            game.proto_worldBoss_getPrizesList.getMe().send(); // 初始化就不需要变了
            game.proto_worldBoss_getAward.getMe().send();
            this.initData();
            // this.initUI(); // 分三部分 排行榜 boss状态 按钮状态
            // this.m_timer = 0;
            var d = ccui.helper.seekWidgetByName(this.m_root, "Text_183");
            d.setString("消耗" + game.g_differentPrices[game.g_version].other.boss_resurrect);
            this.lijifuhuo.setVisible(false);
            this.start_fighting.setVisible(false);
            this.receive_award.setVisible(false);
        };
        /**
         * 向服务器获得房间数据
         */
        ui_shijiboss.prototype.initData = function () {
            game.proto_worldBoss_getDamageRank.getMe().send();
            game.proto_worldBoss_getState.getMe().send();
        };
        /**
         * 初始化UI
         */
        ui_shijiboss.prototype.initUI = function () {
            this.initRank();
            this.initBossState();
            this.initAwardsList();
            this.updateKeyState();
            this.updateWait();
        };
        /**
         * 更新UI 更新实时数据
         */
        ui_shijiboss.prototype.updateUI = function () {
            // this.updateRank();
            // this.updateBossState();
        };
        ui_shijiboss.prototype.initRank = function () {
            var allRanking = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            var allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            var length = this.rankList.length;
            for (var id = 1; id <= 10; id++) {
                var paiming = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
                var Txt_Player_Name = ccui.helper.seekWidgetByName(paiming, "id");
                var Txt_Player_Hurt = ccui.helper.seekWidgetByName(paiming, "shanghai");
                if (id > length) {
                    paiming.setVisible(false);
                }
                else {
                    if (this.getRankerByRank(id) == null) {
                        console.log("没有排行榜数据");
                        continue;
                    }
                    var Account = this.getRankerByRank(id).play_id;
                    var buffname = Account;
                    if (Account.length > 8) {
                        buffname = Account.substr(0, 3);
                        buffname += "**";
                        buffname += Account.substr(Account.length - 3, 3);
                    }
                    paiming.setVisible(true);
                    Txt_Player_Name.setString(buffname);
                    Txt_Player_Hurt.setString("伤害：" + this.getRankerByRank(id).damage);
                    if (this.getRankerByRank(id).damage == 0) {
                        Txt_Player_Name.setString("暂无");
                    }
                }
            }
            //我的伤害与排名
            var my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            var txt_myHurt = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            var txt_myRanking = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (txt_myHurt) {
                if (this.myRank.damage == null) {
                    this.myRank.damage = 0;
                }
                txt_myHurt.setString("我的伤害 ：" + this.myRank.damage); //这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ：" + this.myRank.sort); //这里设置排名信息
            }
            if (this.myRank.damage == 0) {
                txt_myRanking.setString("我的排名 ：" + "暂无");
            }
        };
        ui_shijiboss.prototype.timetostring = function (t) {
            if (t >= 0 && t < 10) {
                return "0" + t;
            }
            return t;
        };
        ui_shijiboss.prototype.initBossState = function () {
            var h = Math.floor(this.bossState.daojishi / 60);
            var m = Math.floor(this.bossState.daojishi % 60);
            h = this.timetostring(h);
            m = this.timetostring(m);
            this.txt_bossTime.setString(h + ":" + m);
            this.bossTime.setString("boss出现时间：" + this.bossState.startTime);
            var hpper = Math.floor(this.bossState.curhp / this.bossState.maxhp * 100);
            this.txt_parcent.setString(hpper);
            this.bar_parcent.setPercent(hpper);
            if (m < 0) {
                this.bossState.isbegin = false;
            }
            if (this.bossState.isbegin) {
                if (!this.txt_bossTime.isVisible()) {
                    this.txt_bossTime.setVisible(true);
                    this.m_xuetiao.setVisible(true);
                }
                this.m_notStart.setVisible(false);
            }
            else {
                if (this.txt_bossTime.isVisible()) {
                    this.txt_bossTime.setVisible(false);
                    this.m_xuetiao.setVisible(false);
                }
                this.m_notStart.setVisible(true);
            }
        };
        ui_shijiboss.prototype.initAwardsList = function () {
            var allRankingView = ccui.helper.seekWidgetByName(this.m_root, "Image_1_0");
            for (var i = 1; i < 12; ++i) {
                var paiming = ccui.helper.seekWidgetByName(allRankingView, "rank" + i);
                var suipian3_shumu = ccui.helper.seekWidgetByName(paiming, "suipian3_shumu");
                var suipian4_shumu = ccui.helper.seekWidgetByName(paiming, "suipian4_shumu");
                var zuanshi_shumu = ccui.helper.seekWidgetByName(paiming, "zuanshi_shumu");
                suipian3_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "suipian3"));
                suipian4_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "suipian4"));
                zuanshi_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "zuanshi"));
            }
        };
        ui_shijiboss.prototype.updateKeyState = function () {
            this.lijifuhuo.setVisible(false);
            this.start_fighting.setVisible(false);
            this.receive_award.setVisible(false);
            if (this.bossState) {
                if (this.bossState.isbegin) {
                    if (game.worldBossMgr.getMe().isWait()) {
                        this.lijifuhuo.setVisible(true);
                    }
                    else {
                        this.start_fighting.setVisible(true);
                    }
                }
            }
            else {
                console.log("世界boss没有初始化" + this.bossState);
            }
            if (!this.isGetAward)
                this.receive_award.setVisible(true);
        };
        ui_shijiboss.prototype.updateKey = function () {
        };
        ui_shijiboss.prototype.updateBossState = function () {
        };
        /**
         * 更新排行数据
         * 1玩家排行榜 2我的排行
         */
        ui_shijiboss.prototype.updateRank = function () {
            var allRanking = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            var allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            for (var id = 1; id <= 10; id++) {
                var paiming = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
            }
            //我的伤害与排名
            var my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank"); //CheckBox
            var txt_myHurt = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            var txt_myRanking = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (txt_myHurt) {
                txt_myHurt.setString("我的伤害 ： 999999"); //这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ： 100"); //这里设置排名信息
            }
        };
        ui_shijiboss.prototype.closeBoss_callback = function (f) {
            var str = "";
            if (f == 1) {
                str = game.ui_shijieboss_config.boss_dead;
            }
            else {
                str = game.ui_shijieboss_config.boss_timeout;
            }
            game.ui_messageBox2.ShowOrHide(true, str, function () {
            }, this);
        };
        ui_shijiboss.prototype.getAward_callback = function (data) {
            if (data == "had") {
                this.isGetAward = true;
                this.updateKeyState();
            }
            else {
                this.award = data;
            }
        };
        ui_shijiboss.prototype.enterRoom_callback = function (data) {
            this.bossState = data;
            this.initBossState();
            this.updateKeyState();
            this.updateWait();
        };
        ui_shijiboss.prototype.getDamageRank_callback = function (data, mysort) {
            this.rankList = data;
            this.myRank = mysort;
            this.initRank();
        };
        ui_shijiboss.prototype.getPrizesList_callback = function (data) {
            this.awards = data;
            this.initAwardsList();
        };
        ui_shijiboss.prototype.onBack = function () {
            this.endLayout(function () {
                game.proto_worldBoss_exitRoom.getMe().send();
                ui_shijiboss.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        /**
         * 开始战斗
         */
        ui_shijiboss.prototype.fight_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shijiboss.ShowOrHide(false);
                    // ui_shijiebossfuhuo.ShowOrHide(true);
                    // sceneMgr.getMe().selectScene(e_SceneType.SceneType_worldboss, "scenew_1");
                    var guankadata = {};
                    guankadata["sceneType"] = game.e_SceneType.SceneType_worldboss;
                    guankadata["sceneName"] = "scenew_1";
                    game.ui_juesexuanze.ShowOrHide(true, guankadata);
                    break;
                default:
                    break;
            }
        };
        /**
         * 领取奖励 // suipian3:2,
         */
        ui_shijiboss.prototype.receive_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var data = {};
                    var a = this.award.rankAward;
                    for (var i = 0; i < a.length; ++i) {
                        if (a[i].name == "suipian3") {
                            data.suipian3 = a[i].num;
                        }
                        else if (a[i].name == "suipian4") {
                            data.suipian4 = a[i].num;
                        }
                        else if (a[i].name == "zuanshi") {
                            data.zuanshi = a[i].num;
                        }
                    }
                    game.ui_huodongjiangli2.ShowOrHide(true, data);
                    break;
                default:
                    break;
            }
        };
        /**
         * 立即复活
         */
        ui_shijiboss.prototype.revive_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.a();
                    break;
                default:
                    break;
            }
        };
        ui_shijiboss.prototype.a = function () {
            var _this = this;
            var needDiamond = game.g_differentPrices[game.g_version].other.boss_resurrect;
            if (game.dataMgr.getMe().getDiamond() >= needDiamond) {
                this.callback();
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并复活全部英雄", function () {
                    _this.buy_diamond.call(_this);
                }, null, this);
            }
        };
        ui_shijiboss.prototype.callback = function () {
            game.worldBossMgr.getMe().setWait(false);
            this.updateWait();
        };
        ui_shijiboss.prototype.buy_diamond = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        /**
         * 注册键位
         */
        ui_shijiboss.prototype.regBaseStateKey = function () {
            this.receive_award = ccui.helper.seekWidgetByName(this.m_root, "lingqujiangli");
            this.start_fighting = ccui.helper.seekWidgetByName(this.m_root, "kaishizhandou");
            this.lijifuhuo = ccui.helper.seekWidgetByName(this.m_root, "lijifuhuo");
            this.start_fighting.addTouchEventListener(this.fight_Func, this);
            this.receive_award.addTouchEventListener(this.receive_Func, this);
            this.lijifuhuo.addTouchEventListener(this.revive_Func, this);
            this.m_CBaseKeyState.regNodeEx(this.start_fighting, 1);
            this.m_CBaseKeyState.regNodeEx(this.receive_award, 2);
            this.m_CBaseKeyState.regNodeEx(this.lijifuhuo, 3);
            this.m_CBaseKeyState.init(this);
        };
        /**
         * 根据排名和名称获得奖励数
         */
        ui_shijiboss.prototype.getAwardNumByRankAndName = function (rank, name) {
            for (var i = 0; i < this.awards.length; ++i) {
                if (this.awards[i].rank == rank) {
                    var rankAward = this.awards[i].rankAward;
                    for (var j = 0; j < rankAward.length; ++j) {
                        if (rankAward[j].name == name) {
                            return this.awards[i].rankAward[j].num;
                        }
                    }
                }
            }
            return 0;
        };
        /**
         * 根据排名获得排名信息
         */
        ui_shijiboss.prototype.getRankerByRank = function (rank) {
            for (var i = 0; i < this.rankList.length; ++i) {
                if (this.rankList[i].sort == rank) {
                    return this.rankList[i];
                }
            }
            return null;
        };
        ui_shijiboss.prototype.loop = function (t) {
            _super.prototype.loop.call(this, t);
            this.m_timer += t;
            if (this.m_timer >= 1) {
                this.m_timer = 0;
                this.initData();
                this.updateWait();
            }
            // this.m_timer2 += t;
            // if (this.m_timer2 >= 30) {
            //     this.m_timer2 = 0;
            //     this.initData();
            // }
        };
        ui_shijiboss.prototype.updateWait = function () {
            if (game.worldBossMgr.getMe().isWait()) {
                if (!this.txt_resurgenceTime.isVisible()) {
                    this.txt_resurgenceTime.setVisible(true);
                    this.updateKeyState();
                }
                var time = game.worldBossMgr.getMe().m_timer;
                this.txt_resurgenceTime.setString("复活倒计时：" + Math.floor(time) + "秒");
            }
            else {
                if (this.txt_resurgenceTime.isVisible()) {
                    this.txt_resurgenceTime.setVisible(false);
                    this.updateKeyState();
                }
            }
        };
        ui_shijiboss.g_instarn = null;
        // m_timer2 = 0;
        ui_shijiboss.getMe = function () {
            return ui_shijiboss.g_instarn;
        };
        ui_shijiboss.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_shijiboss, game.uiMgr.getMe(), 400);
        };
        return ui_shijiboss;
    }(game.UiBase));
    game.ui_shijiboss = ui_shijiboss;
})(game || (game = {}));
//# sourceMappingURL=ui_shijiboss.js.map