var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_shijiebossfuhuo = (function (_super) {
        __extends(ui_shijiebossfuhuo, _super);
        function ui_shijiebossfuhuo() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_timer = 0;
            this.m_des = "ui_shijiebossfuhuo类";
            this.getNode().setName("ui_shijiebossfuhuo类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_shijiebossfuhuo.prototype.shutdown = function () {
            // ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_shijiebossfuhuo.prototype.oninit = function (data) {
            var root = this._parseUIFile("shijieboss_fuhuo.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            // ui_huobi.ShowOrHide(true);
            this.txt_resurgenceTime = ccui.helper.seekWidgetByName(root, "Text_1");
            if (this.txt_resurgenceTime) {
                this.txt_resurgenceTime.setString("复活倒计时:" + game.worldBossMgr.getMe().m_timer + "秒");
            }
            //立即复活按钮
            var resurgence = ccui.helper.seekWidgetByName(root, "fuhuo"); //:ccui.CheckBox
            resurgence.addTouchEventListener(this.resurgence_Func, this);
            //查看排行榜按钮
            var viewRank = ccui.helper.seekWidgetByName(root, "paihangbang"); //:ccui.CheckBox
            viewRank.addTouchEventListener(this.viewRank_Func, this);
            //退出按钮
            var exit = ccui.helper.seekWidgetByName(root, "tuichu"); //:ccui.CheckBox
            exit.addTouchEventListener(this.exit_Func, this);
            this.m_CBaseKeyState.regNodeEx(resurgence, 1);
            this.m_CBaseKeyState.regNodeEx(viewRank, 2);
            this.m_CBaseKeyState.regNodeEx(exit, 3);
            this.m_CBaseKeyState.init(this);
            var d = ccui.helper.seekWidgetByName(this.m_root, "Text_183");
            d.setString("消耗" + game.g_differentPrices[game.g_version].other.boss_resurrect);
            game.worldBossMgr.getMe().setWait(true);
            var damage = game.sceneMgr.getMe().getCurScene().m_damage;
            game.proto_worldBoss_removeBossHp.getMe().send(damage);
        };
        ui_shijiebossfuhuo.prototype.a = function () {
            var _this = this;
            var needDiamond = game.g_differentPrices[game.g_version].other.boss_resurrect;
            if (game.dataMgr.getMe().getDiamond() >= needDiamond) {
                if (game.dataMgr.getMe().removeDiamond(needDiamond)) {
                    this.callback();
                    game.httpConsumptionList.getMe().onSendMsg("BOSS复活" + needDiamond + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并复活全部英雄", function () {
                    _this.buy_diamond.call(_this);
                }, null, this);
            }
        };
        ui_shijiebossfuhuo.prototype.callback = function () {
            var l_playdead = game.roleMgr.getMe().getPlayerdead();
            for (var i = 0; i < l_playdead.size; i++) {
                var play = l_playdead.getByIndex(i);
                if (play instanceof game.Avatar)
                    continue;
                play.fuhuo();
            }
            game.worldBossMgr.getMe().setWait(false);
            game.roleMgr.getMe().setControlPlayer();
            game.ui_zhandoujm.getMe().updateUI();
            ui_shijiebossfuhuo.ShowOrHide(false);
            game.uiMgr.getMe().show_ui_playOnce("goumaichenggong.json", "play");
        };
        ui_shijiebossfuhuo.prototype.buy_diamond = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_shijiebossfuhuo.prototype.resurgence_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.a();
                    break;
                default:
                    break;
            }
        };
        ui_shijiebossfuhuo.prototype.viewRank_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    console.log("viewrank");
                    // ui_shijiebossfuhuo.ShowOrHide(false);
                    game.ui_shijiebosspaihang.ShowOrHide(true);
                    break;
                default: break;
            }
        };
        ui_shijiebossfuhuo.prototype.exit_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    console.log("exit_func");
                    // sceneMgr.getMe().getCurScene().gameOver(false);
                    // 做结算的处理
                    game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login, "");
                    ui_shijiebossfuhuo.ShowOrHide(false);
                    game.ui_shijiboss.ShowOrHide(true);
                    break;
                default: break;
            }
        };
        ui_shijiebossfuhuo.prototype.loop = function (t) {
            _super.prototype.loop.call(this, t);
            this.m_timer += t;
            if (!game.worldBossMgr.getMe().isWait()) {
                var l_playdead = game.roleMgr.getMe().getPlayerdead();
                for (var i = 0; i < l_playdead.size; i++) {
                    var play = l_playdead.getByIndex(i);
                    if (play instanceof game.Avatar)
                        continue;
                    play.fuhuo();
                }
                game.ui_zhandoujm.getMe().updateUI();
                ui_shijiebossfuhuo.ShowOrHide(false);
                return;
            }
            if (this.m_timer >= 1) {
                this.m_timer = 0;
                var time = game.worldBossMgr.getMe().m_timer;
                this.txt_resurgenceTime.setString("复活倒计时:" + Math.floor(time) + "秒");
            }
        };
        ui_shijiebossfuhuo.g_instarn = null;
        ui_shijiebossfuhuo.getMe = function () {
            return ui_shijiebossfuhuo.g_instarn;
        };
        ui_shijiebossfuhuo.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_shijiebossfuhuo, game.uiMgr.getMe(), 2000);
        };
        return ui_shijiebossfuhuo;
    }(game.UiBase));
    game.ui_shijiebossfuhuo = ui_shijiebossfuhuo;
})(game || (game = {}));
//# sourceMappingURL=ui_shijiebossfuhuo.js.map