/**
 * Created by w on 2017/2/15.
 */
module game {
    export class ui_shijiebosspaihang extends UiBase {
        static g_instarn: any = null;
        m_CBaseKeyState = null;
        m_playUIListMap: any = null;
        rankList: Array<damageRankData>;
        myRank;
        static getMe = function () {
            return ui_shijiebosspaihang.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_shijiebosspaihang, uiMgr.getMe(), 2500);
        };

        constructor() {
            super();
            this.m_des = "ui_shijiebosspaihang类";
            this.getNode().setName("ui_shijiebosspaihang类");
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_playUIListMap = new MapGame();
        }

        oninit(data) {
            let root = this._parseUIFile("shijieboss_paihang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            proto_worldBoss_getDamageRank.getMe().send();
            //排名信息
            for(let id = 1; id <= 10; id++){
                let paiming:ccui.ImageView = ccui.helper.seekWidgetByName(root,"rank"+ id);

                if (paiming) {
                    //更新数据前需要隐藏
                    paiming.setVisible(false);
                    this.m_playUIListMap.put(id, paiming);
                }

                // let Txt_Player_Name:ccui.Text = ccui.helper.seekWidgetByName(paiming,"id");
                // if(Txt_Player_Name){
                //     Txt_Player_Name.setString("名字：玩家姓名");//设置游戏名
                // }
                // let Txt_Player_Hurt:ccui.Text = ccui.helper.seekWidgetByName(paiming,"shanghai");
                // if(Txt_Player_Hurt){
                //     Txt_Player_Hurt.setString("伤害值：00000");//设置伤害数值
                // }
            }
            //我的信息
            let my_Info:ccui.ImageView = ccui.helper.seekWidgetByName(root,"myrank");
            let Txt_My_Ranking:ccui.Text = ccui.helper.seekWidgetByName(my_Info,"mingci");
            if(Txt_My_Ranking){
                Txt_My_Ranking.setString("我的名次：99999");
            }
            let Txt_My_Hurt:ccui.Text = ccui.helper.seekWidgetByName(my_Info,"shanghai");
            if(Txt_My_Hurt){
                Txt_My_Hurt.setString("我的伤害：99999");
            }
            let Return_button = ccui.helper.seekWidgetByName(root,"fanhui");
            // Return_button.addTouchEventListener(this.Return_Func,this);

            this.m_CBaseKeyState.regNodeEx(Return_button, 1);
            this.m_CBaseKeyState.init(this);
        }

        initRank() {
            let allRanking: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            let allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            let length = this.rankList.length;
            for (let id = 1; id <= 10; id++) {
                let paiming: ccui.ImageView = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
                let Txt_Player_Name: ccui.Text = ccui.helper.seekWidgetByName(paiming, "id");
                let Txt_Player_Hurt: ccui.Text = ccui.helper.seekWidgetByName(paiming, "shanghai");
                if (id > length) {
                    paiming.setVisible(false);
                } else {
                    if (this.getRankerByRank(id) == null) {
                        console.log("没有排行榜数据");
                        continue;
                    }

                    let Account = this.getRankerByRank(id).play_id;
                    let buffname = Account;
                    if (Account.length > 8) {
                        buffname = Account.substr(0, 3);
                        buffname += "**";
                        buffname += Account.substr(Account.length - 3, 3);
                    }

                    paiming.setVisible(true);
                    Txt_Player_Name.setString(buffname);
                    Txt_Player_Hurt.setString("伤害：" + this.getRankerByRank(id).damage);
                }
            }

            //我的伤害与排名
            let my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            let txt_myHurt: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            let txt_myRanking: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (txt_myHurt) {
                if(this.myRank.damage == null){
                    this.myRank.damage = 0;
                }
                txt_myHurt.setString("我的伤害 ：" + this.myRank.damage);//这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ：" + this.myRank.sort);//这里设置排名信息
            }
        }

        getDamageRank_callback(data, mysort) {
            this.rankList = data;
            this.myRank = mysort;
            this.initRank();
        }

        // Return_Func(sender,type){
        //     switch (type){
        //         case ccui.Widget.TOUCH_ENDED:
        //             ui_shijiebosspaihang.ShowOrHide(false);
        //             // ui_shijiebossfuhuo.ShowOrHide(true);
        //             break;
        //         default :
        //             break;
        //     }
        // }

        DoEnterCurButton(){
            ui_shijiebosspaihang.ShowOrHide(false);
        }

        getRankerByRank(rank) {
            for (let i = 0; i < this.rankList.length; ++i) {
                if (this.rankList[i].sort == rank) {
                    return this.rankList[i];
                }
            }
            return null;
        }
    }
}