var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_suipianhuoqu = (function (_super) {
        __extends(ui_suipianhuoqu, _super);
        function ui_suipianhuoqu() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_des = "ui_suipianhuoqu类";
            this.getNode().setName("ui_suipianhuoqu类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_suipianhuoqu.prototype.oninit = function (data) {
            var root = this._parseUIFile("suipianhuoqu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var one = ccui.helper.seekWidgetByName(this.m_root, "danchou1");
            var ten = ccui.helper.seekWidgetByName(this.m_root, "shilianchou1");
            one.addTouchEventListener(this.one_pumping, this);
            ten.addTouchEventListener(this.ten_pumping, this);
            this.m_CBaseKeyState.regNodeEx(one, 1);
            this.m_CBaseKeyState.regNodeEx(ten, 2);
            this.m_CBaseKeyState.init(this);
            var one_price = ccui.helper.seekWidgetByName(one, "Text_2");
            var ten_price = ccui.helper.seekWidgetByName(ten, "Text_2");
            one_price.setString(game.g_differentPrices[game.g_version].other.pumpCard_one);
            ten_price.setString(game.g_differentPrices[game.g_version].other.pumpCard_ten);
        };
        ui_suipianhuoqu.prototype.one_pumping = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.one();
                    break;
                default:
                    break;
            }
        };
        ui_suipianhuoqu.prototype.buy_diamond_and_one_pumping = function () {
            var callback_func = game.MyCallback.create(this.one, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_suipianhuoqu.prototype.buy_diamond_and_ten_pumping = function () {
            var callback_func = game.MyCallback.create(this.ten, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_suipianhuoqu.prototype.ten_pumping = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.ten();
                    break;
                default:
                    break;
            }
        };
        ui_suipianhuoqu.prototype.one = function () {
            var _this = this;
            console.log("one");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_one;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_one();
                    game.dataMgr.getMe().addItemByType(cardName, 1);
                    var card = new game.Card();
                    card.type = game.e_choukaType.one;
                    card.cards = [cardName];
                    game.ui_getPieces.ShowOrHide(true, card);
                    game.httpConsumptionList.getMe().onSendMsg("单抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_one_pumping();
                }, null, this);
            }
        };
        ui_suipianhuoqu.prototype.ten = function () {
            var _this = this;
            console.log("ten");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_ten;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_ten();
                    for (var i = 0; i < 10; ++i) {
                        game.dataMgr.getMe().addItemByType(cardName[i], 1);
                    }
                    var card = new game.Card();
                    card.type = game.e_choukaType.ten;
                    card.cards = cardName;
                    game.ui_getPieces.ShowOrHide(true, card);
                    game.httpConsumptionList.getMe().onSendMsg("十抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_ten_pumping();
                }, null, this);
            }
        };
        ui_suipianhuoqu.prototype.getRandomCard_one = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                allgailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_suipianhuoqu.prototype.getRandomCard_ten = function () {
            var arr = new Array();
            for (var i = 0; i < 10; ++i) {
                arr[i] = this.getRandomCards();
            }
            return arr;
        };
        ui_suipianhuoqu.prototype.getRandomCards = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                allgailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_suipianhuoqu.prototype.onBack = function () {
            this.endLayout(function () {
                ui_suipianhuoqu.ShowOrHide(false);
                game.ui_pintu.getMe().updateUI();
            });
        };
        ui_suipianhuoqu.g_instarn = null;
        ui_suipianhuoqu.getMe = function () {
            return ui_suipianhuoqu.g_instarn;
        };
        ui_suipianhuoqu.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_suipianhuoqu, game.uiMgr.getMe(), 1000);
        };
        return ui_suipianhuoqu;
    }(game.UiBase));
    game.ui_suipianhuoqu = ui_suipianhuoqu;
})(game || (game = {}));
//# sourceMappingURL=ui_suipianhuoqu.js.map