/**
 * Created by w on 2017/2/14.
 */
module game {
    export class ui_tujian extends UiBase {
        static g_instarn: ui_tujian = null;
        m_CBaseKeyState = null;

        static getMe = function () {
            return ui_tujian.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_tujian, uiMgr.getMe(), 400);
        };
        m_heroList:Array<ccui.CheckBox> = null;
        m_CurCheckBox = null;
        m_CurSpine = null;
        m_ui_show_spine:ui_show_spine = null;
        m_show_panel = null;
        constructor() {
            super();
            this.m_des = "ui_tujian类";
            this.getNode().setName("ui_tujian类");
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_heroList = new Array<ccui.CheckBox>()
        }

        oninit(data) {
            let root = this._parseUIFile("tujian.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.m_show_panel = ccui.helper.seekWidgetByName(this.m_root,"Image_23");
            //按图片中英雄顺序排列
            let heroNamelist = ["wulingwang","zhuzhuxia","xiaodaidai","feifei","chaorenqiang","bobi"];
            let heroDoc = dataMgr.getMe().getPlayDoc().heroes;
            for(let j = 1; j <= 6 ; j++){
                let heroName = heroNamelist[j-1];
                let heroLevel = heroDoc[heroName].level;
                let heroHead = dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel)
                let heroData = {name:heroName,level:heroLevel}
                let heroCheckBox = ccui.helper.seekWidgetByName(this.m_root,"hero"+j)
                heroCheckBox.setUserData(heroData)
                let touxiang:ccui.ImageView = ccui.helper.seekWidgetByName(heroCheckBox,"touxiang")
                touxiang.loadTexture(heroHead)
                this.m_CBaseKeyState.regNodeEx(heroCheckBox,j)
                this.m_heroList.push(heroCheckBox)
            }
            this.m_CBaseKeyState.init(this);

        }
        updateUI(){

            let curHeroData = this.m_CurCheckBox.getUserData()

            let mingcheng:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"mingcheng")
            let gongji:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"gongji")
            let fangyu:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"fangyu")
            let xueliang:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"xueliang")
            let gongsu:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"gongsu")
            let yisu:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"yisu")
            let juezhao:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"juezhao")
            let jieshao:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"jieshao")

            let heroConfig = dataMgr.getMe().getHeroConfig(curHeroData.name + curHeroData.level)

            gongji.setString(":"+(Math.round(heroConfig.attackPoint * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_att)+1))));

            fangyu.setString(":"+(Math.round(heroConfig.defencePoint * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_defense)+1))));

            xueliang.setString(":"+(Math.round(heroConfig.hp * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_hp)+1))));

            gongsu.setString(":"+(Math.round(heroConfig.criticalRate * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_baoji)+1))));

            yisu.setString(":"+(Math.round(heroConfig.runSpeed * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_runSpeed)+1))));

            juezhao.setString(":"+heroConfig.juezhao);

            jieshao.setString(heroConfig.des);

            mingcheng.setString(heroConfig.desName);

            this.updateSpine()
        }
        updateSpine(){
            let curHeroData = this.m_CurCheckBox.getUserData()

            if (this.m_ui_show_spine) {
                this.m_ui_show_spine.shutdown();
                this.m_show_panel.removeChild(this.m_ui_show_spine.getNode());
                this.m_ui_show_spine = null;
            }

            let animationList = new ArrayEx<any>();
            let animaData = g_show_animation[curHeroData.name + curHeroData.level]
            if(animaData){
                for(let j = 0; j < animaData.length; j++){
                    animationList.put(animaData[j])
                }
            }
            //动作配置表在g_show_animation
            this.m_ui_show_spine = ui_show_spine.create(curHeroData.name + curHeroData.level,null);
            this.m_show_panel.addChild(this.m_ui_show_spine.getNode());
        }
        onBack() {
            ui_tujian.ShowOrHide(false);
            ui_zhujiemian.ShowOrHide(true);
        }
        loop(dt){
            if(rootScene.getMe()._zanting) return;
            if(this.m_CBaseKeyState){
                this.m_CBaseKeyState.loop(dt)
                if(this.m_CBaseKeyState.m_key.node != this.m_CurCheckBox){
                    this.m_CurCheckBox = this.m_CBaseKeyState.m_key.node
                    this.updateUI()
                }
            }
            if (this.m_ui_show_spine) {
                this.m_ui_show_spine.loop(dt);
            }
        }
    }
}