var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_wulingwang = (function (_super) {
        __extends(ui_wulingwang, _super);
        function ui_wulingwang() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_herolist = null;
            this.m_selectHero = "wulingwang";
            this.m_des = "ui_wulingwang类";
            this.getNode().setName("ui_wulingwang类");
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_herolist = new Array();
        }
        ui_wulingwang.prototype.onBack = function () {
            this.endLayout(function () {
                ui_wulingwang.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_wulingwang.prototype.shutdown = function () {
            game.ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_wulingwang.prototype.oninit = function (data) {
            var root = this._parseUIFile("wulingwang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.ui_huobi.ShowOrHide(true);
            var heroNamelist = ["zhuzhuxia", "xiaodaidai", "feifei", "chaorenqiang", "bobi"];
            for (var j = 2; j <= 6; j++) {
                var heroImg = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                var img_head = ccui.helper.seekWidgetByName(heroImg, "touxiang");
                var checkBox = ccui.helper.seekWidgetByName(heroImg, "" + (j - 1));
                var heroName = heroNamelist[j - 2];
                heroImg.setUserData(heroName);
                this.m_herolist.push(heroImg);
                checkBox.addTouchEventListener(this.selectFunc, this);
            }
            this.m_curCheckId = "1";
            this.updateUI();
        };
        ui_wulingwang.prototype.updateUI = function () {
            var count = 0;
            for (var j = 0; j < this.m_herolist.length; j++) {
                var heroHead = ccui.helper.seekWidgetByName(this.m_herolist[j], "touxiang");
                var yiwancheng = ccui.helper.seekWidgetByName(this.m_herolist[j], "yiwancheng");
                var jinhua = ccui.helper.seekWidgetByName(this.m_herolist[j], "jinhua");
                var jiesuo = ccui.helper.seekWidgetByName(this.m_herolist[j], "jiesuo");
                var hero_price = ccui.helper.seekWidgetByName(this.m_herolist[j], "Text_3");
                var weijiesuo = ccui.helper.seekWidgetByName(this.m_herolist[j], "weijiesuo");
                var chushixingtai = ccui.helper.seekWidgetByName(this.m_herolist[j], "chushixingtai");
                var gaojixingtai = ccui.helper.seekWidgetByName(this.m_herolist[j], "gaojixingtai");
                var zhongjixingtai = ccui.helper.seekWidgetByName(this.m_herolist[j], "zhongjixingtai");
                var Checkbox = ccui.helper.seekWidgetByName(this.m_herolist[j], "" + (j + 1));
                var heroName = this.m_herolist[j].getUserData();
                var heroLevel = game.dataMgr.getMe().getHeroLevel(heroName);
                var isLocked = game.dataMgr.getMe().getHeroIsLocked(heroName);
                var heroHeadImg = game.dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel);
                heroHead.loadTexture(heroHeadImg);
                this.m_CBaseKeyState.regNodeEx(Checkbox, j);
                var heroData = { name: heroName, level: heroLevel, locked: isLocked };
                Checkbox.setUserData(heroData);
                if (isLocked) {
                    //false未解锁
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].unlock[heroName + heroLevel]);
                    weijiesuo.setVisible(true);
                    jinhua.setVisible(false);
                    jiesuo.setVisible(true);
                    yiwancheng.setVisible(false);
                    chushixingtai.setVisible(false);
                    gaojixingtai.setVisible(false);
                    zhongjixingtai.setVisible(false);
                }
                else {
                    hero_price.setString("消耗：" + game.g_differentPrices[game.g_version].heros[heroName + heroLevel]);
                    switch (heroLevel) {
                        case 1:
                            weijiesuo.setVisible(false);
                            jinhua.setVisible(true);
                            jiesuo.setVisible(false);
                            yiwancheng.setVisible(false);
                            chushixingtai.setVisible(true);
                            gaojixingtai.setVisible(false);
                            zhongjixingtai.setVisible(false);
                            break;
                        case 2:
                            weijiesuo.setVisible(false);
                            jinhua.setVisible(true);
                            jiesuo.setVisible(false);
                            yiwancheng.setVisible(false);
                            chushixingtai.setVisible(false);
                            gaojixingtai.setVisible(true);
                            zhongjixingtai.setVisible(false);
                            break;
                        case 3:
                            // js_GameLogicMgr.getMe().grayScale(Checkbox.getVirtualRenderer(), 1);//灰度设置
                            weijiesuo.setVisible(false);
                            jinhua.setVisible(false);
                            jiesuo.setVisible(false);
                            yiwancheng.setVisible(true);
                            chushixingtai.setVisible(false);
                            gaojixingtai.setVisible(false);
                            zhongjixingtai.setVisible(true);
                            hero_price.setVisible(false);
                            // Checkbox.setVisible(false)
                            Checkbox.setColor({ r: 128, g: 121, b: 121 });
                            count++;
                            break;
                        default:
                            break;
                    }
                }
            }
            this.m_CBaseKeyState.init(this);
            if (count == 5) {
                game.dataMgr.getMe().getPlayDoc().ui_wulingwang_status = 2;
                game.ui_messageBox2.ShowOrHide(true, "拥有所有五灵卫最高形态，前往解锁五灵王", function () {
                    game.ui_wulingwangjinhua.ShowOrHide(true);
                    ui_wulingwang.ShowOrHide(false);
                }, this);
            }
            else {
                this.m_CBaseKeyState.setCurKey_byName(this.m_curCheckId);
            }
        };
        ui_wulingwang.prototype.selectFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_curCheckId = sender.getName();
                    console.log(this.m_curCheckId);
                    var data = sender.getUserData();
                    this.m_selectHero = data.name;
                    if (data.locked) {
                        this.unlockCallback(data.name);
                    }
                    else {
                        this.levelUpCallback(data.name);
                    }
                    break;
                default:
                    break;
            }
        };
        ui_wulingwang.prototype.unlockCallback = function (name) {
            var _this = this;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "解锁" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_unlock();
                    }, null, this);
                }
            }
            else {
                game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        };
        ui_wulingwang.prototype.a = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石升级" + heronameZh);
                }
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并升级", function () {
                    _this.buy_diamond_and_levelUp();
                }, null, this);
            }
        };
        ui_wulingwang.prototype.b = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石解锁" + heronameZh);
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并解锁", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_wulingwang.prototype.buy_diamond_and_unlock = function () {
            var callback_func = game.MyCallback.create(this.b, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_wulingwang.prototype.buy_diamond_and_levelUp = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_wulingwang.prototype.unlockSuccess = function () {
            // ui_messageBox2.ShowOrHide(true, "解锁成功", null, null);
            game.uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
        };
        ui_wulingwang.prototype.levelUpCallback = function (name) {
            var _this = this;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "升级" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            }
            else {
                game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        };
        ui_wulingwang.prototype.levelUpSuccess = function () {
            // ui_messageBox2.ShowOrHide(true, "升级成功", null, null);
            game.uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
        };
        ui_wulingwang.g_instarn = null;
        ui_wulingwang.getMe = function () {
            return ui_wulingwang.g_instarn;
        };
        ui_wulingwang.ShowOrHide = function (flag) {
            if (flag) {
                var status_1 = game.dataMgr.getMe().getPlayDoc().ui_wulingwang_status;
                if (status_1 == 2) {
                    game.ui_wulingwangjinhua.ShowOrHide(true);
                    ui_wulingwang.ShowOrHide(false);
                    return;
                }
            }
            game.UiBase.ShowOrHide(flag, ui_wulingwang, game.uiMgr.getMe(), 400);
        };
        return ui_wulingwang;
    }(game.UiBase));
    game.ui_wulingwang = ui_wulingwang;
})(game || (game = {}));
//# sourceMappingURL=ui_wulingwang.js.map