module game {
    export class ui_wulingwang extends UiBase {
        static g_instarn: ui_wulingwang = null;
        m_CBaseKeyState = null;
        m_curCheckId;
        m_herolist: Array<ccui.ImageView> = null;
        m_selectHero:string = "wulingwang";
        static getMe = function () {
            return ui_wulingwang.g_instarn;
        };
        static ShowOrHide = function (flag) {
            if(flag){
                let status = dataMgr.getMe().getPlayDoc().ui_wulingwang_status;
                if(status == 2){
                    ui_wulingwangjinhua.ShowOrHide(true);
                    ui_wulingwang.ShowOrHide(false);
                    return;
                }
            }
            UiBase.ShowOrHide(flag, ui_wulingwang, uiMgr.getMe(), 400);
        };

        constructor() {
            super();
            this.m_des = "ui_wulingwang类";
            this.getNode().setName("ui_wulingwang类");
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_herolist = new Array<ccui.ImageView>()
        }

        onBack() {
            this.endLayout(function () {
                ui_wulingwang.ShowOrHide(false);
                ui_zhujiemian.ShowOrHide(true);
            })
        }

        shutdown() {
            ui_huobi.ShowOrHide(false);
            super.shutdown();
        }

        oninit(data) {
            let root = this._parseUIFile("wulingwang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            ui_huobi.ShowOrHide(true);

            let heroNamelist = ["zhuzhuxia", "xiaodaidai", "feifei", "chaorenqiang", "bobi"];
            for (let j = 2; j <= 6; j++) {
                let heroImg: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                let img_head: ccui.ImageView = ccui.helper.seekWidgetByName(heroImg, "touxiang");
                let checkBox: ccui.CheckBox = ccui.helper.seekWidgetByName(heroImg, "" + (j-1));
                let heroName = heroNamelist[j - 2];
                heroImg.setUserData(heroName);
                this.m_herolist.push(heroImg);
                checkBox.addTouchEventListener(this.selectFunc, this)
            }
            this.m_curCheckId = "1";
            this.updateUI();
        }

        updateUI() {
            let count = 0;
            for (let j = 0; j < this.m_herolist.length; j++) {
                let heroHead: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "touxiang")
                let yiwancheng: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "yiwancheng")
                let jinhua: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "jinhua")
                let jiesuo: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "jiesuo")
                let hero_price = ccui.helper.seekWidgetByName(this.m_herolist[j], "Text_3")
                let weijiesuo: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "weijiesuo")
                let chushixingtai: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "chushixingtai")
                let gaojixingtai: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "gaojixingtai")
                let zhongjixingtai: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_herolist[j], "zhongjixingtai")

                let Checkbox = ccui.helper.seekWidgetByName(this.m_herolist[j], ""+(j+1))
                let heroName = this.m_herolist[j].getUserData()
                let heroLevel = dataMgr.getMe().getHeroLevel(heroName)
                let isLocked = dataMgr.getMe().getHeroIsLocked(heroName)
                let heroHeadImg = dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel)
                heroHead.loadTexture(heroHeadImg)
                this.m_CBaseKeyState.regNodeEx(Checkbox, j);
                let heroData = {name: heroName, level: heroLevel, locked: isLocked}
                Checkbox.setUserData(heroData)

                if (isLocked) {
                    //false未解锁
                    hero_price.setString("消耗：" + g_differentPrices[g_version].unlock[heroName + heroLevel]);
                    weijiesuo.setVisible(true)
                    jinhua.setVisible(false)
                    jiesuo.setVisible(true)
                    yiwancheng.setVisible(false)
                    chushixingtai.setVisible(false)
                    gaojixingtai.setVisible(false)
                    zhongjixingtai.setVisible(false)
                } else {
                    hero_price.setString("消耗：" + g_differentPrices[g_version].heros[heroName + heroLevel]);
                    switch (heroLevel) {
                        case 1:
                            weijiesuo.setVisible(false)
                            jinhua.setVisible(true)
                            jiesuo.setVisible(false)
                            yiwancheng.setVisible(false)
                            chushixingtai.setVisible(true)
                            gaojixingtai.setVisible(false)
                            zhongjixingtai.setVisible(false)
                            break
                        case 2:
                            weijiesuo.setVisible(false)
                            jinhua.setVisible(true)
                            jiesuo.setVisible(false)
                            yiwancheng.setVisible(false)
                            chushixingtai.setVisible(false)
                            gaojixingtai.setVisible(true)
                            zhongjixingtai.setVisible(false)
                            break
                        case 3:
                            // js_GameLogicMgr.getMe().grayScale(Checkbox.getVirtualRenderer(), 1);//灰度设置
                            weijiesuo.setVisible(false)
                            jinhua.setVisible(false)
                            jiesuo.setVisible(false)
                            yiwancheng.setVisible(true)
                            chushixingtai.setVisible(false)
                            gaojixingtai.setVisible(false)
                            zhongjixingtai.setVisible(true)
                            hero_price.setVisible(false)
                            // Checkbox.setVisible(false)
                            Checkbox.setColor({r: 128, g: 121, b: 121});
                            count ++;
                            break;
                        default:
                            break;
                    }
                }
            }
            this.m_CBaseKeyState.init(this);
            if(count == 5){
                dataMgr.getMe().getPlayDoc().ui_wulingwang_status = 2;
                ui_messageBox2.ShowOrHide(true,"拥有所有五灵卫最高形态，前往解锁五灵王",() => {
                    ui_wulingwangjinhua.ShowOrHide(true);
                    ui_wulingwang.ShowOrHide(false);
                },this);
            }else{
                this.m_CBaseKeyState.setCurKey_byName(this.m_curCheckId);
            }
        }

        selectFunc(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_curCheckId = sender.getName();
                    console.log(this.m_curCheckId);
                    let data = sender.getUserData();
                    this.m_selectHero = data.name;
                    if (data.locked) {
                        this.unlockCallback(data.name);
                    } else {
                        this.levelUpCallback(data.name);
                    }
                    break
                default:
                    break
            }
        }

        unlockCallback(name: string) {
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel)
                let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "解锁"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_unlock();
                    }, null, this);
                }
            } else {
                ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        }

        a(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石升级"+heronameZh);
                }
            }else{// 钻石不足
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并升级", ()=>{
                    this.buy_diamond_and_levelUp();
                },null,this);
            }
        }

        b(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石解锁"+heronameZh);
                }
            }else{// 钻石不足
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并解锁", ()=>{
                    this.buy_diamond_and_unlock();
                },null,this);
            }
        }

        buy_diamond_and_unlock () {
            let callback_func = MyCallback.create(this.b, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_levelUp () {
            let callback_func = MyCallback.create(this.a, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        unlockSuccess() {
            // ui_messageBox2.ShowOrHide(true, "解锁成功", null, null);
            uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.updateUI();
        }

        levelUpCallback(name: string) {
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "升级"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            } else {
                ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null)
            }
        }

        levelUpSuccess() {
            // ui_messageBox2.ShowOrHide(true, "升级成功", null, null);
            uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.updateUI();
        }
    }
}