var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_wulingwangjinhua = (function (_super) {
        __extends(ui_wulingwangjinhua, _super);
        function ui_wulingwangjinhua() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_jinhua = null;
            this.m_queren = null;
            this.m_des = "ui_wulingwangjinhua类";
            this.getNode().setName("ui_wulingwangjinhua类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_wulingwangjinhua.prototype.shutdown = function () {
            game.ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_wulingwangjinhua.prototype.oninit = function (data) {
            var root = this._parseUIFile("wulingwangjinhua.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.ui_huobi.ShowOrHide(true);
            this.m_jiantou = ccui.helper.seekWidgetByName(root, "jiantou");
            this.m_xingtai1 = ccui.helper.seekWidgetByName(root, "wulingwang_1");
            this.m_xingtai2 = ccui.helper.seekWidgetByName(root, "wulingwang_2");
            this.m_xingtai3 = ccui.helper.seekWidgetByName(root, "wulingwang_manji");
            this.m_jinhua = ccui.helper.seekWidgetByName(root, "CheckBox_1");
            this.m_jinhua.addTouchEventListener(this.jinhua_Func, this);
            this.m_queren = ccui.helper.seekWidgetByName(root, "CheckBox_2");
            this.m_queren.addTouchEventListener(this.queren_func, this);
            this.m_CBaseKeyState.regNodeEx(this.m_jinhua, 1);
            this.m_CBaseKeyState.regNodeEx(this.m_queren, 2);
            this.m_CBaseKeyState.init(this);
            this.updateUI();
        };
        ui_wulingwangjinhua.prototype.updateUI = function () {
            var image = ccui.helper.seekWidgetByName(this.m_jinhua, "jinhua");
            if (game.dataMgr.getMe().getHeroIsLocked("wulingwang")) {
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui47.png");
            }
            else {
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui51.png");
            }
            if (game.dataMgr.getMe().isHeroMaxLevel("wulingwang")) {
                this.m_jinhua.setVisible(false);
                this.m_queren.setVisible(true);
            }
            else {
                this.m_jinhua.setVisible(true);
                this.m_queren.setVisible(false);
            }
            this.updateImage();
        };
        /*  createSpine(name, father){
         let jinhua = ui_spineDemo_config.ui_wulingwangjinhua;
         let spine1 = spineMgr.getMe().loadSpine(name, father, 500000);
         spine1.setPosition(cc.p(father.getContentSize().width *
         jinhua.x, father.getContentSize().height * jinhua.y));
         spine1.setAnimation(0, "yidong", true);
         spine1.setScale(father.getScale() * jinhua.scale);
         return spine1;
         }*/
        ui_wulingwangjinhua.prototype.updateImage = function () {
            var curlevel = game.dataMgr.getMe().getHeroLevel("wulingwang");
            var heroConfig = game.dataMgr.getMe().getHeroConfig("wulingwang" + curlevel);
            if (curlevel == 3) {
                this.m_xingtai1.setVisible(false);
                this.m_xingtai2.setVisible(false);
                this.m_xingtai3.setVisible(true);
                this.m_jiantou.setVisible(false);
                this.m_xingtai3.loadTexture(heroConfig.hero_big_image);
                return;
            }
            this.m_xingtai1.setVisible(true);
            this.m_xingtai2.setVisible(true);
            this.m_xingtai3.setVisible(false);
            this.m_jiantou.setVisible(true);
            var heroConfig2 = game.dataMgr.getMe().getHeroConfig("wulingwang" + (curlevel + 1));
            this.m_xingtai1.loadTexture(heroConfig.hero_big_image);
            this.m_xingtai2.loadTexture(heroConfig2.hero_big_image);
        };
        ui_wulingwangjinhua.prototype.queren_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
            }
        };
        ui_wulingwangjinhua.prototype.jinhua_Func = function (sender, type) {
            var _this = this;
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var name_1 = "wulingwang";
                    // if(dataMgr.getMe().isHeroMaxLevel(name)){
                    //     ui_messageBox2.ShowOrHide(true,"已经是最高形态了!");
                    //     return;
                    // }
                    if (game.dataMgr.getMe().getHeroIsLocked(name_1)) {
                        this.unlockCallback(name_1);
                        return;
                    }
                    var curlevel = game.dataMgr.getMe().getHeroLevel(name_1);
                    if (curlevel < 3) {
                        var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name_1 + curlevel);
                        var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name_1 + curlevel);
                        if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                            // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                            //     this.a();
                            // }, null, this)
                            this.a();
                        }
                        else {
                            game.ui_unlockHero.ShowOrHide(true, "升级" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                                _this.buy_diamond_and_levelUp();
                            }, null, this);
                        }
                    }
                    else {
                        game.ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
                    }
                    // var curlevel = dataMgr.getMe().getHeroLevel("wulingwang");
                    // var nextlevel = curlevel + 1;
                    // let unlockDiamond = dataMgr.getMe().getUnlockCost("wulingwang" + nextlevel);
                    // let heronameZh = dataMgr.getMe().getHeroName_ZH("wulingwang"+ nextlevel);
                    // if(unlockDiamond >= 0){
                    //     if(dataMgr.getMe().getDiamond() >= unlockDiamond){
                    //         this.levelUpCallback();
                    //     }else{
                    //         ui_messageBox.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石升级英雄"+heronameZh, ()=>{
                    //             this.buy_diamond_and_levelup.call(this)
                    //         },null,this)
                    //     }
                    // }else{
                    //     console.log("获取升级花费失败")
                    // }
                    break;
                default:
                    break;
            }
        };
        ui_wulingwangjinhua.prototype.levelUpSuccess = function () {
            game.uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
        };
        ui_wulingwangjinhua.prototype.onBack = function () {
            this.endLayout(function () {
                ui_wulingwangjinhua.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_wulingwangjinhua.prototype.unlockCallback = function (name) {
            var _this = this;
            var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + 1);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + 1);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                //     this.b();
                // }, null, this);
                this.b();
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "解锁" + heronameZh + "需要" + levelDiamond + "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_wulingwangjinhua.prototype.unlockSuccess = function () {
            // ui_messageBox2.ShowOrHide(true, "解锁成功", null, null);
            game.uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            game.fileMgr.getMe().savePlayInfo();
            this.updateUI();
        };
        ui_wulingwangjinhua.prototype.a = function () {
            var _this = this;
            var name = "wulingwang";
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石升级" + heronameZh);
                }
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并升级", function () {
                    _this.buy_diamond_and_levelUp();
                }, null, this);
            }
        };
        ui_wulingwangjinhua.prototype.b = function () {
            var _this = this;
            var name = "wulingwang";
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    var heronameZh = game.dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    game.httpConsumptionList.getMe().onSendMsg(levelDiamond + "钻石解锁" + heronameZh);
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并解锁", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_wulingwangjinhua.prototype.buy_diamond_and_unlock = function () {
            var callback_func = game.MyCallback.create(this.b, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_wulingwangjinhua.prototype.buy_diamond_and_levelUp = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_wulingwangjinhua.g_instarn = null;
        ui_wulingwangjinhua.getMe = function () {
            return ui_wulingwangjinhua.g_instarn;
        };
        ui_wulingwangjinhua.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_wulingwangjinhua, null, 1000);
        };
        return ui_wulingwangjinhua;
    }(game.UiBase));
    game.ui_wulingwangjinhua = ui_wulingwangjinhua;
})(game || (game = {}));
//# sourceMappingURL=ui_wulingwangjinhua.js.map