module game {
    export class ui_PlayAinamationOnce extends UiBase {
        m_funcCallback: any = null

        static create = function ( layoutname , animation , callFunc ) {
            if (layoutname == "") {
                return;
            }
            var l_instarn = new ui_PlayAinamationOnce();
            l_instarn.oninit( layoutname , animation , callFunc );
            uiMgr.getMe().addChild(l_instarn.getNode(), 50000000);
            return l_instarn;
        };

        constructor() {
            super();
            this.m_key_not_close = false;
            this.m_des = "ui_PlayAinamationOnce类";
            this.getNode().setName("ui_PlayAinamationOnce类");
        }

        initColor() {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        }

        oninit(layoutname, animation, funcCallback) {
            this.m_funcCallback = null;
            if (funcCallback) {
                this.m_funcCallback = funcCallback;
            }
            var root = this._parseUIFile(layoutname, 0);
            this.addChild(root);
            if (this.isPlay()) {
                this.playCallback();
            }
            else {
                this.playAnimation(animation, false, this.playCallback, this);
            }
            this.shipeiCenter(root);
        }

        playCallback() {
            if (this.m_funcCallback) {
                this.m_funcCallback.execute();
            }
            this.m_funcCallback = null;
            this.getParent().removeChild(this.getNode());
        }
    }

}
//# sourceMappingURL=ui_PlayAinamationOnce.js.map