// 普通战斗场景 胜利失败界面
module game {
    export class ui_shibai_shengli extends UiBase {
        m_win: boolean = true
        m_scenename: any = null
        m_CBaseKeyState = null;
        static g_instarn: ui_shibai_shengli = null
        static getMe = function (): ui_shibai_shengli {
            return ui_shibai_shengli.g_instarn;
        };
        static ShowOrHide = function (flag, win?) {
            UiBase.ShowOrHide(flag, ui_shibai_shengli, uiMgr.getMe(), 2000, win);
        };

        constructor() {
            super();
            this.m_des = "ui_shibai_shengli类";
            this.getNode().setName("ui_shibai_shengli类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        shutdown() {
            rootScene.getMe().zanting(false);
            super.shutdown();
        }

        oninit(win) {
            rootScene.getMe().zanting(true);
            this.m_win = win;
            if (this.m_win) {
                let root = this._parseUIFile("shengli2.json", 0);
                this.EnterUI();
                this.shipeiCenter(root);
                this.addChild(root);
                //退出
                let fanhui_che = ccui.helper.seekWidgetByName(root, "fanhui");//CheckBox
                fanhui_che.addTouchEventListener(this.fanhui_func, this);
                //下一关
                let xiayiguan_che = ccui.helper.seekWidgetByName(root, "xiayiguan");//CheckBox
                xiayiguan_che.addTouchEventListener(this.xiayiguan_func, this);
                //重玩本关卡
                var chongwan_che = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan_che.addTouchEventListener(this.chongwan_func, this);

                this.m_CBaseKeyState.regNodeEx(fanhui_che, 1);
                this.m_CBaseKeyState.regNodeEx(xiayiguan_che, 2);
                this.m_CBaseKeyState.regNodeEx(chongwan_che, 3);
                this.m_CBaseKeyState.init(this);

                this.updateGuankaShu();
                this.initShengliUI();
                fileMgr.getMe().savePlayInfo();
                this.m_CBaseKeyState.setCurKey_byName("xiayiguan");
            } else {
                let root = this._parseUIFile("shibai2.json", 0);
                this.EnterUI();
                this.shipeiCenter(root);
                this.addChild(root);

                //退出
                let fanhui_che = ccui.helper.seekWidgetByName(root, "fanhui");//CheckBox
                fanhui_che.addTouchEventListener(this.fanhui_func, this);
                //下一关
                let shengji_che = ccui.helper.seekWidgetByName(root, "shengji");//CheckBox
                shengji_che.addTouchEventListener(this.shengji_func, this);
                //重玩本关卡
                var chongwan_che = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan_che.addTouchEventListener(this.chongwan_func, this);
                //

                this.initShibaiUI();

                this.m_CBaseKeyState.regNodeEx(fanhui_che, 1);
                this.m_CBaseKeyState.regNodeEx(shengji_che, 2);
                this.m_CBaseKeyState.regNodeEx(chongwan_che, 3);
                this.m_CBaseKeyState.init(this);

                if(!dataMgr.getMe().getPlayYindaoByType("fail")){
                    ui_yindao_fail.ShowOrHide(true);
                    fileMgr.getMe().savePlayInfo();
                }
            }
            // let scene: fightscene = <fightscene>sceneMgr.getMe().getCurScene();
        }

        initShengliUI() {
            let icon_jiangli = ccui.helper.seekWidgetByName(this.m_root, "jiangli1");
            let num_jiangli = ccui.helper.seekWidgetByName(icon_jiangli, "shuliang1");
            let sceneName = sceneMgr.getMe().getCurSceneName();
            let sceneinfo: scene_config_data_s = fileMgr.getMe().getSceneInfo(sceneName);
            let winjiangli;
            if(dataMgr.getMe().isWinBySceneName(sceneName)){
                winjiangli = sceneinfo.winjiangli;
            }else{
                winjiangli = sceneinfo.winjiangli_f;
                dataMgr.getMe().setWinBySceneName(sceneName,1);
            }
            let data: award_child_s;
            let l_item_Info: item_Info;
            if (winjiangli) {
                data = winjiangli[0];
                l_item_Info = game.itemMgr.getMe().getItemByName(data.name);
                num_jiangli.setString(data.num);
                dataMgr.getMe().addItemByType(data.name, data.num);
                icon_jiangli.loadTexture(l_item_Info.icon);
            }
        }

        initShibaiUI() {

        }

        updateGuankaShu() {
            var scenename = sceneMgr.getMe().getCurSceneName();
            var chapterid = parseInt(scenename.substring(5, 6));
            var guankaid = parseInt(scenename.substring(7, 8));
            cc.log("shibai_shengli chaptername " + chapterid);
            cc.log("shibai_shengli guankaname " + guankaid);
            guankaid++;
            if (guankaid > 5) {
                guankaid = 1;
                chapterid++;
                if (chapterid > 6) {
                    chapterid = 6;
                    guankaid = 5;
                }
            }

            var docInfo = dataMgr.getMe().getPlayDoc().coreData;
            if (chapterid > docInfo["curchaperId"]) {
                docInfo["curchaperId"] = chapterid;
                docInfo["curguankaId"] = guankaid;
            } else if (chapterid == docInfo["curchaperId"]) {
                if (guankaid > docInfo["curguankaId"]) {
                    docInfo["curguankaId"] = guankaid;
                }
            }
            // g_sceneName = "scene"+docInfo["curchaperId"] +"_"+docInfo["curguankaId"];
        }

        onBack() {
            this.endLayout(function () {
                sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
                ui_login.ShowOrHide(false);
                ui_zhujiemian.ShowOrHide(false);
                ui_guanqiaaxuanze.ShowOrHide(true);
                ui_shibai_shengli.ShowOrHide(false, false);
            });
        }

        shengji_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shibai_shengli.ShowOrHide(false, false);
                    sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
                    ui_login.ShowOrHide(false);
                    ui_jinhua.ShowOrHide(true);
                    break;
                default:
                    break;
            }
        }

        chongwan_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    // sceneMgr.getMe().reset();
                    var scenename = sceneMgr.getMe().getCurSceneName();
                    sceneMgr.getMe().selectScene(e_SceneType.SceneType_fight, scenename);
                }
                    break;
            }
        }

        fanhui_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        xiayiguan_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var sceneinfo = fileMgr.getMe().getSceneInfo(sceneMgr.getMe().getCurSceneName());
                    var next_fubenName = sceneinfo["next_fuben"];
                    if (next_fubenName != "") {
                        sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
                        let guankadata = {};
                        guankadata["sceneType"] = e_SceneType.SceneType_fight;
                        guankadata["sceneName"] = next_fubenName;
                        ui_juesexuanze.ShowOrHide(true, guankadata);
                    }
                    else {
                        uiMgr.getMe().show_ui_MessageBox(true, "场景配置表填错，下一关名字为空！");
                    }
                    break;
            }
        }
    }

}
