/**
 * Created by xieli on 2017/1/18.
 */
var game;
(function (game) {
    var xjNode = (function () {
        function xjNode(type) {
            if (type === void 0) { type = "Node"; }
            this.m_cc_Node = null;
            this.__instanceId = null;
            this.m_NodePtr = null; //node 内存地址
            this.m_Scheduler = null;
            if (type == null) {
                type = "Node";
            }
            if (type == "Node") {
                this.m_cc_Node = new cc.Node();
            }
            this.__instanceId = ++xjNode.g_instanceId;
        }
        xjNode.prototype.initNodePtr = function () {
            if (cc.sys.isNative) {
                if (this.m_NodePtr == null) {
                    this.m_NodePtr = this.m_cc_Node.getNodePtr();
                }
            }
        };
        xjNode.prototype.init = function (heroName) {
            if (heroName === void 0) { heroName = null; }
            return this.m_cc_Node.init();
        };
        xjNode.prototype.isPlay = function (heroName) {
            if (heroName === void 0) { heroName = null; }
            return false;
        };
        xjNode.prototype.changeFather = function (father) {
            if (father === void 0) { father = null; }
            this.getParent().removeChild(this.m_cc_Node, false);
            father.addChild(this.m_cc_Node);
            return false;
        };
        xjNode.prototype.runAction = function (sequence) {
            if (sequence === void 0) { sequence = null; }
            return this.m_cc_Node.runAction(sequence);
        };
        xjNode.prototype.stopAction = function (act) {
            if (act === void 0) { act = null; }
            return this.m_cc_Node.stopAction(act);
        };
        xjNode.prototype.scheduleUpdate = function () {
            //this.m_cc_Node.scheduleUpdate();
        };
        xjNode.prototype.update = function (dt) {
            //     //this.m_cc_Node.update(dt);
        };
        xjNode.prototype.pause = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.pauseEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.pause();
            }
        };
        xjNode.prototype.resume = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.resumeEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.resume();
            }
        };
        xjNode.prototype.unscheduleUpdate = function () {
            //  this.m_cc_Node.unscheduleUpdate();
        };
        xjNode.prototype.setLocalZOrder = function (z) {
            this.m_cc_Node.setLocalZOrder(z);
        };
        xjNode.prototype.getLocalZOrder = function () {
            return this.m_cc_Node.getLocalZOrder();
        };
        xjNode.prototype.getParent = function () {
            return this.m_cc_Node.getParent();
        };
        xjNode.prototype.isVisible = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.isVisibleEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.isVisible();
            }
        };
        xjNode.prototype.setVisible = function (visible) {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.setVisibleEx(this.m_NodePtr, visible);
            }
            else {
                return this.m_cc_Node.setVisible(visible);
            }
        };
        xjNode.prototype.getNode = function () {
            return this.m_cc_Node;
        };
        xjNode.prototype.setPositionY = function (data) {
            this.m_cc_Node.setPositionY(data);
        };
        xjNode.prototype.setPositionX = function (data) {
            this.m_cc_Node.setPositionX(data);
        };
        xjNode.prototype.getPositionY = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.getPositionYEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.getPositionY();
            }
        };
        xjNode.prototype.getPositionX = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.getPositionXEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.getPositionX();
            }
            // return  this.getPosition().x;
        };
        xjNode.prototype.getPosition = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.getPositionEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.getPosition();
            }
        };
        xjNode.prototype.getScale = function () {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.getScaleEx(this.m_NodePtr);
            }
            else {
                return this.m_cc_Node.getScale();
            }
        };
        xjNode.prototype.setScaleY = function (s) {
            this.m_cc_Node.setScaleY(s);
        };
        xjNode.prototype.setScaleX = function (s) {
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.setScaleXEx(this.m_NodePtr, s);
            }
            else {
                return this.m_cc_Node.setScaleX(s);
            }
        };
        xjNode.prototype.setScale = function (s) {
            this.m_cc_Node.setScale(s);
        };
        xjNode.prototype.setRotation = function (r) {
            this.m_cc_Node.setRotation(r);
        };
        xjNode.prototype.setPosition = function (in_xjPoint) {
            // this.m_cc_Node.setPosition(in_xjPoint);
            this.initNodePtr();
            if (this.m_NodePtr) {
                return this.m_cc_Node.setPositionEx(this.m_NodePtr, in_xjPoint);
            }
            else {
                return this.m_cc_Node.setPosition(in_xjPoint);
            }
        };
        xjNode.prototype.getAnchorPoint = function () {
            return this.m_cc_Node.getAnchorPoint();
        };
        xjNode.prototype.setAnchorPoint = function (in_xjPoint) {
            this.m_cc_Node.setAnchorPoint(in_xjPoint);
        };
        xjNode.prototype.addChild = function (child, localZOrder, tag) {
            // if( child.m_cc_Node )
            // {
            //     child = child.m_cc_Node;
            // }
            if (child == null) {
                console.log("error addChild");
                console.error("error addChild");
                return null;
            }
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            try {
                this.m_cc_Node.addChild(child, localZOrder, tag);
            }
            catch (err) {
                console.log("addChild error =============== " + err.stack);
                console.error("error" + err.stack);
            }
        };
        xjNode.prototype.removeChild = function (child, cleanup) {
            if (cleanup === void 0) { cleanup = true; }
            try {
                this.m_cc_Node.removeChild(child, cleanup);
            }
            catch (err) {
                console.log("error" + err.stack);
                console.error("error" + err.stack);
            }
        };
        xjNode.prototype.onExit = function () {
            this.m_cc_Node.onExit();
        };
        xjNode.g_instanceId = (0 | (Math.random() * 998));
        return xjNode;
    }());
    game.xjNode = xjNode;
})(game || (game = {}));
//# sourceMappingURL=xjNode.js.map