var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2017/1/18.
 */
var game;
(function (game) {
    var xjSkeletonAnimation = (function (_super) {
        __extends(xjSkeletonAnimation, _super);
        function xjSkeletonAnimation(namejson, nameimage, father, zoder) {
            _super.call(this, "ske");
            this.m_bonePoint = new game.Map();
            this.m_cc_Node = new sp.SkeletonAnimation(namejson, nameimage);
            // this.m_cc_Node.scheduleUpdate();
            //this.m_cc_Node.setAnimation(0, "daiji", true);
            if (father) {
                father.addChild(this.m_cc_Node, zoder);
            }
            this.getNode().setName("xjSkeletonAnimation类 +++" + namejson);
        }
        xjSkeletonAnimation.prototype.setSkin = function (name) {
            this.m_cc_Node.setSkin(name);
        };
        xjSkeletonAnimation.prototype.getNode = function () {
            return this.m_cc_Node;
        };
        xjSkeletonAnimation.prototype.setVisible = function (visible) {
            this.m_cc_Node.setVisible(visible);
        };
        xjSkeletonAnimation.prototype.getParent = function () {
            return this.m_cc_Node.getParent();
        };
        xjSkeletonAnimation.prototype.findBone = function (bonename) {
            // return this.m_cc_Node.findBone(bonename);
            if (cc.sys.isNative) {
                return this.m_cc_Node.getBoneInfo(bonename);
            }
            return this.m_cc_Node.findBone(bonename);
        };
        xjSkeletonAnimation.prototype.getBoneWorldPos_Root = function (bonename) {
            //
            if (cc.sys.isNative) {
                var bonepoint = this.m_bonePoint.get(bonename);
                if (bonepoint == null) {
                    bonepoint = this.m_cc_Node.getBonePoint(bonename);
                    this.m_bonePoint.set(bonename, bonepoint);
                }
                if (bonepoint == 0) {
                    var pos_1 = cc.p(0, 0);
                    return pos_1;
                }
                var bonepos = this.m_cc_Node.getBoneWorldPos_Root(bonepoint);
                var pos = cc.p(bonepos.worldX, bonepos.worldY);
                return pos;
            }
            else {
                var bone = this.m_cc_Node.findBone(bonename);
                var pos = cc.p(bone.worldX, bone.worldY);
                return pos;
            }
        };
        xjSkeletonAnimation.prototype.getBoundingBoxBySlotName = function (name) {
            return this.m_cc_Node.getBoundingBoxBySlotName(name);
        };
        xjSkeletonAnimation.prototype.getCurrent = function (id) {
            return this.m_cc_Node.getCurrent(id);
        };
        xjSkeletonAnimation.prototype.getScaleX = function () {
            return this.m_cc_Node.getScaleX();
        };
        xjSkeletonAnimation.prototype.getScaleY = function () {
            return this.m_cc_Node.getScaleY();
        };
        xjSkeletonAnimation.prototype.setAnimation = function (id, animationname, isloop) {
            return this.m_cc_Node.setAnimation(id, animationname, isloop);
        };
        xjSkeletonAnimation.prototype.setTimeScale = function (s) {
            this.m_cc_Node.setTimeScale(s);
        };
        xjSkeletonAnimation.prototype.getTimeScale = function () {
            return this.m_cc_Node.getTimeScale();
        };
        xjSkeletonAnimation.prototype.setEventListener = function (callback) {
            this.m_cc_Node.setEventListener(callback);
        };
        xjSkeletonAnimation.prototype.setCompleteListener = function (callback) {
            this.m_cc_Node.setCompleteListener(callback);
        };
        xjSkeletonAnimation.prototype.setStartListener = function (callback) {
            this.m_cc_Node.setStartListener(callback);
        };
        xjSkeletonAnimation.prototype.setEndListener = function (callback) {
            this.m_cc_Node.setEndListener(callback);
        };
        xjSkeletonAnimation.prototype.setSlotsToSetupPose = function () {
            this.m_cc_Node.setSlotsToSetupPose();
        };
        xjSkeletonAnimation.prototype.setMix = function (_curAnimation, name, mintime) {
            this.m_cc_Node.setMix(_curAnimation, name, mintime);
        };
        xjSkeletonAnimation.prototype.setToSetupPose = function () {
            this.m_cc_Node.setToSetupPose();
        };
        xjSkeletonAnimation.prototype.SetBoneData = function (bonename, flag) {
            this.m_cc_Node.SetBoneData(bonename, flag);
        };
        xjSkeletonAnimation.prototype.SetShader_blur = function (flag) {
            this.m_cc_Node.SetShader_blur(flag);
        };
        return xjSkeletonAnimation;
    }(game.xjNode));
    game.xjSkeletonAnimation = xjSkeletonAnimation;
})(game || (game = {}));
//# sourceMappingURL=xjSkeletonAnimation.js.map