//json
var game;
(function (game) {
    //管理配置信息 玩家存档 json
    var fileMgr = (function () {
        function fileMgr() {
            // m_sceneinfo_MapGame: null,
            this.m_play_default = null;
            this.m_play_doc = null; //玩家存档
            // m_monster: any = null
            this.m_resouce = null;
            this.m_xiangsu_info = null;
            this.m_net_info = null;
            this.m_curMyStruct_xiangsu_base = null;
            // m_xiangdao: any = null
            this.m_shop_info = null;
            // m_player_buff: any = null
            // m_monster_buff: any = null
            this.m_monsterAi_config = null;
            this.m_playHero_data_Map = null;
            this.m_hero_save_data_Map = new game.Map(); //英雄存档信息
            this.m_monster_birth_config = null;
            // this.m_sceneinfo_MapGame = new MapGame();
        }
        fileMgr.getMe = function () {
            return fileMgr.create();
        };
        ;
        fileMgr.prototype.init = function () {
            this.initPlayHeroData();
            game.protoBuffMgr.getMe().init();
            game.itemMgr.getMe().initex();
            this.readPlayerdefault();
            this.readPlayerDoc();
            this.read_xiangsu();
            this.read_moves();
            this.read_net_info();
            this.read_shop_info();
            //this.read_play();
            this.read_buff();
            this.read_monster_Ai_config();
            this.initSceneConfig();
            this.readresouce();
            this.read_config_json();
            console.log("fileMgr init ok!");
        };
        fileMgr.prototype.read_config_json = function () {
            // let data = this.ReadFileData("monster/monster_birth_config.json");
            // this.m_monster_birth_config = JSON.parse(data);
        };
        fileMgr.prototype.readresouce = function () {
            this.m_resouce = game.g_resouce;
            return true;
        };
        fileMgr.prototype.initPlayHeroData = function () {
            this.m_playHero_data_Map = new game.Map();
            for (var p in game.g_playhero_config) {
                var data = game.g_playhero_config[p];
                this.m_playHero_data_Map.set(p, data);
            }
        };
        fileMgr.prototype.initSceneConfig = function () {
            if (game.g_version == "free") {
                for (var p in game.g_cjce_scene_config) {
                    game.g_scene_config_free[p] = game.g_cjce_scene_config[p];
                }
                //场景配置表
                fileMgr.g_scene_config_data_Map = new game.Map();
                for (var p in game.g_scene_config_free) {
                    var data = game.g_scene_config_free[p];
                    fileMgr.g_scene_config_data_Map.set(p, data);
                }
            }
            else {
                for (var p in game.g_cjce_scene_config) {
                    game.g_scene_config[p] = game.g_cjce_scene_config[p];
                }
                //场景配置表
                fileMgr.g_scene_config_data_Map = new game.Map();
                for (var p in game.g_scene_config) {
                    var data = game.g_scene_config[p];
                    fileMgr.g_scene_config_data_Map.set(p, data);
                }
            }
        };
        fileMgr.prototype.isMobile = function () {
            return this.m_xiangsu_info.root.isMobile;
        };
        fileMgr.prototype.read_monster_Ai_config = function () {
            this.m_monsterAi_config = game.g_monsterAi_config; //outjson;
            //this.m_followerAi_config = g_hero_AutoFight_config;//outjson;
            return true;
        };
        fileMgr.prototype.read_buff = function () {
            //this.m_player_buff = g_buff_property_config;//  outjson;
            //this.m_monster_buff = g_buff_property_config;//  outjson;
            return true;
        };
        fileMgr.prototype.read_play = function () {
            // this.m_play_info = g_player; //outjson;
            // return true;
        };
        fileMgr.prototype.getShopInfoItem_byTVid = function (id) {
            var items = fileMgr.getMe().m_shop_info.item;
            for (var i = 0; i < items.length; i++) {
                if (items[i].tvid == id) {
                    return items[i];
                }
            }
        };
        fileMgr.prototype.getShopInfoItem_byid = function (id) {
            var items = fileMgr.getMe().m_shop_info.item;
            for (var i = 0; i < items.length; i++) {
                if (items[i].id == id) {
                    items[i].price_rmb = game.g_differentPrices[game.g_version].price[id].money;
                    items[i].zuanshi = game.g_differentPrices[game.g_version].price[id].diamond;
                    return items[i];
                }
            }
        };
        //获取物品信息
        fileMgr.prototype.getItemInfo = function (itemname) {
            var ret = game.g_items_info[itemname];
            if (ret == null) {
                console.error("getItemInfo:" + itemname);
            }
            return ret;
        };
        fileMgr.prototype.read_vip_info = function () {
        };
        fileMgr.prototype.read_shop_info = function () {
            this.m_shop_info = game.g_shop_info_pc;
            return true;
        };
        fileMgr.prototype.read_xiangsu = function () {
            console.log("read_xiangsu!");
            var data = this.ReadFileData("xiangsu.json");
            var outjson = JSON.parse(data);
            this.m_xiangsu_info = outjson;
            return true;
        };
        fileMgr.prototype.read_moves = function () {
            // let moves_data = this.ReadFileData("moves.json");
            // let outjson_moves = JSON.parse(moves_data);
            // g_moves = outjson_moves;
            return true;
        };
        fileMgr.prototype.read_net_info = function () {
            var data = this.ReadFileData("net.json");
            var outjson = JSON.parse(data);
            this.m_net_info = outjson;
            return true;
        };
        fileMgr.prototype.readmonster = function () {
            //this.m_monster = g_monster;//outjson;
            return true;
        };
        fileMgr.prototype.readmonsterDataByName = function (name) {
            // let ret = g_monster[name];
            // if (ret == null) {
            //     cc.log("怪物表中没有这个怪物:" + name);
            // }
            // return ret;
        };
        fileMgr.prototype.getResouce = function () {
            return game.g_resouce;
        };
        fileMgr.prototype.readPlayHero = function () {
            //let data = this.ReadFileData("playhero.json");
            // let outjson = JSON.parse(data);
            //this.m_playhero = g_playhero;// outjson;
            return true;
        };
        //是否有这个场景的数据
        fileMgr.prototype.hasSceneInfo = function (filename) {
            if (fileMgr.g_scene_config_data_Map.has(filename)) {
                return true;
            }
            return false;
        };
        fileMgr.prototype.getSceneInfo = function (filename) {
            //let ret = g_scene_config[filename];
            var ret = fileMgr.g_scene_config_data_Map.get(filename);
            return ret;
        };
        fileMgr.prototype.getJuqingInfo = function (filename) {
            var ret = game.g_juqing_config[filename];
            return ret;
        };
        fileMgr.prototype.readJsonFile = function (filename) {
            var obj = this.ReadFileData(filename);
            return JSON.parse(obj);
        };
        fileMgr.prototype.ReadFileData = function (filename) {
            //console.log("ReadFileData： " + filename);
            if (cc.sys.isNative) {
                // console.log("ReadFileData： " + filename);
                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                // console.log("ReadFileData： " + fullPath);
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("ReadFileData： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("ReadFileData： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("config/" + filename)) {
                    console.log("ReadFileData： " + "config/" + filename);
                    return jsb.fileUtils.getStringFromFile("config/" + filename);
                }
                if (jsb.fileUtils.isFileExist("xingjiezhuzhuxia2/config/" + filename)) {
                    console.log("ReadFileData： " + "xingjiezhuzhuxia2/config/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjiezhuzhuxia2/config/" + filename);
                }
                console.log("ReadFileData： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjiezhuzhuxia2/config/" + filename);
                return txt;
            }
            // return false;
        };
        fileMgr.prototype.initxiangsu_andriod_ios = function (sizein) {
            var len = 10000;
            var lenBuff = 0;
            var phonelist = this.m_xiangsu_info.root.iphone;
            for (var i = 0; i < phonelist.length; ++i) {
                var data = phonelist[i];
                game.iphone_struct.num(data);
                var disx = game.funcMgr.getMe().float_dis(data.xiangsu_w, sizein.width);
                var disy = game.funcMgr.getMe().float_dis(data.xiangsu_h, sizein.height);
                lenBuff = disx + disy; // it->second.xiangsu_w + it->second.xiangsu_h;
                if (lenBuff < len) {
                    len = lenBuff;
                    this.m_curMyStruct_xiangsu_base = data;
                }
            }
            // console.log("initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name+ "xiangsu_w:"+this.m_curMyStruct_xiangsu_base.xiangsu_w)
            //  uiMgr.getMe().show_ui_MessageBox( true , "initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name);
            console.log("jjj:" + "len:" + len + "lenBuff:" + lenBuff + this.m_curMyStruct_xiangsu_base.xiangsu_w + ":" + this.m_curMyStruct_xiangsu_base.xiangsu_h + ":" + this.m_curMyStruct_xiangsu_base.scale);
            return this.m_curMyStruct_xiangsu_base;
        };
        fileMgr.prototype.readPlayerdefault = function () {
            // var data = this.ReadFileData("player_default.json");
            this.m_play_default = game.g_player_default; // JSON.parse(data);
        };
        fileMgr.prototype.readPlayerDoc = function () {
            if (this.m_play_doc != null) {
                return;
            }
            // if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
            //     //加载
            //     if (jsb.fileUtils.isFileExist("save/player_doc.json")) {
            //         // executeScript("save/player_doc.js");
            //         // console.log("g_paly_doc !!!!!!! ok!!!");
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //     }
            //     else {
            //         this.m_play_doc = g_player_default; //
            //     }
            // }
            // else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID)
            if (cc.sys.isNative) {
                var _writablePath = jsb.fileUtils.getWritablePath();
                console.log("pc安卓存档目录：" + _writablePath + "save/player_doc_zhuzhuxia2.json");
                if (jsb.fileUtils.isFileExist(_writablePath + "save/player_doc_zhuzhuxia2.json")) {
                    var play_doc = this.ReadFileData("save/player_doc_zhuzhuxia2.json");
                    // executeScript(_writablePath + "save/player_doc_zhuzhuxia2.json");
                    console.log("g_paly_doc !!!!!!! ok!!!" + play_doc);
                    this.m_play_doc = JSON.parse(play_doc);
                }
                else {
                    this.m_play_doc = game.g_player_default; //
                }
            }
            else {
                this.m_play_doc = game.g_player_default; //
            }
            for (var p in this.m_play_doc["heroes"]) {
                var _herodata = this.m_play_doc["heroes"][p];
                this.m_hero_save_data_Map.set(p, _herodata);
                var tet = fileMgr.getMe().m_hero_save_data_Map.get(p);
            }
            this.m_playItems = new game.ObjMap(this.m_play_doc["items"]);
            this.m_scenesMsg_Map = new game.ObjMap(this.m_play_doc["scenes"]);
        };
        //
        fileMgr.prototype.savePlayInfo = function () {
            if (cc.sys.isNative) {
                var _writablePath = jsb.fileUtils.getWritablePath();
                console.log("存档目录：" + _writablePath + "save/player_doc.json");
                var json = JSON.stringify(this.m_play_doc, null, '\t');
                if (!jsb.fileUtils.isDirectoryExist(_writablePath + "save")) {
                    jsb.fileUtils.createDirectory(_writablePath + "save");
                }
                //需要存档到服务器
                // if (cc.sys.os == cc.sys.OS_WINDOWS) {
                //     var srcpath = _writablePath + "save/player_doc_backup.json";
                //     jsb.fileUtils.writeStringToFile(json, srcpath);
                //     jsb.fileUtils.removeFile(_writablePath + "save/player_doc.json");
                //     jsb.fileUtils.renameFile(_writablePath + "save/", "player_doc_backup.json", "player_doc.json");
                // }
                // else
                {
                    var srcpath = _writablePath + "save/player_doc_backup.json";
                    jsb.fileUtils.writeStringToFile(json, srcpath);
                    jsb.fileUtils.removeFile(_writablePath + "save/player_doc_zhuzhuxia2.json");
                    jsb.fileUtils.renameFile(_writablePath, "save/player_doc_backup.json", "save/player_doc_zhuzhuxia2.json");
                }
            }
            // var ret = cc.random0To1() * 10;
            // if (ret < 2) {
            game.mainserver_saveData.getMe().sendAndCallBack(game.dataMgr.getMe().getPlayDoc(), null);
            // }
            // httpMgr.getMe().savePlayData();
            //存档
        };
        fileMgr.prototype.getPlayInfo_String = function () {
            var json = JSON.stringify(this.m_play_doc, null, '\t');
            var data = "g_paly_doc = " + json;
            return data;
        };
        fileMgr.prototype.saveProjectJson = function (filelist) {
            if (cc.sys.isNative) {
                var data = fileMgr.getMe().ReadFileData("project.json");
                var outjson = JSON.parse(data);
                //console.log(data);
                outjson["jsList"] = filelist;
                var json = JSON.stringify(outjson, null, '\t');
                jsb.fileUtils.writeStringToFile(json, "project.json");
            }
        };
        fileMgr.g_fileMgr = null;
        fileMgr.fileMgr_getMe = function () {
            return fileMgr.create();
        };
        fileMgr.create = function () {
            if (fileMgr.g_fileMgr == null) {
                fileMgr.g_fileMgr = new fileMgr();
                return fileMgr.g_fileMgr;
            }
            else {
                return fileMgr.g_fileMgr;
            }
        };
        return fileMgr;
    }());
    game.fileMgr = fileMgr;
})(game || (game = {}));
//# sourceMappingURL=FileMgr.js.map 
//# sourceMappingURL=FileMgr.js.map