//json
module game {

//管理配置信息 玩家存档 json


    export class fileMgr {
        // m_sceneinfo_MapGame: null,
        m_play_default: play_doc_s = null;
        m_play_doc: play_doc_s = null;//玩家存档


        // m_monster: any = null
        m_resouce: any = null
        m_xiangsu_info: xiangsu_struct = null
        m_net_info: net_struct = null
        m_curMyStruct_xiangsu_base: iphone_struct = null
        // m_xiangdao: any = null
        m_shop_info: any = null
        // m_player_buff: any = null
        // m_monster_buff: any = null
        m_monsterAi_config: any = null

        m_playHero_data_Map: game.Map< string , HeroConfig_s > = null;
        m_hero_save_data_Map: game.Map< string ,hero_save_data_s > = new game.Map<string,hero_save_data_s>(); //英雄存档信息
        m_playItems: ObjMap<play_doc_items>; //玩家物品 存档结构
        m_scenesMsg_Map: ObjMap<play_doc_scene>;

        m_monster_birth_config: any = null;

        static g_scene_config_data_Map: game.Map<string,scene_config_data_s>;

        static g_fileMgr: any = null;
        static fileMgr_getMe = function () {
            return fileMgr.create();
        };

        static getMe(): fileMgr {
            return fileMgr.create();
        };

        static create = function () {
            if (fileMgr.g_fileMgr == null) {
                fileMgr.g_fileMgr = new fileMgr();
                return fileMgr.g_fileMgr;
            }
            else {
                return fileMgr.g_fileMgr;
            }
        };

        constructor() {
            // this.m_sceneinfo_MapGame = new MapGame();
        }

        init() {



            this.initPlayHeroData();
            protoBuffMgr.getMe().init();
            itemMgr.getMe().initex();
            this.readPlayerdefault();
            this.readPlayerDoc();
            this.read_xiangsu();
            this.read_moves();
            this.read_net_info();
            this.read_shop_info();
            //this.read_play();
            this.read_buff();
            this.read_monster_Ai_config();
            this.initSceneConfig();

            this.readresouce();
            this.read_config_json();
            console.log("fileMgr init ok!");
        }

        read_config_json() {
            // let data = this.ReadFileData("monster/monster_birth_config.json");
            // this.m_monster_birth_config = JSON.parse(data);
        }

        readresouce() {
            this.m_resouce = g_resouce;
            return true;
        }


        initPlayHeroData() {
            this.m_playHero_data_Map = new game.Map<string,HeroConfig_s>();

            for (let p in g_playhero_config) {
                let data = g_playhero_config[p];
                this.m_playHero_data_Map.set(p, data);
            }
        }

        initSceneConfig() {
            if(g_version == "free"){
                for (let p in g_cjce_scene_config) {
                    g_scene_config_free[p] = g_cjce_scene_config[p];
                }
                //场景配置表
                fileMgr.g_scene_config_data_Map = new game.Map<string,scene_config_data_s>();
                for (let p in g_scene_config_free) {
                    let data = g_scene_config_free[p];
                    fileMgr.g_scene_config_data_Map.set(p, data);
                }
            }else{
                for (let p in g_cjce_scene_config) {
                    g_scene_config[p] = g_cjce_scene_config[p];
                }
                //场景配置表
                fileMgr.g_scene_config_data_Map = new game.Map<string,scene_config_data_s>();
                for (let p in g_scene_config) {
                    let data = g_scene_config[p];
                    fileMgr.g_scene_config_data_Map.set(p, data);
                }
            }
        }

        isMobile() {
            return this.m_xiangsu_info.root.isMobile;
        }


        read_monster_Ai_config() {
            this.m_monsterAi_config = g_monsterAi_config; //outjson;
            //this.m_followerAi_config = g_hero_AutoFight_config;//outjson;
            return true;
        }

        read_buff() {
            //this.m_player_buff = g_buff_property_config;//  outjson;
            //this.m_monster_buff = g_buff_property_config;//  outjson;
            return true;
        }

        read_play() {
            // this.m_play_info = g_player; //outjson;
            // return true;
        }

        getShopInfoItem_byTVid(id) {
            var items = fileMgr.getMe().m_shop_info.item;
            for (var i = 0; i < items.length; i++) {
                if (items[i].tvid == id) {
                    return items[i];
                }
            }
        }

        getShopInfoItem_byid(id) {
            let items = fileMgr.getMe().m_shop_info.item;
            for (let i = 0; i < items.length; i++) {
                if (items[i].id == id) {
                    items[i].price_rmb = g_differentPrices[g_version].price[id].money;
                    items[i].zuanshi = g_differentPrices[g_version].price[id].diamond;
                    return items[i];
                }
            }
        }

        //获取物品信息
        getItemInfo(itemname) {
            let ret = g_items_info[itemname];
            if (ret == null) {
                console.error("getItemInfo:" + itemname);
            }
            return ret;
        }

        read_vip_info() {

        }

        read_shop_info() {
            this.m_shop_info = g_shop_info_pc;
            return true;
        }


        read_xiangsu() {
            console.log("read_xiangsu!");
            let data = this.ReadFileData("xiangsu.json");
            let outjson = JSON.parse(data);
            this.m_xiangsu_info = outjson;
            return true;
        }

        read_moves()
        {
            // let moves_data = this.ReadFileData("moves.json");
            // let outjson_moves = JSON.parse(moves_data);
            // g_moves = outjson_moves;
            return true;
        }
        read_net_info() {
            let data = this.ReadFileData("net.json");
            let outjson = JSON.parse(data);
            this.m_net_info = outjson;
            return true;
        }

        readmonster() {
            //this.m_monster = g_monster;//outjson;
            return true;
        }

        readmonsterDataByName(name) {

            // let ret = g_monster[name];
            // if (ret == null) {
            //     cc.log("怪物表中没有这个怪物:" + name);
            // }
            // return ret;
        }

        getResouce() {
            return g_resouce;
        }

        readPlayHero() {
            //let data = this.ReadFileData("playhero.json");
            // let outjson = JSON.parse(data);
            //this.m_playhero = g_playhero;// outjson;
            return true;
        }

        //是否有这个场景的数据
        hasSceneInfo(filename) {
            if (fileMgr.g_scene_config_data_Map.has(filename)) {
                return true;
            }


            return false;
        }

        getSceneInfo(filename: string): scene_config_data_s {
            //let ret = g_scene_config[filename];
            let ret = fileMgr.g_scene_config_data_Map.get(filename);
            return ret;
        }

        getJuqingInfo(filename) {
            let ret = g_juqing_config[filename];
            return ret;
        }


        readJsonFile(filename): Object {
            let obj = this.ReadFileData(filename);
            return JSON.parse(obj);
        }

        ReadFileData(filename) {
            //console.log("ReadFileData： " + filename);
            if (cc.sys.isNative) {
                // console.log("ReadFileData： " + filename);
                let fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                // console.log("ReadFileData： " + fullPath);
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("ReadFileData： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("ReadFileData： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("config/" + filename)) {
                    console.log("ReadFileData： " + "config/" + filename);
                    return jsb.fileUtils.getStringFromFile("config/" + filename);
                }
                if (jsb.fileUtils.isFileExist("xingjiezhuzhuxia2/config/" + filename)) {
                    console.log("ReadFileData： " + "xingjiezhuzhuxia2/config/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjiezhuzhuxia2/config/" + filename);
                }
                console.log("ReadFileData： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjiezhuzhuxia2/config/" + filename);
                return txt;
            }
            // return false;
        }


        initxiangsu_andriod_ios(sizein) {
            let len = 10000;
            let lenBuff = 0;

            let phonelist = this.m_xiangsu_info.root.iphone;
            for (let i = 0; i < phonelist.length; ++i) {
                let data: iphone_struct = phonelist[i];
                iphone_struct.num(data);
                let disx = funcMgr.getMe().float_dis(data.xiangsu_w, sizein.width);
                let disy = funcMgr.getMe().float_dis(data.xiangsu_h, sizein.height);
                lenBuff = disx + disy; // it->second.xiangsu_w + it->second.xiangsu_h;
                if (lenBuff < len) {
                    len = lenBuff;
                    this.m_curMyStruct_xiangsu_base = data;
                }
            }
            // console.log("initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name+ "xiangsu_w:"+this.m_curMyStruct_xiangsu_base.xiangsu_w)
            //  uiMgr.getMe().show_ui_MessageBox( true , "initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name);
            console.log("jjj:" + "len:" + len + "lenBuff:" + lenBuff + this.m_curMyStruct_xiangsu_base.xiangsu_w + ":" + this.m_curMyStruct_xiangsu_base.xiangsu_h + ":" + this.m_curMyStruct_xiangsu_base.scale);
            return this.m_curMyStruct_xiangsu_base;
        }

        readPlayerdefault() {
            // var data = this.ReadFileData("player_default.json");
            this.m_play_default = g_player_default; // JSON.parse(data);
        }


        readPlayerDoc() {
            if (this.m_play_doc != null) {
                return;
            }
            // if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
            //     //加载
            //     if (jsb.fileUtils.isFileExist("save/player_doc.json")) {
            //         // executeScript("save/player_doc.js");
            //         // console.log("g_paly_doc !!!!!!! ok!!!");
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //     }
            //     else {
            //         this.m_play_doc = g_player_default; //
            //     }
            // }
            // else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID)
            if(cc.sys.isNative)
            {
                let _writablePath = jsb.fileUtils.getWritablePath();
                console.log("pc安卓存档目录：" + _writablePath + "save/player_doc_zhuzhuxia2.json");
                if (jsb.fileUtils.isFileExist(_writablePath + "save/player_doc_zhuzhuxia2.json")) {
                    var play_doc = this.ReadFileData("save/player_doc_zhuzhuxia2.json");
                    // executeScript(_writablePath + "save/player_doc_zhuzhuxia2.json");
                    console.log("g_paly_doc !!!!!!! ok!!!" + play_doc);
                    this.m_play_doc = JSON.parse(play_doc);
                }
                else {
                    this.m_play_doc = g_player_default; //
                }
            }
            else {
                this.m_play_doc = g_player_default; //
            }

            for (let p in this.m_play_doc["heroes"]) {
                let _herodata: hero_save_data_s = this.m_play_doc["heroes"][p];

                this.m_hero_save_data_Map.set(p, _herodata);
                let tet: hero_save_data_s = fileMgr.getMe().m_hero_save_data_Map.get(p);
            }

            this.m_playItems = new ObjMap<play_doc_items>(this.m_play_doc["items"]);
            this.m_scenesMsg_Map = new ObjMap<play_doc_scene>(this.m_play_doc["scenes"]);
        }

        //
        savePlayInfo() {
            if (cc.sys.isNative) {
                var _writablePath = jsb.fileUtils.getWritablePath();
                console.log("存档目录：" + _writablePath + "save/player_doc.json");
                var json = JSON.stringify(this.m_play_doc, null, '\t');

                if (!jsb.fileUtils.isDirectoryExist(_writablePath + "save")) {
                    jsb.fileUtils.createDirectory(_writablePath + "save");
                }
                //需要存档到服务器
                // if (cc.sys.os == cc.sys.OS_WINDOWS) {
                //     var srcpath = _writablePath + "save/player_doc_backup.json";
                //     jsb.fileUtils.writeStringToFile(json, srcpath);
                //     jsb.fileUtils.removeFile(_writablePath + "save/player_doc.json");
                //     jsb.fileUtils.renameFile(_writablePath + "save/", "player_doc_backup.json", "player_doc.json");
                // }
                // else
                {
                    var srcpath = _writablePath + "save/player_doc_backup.json";
                    jsb.fileUtils.writeStringToFile(  json, srcpath);
                    jsb.fileUtils.removeFile(_writablePath + "save/player_doc_zhuzhuxia2.json");
                    jsb.fileUtils.renameFile(_writablePath, "save/player_doc_backup.json", "save/player_doc_zhuzhuxia2.json");
                }
            }

            // var ret = cc.random0To1() * 10;
            // if (ret < 2) {
                mainserver_saveData.getMe().sendAndCallBack(dataMgr.getMe().getPlayDoc(), null);
            // }

            // httpMgr.getMe().savePlayData();
            //存档
        }






        getPlayInfo_String() {
            let json = JSON.stringify(this.m_play_doc, null, '\t');
            let data = "g_paly_doc = " + json;
            return data;
        }

        saveProjectJson(filelist) {
            if (cc.sys.isNative) {
                let data = fileMgr.getMe().ReadFileData("project.json");
                let outjson = JSON.parse(data);
                //console.log(data);
                outjson["jsList"] = filelist;
                let json = JSON.stringify(outjson, null, '\t');
                jsb.fileUtils.writeStringToFile(json, "project.json");
            }
        }
    }

}
//# sourceMappingURL=FileMgr.js.map