module game {

    export enum e_choukaType  {
        one = 1,
        ten = 10,
    }

    export class Card{
        type:e_choukaType;
        cards:Array<string>;
    }

    export var g_chouka_config = {
        chouKa_one_price: 0,
        chouKa_ten_price: 0,

        //一次一抽
        chouka_one: {
            gailv: {
                "zhuzhuxia_suipian1": 0.1,
                "zhuzhuxia_suipian2": 0.1,
                "zhuzhuxia_suipian3": 0,
                "zhuzhuxia_suipian4": 0,

                "xiaodaidai_suipian1": 0.1,
                "xiaodaidai_suipian2": 0.1,
                "xiaodaidai_suipian3": 0,
                "xiaodaidai_suipian4": 0,

                "feifei_suipian1": 0.1,
                "feifei_suipian2": 0.1,
                "feifei_suipian3": 0,
                "feifei_suipian4": 0,

                "chaorenqiang_suipian1": 0.1,
                "chaorenqiang_suipian2": 0.1,
                "chaorenqiang_suipian3": 0,
                "chaorenqiang_suipian4": 0,

                "bobi_suipian1": 0.1,
                "bobi_suipian2": 0.1,
                "bobi_suipian3": 0,
                "bobi_suipian4": 0,

                "wulingwang_suipian1": 0,
                "wulingwang_suipian2": 0,
                "wulingwang_suipian3": 0,
                "wulingwang_suipian4": 0,
            }
        },

        //十抽
        chouka_ten: {
            gailv: {
                "zhuzhuxia_suipian1": 0.05,
                "zhuzhuxia_suipian2": 0.05,
                "zhuzhuxia_suipian3": 0.05,
                "zhuzhuxia_suipian4": 0.02,

                "xiaodaidai_suipian1": 0.05,
                "xiaodaidai_suipian2": 0.05,
                "xiaodaidai_suipian3": 0.05,
                "xiaodaidai_suipian4": 0.02,

                "feifei_suipian1": 0.05,
                "feifei_suipian2": 0.05,
                "feifei_suipian3": 0.05,
                "feifei_suipian4": 0.02,

                "chaorenqiang_suipian1": 0.05,
                "chaorenqiang_suipian2": 0.05,
                "chaorenqiang_suipian3": 0.05,
                "chaorenqiang_suipian4": 0.02,

                "bobi_suipian1": 0.05,
                "bobi_suipian2": 0.05,
                "bobi_suipian3": 0.05,
                "bobi_suipian4": 0.02,

                "wulingwang_suipian1": 0.05,
                "wulingwang_suipian2": 0.05,
                "wulingwang_suipian3": 0.04,
                "wulingwang_suipian4": 0.01,
            }
        },

    };
}
//# sourceMappingURL=chouka.js.map