/**
 * Created by xieli on 2016/10/25.
 */
//维护者 ： hbwei
var game;
(function (game) {
    game.g_buffTaget = {
        "self": 0,
        "team": 1,
        "enemy": 2,
    };
    game.g_buffEffectType = {
        "continue": 0,
        "forever": 1,
        "once": 2,
    };
    game.g_buff_config = {};
    game.g_buff_config["public"] =
        [
            {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "buffIocn": "xingjiezhuzhuxia2/big/ui/image/buff_jiansu.png",
                "spineRes": "buffTexiao",
                "resAnimation": "bingdong",
                "effectType": game.g_buffEffectType.continue,
                "good": false,
                "scale": 0.3
            },
            {
                "buffType": game.g_buffType.buffType_xuanyun,
                "buffIocn": "xingjiezhuzhuxia2/big/ui/image/buff_yun.png",
                "spineRes": "buffTexiao",
                "resAnimation": "yunxuan",
                "effectType": game.g_buffEffectType.continue,
                "good": false,
                "scale": 0.5
            }
        ];
    game.g_buff_config["zhuzhuxia1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["zhuzhuxia2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["zhuzhuxia3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["xiaodaidai1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["xiaodaidai2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["xiaodaidai3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["feifei1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["feifei2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["feifei3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["chaorenqiang1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["chaorenqiang2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["chaorenqiang3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bobi1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bobi2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bobi3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["wulingwang1"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["wulingwang2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["wulingwang3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 0.5,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1.5,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bingxueguai"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bingxueguai2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["bingxueguai3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["benxiongguai"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["benxiongguai2"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["benxiongguai3"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["gangyanxiniu"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["heianwulingwang"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["jujiaolu"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["gangyanxiniu_boss"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["heianwulingwang_boss"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
    game.g_buff_config["jujiaolu_boss"] =
        {
            "ice_15": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.2,
                "continueTime": 1.5,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "ice_30": {
                "buffType": game.g_buffType.buffType_removeSpeedBuff,
                "perCoefficient": 0.4,
                "continueTime": 4,
                "intervalTime": 1,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_1": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 1,
                "intervalTime": 2,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_2": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 2,
                "intervalTime": 3,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_3": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 3,
                "intervalTime": 4,
                "isSuperposition": false // 是否叠加
            },
            "xuanyun_4": {
                "buffType": game.g_buffType.buffType_xuanyun,
                "perCoefficient": 1,
                "continueTime": 4,
                "intervalTime": 5,
                "isSuperposition": false // 是否叠加
            },
        };
})(game || (game = {}));
//# sourceMappingURL=buff_config.js.map 
//# sourceMappingURL=buff_config.js.map