//服务器 和 客户端 公用数据结构


//阵营战每日数据

module game {

    export class base_item_struct {
        public name: string = "gold";
        public itemtype: e_item_TYPE = e_item_TYPE.gold;
        public num: number = 9000;
    }

    export class msg_award_s {
        type: string;
        award: Array<base_item_struct>;
    }
    export class net_struct {
        "des": string;
        "g_game_PrivateKey": string;
        "g_url_server_one": string;
        "g_url_server": string;
        "loginServerUrl": string;
    }

    export class iphone_struct {
        "name": string = "winott"
        "res": string = "big"
        "xiangsu_h": number;
        "xiangsu_w": number;
        "exeScale_w": number;
        "exeScale_h": number;
        "scale": number;
        "cameraspeed": number;
        "laySpeedscale": number

        static num(data: any) {
            if (isString(data.xiangsu_h)) {
                data.xiangsu_h = parseFloat(data.xiangsu_h);
            }

            if (isString(data.xiangsu_w)) {
                data.xiangsu_w = parseFloat(data.xiangsu_w);
            }
            if (isString(data.exeScale_w)) {
                data.exeScale_w = parseFloat(data.exeScale_w);
            }

            if (isString(data.exeScale_h)) {
                data.exeScale_h = parseFloat(data.exeScale_h);
            }

            if (isString(data.scale)) {
                data.scale = parseFloat(data.scale);
            }

            if (isString(data.cameraspeed)) {
                data.cameraspeed = parseFloat(data.cameraspeed);
            }

            if (isString(data.laySpeedscale)) {
                data.laySpeedscale = parseFloat(data.laySpeedscale);
            }

        }


    }
    export class xiangsu_struct_root {

        "curiphone": string = "winott"
        "debug": number = 0
        "ui": number = 1
        "baoyueType": number = 0
        "apkFree": number = 1
        "winiap": number = 0
        "messageboxrank": number = 0
        "querenkuang": number = 0
        "pcfabu": number = 0
        "version": number = 0
        "isMobile": number = 0
        "debugmsg": number = 1
        "EnterBackgroundColse": number = 0
        "iphone": Array< iphone_struct >

    }
    export class xiangsu_struct {

        root: xiangsu_struct_root;

    }


    export class base_cost_item_struct {
        public name: string = "gold";//升级所需
        public num: number = 90;//
    }


    export class birthData_child {
        interval: number = 0
        waveIndex: string = "1_3_3"
        condition: Object = {
            "1": {
                "type": "killall"
            }
        }
    }

    export class shijieboss_info {
        pos_x: number = 800;
        pos_y: number = 240;
        curhp: number = 240;
        maxhp: number = 240;
        attackPoint: number = 240;
    }

    export class monster_birth_child {
        monstername: string = "shanyang"
        pos_x: number = 800
        pos_y: number = 240
        birth_count: number = 1
        first_birth_time: number = 0
        birth_rate: any = null
        birth_max: any = null
        dorp_item: any = null
        birth_total_num: number = 0;
        birth_end: boolean = false;
        birth_wave: string;
    }

// 购买结构表
    export class shop_info_s {
        id: string = ""
        des: string = "购买60体力"
        type: string = "buytili"
        name: string = "3000钻石"
        tvid: string = "tvp103011009"
        zuanshi: number = 0
        gold: number = 0
        price_rmb: number = 0
        showinfo: string = "购买60体力"
    }

    export class monster_config_data_s {
        desName: string = "牛头怪"
        spine_res: string = "niutou_chui"
        des: string = "其实是个测试的小怪"
        debut: string = "scene1_1"
        type: string = "normal"
        exp: number = 10; //杀死怪物 获得exp 0
        scale: number = 0.45
        headHpNumberPos: cc.Vec2;
        headHpBarPos: cc.Vec2;
        bloodbar_num: number = 5;
        hp: number = 419;
        attackPoint: number = 41;
        defencePoint: number = 0;
        antiStun: number = 11;
        hitRate: number = 0;
        dodgeRate: number = 0;
        criticalRate: number = 0;
        runSpeed: number = 250;
        addNuqiDead: number = 100;
        bloodName:string = "xuetiao";
    }


    //玩家hero 结构
    export class HeroConfig_s {
        name: string = "bajie"
        desName: string = "八戒"
        spine_res: string = "bajie"
        shuoming: string = "角色介绍"
        des: string = "";
        scale: number = 0.55
        small_head_icon: string = "xingjiezhuzhuxia2/big/ui/image/xiyou_xtx_bajie.png"
        big_head_icon: string = "xingjiezhuzhuxia2/big/ui/image/xiyou_dtx_bajie.png"
        hero_big_image: string = "xingjiezhuzhuxia2/big/ui/image/xiyou_qsx_bajie.png"
        hero_name_image: string = "xingjiezhuzhuxia2/big/ui/image/mingzi_bajie.png"
        small_card_image: string = "xingjiezhuzhuxia2/big/ui/image/ka_bajie.png"
        big_card_image: string = "xingjiezhuzhuxia2/big/ui/image/daka_bajie.png"
        talk_icon:string;
        headHpNumberPos: cc.Vec2 = cc.p(0, 200);
        headHpBarPos: cc.Vec2 = cc.p(-100, 200);

        hp: number = 1075;
        juezhao : number = 200;
        attackPoint: number = 30;   //攻击
        defencePoint: number = 0;   //防yu
        antiStun: number = 9;
        attSpeed:number = 0;
        hitRate: number = 0;
        dodgeRate: number = 0;      //闪避
        criticalRate: number = 15;
        runSpeed: number = 400;
        bloodName:string = "xuetiao";
    }

    //基本奖励结构
    export class base_award_struct extends base_item_struct {
        public name: string = "gold";
        public num: number = 90;
    }


    export class play_doc_coreData {
        name: string = "玩家名"
        curdate: string = "2016-07-06"
        version: string = "10000"
        curchaperId: number = 1
        curguankaId:number = 1
        choukanum: number = 0
        curHero: string = "zhuzhuxia";
        curFollower: Array<string> = null;
    }

    export class play_doc_chengjianchue {
        lastWinTime:number =  0; //上次战斗胜利时间
        fightWinNum:number = 0; //战斗胜利次数
    }


    export enum e_DAY_TYPE
    {
        WEEK_1 = 1,
        WEEK_2 = 2,
        WEEK_3 = 3,
        WEEK_4 = 4,
        WEEK_5 = 5,
        WEEK_6 = 6,
        WEEK_7 = 7,

    }

//成就
    export class chengjiu_data_s {
        id: number = 0;
        curnum: number = 0;
        over: number = 0;
    }
    export class chengjiu_data_Array_s {
        data: Array<chengjiu_data_s>;
    }


    export class pintu_data_s {
        addProperty: string = "hp";
        addPropertyPer: number = 0;
    }

    export class play_doc_s {


        coreData: play_doc_coreData;

        chengjianchue: play_doc_chengjianchue;

        worldboss:worldboss;

        scenes: Object;

        items: Object;

        // chengjius: Array<chengjiu_data_s>;

        heroes: Object;

        pintu:Object;

        yindao:yindao;

        ui_wulingwang_status:number;
    }

    export class yindao {
        xinshouyindao:boolean;
        xinshouyindao2:boolean;
        jinhua:boolean;
        shijieboss:boolean;
        pintu:boolean;
        tujian:boolean;
        shangcheng:boolean;
        wulingwang:boolean;
    }

    export class worldboss {
        isWait:boolean;
        timer:number;
    }

    export class position_data_s {
        pos_x: number;
        pos_y: number;
    }

    //奖励节点
    export class award_child_s {
        name: string;
        num: number;
    }


    export class scene_config_data_s {
        res_path: string = "Scene_1_1.json";
        des: string; //关卡描述
        min_camera_x: number = 0;
        min_camera_y: number = 0;
        max_camera_x: number = 4000;
        max_camera_y: number = 1024;
        next_fuben: string = "scene1_2";
        next_scene: string = "scene1_2";
        hpper: number = 1;
        attper: number = 1;
        fangyuper: number = 0;
        missper: number = 0;
        monsterexpPer: number = 0;
        back_music: string = "zhandou1.mp3";
        sceneType: string = "scene_Normal";
        sceneTime: number = 1000;
        bossImage: string = "";

        winjiangli: Array< award_child_s > = [];        //以后每次的奖励
        winjiangli_f: Array< award_child_s > = [];
        playerbirth: position_data_s = {
            "pos_x": 300,
            "pos_y": 240
        }

        follower1birth: position_data_s = {
            "pos_x": 200,
            "pos_y": 240
        }

        follower2birth: position_data_s = {
            "pos_x": 200,
            "pos_y": 240
        }

        guochang: Array<any> = []

    }


//场景战斗胜利结束结构
//     export class scene_fight_end_s {
//         iswin: boolean = true;
//         scenename: string = "";
//         killMonsterNum:number = 0;
//         killMonsterExp:number = 0; //杀怪 获得exp
//         award: Array<zyz_award_struct>;//奖励
//     }

    export class scene_fight_end_s {
        iswin: number;
        scenename: string;
        killMonsterNum: number;
        killMonsterExp: number; //杀怪 获得exp
        curHeroName: string;
        heroIsShengji: number = 0;
        curFollowName: string;
        shouhulingshiBoci: number = 0;
        followIsShengji: number = 0;
        xingxingCount: number = 0;
    }

    //heros follower 存档数据
    export class tongyong_s {

        int32var1: number
        int32var2: number
        int32var3: number
        int32var4: number
        int32var5: number
        int32var6: number
        int32var7: number
        int32var8: number
        int32var9: number
        int32var10: number
        int32var11: number
        int32var12: number
        strvar5: string
        strvar6: string
        strvar7: string
        strvar8: string
        strvar9: string
        strvar10: string
    }


    export class hero_save_data_s {
        level: number = 0;
        islocked: number = 1;

    }
    //类型

    export enum e_item_TYPE
    {
        gold = 0,
        zuanshi = 1,
    }

    //物品结构
    export class item_Info {
        public type: e_item_TYPE = null;
        public icon: string = null;
        public name: string = null;
    }


    export class play_doc_scene {
        // scenename: "scene_1_1_config";
        id: number = 1;
        isWined: number = 0;
        AchieveStarCount: number = 0;
    }

//场景信息
    export class play_doc_scenes {
        sceneMap: ObjMap<play_doc_scene>;
    }

    export class play_doc_items {
        num: 10;
    }
}