var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var bulletMgr = (function (_super) {
        __extends(bulletMgr, _super);
        function bulletMgr() {
            _super.call(this);
            this.m_bullet_map = new game.Map();
            this.m_des = null;
            this.m_des = "bulletMgr";
            this.init();
            this.getNode().setName("bulletMgr类");
        }
        bulletMgr.getMe = function () {
            if (game.sceneMgr.getMe().m_curScene == null) {
                return null;
            }
            return game.sceneMgr.getMe().m_curScene.getBulletMgr();
        };
        ;
        bulletMgr.prototype.init = function () {
            _super.prototype.init.call(this);
            // this.m_bullet_map = new MapGame();
        };
        bulletMgr.prototype.update = function (t) {
            for (var i = 0; i < this.m_bullet_map.size; ++i) {
                var data = this.m_bullet_map.getByIndex(i);
                var ret = data.update(t);
                if (ret == false) {
                    this.removeBullet(data.__instanceId);
                    return;
                }
            }
        };
        bulletMgr.prototype.shutdown = function () {
            for (var i = 0; i < this.m_bullet_map.size; ++i) {
                var data = this.m_bullet_map.getByIndex(i);
                data.shutdown();
            }
        };
        bulletMgr.prototype.zanting = function (flag) {
            for (var i = 0; i < this.m_bullet_map.size; ++i) {
                var data = this.m_bullet_map.getByIndex(i);
                data.zanting(flag);
            }
        };
        bulletMgr.prototype.createBullet = function (info, zOrder) {
            if (info == null) {
                return;
            }
            switch (info.bulletType) {
                case game.g_bulletType.normal:
                    this.createNormalBullet(info, zOrder);
                    break;
                case game.g_bulletType.spineline:
                    this.createNormalBulletSpineLine(info, zOrder);
                    break;
                default:
                    game.uiMgr.getMe().show_ui_MessageBox(true, "bulletType 类型填错了  路线子弹 ：spineline  普通子弹 ：normal  ");
                    // console.error("error createBullet !");
                    break;
            }
        };
        // 创建子弹 普通子弹
        bulletMgr.prototype.createNormalBullet = function (info, zOrder) {
            var _normalBullet = game.normalBullet.create();
            _normalBullet.initEx(info);
            game.roleMgr.getMe().addChild(_normalBullet.getNode(), zOrder);
            this.m_bullet_map.set(_normalBullet.__instanceId, _normalBullet);
        };
        bulletMgr.prototype.createNormalBulletSpineLine = function (info, zOrder) {
            var _normalBullet = game.normalBulletSpineLine.create();
            _normalBullet.initEx(info);
            game.roleMgr.getMe().addChild(_normalBullet.getNode(), zOrder);
            this.m_bullet_map.set(_normalBullet.__instanceId, _normalBullet);
        };
        bulletMgr.prototype.createNormalBullet_texiao = function (info, zOrder) {
            var _normalBullet = game.normalBullet_texiao.create();
            _normalBullet.initEx(info);
            game.roleMgr.getMe().addChild(_normalBullet.getNode(), zOrder);
            this.m_bullet_map.set(_normalBullet.__instanceId, _normalBullet);
        };
        // 移除子弹
        bulletMgr.prototype.removeBullet = function (keyStr) {
            var data = this.m_bullet_map.get(keyStr);
            data.shutdown();
            game.roleMgr.getMe().removeChild(data.getNode());
            this.m_bullet_map.delete(keyStr);
        };
        bulletMgr.create = function () {
            var _bulletMgr = new bulletMgr();
            return _bulletMgr;
        };
        return bulletMgr;
    }(game.xjNode));
    game.bulletMgr = bulletMgr;
})(game || (game = {}));
//# sourceMappingURL=bulletMgr.js.map