var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 *  怪物角色表
 */
//特效子弹
var game;
(function (game) {
    var normalBullet_texiao = (function (_super) {
        __extends(normalBullet_texiao, _super);
        function normalBullet_texiao() {
            _super.call(this);
            this.m_isShutDown = true;
            this.m_des = "normalBullet_texiao";
            this.m_bulletType = game.g_bulletType.texiao;
            this.getNode().setName("normalBullet_texiao类");
        }
        normalBullet_texiao.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
        };
        normalBullet_texiao.prototype.loadres = function () {
            this.m_BulletNode = game.spineMgr.getMe().loadSpine(this.m_info["res"], this.getNode(), 4);
            if (this.m_info["resAnimation"]) {
                var ret = this.m_BulletNode.setAnimation(0, this.m_info["resAnimation"], false);
                if (ret == null) {
                    console.log("spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                    game.uiMgr.getMe().show_ui_MessageBox(true, "spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                }
            }
            else {
                var ret = this.m_BulletNode.setAnimation(0, "play", false);
            }
            this.m_BulletNode.setScale(this.m_info.scale);
            if (this.m_dir.x < 0) {
                this.m_BulletNode.setScaleX(-1 * this.m_info.scale);
            }
            // this.addChild(this.m_BulletNode.getNode(), 4);
            this.m_BulletNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_BulletNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_BulletNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
            }.bind(this));
            this.m_BulletNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind(this));
            return true;
        };
        normalBullet_texiao.prototype.onFrameEvent = function (type, event) {
            if (type == "End") {
                this.m_isShutDown = false;
            }
            else if (type == "Complete") {
                this.m_isShutDown = false;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    game.musicMgr.getMe().playeffect(event.data.name);
                }
                var name = event.data.name;
                //动作停顿
                if (name.indexOf(game.g_eventFrameType["Pause"]) > -1) {
                    game.EffectMgr.getMe().OnBulletPause(event);
                }
                //动作时间缩放
                if (name.indexOf(game.g_eventFrameType["TimeScale"]) > -1) {
                    game.EffectMgr.getMe().OnTimeScaleChange(event);
                }
                //震屏
                if (name.indexOf(game.g_eventFrameType["ScreenShake"]) > -1) {
                    game.EffectMgr.getMe().OnScreenShake(event);
                }
                this.phyParseEx(event);
            }
        };
        normalBullet_texiao.prototype.update = function (dt) {
            if (this.m_BulletNode.isPlay() == false) {
                return false;
            }
            return this.m_isShutDown;
        };
        normalBullet_texiao.prototype.getPhyRect = function () {
            var rectme_qugan = this.m_BulletNode.getBoundingBoxBySlotName("gongjizudang1");
            return rectme_qugan;
        };
        normalBullet_texiao.prototype.phyParseEx = function (event) {
            var damageInfo = null;
            if (event.data.name.indexOf("shanghai1") >= 0) {
                damageInfo = this.m_info["hit"]["shanghai1"];
            }
            else if (event.data.name.indexOf("shanghai2") >= 0) {
                damageInfo = this.m_info["hit"]["shanghai2"];
            }
            else {
                return;
            }
            var enemyList;
            if (this.m_RoleType == game.g_bulletRoleType.bulletType_play) {
                enemyList = game.roleMgr.getMe().getMonsterAlive();
            }
            else {
                enemyList = game.roleMgr.getMe().getPlayerAlive();
            }
            if (!damageInfo)
                return;
            if (enemyList) {
                for (var i = 0; i < enemyList.size; ++i) {
                    var obj = enemyList.getByIndex(i);
                    var colliderIndexString = "gongjizudang1";
                    var rect = this.getPhyRect();
                    if (rect.width < 0.1) {
                        console.log("spine:" + this.m_info["res"] + "特效没有攻击阻挡" + colliderIndexString);
                    }
                    if (rect.height < 0.1) {
                        console.log("spine:" + this.m_info["res"] + "特效没有攻击阻挡" + colliderIndexString);
                    }
                    // console.log( " rect.x :" + rect.x + " rect.y" +  rect.y + " rect.w" +  rect.width +  " rect.h" +  rect.height   );
                    if (obj.dealPhyWithRect(rect) == 1) {
                        obj.OnBulletHit(this.m_owner, damageInfo, this);
                    }
                }
            }
        };
        //处理碰撞
        normalBullet_texiao.prototype.phyParse = function (baseobj) {
        };
        normalBullet_texiao.create = function () {
            return new normalBullet_texiao();
        };
        return normalBullet_texiao;
    }(game.baseBullet));
    game.normalBullet_texiao = normalBullet_texiao;
})(game || (game = {}));
//# sourceMappingURL=normalBullet_texiao.js.map