/**
 *  怪物角色表
 */
//特效子弹
module  game {
    export class normalBullet_texiao extends baseBullet {
        m_isShutDown: any = true;

        static create = function (): normalBullet_texiao {
            return new normalBullet_texiao();
        };

        shutdown()
        {
            super.shutdown();

        }

        constructor() {
            super();
            this.m_des = "normalBullet_texiao";
            this.m_bulletType = g_bulletType.texiao;
            this.getNode().setName("normalBullet_texiao类");
        }


        loadres() {
            this.m_BulletNode = spineMgr.getMe().loadSpine(this.m_info["res"], this.getNode(), 4);
            if (this.m_info["resAnimation"]) {
                var ret = this.m_BulletNode.setAnimation(0, this.m_info["resAnimation"], false);
                if (ret == null) {
                    console.log("spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                    uiMgr.getMe().show_ui_MessageBox(true, "spine " + this.m_info["res"] + "没有动画：" + this.m_info["resAnimation"]);
                }
            }
            else {
                var ret = this.m_BulletNode.setAnimation(0, "play", false);
            }
            this.m_BulletNode.setScale(this.m_info.scale);
            if (this.m_dir.x < 0) {
                this.m_BulletNode.setScaleX(-1 * this.m_info.scale);
            }
            // this.addChild(this.m_BulletNode.getNode(), 4);
            this.m_BulletNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_BulletNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_BulletNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
            }.bind(this));
            this.m_BulletNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind(this));
            return true;
        }

        onFrameEvent(type, event) {
            if (type == "End") {
                this.m_isShutDown = false;
            }
            else if (type == "Complete") {
                this.m_isShutDown = false;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    musicMgr.getMe().playeffect(event.data.name);
                }
                var name = event.data.name;
                //动作停顿
                if (name.indexOf(g_eventFrameType["Pause"]) > -1) {
                    EffectMgr.getMe().OnBulletPause(event);
                }
                //动作时间缩放
                if (name.indexOf(g_eventFrameType["TimeScale"]) > -1) {
                    EffectMgr.getMe().OnTimeScaleChange(event);
                }
                //震屏
                if (name.indexOf(g_eventFrameType["ScreenShake"]) > -1) {
                    EffectMgr.getMe().OnScreenShake(event);
                }
                this.phyParseEx(event);
            }
        }

        update(dt) {
            if (this.m_BulletNode.isPlay() == false) {
                return false;
            }
            return this.m_isShutDown;
        }

        getPhyRect() {
            var rectme_qugan = this.m_BulletNode.getBoundingBoxBySlotName("gongjizudang1");
            return rectme_qugan;
        }

        phyParseEx(event) {
            var damageInfo = null;
            if (event.data.name.indexOf("shanghai1") >= 0) {
                damageInfo = this.m_info["hit"]["shanghai1"];
            }
            else if (event.data.name.indexOf("shanghai2") >= 0) {
                damageInfo = this.m_info["hit"]["shanghai2"];
            }
            else {
                return;
            }
            var enemyList : Map< number,any > ;
            if (this.m_RoleType == g_bulletRoleType.bulletType_play) {
                enemyList = roleMgr.getMe().getMonsterAlive();
            }
            else {
                enemyList = roleMgr.getMe().getPlayerAlive();
            }
            if (!damageInfo)
                return;

            if (enemyList) {
                for (var i = 0; i < enemyList.size; ++i) {
                    var obj = enemyList.getByIndex(i);
                    var colliderIndexString = "gongjizudang1";
                    var rect = this.getPhyRect();
                    if (rect.width < 0.1) {
                        console.log("spine:" + this.m_info["res"] + "特效没有攻击阻挡" + colliderIndexString);
                    }
                    if (rect.height < 0.1) {
                        console.log("spine:" + this.m_info["res"] + "特效没有攻击阻挡" + colliderIndexString);
                    }
                    // console.log( " rect.x :" + rect.x + " rect.y" +  rect.y + " rect.w" +  rect.width +  " rect.h" +  rect.height   );
                    if (obj.dealPhyWithRect(rect) == 1) {
                        obj.OnBulletHit(this.m_owner, damageInfo, this);
                    }
                }
            }
        }

        //处理碰撞
        phyParse(baseobj) {

        }
    }

}
