module game{
    export  class  baseBullet_demo extends baseObj{
        m_RoleType: any = g_bulletRoleType.bulletType_play
        m_BulletNode: SkeletonAnimation_Ex = null
        m_dir:  any =cc.p(1, 0)
        m_rotation: any = null
        m_speed:  any =null
        range_dis: any = 0
        m_info: any = null
        m_des: any = null
        m_isAlive:  any =true
        m_jishi:  any =0

        constructor () {
            super();
            this.m_des = "baseBullet_demo";
            this.m_Type = g_ObjType.bullet;
            this.getNode().setName("baseBullet_demo类");
        }
        zanting (flag) {
            if (flag) {
                this.m_BulletNode.pause();
            }
            else {
                this.m_BulletNode.resume();
            }
        }
        isPlay () {
            return this.m_BulletNode.isPlay();
        }
        initEx (info) {
            this.m_info = cc.copy(info);
            this.m_speed = this.m_info.speed;
            this.m_dir = this.m_info.dir;
            this.m_rotation = this.m_info.rotation;
            this.range_dis = this.m_info.range_dis;
            this.m_RoleType = this.m_info.roleType;
            //加载资源
            this.loadres();
            this.setPosition(this.m_info.pos);
            //m_dir
            if (this.m_rotation) {
                this.setRotation(this.m_rotation); //
            }
        }
        shutdown () {
            this.m_isAlive = false;
            //  console.log("卸载资源" + this.m_info);
        }
        loadres () {
            this.m_BulletNode = spineMgr.getMe().loadSpine(this.m_info["res"],this.getNode(), 4);
            if (this.m_info["resAnimation"]) {
                this.m_BulletNode.setAnimation(0, this.m_info["resAnimation"], true);
            }
            else {
                this.m_BulletNode.setAnimation(0, "play", true);
            }
            //this.addChild(this.m_BulletNode.getNode(), 4);
            if (this.m_dir.x < 0) {
                // this.setScaleX(-1);
                this.m_BulletNode.setScaleX(-1);
            }
            this.m_BulletNode.setScale(this.m_info.scale);
            return true;
        }
        update (dt) {
            return this.loopMove(dt);
        }
        // 移动
        loopMove (dt) {
            //this.m_jishi += dt;
            if (this.m_isAlive == false) {
                return false;
            }
            //
            var pos = this.getPosition();
            var newpos = cc.pAdd(pos, cc.pMult(this.m_dir, this.m_speed * dt));
            //处理射程
            var dis = cc.pDistance(this.m_info.pos, newpos);
            if (dis > this.range_dis) {
                this.m_isAlive = false;
                return true;
            }
            this.setPosition(newpos);
            return true;
        }
        playAnimation (name, loop) {
            this.m_BulletNode.setAnimation(0, name, loop);
        }
    }
}
//# sourceMappingURL=baseBullet_demo.js.map