/**
 * Created by Allen on 2016/12/29.
 */
var game;
(function (game) {
    var choukaMgr = (function () {
        function choukaMgr() {
            this.m_kaMap = null;
            this.m_des = "choukaMgr";
            this.m_kaMap = new game.Map();
        }
        choukaMgr.prototype.getChoukaPrice = function (choukaType) {
            if (choukaType == game.e_choukaType.one) {
                return game.g_chouka_config.chouKa_one_price;
            }
            else {
                return game.g_chouka_config.chouKa_ten_price;
            }
        };
        choukaMgr.prototype.randomInProbability = function (weights) {
            if (arguments.length > 1) {
                weights = [].slice.call(arguments);
            }
            var total, current = 0, parts = [], l = weights.length;
            // reduce 方法的简单兼容
            total = weights.reduce ? weights.reduce(function (a, b) {
                return a + b;
            }) : eval(weights.join('+'));
            for (var i = 0; i < l; i++) {
                current += weights[i];
                parts.push('if( p < ', current / total, ' ) return ', i / l, ' + n;');
            }
            return Function('var p = Math.random(), n = Math.random() / ' + l + ';' + parts.join(''));
        };
        //一连抽
        choukaMgr.prototype.chouKa_one = function () {
            this.m_kaMap.clear();
            var oneKa = this.chouKa_once();
            this.m_kaMap.set(1, oneKa);
            // dataMgr.getMe().getPlayDoc().coreData.choukanum += 1;
        };
        //十连抽
        choukaMgr.prototype.chouKa_ten = function () {
            this.m_kaMap.clear();
            for (var i = 1; i <= 10; i++) {
                var oneKa = this.chouKa_tenth();
                this.m_kaMap.set(i, oneKa);
            }
            // dataMgr.getMe().getPlayDoc().coreData.choukanum += 10;
        };
        choukaMgr.prototype.chouKa_once = function () {
            // var choukagailv = null;
            // var choukaConfig = g_chouka_config.chouka_one;
            // var choukaNum = dataMgr.getMe().getPlayDoc().coreData.choukanum;
            // choukaNum = choukaNum + 1;
            // for (var i in choukaConfig) {
            //     if (choukaNum >= choukaConfig[i].minnum && choukaNum <= choukaConfig[i].maxnum) {
            //         choukagailv = choukaConfig[i].gailv;
            //     }
            // }
            var choukaConfig = game.g_chouka_config.chouka_one;
            var choukagailv = choukaConfig.gailv;
            var gailv = new Array();
            var items = new Array();
            for (var p in choukagailv) {
                gailv.push(choukagailv[p]);
                items.push(p);
            }
            var updateRandom = this.randomInProbability(gailv);
            var randomIndex = Math.floor(items.length * updateRandom());
            return items[randomIndex];
        };
        //十连抽抽第十次
        choukaMgr.prototype.chouKa_tenth = function () {
            var choukaConfig = game.g_chouka_config.chouka_ten;
            var choukagailv = choukaConfig.gailv;
            var gailv = new Array();
            var items = new Array();
            for (var p in choukagailv) {
                gailv.push(choukagailv[p]);
                items.push(p);
            }
            var updateRandom = this.randomInProbability(gailv);
            var randomIndex = Math.floor(items.length * updateRandom());
            return items[randomIndex];
        };
        choukaMgr.g_ins = null;
        choukaMgr.getMe = function () {
            return choukaMgr.create();
        };
        choukaMgr.create = function () {
            if (choukaMgr.g_ins == null) {
                choukaMgr.g_ins = new choukaMgr();
                return choukaMgr.g_ins;
            }
            else {
                return choukaMgr.g_ins;
            }
        };
        return choukaMgr;
    }());
    game.choukaMgr = choukaMgr;
})(game || (game = {}));
//# sourceMappingURL=choukaMgr.js.map 
//# sourceMappingURL=choukaMgr.js.map