/**
 * Created by Allen on 2016/12/29.
 */
module game {
    export class choukaMgr {
        m_kaMap:Map<number, string> = null
        static g_ins: any = null;
        static getMe = function () {
            return choukaMgr.create();
        };
        static create = function () {
            if (choukaMgr.g_ins == null) {
                choukaMgr.g_ins = new choukaMgr();
                return choukaMgr.g_ins;
            }
            else {
                return choukaMgr.g_ins;
            }
        };
        m_des: string = "choukaMgr";
        constructor() {
            this.m_kaMap = new Map<number, string>();
        }

        getChoukaPrice(choukaType) {
            if (choukaType == e_choukaType.one) {
                return g_chouka_config.chouKa_one_price;
            } else {
                return g_chouka_config.chouKa_ten_price;
            }
        }

        randomInProbability(weights) {
            if (arguments.length > 1) {
                weights = [].slice.call(arguments);
            }
            var total, current = 0, parts = [], l = weights.length;
            // reduce 方法的简单兼容
            total = weights.reduce ? weights.reduce(function (a, b) {
                    return a + b;
                }) : eval(weights.join('+'));
            for (var i = 0; i < l; i++) {
                current += weights[i];
                parts.push('if( p < ', current / total, ' ) return ', i / l, ' + n;');
            }
            return Function('var p = Math.random(), n = Math.random() / ' + l + ';' + parts.join(''));
        }


        //一连抽
        chouKa_one() {
            this.m_kaMap.clear();

            var oneKa = this.chouKa_once();

            this.m_kaMap.set(1, oneKa);

            // dataMgr.getMe().getPlayDoc().coreData.choukanum += 1;
        }

        //十连抽
        chouKa_ten() {
            this.m_kaMap.clear();

            for (var i = 1; i <= 10; i++) {
                var oneKa = this.chouKa_tenth();
                this.m_kaMap.set(i, oneKa);
            }


            // dataMgr.getMe().getPlayDoc().coreData.choukanum += 10;
        }

        chouKa_once() {
            // var choukagailv = null;
            // var choukaConfig = g_chouka_config.chouka_one;
            // var choukaNum = dataMgr.getMe().getPlayDoc().coreData.choukanum;
            // choukaNum = choukaNum + 1;
            // for (var i in choukaConfig) {
            //     if (choukaNum >= choukaConfig[i].minnum && choukaNum <= choukaConfig[i].maxnum) {
            //         choukagailv = choukaConfig[i].gailv;
            //     }
            // }

            var choukaConfig = g_chouka_config.chouka_one;
            var choukagailv = choukaConfig.gailv;

            var gailv = new Array();
            var items = new Array();
            for (var p in choukagailv) {
                gailv.push(choukagailv[p]);
                items.push(p);
            }
            var updateRandom = this.randomInProbability(gailv);
            var randomIndex = Math.floor(items.length * updateRandom());
            return items[randomIndex];
        }


        //十连抽抽第十次
        chouKa_tenth() {
            var choukaConfig = g_chouka_config.chouka_ten;
            var choukagailv = choukaConfig.gailv;

            var gailv = new Array();
            var items = new Array();
            for (var p in choukagailv) {
                gailv.push(choukagailv[p]);
                items.push(p);
            }
            var updateRandom = this.randomInProbability(gailv);
            var randomIndex = Math.floor(items.length * updateRandom());
            return items[randomIndex];
        }


    }

}
//# sourceMappingURL=choukaMgr.js.map