var game;
(function (game) {
    var g_LEFT_RIGHT_JIANGE = 100;
    var cameraMgr = (function () {
        function cameraMgr() {
            this.m_cameraMgr_jsbs = null;
            this.m_rect = cc.rect();
            this.m_Min_pos = cc.p(0, 0);
            this.m_Max_pos = cc.p(4000, 768);
            this.m_StartPosition = cc.p(0, 0);
            this.m_shakeTime = 0;
            this.m_shake_fudu = 0;
            this.m_sceneScale = 1;
            this.m_controlRole = null;
            this.m_CurCameraRunRect = null;
        }
        cameraMgr.getMe = function () {
            if (cameraMgr.g_insta == null) {
                cameraMgr.g_insta = new cameraMgr();
                return cameraMgr.g_insta;
            }
            else {
                return cameraMgr.g_insta;
            }
        };
        ;
        cameraMgr.prototype.initex = function () {
            this.m_sceneScale = game.sceneMgr.getMe().getCurScene().getsceneReScale();
            this.m_visibleSize = cc.director.getVisibleSize();
            if (cc.sys.isNative) {
                if (this.m_cameraMgr_jsbs == null) {
                    this.m_cameraMgr_jsbs = new cc.cameraMgr_jsb();
                }
                this.m_cameraMgr_jsbs.initEx();
            }
        };
        cameraMgr.prototype.shutdown = function () {
            this.m_controlRole = null;
        };
        cameraMgr.prototype.reset = function (player) {
            this.m_controlRole = player;
            //let visibleSize: cc.Size = cc.director.getVisibleSize();
            var newpos_x = 0;
            var tt = player.getState(game.e_AiType.g_AiType_run);
            if (!tt) {
                return;
            }
            if (tt.m_dir.x > 0) {
                newpos_x = this.m_visibleSize.width / 2 - this.m_controlRole.getPositionX() - g_LEFT_RIGHT_JIANGE;
            }
            else {
                newpos_x = this.m_visibleSize.width / 2 - this.m_controlRole.getPositionX() + g_LEFT_RIGHT_JIANGE;
            }
            if (newpos_x < -(this.m_Max_pos.x) + this.m_visibleSize.width) {
                newpos_x = -(this.m_Max_pos.x) + this.m_visibleSize.width;
            }
            if (newpos_x > -this.m_Min_pos.x) {
                newpos_x = -this.m_Min_pos.x;
            }
            game.sceneMgr.getMe().setPositionX(newpos_x);
        };
        cameraMgr.prototype.loop = function (t) {
            //
            if (this.m_shakeTime > 0) {
                this.updata_Shake(t);
                return;
            }
            if (game.roleMgr.getMe() == null) {
                return;
            }
            if (this.m_controlRole == null) {
                return;
            }
            var tt = this.m_controlRole.getState(game.e_AiType.g_AiType_run);
            if (!tt) {
                return;
            }
            if (cc.sys.isNative) {
                this.m_cameraMgr_jsbs.setDir_SceneScale(this.m_rect, tt.m_dir, this.m_sceneScale);
            }
            //  let visibleSize: cc.Size = cc.director.getVisibleSize();
            var newpos_x;
            if (tt.m_dir.x > 0) {
                newpos_x = this.m_visibleSize.width / 2 / game.rootScene.getMe().m_win_scale - this.m_controlRole.getPositionX() - g_LEFT_RIGHT_JIANGE;
            }
            else {
                newpos_x = this.m_visibleSize.width / 2 / game.rootScene.getMe().m_win_scale - this.m_controlRole.getPositionX() + g_LEFT_RIGHT_JIANGE;
            }
            newpos_x = this.loop_h_move(t, newpos_x, this.m_visibleSize);
            // this.loop_smooth(t, newpos_x);
            game.sceneMgr.getMe().setPositionX(newpos_x);
        };
        cameraMgr.prototype.loop_h_move = function (t, newpos_x, visibleSize) {
            var sc_pos = game.sceneMgr.getMe().getPositionX() * this.m_sceneScale;
            var dis = sc_pos - newpos_x;
            var movedis = (dis / 130) * (this.m_controlRole.getOutSpeed()) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_x = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_x = sc_pos + movedis;
                }
            }
            newpos_x = newpos_x * game.rootScene.getMe().m_win_scale;
            var maxcamera = -((this.m_Max_pos.x) * game.rootScene.getMe().m_win_scale) + visibleSize.width;
            var mincamera = -(this.m_Min_pos.x) * game.rootScene.getMe().m_win_scale;
            if (newpos_x < maxcamera) {
                newpos_x = maxcamera;
                return newpos_x;
            }
            if (newpos_x > mincamera) {
                newpos_x = mincamera;
                return newpos_x;
            }
            return newpos_x;
        };
        cameraMgr.prototype.fgRangeRand = function (min, max) {
            var rnd = (cc.random0To1() * max * 2) - max;
            return rnd * (max - min) + min;
        };
        cameraMgr.prototype.updata_Shake = function (t) {
            this.m_shakeTime -= t;
            if (this.m_shakeTime <= 0) {
                this.end_Shake();
                return;
            }
            var randx = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            var randy = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            var newPos = cc.pAdd(this.m_StartPosition, cc.p(randx, randy));
            //  let visibleSize = cc.director.getVisibleSize();
            if (newPos.y < -(this.m_Max_pos.y * game.rootScene.getMe().m_win_scale) + this.m_visibleSize.height) {
                newPos.y = -(this.m_Max_pos.y * game.rootScene.getMe().m_win_scale) + this.m_visibleSize.height;
            }
            if (newPos.y > this.m_Min_pos.y * game.rootScene.getMe().m_win_scale) {
                newPos.y = this.m_Min_pos.y * game.rootScene.getMe().m_win_scale;
            }
            if (newPos.x < -(this.m_Max_pos.x * game.rootScene.getMe().m_win_scale) + this.m_visibleSize.width) {
                newPos.x = -(this.m_Max_pos.x * game.rootScene.getMe().m_win_scale) + this.m_visibleSize.width;
            }
            if (newPos.x > -this.m_Min_pos.x * game.rootScene.getMe().m_win_scale) {
                newPos.x = -this.m_Min_pos.x * game.rootScene.getMe().m_win_scale;
            }
            game.sceneMgr.getMe().setPosition(newPos);
        };
        cameraMgr.prototype.start_Shake = function (shakeTime, shakelevel) {
            if (game.rootScene.getMe().isLowCpu()) {
                return;
            }
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = game.sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = shakeTime;
            this.m_shake_fudu = shakelevel;
        };
        cameraMgr.prototype.start_Shake_mid = function () {
            if (game.rootScene.getMe().isLowCpu()) {
                return;
            }
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = game.sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = 0.1;
            this.m_shake_fudu = 10;
        };
        cameraMgr.prototype.end_Shake = function () {
            game.sceneMgr.getMe().setPosition(this.m_StartPosition);
        };
        cameraMgr.prototype.cutMinCamera = function () {
            var sc_pos = game.sceneMgr.getMe().getPositionX() * this.m_sceneScale;
            if (this.m_Min_pos.x < -sc_pos) {
                this.m_Min_pos.x = -sc_pos;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        };
        cameraMgr.prototype.setRect = function (rect) {
            this.m_Min_pos.x = cc.rectGetMinX(rect); // rect.getMinX();//  m_SceneInfo.min_camera_x;
            this.m_Min_pos.y = cc.rectGetMinY(rect); //rect.getMinY(); // m_SceneInfo.min_camera_y;
            this.m_Max_pos.x = cc.rectGetMaxX(rect); //rect.getMaxX();// m_SceneInfo.max_camera_x;
            if (game.sceneMgr.getMe().getCurSceneInfo().max_camera_x < this.m_Max_pos.x) {
                this.m_Max_pos.x = game.sceneMgr.getMe().getCurSceneInfo().max_camera_x;
            }
            this.m_Max_pos.y = cc.rectGetMaxY(rect); //rect.getMaxY(); //
            if (game.sceneMgr.getMe().getCurSceneInfo().max_camera_y < this.m_Max_pos.y) {
                this.m_Max_pos.y = game.sceneMgr.getMe().getCurSceneInfo().max_camera_y;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        };
        cameraMgr.prototype.getRect = function () {
            if (this.m_CurCameraRunRect == null) {
                this.m_CurCameraRunRect = cc.clone(this.m_rect);
            }
            this.m_CurCameraRunRect.x = this.m_rect.x + 100;
            this.m_CurCameraRunRect.width = this.m_rect.width - 200;
            return this.m_CurCameraRunRect;
        };
        cameraMgr.prototype.getRectMinPos = function () {
            var l_rect = cameraMgr.getMe().getRect();
            var pos = cc.p(); //
            pos.x = cc.rectGetMidX(l_rect);
            pos.y = cc.rectGetMidY(l_rect);
            return pos;
        };
        //////////////////////////////////////////////////////////////////////////
        cameraMgr.prototype.getCameraRect_Small_half = function () {
            // let newrect = cc.clone(this.m_rect);
            // newrect.x = this.m_rect.x;
            // newrect.width = this.m_rect.width;
            return this.m_rect;
            //return this.m_rect;
        };
        cameraMgr.g_insta = null;
        return cameraMgr;
    }());
    game.cameraMgr = cameraMgr;
})(game || (game = {}));
//# sourceMappingURL=cameraMgr.js.map 
//# sourceMappingURL=cameraMgr.js.map