module game {
    let g_LEFT_RIGHT_JIANGE = 100;
    export class cameraMgr {

        static g_insta: cameraMgr = null;
        static getMe(): cameraMgr {
            if (cameraMgr.g_insta == null) {
                cameraMgr.g_insta = new cameraMgr();
                return cameraMgr.g_insta;
            }
            else {
                return cameraMgr.g_insta;
            }
        };

        m_cameraMgr_jsbs:cc.cameraMgr_jsb = null;
        m_rect: any = cc.rect();
        m_Min_pos: any = cc.p(0, 0);
        m_Max_pos: any = cc.p(4000, 768);
        m_StartPosition: any = cc.p(0, 0);
        m_shakeTime: any = 0;
        m_shake_fudu: any = 0;
        m_visibleSize: cc.Size;
        m_sceneScale: number = 1;
        m_controlRole: player = null;


        initex() {
            this.m_sceneScale = sceneMgr.getMe().getCurScene().getsceneReScale();
            this.m_visibleSize = cc.director.getVisibleSize();

            if(cc.sys.isNative)
            {
                if(this.m_cameraMgr_jsbs == null)
                {
                    this.m_cameraMgr_jsbs = new cc.cameraMgr_jsb();
                }
                this.m_cameraMgr_jsbs.initEx();
            }
        }

        shutdown() {
            this.m_controlRole = null;
        }

        reset(player) {
            this.m_controlRole = player;
            //let visibleSize: cc.Size = cc.director.getVisibleSize();
            let newpos_x = 0;
            let tt = player.getState(e_AiType.g_AiType_run);
            if (!tt) {
                return;
            }
            if (tt.m_dir.x > 0) {//cc.p(s_visibleRect.width / 2, s_visibleRect.height / 2);
                newpos_x = this.m_visibleSize.width / 2 - this.m_controlRole.getPositionX() - g_LEFT_RIGHT_JIANGE;
            }
            else {
                newpos_x = this.m_visibleSize.width / 2 - this.m_controlRole.getPositionX() + g_LEFT_RIGHT_JIANGE;
            }
            if (newpos_x < -(this.m_Max_pos.x) + this.m_visibleSize.width) {
                newpos_x = -(this.m_Max_pos.x) + this.m_visibleSize.width;
            }
            if (newpos_x > -this.m_Min_pos.x) {
                newpos_x = -this.m_Min_pos.x;
            }
            sceneMgr.getMe().setPositionX(newpos_x);
        }

        loop(t) {
            //
            if (this.m_shakeTime > 0) {
                this.updata_Shake(t);
                return;
            }
            if (roleMgr.getMe() == null) {
                return;
            }
            if (this.m_controlRole == null) {
                return;
            }
            let tt = this.m_controlRole.getState(e_AiType.g_AiType_run);
            if (!tt) {
                return;
            }

             if( cc.sys.isNative )
             {
                 this.m_cameraMgr_jsbs.setDir_SceneScale(this.m_rect,tt.m_dir,this.m_sceneScale);
                 //this.m_cameraMgr_jsbs.update(t,this.m_controlRole.getOutSpeed());
               //  return;
             }

            //  let visibleSize: cc.Size = cc.director.getVisibleSize();
            let newpos_x;
            if (tt.m_dir.x > 0)
            {
                newpos_x = this.m_visibleSize.width / 2 / rootScene.getMe().m_win_scale - this.m_controlRole.getPositionX() - g_LEFT_RIGHT_JIANGE;
            }
            else
                {
                newpos_x = this.m_visibleSize.width / 2 / rootScene.getMe().m_win_scale - this.m_controlRole.getPositionX() + g_LEFT_RIGHT_JIANGE;
            }
            newpos_x = this.loop_h_move(t, newpos_x, this.m_visibleSize);
            // this.loop_smooth(t, newpos_x);
            sceneMgr.getMe().setPositionX(newpos_x);
        }



        loop_h_move(t, newpos_x, visibleSize) {
            let sc_pos = sceneMgr.getMe().getPositionX() * this.m_sceneScale;
            let dis = sc_pos - newpos_x;
            let movedis = (dis / 130) * (this.m_controlRole.getOutSpeed()) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_x = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_x = sc_pos + movedis;
                }
            }
            newpos_x = newpos_x * rootScene.getMe().m_win_scale;
            let maxcamera = -((this.m_Max_pos.x) * rootScene.getMe().m_win_scale) + visibleSize.width;
            let mincamera = -(this.m_Min_pos.x) * rootScene.getMe().m_win_scale;
            if (newpos_x < maxcamera) {
                newpos_x = maxcamera;
                return newpos_x;
            }
            if (newpos_x > mincamera) {
                newpos_x = mincamera;
                return newpos_x;
            }
            return newpos_x;
        }

        fgRangeRand(min, max) {
            let rnd = (cc.random0To1() * max * 2) - max;
            return rnd * (max - min) + min;
        }

        updata_Shake(t) {
            this.m_shakeTime -= t;
            if (this.m_shakeTime <= 0) {
                this.end_Shake();
                return;
            }
            let randx = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            let randy = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            let newPos = cc.pAdd(this.m_StartPosition, cc.p(randx, randy));
            //  let visibleSize = cc.director.getVisibleSize();
            if (newPos.y < -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + this.m_visibleSize.height) {
                newPos.y = -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + this.m_visibleSize.height;
            }
            if (newPos.y > this.m_Min_pos.y * rootScene.getMe().m_win_scale) {
                newPos.y = this.m_Min_pos.y * rootScene.getMe().m_win_scale;
            }
            if (newPos.x < -(this.m_Max_pos.x * rootScene.getMe().m_win_scale) + this.m_visibleSize.width) {
                newPos.x = -(this.m_Max_pos.x * rootScene.getMe().m_win_scale) + this.m_visibleSize.width;
            }
            if (newPos.x > -this.m_Min_pos.x * rootScene.getMe().m_win_scale) {
                newPos.x = -this.m_Min_pos.x * rootScene.getMe().m_win_scale;
            }
            sceneMgr.getMe().setPosition(newPos);
        }

        start_Shake(shakeTime, shakelevel) {
            if (rootScene.getMe().isLowCpu()) {
                return;
            }
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = shakeTime;
            this.m_shake_fudu = shakelevel;
        }

        start_Shake_mid() {
            if (rootScene.getMe().isLowCpu()) {
                return;
            }
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = 0.1;
            this.m_shake_fudu = 10;
        }

        end_Shake() {
            sceneMgr.getMe().setPosition(this.m_StartPosition);
        }

        cutMinCamera() {
            let sc_pos = sceneMgr.getMe().getPositionX() * this.m_sceneScale;
            if (this.m_Min_pos.x < -sc_pos) {
                this.m_Min_pos.x = -sc_pos;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        }

        setRect( rect )
        {
            this.m_Min_pos.x = cc.rectGetMinX(rect); // rect.getMinX();//  m_SceneInfo.min_camera_x;
            this.m_Min_pos.y = cc.rectGetMinY(rect); //rect.getMinY(); // m_SceneInfo.min_camera_y;
            this.m_Max_pos.x = cc.rectGetMaxX(rect); //rect.getMaxX();// m_SceneInfo.max_camera_x;
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_x < this.m_Max_pos.x) {
                this.m_Max_pos.x = sceneMgr.getMe().getCurSceneInfo().max_camera_x;
            }
            this.m_Max_pos.y = cc.rectGetMaxY(rect); //rect.getMaxY(); //
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_y < this.m_Max_pos.y) {
                this.m_Max_pos.y = sceneMgr.getMe().getCurSceneInfo().max_camera_y;
            }

            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;





        }

        m_CurCameraRunRect: any = null;

        getRect() {
            if (this.m_CurCameraRunRect == null) {
                this.m_CurCameraRunRect = cc.clone(this.m_rect);
            }

            this.m_CurCameraRunRect.x = this.m_rect.x + 100;
            this.m_CurCameraRunRect.width = this.m_rect.width - 200;
            return this.m_CurCameraRunRect;

        }

        getRectMinPos() {
            let l_rect = cameraMgr.getMe().getRect();
            let pos = cc.p(); //
            pos.x = cc.rectGetMidX(l_rect);
            pos.y = cc.rectGetMidY(l_rect);
            return pos;
        }

        //////////////////////////////////////////////////////////////////////////
        getCameraRect_Small_half() {
            // let newrect = cc.clone(this.m_rect);
            // newrect.x = this.m_rect.x;
            // newrect.width = this.m_rect.width;
            return this.m_rect;
            //return this.m_rect;
        }
    }

}


//# sourceMappingURL=cameraMgr.js.map