//
//
//
var game;
(function (game) {
    var musicMgr = (function () {
        function musicMgr() {
            this.m_stopEffect = false;
            this.m_stopmusic = false;
            this.m_back_music = null;
            this.m_backMusicId = null;
            this.m_time_loop_playEffect = 3;
            this.m_stopBackupMusic = null;
        }
        musicMgr.prototype.ctor = function () {
            this.initmusicMgr();
        };
        musicMgr.prototype.initmusicMgr = function () {
            this.setmusic();
        };
        musicMgr.prototype.setmusic = function () {
            this.m_stopmusic = !this.m_stopmusic;
            if (!this.m_stopmusic) {
                //cc.audioEngine.setMusicVolume(0.0);
                this.setBackMusicConfig(true);
                this.setEffectsConfig(true);
            }
            else {
                // cc.audioEngine.setMusicVolume(1.0);
                this.setBackMusicConfig(false);
                this.setEffectsConfig(false);
            }
        };
        musicMgr.prototype.loop = function (t) {
        };
        //为了跨平台
        musicMgr.prototype.shipeiname = function (name) {
            if (name == "")
                return null;
            if (name == null)
                return null;
            var namelist = name.split("/");
            if (namelist.length > 0) {
                name = namelist[namelist.length - 1];
            }
            var buffurl = null;
            if (cc.sys.isNative) {
                buffurl = "xingjiezhuzhuxia2/public_res/music/" + name;
                if (cc.sys.os == cc.sys.OS_WINDOWS) {
                    buffurl = "win_res/music/" + name;
                    buffurl = buffurl.replace(".ogg", ".mp3");
                }
                else {
                    buffurl = buffurl.replace(".mp3", ".ogg");
                }
            }
            else {
                buffurl = "xingjiezhuzhuxia2/public_res/music/" + name;
                buffurl = buffurl.replace(".mp3", ".ogg");
            }
            if (cc.sys.os == cc.sys.OS_ANDROID) {
                buffurl = buffurl.replace(".mp3", ".ogg");
            }
            return buffurl;
        };
        musicMgr.prototype.playbackmusic = function (name, qiangzhibofang) {
            if (qiangzhibofang === void 0) { qiangzhibofang = null; }
            if (game.rootScene.getMe().isLowCpu())
                return;
            if (cc.sys.isNative == false) {
                return;
            }
            if (qiangzhibofang == null) {
                qiangzhibofang = false;
            }
            if (this.m_stopBackupMusic) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            if (qiangzhibofang == false) {
                if (this.m_back_music == buffurl) {
                    return;
                }
            }
            this.m_back_music = buffurl;
            if (cc.sys.isNative) {
                if (this.m_backMusicId != null) {
                    jsb.AudioEngine.stop(this.m_backMusicId);
                }
            }
            console.log("playbackmusic : " + buffurl);
            if (cc.sys.isNative) {
                this.m_backMusicId = jsb.AudioEngine.play2d(buffurl, true);
            }
            else {
            }
        };
        musicMgr.prototype.playbackmusicOnce = function (name, qiangzhibofang) {
            if (game.rootScene.getMe().isLowCpu())
                return;
            if (qiangzhibofang == null) {
                qiangzhibofang = false;
            }
            if (this.m_stopBackupMusic) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            if (qiangzhibofang == false) {
                if (this.m_back_music == buffurl) {
                    return;
                }
            }
            this.m_back_music = buffurl;
            if (cc.sys.isNative) {
                jsb.AudioEngine.play2d(buffurl, false);
            }
            else {
            }
        };
        musicMgr.prototype.pauseMusic = function () {
            if (cc.sys.isNative) {
                jsb.AudioEngine.pauseAll();
            }
            else {
            }
        };
        musicMgr.prototype.resumeMusic = function () {
            if (cc.sys.isNative) {
                jsb.AudioEngine.resumeAll();
            }
            else {
            }
        };
        musicMgr.prototype.stopbackmuisc = function () {
            if (cc.sys.isNative) {
                jsb.AudioEngine.stopAll();
            }
            else {
            }
            this.m_back_music = null;
        };
        musicMgr.prototype.playData = function (data) {
            try {
                if (data != "" && data != null) {
                    var outjson = JSON.parse(data);
                    if (outjson["bm"] != null) {
                        this.playbackmusic(outjson["bm"]);
                    }
                    if (outjson["click"] != null) {
                        this.playeffect(outjson["click"]);
                    }
                }
            }
            catch (e) {
                //throw e;
                // cb("load json [" + url + "] failed : " + e);
                //uiMgr.getMe().show_ui_MessageBox(true, "用户数据填错了" + data);
                cc.log("playData 用户数据填错了" + data);
            }
        };
        musicMgr.prototype.playCheckBoxeffect = function (checkbox) {
        };
        musicMgr.prototype.playeffect = function (name) {
            // return
            if (game.rootScene.getMe().isLowCpu())
                return;
            //test
            // return;
            if (cc.sys.isNative == false) {
                return;
            }
            if (this.m_stopEffect) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            //cc.error( "music " + buffurl);
            // console.log( "music: " + buffurl);
            if (cc.sys.isNative) {
                jsb.AudioEngine.play2d(buffurl, false);
            }
            else {
            }
        };
        musicMgr.prototype.setBackMusicConfig = function (stopMusic) {
            if (stopMusic != this.m_stopBackupMusic) {
                this.m_stopBackupMusic = stopMusic;
                if (stopMusic) {
                    this.stopbackmuisc();
                }
                else {
                    this.playbackmusic(this.m_back_music, true);
                }
            }
        };
        musicMgr.prototype.setEffectsConfig = function (stopMusic) {
            if (this.m_stopEffect != stopMusic) {
                if (this.m_stopEffect) {
                }
                else {
                }
                this.m_stopEffect = stopMusic;
            }
        };
        musicMgr.prototype.getMusicConfig = function () {
            return this.m_stopBackupMusic;
        };
        musicMgr.prototype.getEffectConfig = function () {
            return this.m_stopEffect;
        };
        musicMgr.g_musicMgr = null;
        musicMgr.getMe = function () {
            if (musicMgr.g_musicMgr == null) {
                musicMgr.g_musicMgr = new musicMgr();
                return musicMgr.g_musicMgr;
            }
            else {
                return musicMgr.g_musicMgr;
            }
        };
        return musicMgr;
    }());
    game.musicMgr = musicMgr;
})(game || (game = {}));
//# sourceMappingURL=musicMgr.js.map 
//# sourceMappingURL=musicMgr.js.map