//
//
//

module game {

    export class musicMgr {

        m_stopEffect: boolean = false;
        m_stopmusic: boolean = false;
        m_back_music: any = null;
        m_backMusicId: any = null;
        m_time_loop_playEffect: any = 3;
        m_stopBackupMusic: any = null;

        static g_musicMgr: musicMgr = null;
        static getMe = function ():musicMgr {
            if (musicMgr.g_musicMgr == null) {
                musicMgr.g_musicMgr = new musicMgr();
                return musicMgr.g_musicMgr;
            }
            else {
                return musicMgr.g_musicMgr;
            }
        };

        ctor() {
            this.initmusicMgr();
        }

        initmusicMgr() {
            this.setmusic();
        }

        setmusic() {
            this.m_stopmusic = !this.m_stopmusic;
            if (!this.m_stopmusic) {
                //cc.audioEngine.setMusicVolume(0.0);
                this.setBackMusicConfig(true);
                this.setEffectsConfig(true);
            }
            else {
                // cc.audioEngine.setMusicVolume(1.0);
                this.setBackMusicConfig(false);
                this.setEffectsConfig(false);
            }
        }

        loop(t) {

        }

        //为了跨平台
        shipeiname(name) {
            if (name == "")
                return null;
            if (name == null)
                return null;
            var namelist = name.split("/");
            if (namelist.length > 0) {
                name = namelist[namelist.length - 1];
            }
            var buffurl = null;
            if (cc.sys.isNative) {
                buffurl = "xingjiezhuzhuxia2/public_res/music/" + name;
                if (cc.sys.os == cc.sys.OS_WINDOWS) {
                    buffurl = "win_res/music/" + name;
                    buffurl = buffurl.replace(".ogg", ".mp3");
                }
                else {
                    buffurl = buffurl.replace(".mp3", ".ogg");
                    //console.log("music ANDROID : " + buffurl);
                }
            }
            else {
                buffurl = "xingjiezhuzhuxia2/public_res/music/" + name;
                buffurl = buffurl.replace(".mp3", ".ogg");
            }
            if (cc.sys.os == cc.sys.OS_ANDROID) {
                buffurl = buffurl.replace(".mp3", ".ogg");
            }
            return buffurl;
        }

        playbackmusic(name:string, qiangzhibofang: any = null) {


            if(rootScene.getMe().isLowCpu() )
                return;

            if(cc.sys.isNative == false) {
                return;
            }
            if (qiangzhibofang == null) {
                qiangzhibofang = false;
            }
            if (this.m_stopBackupMusic) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            if (qiangzhibofang == false) {
                if (this.m_back_music == buffurl) {
                    return;
                }
            }
            this.m_back_music = buffurl;
            if (cc.sys.isNative) {
                if (this.m_backMusicId != null) {
                    jsb.AudioEngine.stop(this.m_backMusicId);
                }
            }
            console.log("playbackmusic : " + buffurl);
            if (cc.sys.isNative) {
                this.m_backMusicId = jsb.AudioEngine.play2d(buffurl, true);
            }
            else {
            }
        }

        playbackmusicOnce(name, qiangzhibofang) {

            if(rootScene.getMe().isLowCpu() )
                return;

            if (qiangzhibofang == null) {
                qiangzhibofang = false;
            }
            if (this.m_stopBackupMusic) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            if (qiangzhibofang == false) {
                if (this.m_back_music == buffurl) {
                    return;
                }
            }
            this.m_back_music = buffurl;
            if (cc.sys.isNative) {
                jsb.AudioEngine.play2d(buffurl, false);
            }
            else {
            }

        }

        pauseMusic() {
            if (cc.sys.isNative) {
                jsb.AudioEngine.pauseAll();
            }
            else {
            }
        }

        resumeMusic() {
            if (cc.sys.isNative) {
                jsb.AudioEngine.resumeAll();
            }
            else {
            }
        }

        stopbackmuisc() {
            if (cc.sys.isNative) {
                jsb.AudioEngine.stopAll();
            }
            else {
            }
            this.m_back_music = null;
        }

        playData(data) {
            try {
                if (data != "" && data != null) {
                    var outjson = JSON.parse(data);
                    if (outjson["bm"] != null) {
                        this.playbackmusic(outjson["bm"]);
                    }
                    if (outjson["click"] != null) {
                        this.playeffect(outjson["click"]);
                    }
                }
            }
            catch (e) {
                //throw e;
                // cb("load json [" + url + "] failed : " + e);
                //uiMgr.getMe().show_ui_MessageBox(true, "用户数据填错了" + data);
                cc.log("playData 用户数据填错了" + data);
            }
        }

        playCheckBoxeffect(checkbox) {
        }

        playeffect(name) {
           // return
            if(rootScene.getMe().isLowCpu() )
                return;

            //test
            // return;

            if(cc.sys.isNative == false) {
                return;
            }
            if (this.m_stopEffect) {
                return;
            }
            var buffurl = this.shipeiname(name);
            if (buffurl == null)
                return;
            //cc.error( "music " + buffurl);
            // console.log( "music: " + buffurl);
            if (cc.sys.isNative) {
                jsb.AudioEngine.play2d(buffurl, false);
            }
            else {
            }
        }

        setBackMusicConfig(stopMusic) {
            if (stopMusic != this.m_stopBackupMusic) {
                this.m_stopBackupMusic = stopMusic;
                if (stopMusic) {
                    this.stopbackmuisc();
                }
                else {
                    this.playbackmusic(this.m_back_music, true);
                }
            }
        }

        setEffectsConfig(stopMusic) {
            if (this.m_stopEffect != stopMusic) {
                if (this.m_stopEffect) {
                }
                else {
                }
                this.m_stopEffect = stopMusic;
            }
        }

        getMusicConfig() {
            return this.m_stopBackupMusic;
        }

        getEffectConfig() {
            return this.m_stopEffect;
        }
    }


}


//# sourceMappingURL=musicMgr.js.map