//效率不高  插入数值不可太多
module game {

    export class ArrayEx <V> {
        keys: Array<V> = null;
        m_ponit: any = null;

        constructor() {
            this.keys = new Array();
        }

        clear() {
            this.keys.splice(0, this.keys.length); //清空数组
        }

        /**
         * 放入一个键值对
         * @param {String} key
         * @param {Object} value
         */
        put(V) {
            this.keys.push(V);
            return true;
        }
        begin() :V{
            let len = this.keys.length;
            for (let i = 0; i < len; i++) {
                return this.keys[i];
            }
            return null;
        }
        //删除节点
        pop() : boolean
        {
            if(this.keys.length <= 0)
                return false;
            this.keys.splice(0, 1);
            return true;
        }

        /**
         * 某元素在数组中的位置
         */
        inArray(elem, array, i) {
            let len;
            if (array) {
                //indexOf ：jQuery开始定义了 indexOf = Array.prototype.indexOf 如果有indexOf 方法则用改方法返回，核心为indexOf方法
                len = array.length;
                /*
                 注意该条语句是给i赋值用的，猛的一看该语句可能产生混淆
                 首先判断i的值，i ? （i < 0 ? Math.max( 0, len + i ) : i ）: 0 如果 i 未定义 或者i为0 则 把0赋值给i
                 如果i 定义了并且不为0 执行 i < 0 ? Math.max( 0, len + i ) : i
                 如果i 为负数，加上则为其加上数组长度，且其值不能小于0
                 */
                i = i ? i < 0 ? Math.max(0, len + i) : i : 0;
                for (; i < len; i++) {
                    // Skip accessing in sparse arrays 这么判断主要是考虑数组下标不连续的情况注意学习这种方式 i in arry 的判断方式
                    if (i in array && array[i] === elem) {
                        return i;
                    }
                }
            }
            return -1;
        }

        /**
         * 删除一个键值对
         * @param {String} key
         */
        remove(V) {
            for (let i = 0; i < this.keys.length; i++) {
                if (V === this.keys[i]) {
                    if (V === this.keys[i]) {
                        this.keys.splice(i, 1);
                        return true;
                    }
                }
            }
        }

        getSize() {
            return this.keys.length;
        }

        /**
         * 遍历Map,执行处理函数
         *
         * @param {Function} 回调函数 function(key,value,index){..}
         */
        each(fn, point, data) {
            if (typeof fn != 'function') {
                return;
            }
            this.m_ponit = point;
            let len = this.keys.length;
            for (let i = 0; i < len; i++) {
                let k = this.keys[i];
                fn.call(this.m_ponit, k, data);
            }
        }

        getData(index) :V{
            if (index < 0)
                return null;
            let len = this.keys.length;
            if (index >= len)
                return null;
            let k = this.keys[index];
            return k;
        }

        /**
         * 判断Map是否为空
         */
        isEmpty() {
            return this.keys.length == 0;
        }

        /**
         * 获取键值对数量
         */
        size() {
            return this.keys.length;
        }



        toString() {
            return this.keys.toString();
        }

        // containsKey(key) {
        //     return this.keys.filter(function (v) {
        //             if (v === key) {
        //                 return key;
        //             }
        //         }).length > 0;
        // }
    }

}

