/**
 * Created by Allen on 2016/12/9.
 */
var game;
(function (game) {
    var posEvent = (function () {
        function posEvent() {
        }
        return posEvent;
    }());
    game.posEvent = posEvent;
    var monsterbirth = (function () {
        function monsterbirth() {
        }
        return monsterbirth;
    }());
    game.monsterbirth = monsterbirth;
    var guanka = (function () {
        function guanka() {
            this.m_sceneInfo = null;
            this.m_guankaInfo = null;
            this.m_posEvent = null;
        }
        guanka.prototype.init = function (sceneInfo, guankaInfo) {
            this.m_guankaInfo = guankaInfo;
            this.m_sceneInfo = sceneInfo;
            this.initPosEvent();
        };
        guanka.prototype.initPosEvent = function () {
            if (this.m_guankaInfo == null) {
                return;
            }
            if (this.m_guankaInfo.posEvent == null) {
                //console.log(" 场景表没有配置位置事件");
                return;
            }
            this.m_posEvent = cc.clone(this.m_guankaInfo.posEvent);
            if (this.m_posEvent) {
                if (this.m_posEvent.length == 0) {
                    //console.log(" 场景表没有配置位置事件");
                    return;
                }
            }
        };
        guanka.prototype.updatePosEvent = function () {
            if (this.m_posEvent == null) {
                return;
            }
            for (var i = 0; i < this.m_posEvent.length; i++) {
                if (this.m_posEvent[i].eventRect == null) {
                    continue;
                }
                var ret = cc.rectContainsPoint(this.m_posEvent[i].eventRect, game.roleMgr.getMe().getControlPlayer().getPosition());
                if (ret) {
                    var posEvent = this.m_posEvent[i];
                    this.m_posEvent.splice(i, 1);
                    if (posEvent.eventType == "monsterbirth") {
                        game.sceneMgr.getMe().getCurScene().m_createMonsterMgr.initMonsterBirthData(posEvent.monsterbirth);
                    }
                    else if (posEvent.eventType == "talk") {
                        var juqingInfo = cc.clone(game.fileMgr.getMe().getJuqingInfo(game.sceneMgr.getMe().getCurSceneName()));
                        var talker = game.dataMgr.getMe().getCurHero();
                        var talkIndex = posEvent.talkIndex;
                        if (juqingInfo == null
                            || juqingInfo[talkIndex] == null) {
                            return;
                        }
                        game.talkMgr.getMe().initTalkData(juqingInfo[talkIndex]);
                    }
                }
            }
        };
        guanka.prototype.isWinGuanka = function () {
            var winCond = this.m_guankaInfo.winCond;
            if (winCond == null) {
                console.log(" 场景表配置错误！没有winCond ");
                return false;
            }
            var condType = winCond["type"];
            if (condType == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "关卡胜利条件不对！");
                return false;
            }
            switch (condType) {
                case "killnum":
                    {
                        if (winCond["num"] == null) {
                            game.uiMgr.getMe().show_ui_MessageBox(true, "关卡胜利条件不对！");
                            return false;
                        }
                        if (game.roleMgr.getMe().getMonsterDeadNum() >= winCond["num"]) {
                            return true;
                        }
                    }
                    break;
                case "killboss":
                    {
                        if (winCond["num"] == null) {
                            game.uiMgr.getMe().show_ui_MessageBox(true, "关卡胜利条件不对！");
                            return false;
                        }
                        if (game.roleMgr.getMe().getBossDeadNum() >= winCond["num"]) {
                            return true;
                        }
                    }
                    break;
                case "tohpper":
                    {
                        if (winCond["hpper"] == null) {
                            game.uiMgr.getMe().show_ui_MessageBox(true, "关卡胜利条件不对！");
                            return false;
                        }
                        var boss = game.roleMgr.getMe().getBoss();
                        if (boss) {
                            if (boss.gethpPer() < winCond["hpper"]) {
                                return true;
                            }
                        }
                        else {
                            game.uiMgr.getMe().show_ui_MessageBox(true, "场景表中没有配置boss型怪物！");
                            return false;
                        }
                    }
                    break;
                default: {
                    console.error("error update Guochang");
                    break;
                }
            }
            return false;
        };
        guanka.prototype.loop = function (t) {
        };
        guanka.prototype.shutdown = function () {
            this.m_guankaInfo = null;
            this.m_sceneInfo = null;
        };
        return guanka;
    }());
    game.guanka = guanka;
})(game || (game = {}));
//# sourceMappingURL=guanka.js.map