/**
 * Created by Allen on 2016/12/10.
 */



module game {

    export class GuanKa_s {
        "guankatype": string = "normal";
        "winCond": any;
        "rect": cc.Rect;
        "posEvent": Array<posEvent>;
    }


    export class guankaMgr {
        m_guanka: guanka = null;
        m_sceneInfo: scene_config_data_s = null
        m_curGuanKa: GuanKa_s = null
        m_nextGuanKaRect: cc.Rect = null
        m_curGuanKaRect: cc.Rect = null
        m_rongheState: boolean = false
        m_curGuanKaID: number = 0
        m_AllGuankaInfo: Map<number,GuanKa_s> = null;

        static getMe = function () {
            return guankaMgr.create();
        };

        static g_ing: any = null;
        static create  (): guankaMgr {

            if (guankaMgr.g_ing == null) {
                guankaMgr.g_ing = new guankaMgr();
                return guankaMgr.g_ing;
            }
            else {
                return guankaMgr.g_ing;
            }
        }

        constructor() {

        }

        init() {

        }

        getGuanka() {
            return this.m_guanka;
        }


        //是否通过此格子
        isGo() {
            return this.m_rongheState;
        }


        updateGo() {
            ui_Go.ShowOrHide(this.isGo());
        }

        loop(t) {
            if(this.m_guanka){
                if(this.m_guanka.loop(t)){
                    this.nextGuanKa();
                    return;
                }
            }
            if (this.m_rongheState) {
                cameraMgr.getMe().cutMinCamera();
                if (cc.rectContainsPoint(this.m_nextGuanKaRect,
                        cc.pSub(game.roleMgr.getMe().getControlPlayer().getPosition(),
                            cc.p(cc.director.getVisibleSize().width / 8, 0)))) {
                    this.m_curGuanKa.rect = this.m_nextGuanKaRect;
                    cameraMgr.getMe().setRect(this.m_curGuanKa.rect);
                    this.m_rongheState = false;
                }
            }
            this.updateGo();
        }


        initGuanKaData( sceneInfo ) {
            this.m_rongheState = false;
            this.m_sceneInfo = sceneInfo;
            let guankaInfo = sceneInfo.guochang;
            this.m_AllGuankaInfo = new Map<number,GuanKa_s>();
            var index = 0;
            for (var i in guankaInfo) {
                var buff: GuanKa_s = guankaInfo[i];
                this.m_AllGuankaInfo.set(index, buff) ;
                index++;
            }

            this.m_curGuanKaID = 0;
            this.createGuanKa(this.m_curGuanKaID)
            return true;
        }

        createGuanKa(id) {
            let guankainfo = this.m_AllGuankaInfo.getByIndex(id);
            if(guankainfo == null){
                return false;
            }
            if (this.m_curGuanKa) {
                this.m_curGuanKaRect = this.m_curGuanKa.rect;
            }
            else {
                this.m_curGuanKaRect = cc.rect(0, 0, 0, 0);
            }
            this.m_curGuanKa = cc.clone(guankainfo);
            this.m_nextGuanKaRect = this.m_curGuanKa.rect;
            this.m_curGuanKa.rect = cc.rectUnion(this.m_curGuanKaRect, this.m_nextGuanKaRect);
            this.m_rongheState = true;

            cameraMgr.getMe().setRect(this.m_curGuanKa.rect);

            roleMgr.getMe().resetMonsterDeadNum(); //重置过场怪物死亡数为0


            switch (this.m_curGuanKa.guankatype) {
                case "normal":
                    this.m_guanka = new guanka_normal();
                    break;
                // case "chuansong":
                //     this.m_guanka = new guanka_portal();
                //     break;
                default:
                    this.m_guanka = new guanka();
                    break;
            }
            this.m_guanka.init(this.m_sceneInfo, guankainfo);

            return true;
        }

        // //判断胜利条件
        // updateGuanKa(t) {
        //
        // }

        nextGuanKa() {
            this.m_curGuanKaID++;
            if (!this.createGuanKa(this.m_curGuanKaID)) {
                this.GuanKaOver();
            }
        }


        GuanKaOver() {
            this.m_guanka = null;
            sceneMgr.getMe().getCurScene().gameOver(true);
        }

        shutdown() {
            if(this.m_guanka){
                this.m_guanka.shutdown();
            }

            this.m_AllGuankaInfo = null;
            ui_Go.ShowOrHide(false);
        }
    }

}
//# sourceMappingURL=guankaMgr.js.map