/**
 * Created by cy1234 on 2016/7/14.
 */
//   与c++ 交互的类
module game {
    export let g_httpType = {
        type_codesortInfo: 1,
        type_WritePlayData: 2,
        type_ReadPlayData: 3,

        type_httpLoginThreePath: "1001", //第三方帐号登录
        type_httpLogin: "login", //自有帐号登录
        type_httpZhuce: "zhuce", //自有帐号登录
        type_ping: "ping", //
        type_httpConsumptionList: "list",
        type_httpConsumptionList_zuanshi:"list2"
    };
    export class HttpBaseNative {
        m_HttpBaseJs: any = null;
        m_is_send: any = false;
        m_time_chaoshi: any = 10;
        m_timer: any = null;
        m_CompletedCallBack: Function = null
        m_ErrorCallBack: Function = null
        static create = function () {
            let l_ins = new HttpBaseNative();
            return l_ins;
        };

        constructor() {
            this.init();
        }

        init() {
            if (cc.sys.isNative) {

                this.m_HttpBaseJs = new cc.HttpBaseJs();
                this.m_HttpBaseJs.onHttpRequestCompleted = this.onHttpRequestCompleted.bind(this);
                this.m_HttpBaseJs.onError = this.onError;
            }
            else {
                this.m_HttpBaseJs = cc.loader.getXMLHttpRequest();
            }
        }

        setErrorCallback(callback: Function) {
            this.m_ErrorCallBack = callback
        }

        setCompletedCallback(callback: Function) {
            this.m_CompletedCallBack = callback
        }

        //isPost : 1 POST 模式 0 ：GET 模式
        httpSendMsg(url, isPost: any = null, isshengjianserver: any = null) {
            if (cc.sys.isNative) {
                if (this.m_HttpBaseJs) {
                    if (isPost == null) {
                        isPost = 0;
                    }
                    if (isshengjianserver == null) {
                        isshengjianserver = 1;
                    }
                    this.m_HttpBaseJs.onSendMsg(url, isPost, isshengjianserver);
                }
                else {
                    this.onError();
                }
            }
            else {
                var ret = this.m_HttpBaseJs.open("GET", url, true);
                this.m_HttpBaseJs.onreadystatechange = this.httpCallBack.bind(this);
                ret = this.m_HttpBaseJs.send(null);
            }
        }

        httpCallBack() {
            if (this.m_HttpBaseJs.readyState != 4) {
                return;
            }
            if (this.m_HttpBaseJs.readyState == 4 && (this.m_HttpBaseJs.status >= 200 && this.m_HttpBaseJs.status <= 207)) {
                var httpStatus = this.m_HttpBaseJs.statusText;
                this.onHttpRequestCompleted(this.m_HttpBaseJs.responseText);
            }
            else {
                this.onError();
                return;
            }
        }

        onError() {
            this.m_is_send = false;
            if (this.m_ErrorCallBack) {
                this.m_ErrorCallBack
            }
        }

        onHttpRequestCompleted(data, Description?) {
            this.m_is_send = false;
            if (this.m_CompletedCallBack) {
                this.m_CompletedCallBack(data)
            }
            // console.log(" HttpBaseNative onHttpRequestCompleted!!!!");
        }
    }

    export class httpBase extends HttpBaseNative {
        m_sendUrl: string = null;
        m_downloaderror: any = false;
        m_type: any = null;

        constructor() {
            super();
        }

        addWorld(key, val) {
            var data = null;
            data = "&" + key + "=" + val;
            this.m_sendUrl += data;
        }

        shutdown() {
        }

        onSendMsg(data, data1) {
        }

        onError() {
            super.onError();
        }

        isError() {
            return this.m_downloaderror;
        }

        loop(t) {
        }

        generateSign( isBossID , isAccount , isGameID , propName ,extend )
        {
            let game_PrivateKey = httpMgr.getMe().g_game_PrivateKey;
            let Source = "";
            let BossID = iapMgr.getMe().getplatformId();
            let Account = iapMgr.getMe().getaccount();
            let GameID = iapMgr.getMe().getGameId();
            if ( isAccount )
            {
                Source += Account;
            }
            if (isBossID) {
                Source += BossID;
            }
            if (extend != null)
                Source += extend;
            if (isGameID) {
                Source += GameID;
            }
            if (propName != null)
                Source += propName;
            let MySign = Source + game_PrivateKey;
            console.log("签名前的字符串 ----------- "+MySign);
            MySign = js_GameLogicMgr.getMe().sign(MySign);
            console.log("签名后的字符串 +++++++++++ "+MySign);
            return MySign;
        }

        onSendMsgEx(url, isBossID, isAccount, isGameID, propName,extend) {
            url = httpMgr.getMe().g_url_server_one + url + "?";
            let BossID = "&BossID=" + iapMgr.getMe().getplatformId();
            let Account = "&Account=" + iapMgr.getMe().getaccount();
            let GameID = "&GameID=" + iapMgr.getMe().getGameId();
            if (isAccount) {
                url += Account;
            }
            if (isBossID) {
                url += BossID;
            }
            if (extend != null) {
                url += "&Extend=" + extend;
            }
            if (isGameID) {
                url += GameID;
            }
            if (propName != null) {
                let s = js_GameLogicMgr.getMe().encode(propName);
                console.log("==================================== "+s);
                url += "&PropName=" + s;
            }
            let sign = "&sign=" + this.generateSign(isBossID, isAccount, isGameID, propName,extend);
            url += sign;
            url = url.replace("?&", "?");
            return url;
        }
    }
}
