/**
 * Created by xieli on 2016/10/20.
 */
//返回系统时间
module game {

    export class mainserver_getServerTime {
        static g_insta: mainserver_getServerTime = null;
        static getMe = function () {
            return game.mainserver_getServerTime.create();
        };
        static create = function () {
            if (game.mainserver_getServerTime.g_insta == null) {
                game.mainserver_getServerTime.g_insta = new game.mainserver_getServerTime();
                return game.mainserver_getServerTime.g_insta;
            }
            else {
                return game.mainserver_getServerTime.g_insta;
            }
        };

        m_loopTime: number = 0;
        m_msgType: string = "serverTime";
        m_curTime: string = "2016-12-21-2-10-3";
        m_loop_getTime:number = 0;

        constructor() {
           // game.rootScene.getMe().m_timingControl_0_016s.onLoop(this.loop.bind(this));
        }

        getDate() {
            return this.stringToDate(this.m_curTime);
        }

        timeToSeconds(str: string): number {
            // 8:22
            let ss = str.split(":");
            let s = Number(ss[0]) * 60 + Number(ss[1]);
            s *= 60;
            return s;
        }

        getDate_num() {
            let date = this.stringToDate(this.m_curTime);
            let s = date.getHours() + ":" + date.getMinutes();
            return this.timeToSeconds(s);
        }

        stringToDate(str) {
            var strlist = str.split("_");
            var ret = new Date();
            ret.setFullYear(strlist[0], strlist[1], strlist[2]);
            if (strlist[3] != null) {
                ret.setHours(strlist[3], strlist[4], strlist[5], 0);
            }
            return ret;
        }

        getMonths() {
            var ret = this.m_curTime.split("_");
            return ret[1];
        }

        getyear() {
            var ret = this.m_curTime.split("_");
            return ret[0];
        }

        getday() {
            var ret = this.m_curTime.split("_");
            return ret[2];
        }

        //是否周末
        isWeekends() {
            var date = this.getDate();
            if (date.getDay() == 0 || date.getDay() == 6) {
                return true;
            }
            return false;
        }

        send() {
            var data = {};
            data["msgType"] = this.m_msgType;
            if (mainServer_webSocketManager.getMe()) {
                mainServer_webSocketManager.getMe().send(JSON.stringify(data));
            }
        }

        loop(t:number) {
            // 自动更新时间
            this.m_loop_getTime += t;
            if( this.m_loop_getTime > 1 )
            {
                this.send();
                this.m_loop_getTime = 0;
            }

        }


        callback(in_data) {
            var data = {};
            if (in_data["errormsg"] == "") {
                console.log(" getservertime ok ！ " + in_data["msg"]);
                this.m_curTime = in_data["msg"];
            }
            else {
                console.log(" error getservertime！: " + JSON.stringify(in_data));
            }
        }
    }
}
