/**
 * Created by xieli on 2017/2/4.
 */
//
var game;
(function (game) {
    (function (protoMessType) {
        protoMessType[protoMessType["e_ERRORMSG"] = 20000] = "e_ERRORMSG";
        protoMessType[protoMessType["e_worldBoss_notifyStart"] = 30000] = "e_worldBoss_notifyStart";
        protoMessType[protoMessType["e_worldBoss_getDamageRank"] = 30001] = "e_worldBoss_getDamageRank";
        protoMessType[protoMessType["e_worldBoss_removeBossHp"] = 30002] = "e_worldBoss_removeBossHp";
        protoMessType[protoMessType["e_worldBoss_getAward"] = 30003] = "e_worldBoss_getAward";
        protoMessType[protoMessType["e_worldBoss_getPrizesList"] = 30004] = "e_worldBoss_getPrizesList";
        protoMessType[protoMessType["e_worldBoss_enterRoom"] = 30005] = "e_worldBoss_enterRoom";
        protoMessType[protoMessType["e_worldBoss_exitRoom"] = 30006] = "e_worldBoss_exitRoom";
        protoMessType[protoMessType["e_worldBoss_syacBossHp"] = 30007] = "e_worldBoss_syacBossHp";
        protoMessType[protoMessType["e_worldBoss_getState"] = 30008] = "e_worldBoss_getState";
        protoMessType[protoMessType["e_worldBoss_setBossInfo"] = 30009] = "e_worldBoss_setBossInfo";
        protoMessType[protoMessType["e_worldBoss_closeBoss"] = 300010] = "e_worldBoss_closeBoss";
    })(game.protoMessType || (game.protoMessType = {}));
    var protoMessType = game.protoMessType;
    var protoBuffMgr = (function () {
        function protoBuffMgr() {
            this.m_protoBuffBaseMap = new game.Map();
            protobuf.util.isNode = true;
            protobuf.util.fs = this;
        }
        protoBuffMgr.prototype.init = function () {
            this.addProtoBase(game.proto_worldBoss_syacHp.getMe());
            this.addProtoBase(game.proto_worldBoss_getAward.getMe());
            this.addProtoBase(game.proto_worldBoss_enterRoom.getMe());
            this.addProtoBase(game.proto_worldBoss_getState.getMe());
            this.addProtoBase(game.proto_worldBoss_getDamageRank.getMe());
            this.addProtoBase(game.proto_worldBoss_exitRoom.getMe());
            this.addProtoBase(game.proto_worldBoss_removeBossHp.getMe());
            this.addProtoBase(game.proto_worldBoss_getPrizesList.getMe());
            this.addProtoBase(game.proto_worldBoss_setBossInfo.getMe());
            this.addProtoBase(game.proto_worldBoss_closeBoss.getMe());
        };
        //自定义读取proto
        protoBuffMgr.prototype.readFileSync = function (filename) {
            if (cc.sys.isNative) {
                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("readFileSync： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("readFileSync： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename)) {
                    console.log("readFileSync： " + "xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                }
                console.log("readFileSync： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                return txt;
            }
        };
        protoBuffMgr.prototype.getProtoBaseByType = function (type) {
            return this.m_protoBuffBaseMap.get(type);
        };
        protoBuffMgr.prototype.addProtoBase = function (protobase) {
            this.m_protoBuffBaseMap.set(protobase.m_protoMessType, protobase);
        };
        protoBuffMgr.prototype.updata = function () {
        };
        protoBuffMgr.g_protoBuffMgr = null;
        protoBuffMgr.getMe = function () {
            if (protoBuffMgr.g_protoBuffMgr == null) {
                protoBuffMgr.g_protoBuffMgr = new protoBuffMgr();
                return protoBuffMgr.g_protoBuffMgr;
            }
            else {
                return protoBuffMgr.g_protoBuffMgr;
            }
        };
        return protoBuffMgr;
    }());
    game.protoBuffMgr = protoBuffMgr;
})(game || (game = {}));
//# sourceMappingURL=protoBuffMgr.js.map