/**
 * Created by xieli on 2017/2/4.
 */


//
module game {


    export enum protoMessType {
        e_ERRORMSG = 20000,

        e_worldBoss_notifyStart = 30000,
        e_worldBoss_getDamageRank = 30001,
        e_worldBoss_removeBossHp = 30002,
        e_worldBoss_getAward = 30003,
        e_worldBoss_getPrizesList = 30004,
        e_worldBoss_enterRoom = 30005,
        e_worldBoss_exitRoom = 30006,
        e_worldBoss_syacBossHp =  30007,
        e_worldBoss_getState = 30008,
        e_worldBoss_setBossInfo = 30009,
        e_worldBoss_closeBoss = 300010
    }

    export class protoBuffMgr {
        static g_protoBuffMgr: any = null;
        static getMe = function (): protoBuffMgr {
            if (protoBuffMgr.g_protoBuffMgr == null) {
                protoBuffMgr.g_protoBuffMgr = new protoBuffMgr();
                return protoBuffMgr.g_protoBuffMgr;
            }
            else {
                return protoBuffMgr.g_protoBuffMgr;
            }
        };

        m_protoBuffBaseMap: game.Map< protoMessType,protoBuffBase<any>> = new game.Map< protoMessType,protoBuffBase<any>>();

        constructor() {
            protobuf.util.isNode = true;
            protobuf.util.fs = this;
        }

        init() {
            this.addProtoBase(proto_worldBoss_syacHp.getMe());
            this.addProtoBase(proto_worldBoss_getAward.getMe());
            this.addProtoBase(proto_worldBoss_enterRoom.getMe());
            this.addProtoBase(proto_worldBoss_getState.getMe());
            this.addProtoBase(proto_worldBoss_getDamageRank.getMe());
            this.addProtoBase(proto_worldBoss_exitRoom.getMe());
            this.addProtoBase(proto_worldBoss_removeBossHp.getMe());
            this.addProtoBase(proto_worldBoss_getPrizesList.getMe());
            this.addProtoBase(proto_worldBoss_setBossInfo.getMe());
            this.addProtoBase(proto_worldBoss_closeBoss.getMe());
        }

        //自定义读取proto
        readFileSync(filename) {

            if (cc.sys.isNative) {

                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;

                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("readFileSync： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("readFileSync： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }

                if (jsb.fileUtils.isFileExist("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename)) {
                    console.log("readFileSync： " + "xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                }
                console.log("readFileSync： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjiezhuzhuxia2/src/http_net/mainServer/protobuff/protoFile/" + filename);
                return txt;
            }
        }

        getProtoBaseByType(type: protoMessType): protoBuffBase<any> {
            return this.m_protoBuffBaseMap.get(type);
        }

        addProtoBase(protobase: protoBuffBase<any>) {
            this.m_protoBuffBaseMap.set(protobase.m_protoMessType, protobase);
        }

        updata() {

        }

    }
}
