module game {

    export class proto_worldBoss_removeBossHp extends protoBuffBase<tongyong_s> {
        static g_insta: proto_worldBoss_removeBossHp = null;

        static getMe(): proto_worldBoss_removeBossHp {
            return protoBuffBase.getMe(proto_worldBoss_removeBossHp);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.e_worldBoss_removeBossHp);
        }

        send(removehp) {
            let serverMsg: tongyong_s = new tongyong_s();
            serverMsg.int32var1 = removehp;
            this.sendMessage(serverMsg);
        }

        callback(message: any) {
            let curhp = message.int32var1;
            if (roleMgr.getMe() != null) {
                if (roleMgr.getMe().getWorldBoss()) {
                    roleMgr.getMe().getWorldBoss().setHp(curhp);
                }
            }
        }
    }

}
