module game {
    export class damageRankData {
        play_id: string;
        sort:number;
        damage: number;
    }

    export class proto_worldBoss_getDamageRank extends protoBuffBase<tongyong_s> {
        static g_insta: proto_worldBoss_getDamageRank = null;

        static getMe(): proto_worldBoss_getDamageRank {
            return protoBuffBase.getMe(proto_worldBoss_getDamageRank);
        };

        m_updateData_s: tongyong_s = new tongyong_s();

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.e_worldBoss_getDamageRank);
        }

        send() {
            this.sendMessage(null);
        }

        callback(message: any) {
            var serverMsg: tongyong_s = message;
            let data: Array<damageRankData> = JSON.parse(serverMsg.strvar6);
            let mysort: damageRankData = JSON.parse(serverMsg.strvar5);
            if (ui_shijiboss.getMe()) {
                ui_shijiboss.getMe().getDamageRank_callback(data,mysort);
            }
            if (ui_shijiebosspaihang.getMe()) {
                ui_shijiebosspaihang.getMe().getDamageRank_callback(data,mysort);
            }
        }
    }

}
