module game {
    export class proto_worldBoss_getState extends protoBuffBase<tongyong_s> {
        static g_insta: proto_worldBoss_getState = null;

        static getMe(): proto_worldBoss_getState {
            return protoBuffBase.getMe(proto_worldBoss_getState);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.e_worldBoss_getState);
        }

        send() {
            this.sendMessage(null);
        }

        callback(data) {
            let d = data.strvar5;
            d = JSON.parse(d);
            if (ui_shijiboss.getMe()) {
                ui_shijiboss.getMe().enterRoom_callback(d);
            }
            if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_worldboss) {
                sceneMgr.getMe().getCurScene().initMonster(d);
            }
            if(ui_zhujiemian.getMe()){
                ui_zhujiemian.getMe().getWorldBossState(d);
            }
        }
    }

}
