var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/4/29.
 */
//
var game;
(function (game) {
    var iapBase = (function () {
        function iapBase(succCallback, failCallback, ispop) {
            if (failCallback === void 0) { failCallback = null; }
            this.m_shangpingid = -100;
            this.m_id = -100;
            this.m_item = null;
            this.m_succCallback = null;
            this.m_failCallback = null;
            this.m_ispop = true;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            this.m_ispop = ispop;
        }
        iapBase.prototype.init = function (id, shangpingid) {
            this.m_shangpingid = shangpingid;
            this.m_id = id;
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(this.m_id);
            if (this.m_item == null) {
                this.m_item = game.fileMgr.getMe().getShopInfoItem_byTVid(this.m_shangpingid);
            }
        };
        iapBase.prototype.buy = function (id, shangpingid) {
            this.init(id, shangpingid);
            game.js_GameLogicMgr.getMe().buy(this.m_shangpingid);
        };
        iapBase.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //dataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_playOnce("goumaichenggong.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                game.fileMgr.getMe().savePlayInfo();
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.ui_messageBox2.ShowOrHide(true, "   购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return iapBase;
    }());
    game.iapBase = iapBase;
    var buyzuanshi = (function (_super) {
        __extends(buyzuanshi, _super);
        function buyzuanshi() {
            _super.apply(this, arguments);
        }
        buyzuanshi.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                if (this.m_item != null) {
                    game.dataMgr.getMe().addDiamond(this.m_item.zuanshi);
                }
                if (this.m_succCallback) {
                    this.m_succCallback.execute();
                }
                this.m_succCallback = null;
                if (game.uiMgr.getMe() && this.m_ispop) {
                    game.uiMgr.getMe().show_ui_playOnce("goumaichenggong.json", "play");
                }
                game.fileMgr.getMe().savePlayInfo();
                game.httpConsumptionList_zuanshi.getMe().onSendMsg(this.m_item.price_rmb + game.g_differentPrices[game.g_version].money + "买" + this.m_item.zuanshi + "钻石");
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.ui_messageBox2.ShowOrHide(true, "   购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return buyzuanshi;
    }(iapBase));
    game.buyzuanshi = buyzuanshi;
    var iapMgr = (function () {
        function iapMgr() {
            this.m_iapBase = null;
            this.m_item = null;
            this.m_succCallback = null;
            this.m_failCallback = null;
            this.m_TVId_login = null;
            console.log("init iapMgr ctor");
        }
        iapMgr.prototype.init = function () {
            this.m_TVId_login = new game.MapGame();
            //this.m_TVId_login.put("tvp103011001","tvp103011001");
            console.log("init m_TVId_login!!");
            if (!cc.sys.isNative) {
                return;
            }
        };
        iapMgr.prototype.buy = function (id, succCallback, failCallback, ispop, isConfirm) {
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            if (game.fileMgr.getMe().m_xiangsu_info.root.querenkuang == 1 && isConfirm) {
                game.uiMgr.getMe().show_ui_pay_queren(true, this.m_item.id);
            }
            else {
                this.buyEx(ispop);
            }
        };
        //在商城外的购买
        iapMgr.prototype.buy_other = function (id, succCallback, failCallback, ispop) {
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            this.buyEx(ispop);
        };
        iapMgr.prototype.buyEx = function (ispop) {
            if (this.m_item.type == "buyzuanshi") {
                this.m_iapBase = new buyzuanshi(this.m_succCallback, null, ispop);
            }
            else {
                console.error("error iapmgr buy : ");
                return;
            }
            this.m_iapBase.buy(this.m_item.id, this.m_item.tvid);
        };
        //不买了
        iapMgr.prototype.noBuy = function () {
            if (this.m_failCallback) {
                this.m_failCallback.execute();
            }
            this.m_failCallback = null;
        };
        iapMgr.prototype.buycallback = function (isok, shangpingid) {
            console.log("buycallback start: " + isok + ": " + shangpingid);
            if (iapMgr.getMe().m_iapBase == null) {
                //启动的时候
                iapMgr.getMe().m_TVId_login.put(shangpingid, shangpingid);
                console.log("buycallback 001: " + isok + ": " + shangpingid);
                return;
            }
            console.log("buycallback  002: " + isok + ": " + shangpingid);
            iapMgr.getMe().m_iapBase.buycallback(isok, shangpingid);
            iapMgr.getMe().m_iapBase = null;
        };
        iapMgr.prototype.loop = function (t) {
            if (this.m_TVId_login.getSize() > 0) {
                for (var i = 0; i < this.m_TVId_login.size(); ++i) {
                    var data = this.m_TVId_login.getData(i);
                    if (data == "tvp103022001"
                        || data == "tvp103022002"
                        || data == "tvp103022003") {
                        var iapBase = new buyzuanshi(null);
                        iapBase.init(data, data);
                        iapBase.buycallback(1, data);
                    }
                }
                this.m_TVId_login.clear();
            }
        };
        iapMgr.prototype.useDiamondsDefaultLibao = function (succCallback, failCallback) {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(3, succCallback, failCallback, false);
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy_other(chongzhiid, succCallback, failCallback, false);
            }
        };
        iapMgr.prototype.getUseDiamondsDefaultLibao = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(3);
                return item.zuanshi;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.zuanshi;
            }
        };
        iapMgr.prototype.getDefaultDiamondsPrice = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(3);
                return item.price_rmb + game.g_differentPrices[game.g_version].money;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 3; ++i) {
                    var item = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.price_rmb + game.g_differentPrices[game.g_version].money;
            }
        };
        //获得当前渠道应许最高价格
        iapMgr.prototype.getMaxPrice = function () {
            if (!cc.sys.isNative) {
                return 3000;
            }
            return Number(game.js_GameLogicMgr.getMe().getData("iapMgr_getMaxPrice"));
        };
        //ott appid
        iapMgr.prototype.getGameId = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getGameId");
            }
            else {
                return "tvg103022";
            }
        };
        //ott 渠道id
        iapMgr.prototype.getplatformId = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getplatformId");
            }
            else {
                return "1006";
            }
        };
        //Ott 用户id
        iapMgr.prototype.getaccount = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
            }
            else {
                return "user101";
            }
        };
        iapMgr.g_ins = null;
        iapMgr.getMe = function () {
            return iapMgr.create();
        };
        iapMgr.create = function () {
            if (iapMgr.g_ins == null) {
                iapMgr.g_ins = new iapMgr();
                return iapMgr.g_ins;
            }
            else {
                return iapMgr.g_ins;
            }
        };
        return iapMgr;
    }());
    game.iapMgr = iapMgr;
})(game || (game = {}));
//# sourceMappingURL=iapMgr.js.map 
//# sourceMappingURL=iapMgr.js.map