"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by hongbing.wei on 2016/9/27.
 *
 */
var game;
(function (game) {
    var baseState_AiControl_data = (function () {
        function baseState_AiControl_data() {
        }
        return baseState_AiControl_data;
    }());
    game.baseState_AiControl_data = baseState_AiControl_data;
    var baseState_AiControl = (function (_super) {
        __extends(baseState_AiControl, _super);
        function baseState_AiControl(_baseAiControl) {
            _super.call(this);
            this.m_baseAiControl = null;
            this.m_dataInfo = null;
            this.m_baseAiControl = _baseAiControl;
            this.m_stateType = null;
        }
        baseState_AiControl.prototype.shiftAngle = function (v) {
            if (v.x >= 0) {
                if (v.x > 0.9) {
                    v.x = 1;
                    v.y = 0;
                }
                else if (v.y > 0.9) {
                    v.x = 0;
                    v.y = 1;
                }
                else if (v.y > 0) {
                    v.x = 0.5;
                    v.y = 0.5;
                }
                else {
                    v.x = 0.5;
                    v.y = -0.5;
                }
            }
            if (v.x <= 0) {
                if (v.x < -0.9) {
                    v.x = -1;
                    v.y = 0;
                }
                else if (v.y < -0.9) {
                    v.x = 0;
                    v.y = -1;
                }
                else if (v.y > 0) {
                    v.x = -0.5;
                    v.y = 0.5;
                }
                else {
                    v.x = -0.5;
                    v.y = -0.5;
                }
            }
            return v;
        };
        baseState_AiControl.prototype.InternalEvent = function (key, data) {
            //console.log("baseState_AiControl:" + this.m_stateType);
            return true;
        };
        baseState_AiControl.prototype.getRoleObj = function () {
            return this.m_baseAiControl.m_roleObj;
        };
        baseState_AiControl.prototype.getTargetPos = function () {
            var tar_node = this.getTarget();
            if (tar_node) {
                return tar_node.getPosition();
            }
            return cc.p(0, 0);
        };
        baseState_AiControl.prototype.getTarget = function () {
            return this.m_baseAiControl.getAttackTarget();
        };
        //根据目标位置更新方向
        baseState_AiControl.prototype.updateDir = function (pos) {
            if (this.getRoleObj().getPositionX() > pos.x) {
                this.getRoleObj().setRoleDir(-1);
                return cc.p(-1, 0);
            }
            else {
                this.getRoleObj().setRoleDir(1);
                return cc.p(1, 0);
            }
            // return cc.p(0, 0);
        };
        //生成状态列表
        baseState_AiControl.prototype.generateStateList = function (pos, in_l_Ai_config) {
            if (in_l_Ai_config === void 0) { in_l_Ai_config = null; }
            var l_statelist = null;
            var distanceTarget = this.getRoleObj().getDis(pos);
            var l_Ai_config = in_l_Ai_config;
            if (l_Ai_config == null) {
                var monstername = this.getRoleObj().getRoleName();
                l_Ai_config = game.fileMgr.getMe().m_monsterAi_config[monstername];
                if (l_Ai_config == null) {
                    game.uiMgr.getMe().show_ui_MessageBox(true, " m_monsterAi_config 表没有配置自动战斗 ：" + monstername);
                    return null;
                }
            }
            var aiEventInfo = new game.ArrayEx();
            for (var p in l_Ai_config) {
                var obj = l_Ai_config[p];
                if (distanceTarget.x >= obj.disminX && distanceTarget.x <= obj.dismaxX) {
                    if (distanceTarget.y >= obj.disminY && distanceTarget.y <= obj.dismaxY) {
                        aiEventInfo.put(obj);
                    }
                }
            }
            if (aiEventInfo.isEmpty()) {
                return null;
            }
            var allgailv = 0;
            for (var i = 0; i < aiEventInfo.size(); i++) {
                var obj = aiEventInfo.getData(i);
                allgailv += obj["gailv"];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i = 0; i < aiEventInfo.size(); i++) {
                var obj = aiEventInfo.getData(i);
                var nowgailv = aigailv + obj["gailv"];
                if (aigailv < gailv && nowgailv >= gailv) {
                    l_statelist = cc.clone(obj["stateList"]);
                    break;
                }
                aigailv += obj["gailv"];
            }
            var _map = new game.MapGame();
            for (var p in l_statelist) {
                _map.put(p, l_statelist[p]);
            }
            return _map; //随机抽一个
        };
        baseState_AiControl.prototype.isXuanYun = function () {
            return this.getRoleObj().m_buffControl.isFaint(); //眩晕转台
        };
        return baseState_AiControl;
    }(game.baseState));
    game.baseState_AiControl = baseState_AiControl;
    //停止的方式有2种
    //追击
    var baseState_zhuiji = (function (_super) {
        __extends(baseState_zhuiji, _super);
        //m_resetDir_time: number = 1; //重置方向
        function baseState_zhuiji(_baseAiControl) {
            _super.call(this, _baseAiControl);
            //
            this.m_startPos = cc.p(0, 0);
            this.m_dirVec = cc.p(0, 0);
            this.m_timer = 0;
            this.m_time = 0;
            this.m_stateType = game.e_AiType.g_zhuiji;
        }
        baseState_zhuiji.prototype.InternalEvent = function (key, data) {
            if (data) {
                this.m_dataInfo = cc.clone(data);
            }
            if (this.m_dataInfo.rundistance == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "前进距离没有填");
                return false;
            }
            this.m_time = 1;
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_startPos = this.getRoleObj().getPosition();
            var distanceVec = cc.pSub(this.getTargetPos(), this.m_startPos);
            this.m_dirVec = this.shiftAngle(cc.pNormalize(distanceVec));
            this.getRoleObj().changeState(game.e_AiType.g_AiType_run, this.m_dirVec);
            //记录开始位置
            return true;
        };
        //
        //
        // sameSign(a, b): boolean {
        //     if ((a > 0 && b > 0)
        //         || (a <= 0 && b <= 0))
        //         return true;
        //     else
        //         return false;
        // }
        baseState_zhuiji.prototype.update = function (t) {
            this.m_time -= t;
            if (this.m_time < 0) {
                this.onComplete();
                return;
            }
            if (this.m_dataInfo == null) {
                this.onComplete();
                return;
            }
            var retState = this.getRoleObj().getRunState(); //结束
            if (retState.m_zhuangqiang === true) {
                this.onComplete();
                return;
            }
            if (this.isXuanYun()) {
                this.onComplete();
                return;
            }
            if (this.getRoleObj().getCurStateType() != game.e_AiType.g_AiType_run) {
                this.onComplete();
                return;
            }
            if (this.getTarget() == null) {
                this.onComplete();
                return;
            }
            if (this.getTarget().isdead()) {
                this.onComplete();
                return;
            }
            this.m_timer += t;
            if (this.m_timer <= 0.5) {
                return true;
            }
            this.m_timer = 0;
            //跟随状态
            var distance_zhuijiDis = this.getRoleObj().getDisX(this.m_startPos);
            // let distancePlayer = this.getRoleObj().getDis(this.getTarget().getPosition());
            //追击距离过长
            if (distance_zhuijiDis > this.m_dataInfo.rundistance) {
                this.onComplete();
                return;
            }
            var nowPos = this.getRoleObj().getPosition();
            var targetPos = this.getTarget().getPosition();
            var distanceVec = cc.pSub(targetPos, nowPos);
            var dirVec = cc.pNormalize(distanceVec);
            dirVec = this.shiftAngle(dirVec);
            this.getRoleObj().setRunDir(dirVec);
            //撞到墙壁停止
            return true;
        };
        baseState_zhuiji.prototype.onComplete = function () {
            this.m_baseAiControl.changeState(game.e_AiType.g_randSkill);
            return true;
        };
        return baseState_zhuiji;
    }(baseState_AiControl));
    game.baseState_zhuiji = baseState_zhuiji;
    var baseState_fight = (function (_super) {
        __extends(baseState_fight, _super);
        function baseState_fight(_baseAiControl) {
            _super.call(this, _baseAiControl);
            this.m_stateType = game.e_AiType.fight;
        }
        baseState_fight.prototype.InternalEvent = function (key, data) {
            if (data) {
                this.m_dataInfo = cc.clone(data);
            }
            this.updateDir(this.getTargetPos());
            this.getRoleObj().changeState(this.m_dataInfo.aiType, this.m_dataInfo);
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        //
        baseState_fight.prototype.update = function (t) {
            if (this.isXuanYun()) {
                this.onComplete();
                return true;
            }
            if (this.getRoleObj().getCurStateType() != this.m_dataInfo.aiType) {
                this.onComplete();
                return true;
            }
            return true;
        };
        baseState_fight.prototype.onComplete = function () {
            this.m_baseAiControl.setAttackTarget(this.m_baseAiControl.getAttackTarget_changeByDamage());
            this.m_baseAiControl.changeState(game.e_AiType.g_randSkill);
            return true;
        };
        return baseState_fight;
    }(baseState_AiControl));
    game.baseState_fight = baseState_fight;
    //后退状态
    var baseState_houtui = (function (_super) {
        __extends(baseState_houtui, _super);
        function baseState_houtui(_baseAiControl) {
            _super.call(this, _baseAiControl);
            this.m_startPos = cc.p(0, 0);
            this.m_stateType = game.e_AiType.g_houtui;
        }
        baseState_houtui.prototype.InternalEvent = function (key, data) {
            if (data) {
                this.m_dataInfo = cc.clone(data);
            }
            this.m_startPos = this.getRoleObj().getPosition();
            _super.prototype.InternalEvent.call(this, key, data);
            if (this.m_dataInfo.rundistance == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "后退距离没有填");
                return false;
            }
            var randDir = cc.p(-this.getRoleObj().getDir(), 0);
            this.getRoleObj().setRunDir(randDir);
            this.getRoleObj().changeState(game.e_AiType.g_AiType_run, randDir);
            //记录开始位置
            return true;
        };
        //
        baseState_houtui.prototype.update = function (t) {
            if (this.isXuanYun()) {
                this.onComplete();
                return;
            }
            if (this.getRoleObj().getCurStateType() != game.e_AiType.g_AiType_run) {
                this.onComplete();
                return;
            }
            if (this.getTarget() == null) {
                this.onComplete();
                return;
            }
            if (this.getTarget().isdead()) {
                this.onComplete();
                return;
            }
            if (this.m_dataInfo == null) {
                this.onComplete();
                return;
            }
            //判断撞到墙壁了
            var retState = this.getRoleObj().getRunState();
            if (retState.m_zhuangqiang === true) {
                this.onComplete();
                return;
            }
            //
            //判断后退距离
            //跟随状态
            var distance_houtuiDis = this.getRoleObj().getDisX(this.m_startPos);
            // let distance_houtuiDis = this.getRoleObj().getDistance(this.m_startPos);
            if (distance_houtuiDis > this.m_dataInfo.rundistance) {
                this.onComplete();
                return;
            }
            return true;
        };
        baseState_houtui.prototype.onComplete = function () {
            this.m_baseAiControl.changeState(game.e_AiType.g_randSkill);
            return true;
        };
        return baseState_houtui;
    }(baseState_AiControl));
    game.baseState_houtui = baseState_houtui;
    //被击后退 不切换状态
    var baseState_beiji_houtui = (function () {
        function baseState_beiji_houtui(_baseAiControl) {
            this.m_baseAiControl = null;
            this.m_object_role = null;
            this.m_isback = false;
            this.m_dir = cc.p(1, 0);
            this.m_beijihoutuiTime = 0.2;
            this.m_loop_notSetPos_buffPos = null;
            this.m_baseAiControl = _baseAiControl;
            this.m_object_role = _baseAiControl.m_roleObj;
        }
        baseState_beiji_houtui.prototype.isActive = function () {
            return this.m_isback;
        };
        baseState_beiji_houtui.prototype.shutdown = function () {
            this.m_baseAiControl.setAttackTarget(this.m_baseAiControl.getAttackTarget_changeByDamage());
            if (this.m_object_role.m_spineLineControl) {
                this.m_object_role.m_spineLineControl.shutdown();
                this.m_object_role.m_spineLineControl = null;
            }
            game.aiBase_public_func.getMe().resetPos_y(this.m_object_role);
        };
        baseState_beiji_houtui.prototype.InternalEvent = function (_obj) {
            var dir = game.aiBase_public_func.getMe().updataDir(_obj, this.m_object_role);
            this.m_isback = true;
            this.m_beijihoutuiTime = 0.2;
            this.m_loop_notSetPos_buffPos = null;
            if (!this.m_object_role.m_spineLineControl)
                this.m_object_role.m_spineLineControl = game.spineLine_beiji_noanimation.create(this.m_object_role, "luxian", this.m_object_role.m_beHitActName);
            if (dir) {
                this.m_object_role.m_spineLineControl.setDir(-1 * dir);
            }
            return true;
        };
        //
        baseState_beiji_houtui.prototype.update = function (t) {
            if (this.m_isback == false) {
                return false;
            }
            // let adddispos = null;
            if (this.m_object_role.m_spineLineControl) {
                //同步速度
                this.m_object_role.m_spineLineControl.setTimeScale(this.m_object_role.getTimeScale());
                var ret = this.m_object_role.m_spineLineControl.loop(t);
                if (ret == true) {
                    this.m_isback = false;
                    this.m_object_role.m_spineLineControl.shutdown();
                    this.m_object_role.m_spineLineControl = null;
                }
            }
            else {
                this.m_isback = false;
            }
            return true;
        };
        baseState_beiji_houtui.prototype.onEnd = function () {
        };
        return baseState_beiji_houtui;
    }());
    game.baseState_beiji_houtui = baseState_beiji_houtui;
    var baseState_randSkill = (function (_super) {
        __extends(baseState_randSkill, _super);
        function baseState_randSkill(_baseAiControl) {
            _super.call(this, _baseAiControl);
            this.m_statelist = null;
            this.m_stateType = game.e_AiType.g_randSkill;
        }
        baseState_randSkill.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        baseState_randSkill.prototype.update = function (t) {
            if (this.isXuanYun()) {
                return true;
            }
            if (this.getRoleObj().isdead()) {
                return true;
            }
            if (this.getRoleObj().isFight()) {
                return true;
            }
            if (this.getRoleObj().isFallDown()) {
                return true;
            }
            if (this.getRoleObj().isBeiji()) {
                this.m_statelist = null;
                if (this.getRoleObj().isStateEnd() == false) {
                    return true;
                }
            }
            if (this.getRoleObj().getCurStateType() == game.e_AiType.g_AiType_endAnimate) {
                return true;
            }
            if (this.getTarget() == null) {
                return true;
            }
            //没有目标
            if (this.getTarget().isdead()) {
                this.m_baseAiControl.m_target = null;
                return true;
            }
            if (this.m_statelist == null) {
                this.getRoleObj().changeState(game.e_AiType.g_AiType_Idle);
                var pos = this.getTarget().getPosition();
                this.m_statelist = this.generateStateList(pos);
                if (this.m_statelist == null) {
                    var p1 = this.getRoleObj().getPosition();
                    console.log("ai有问题   " + this.getRoleObj().getName() + "的坐标 x:" + p1.x + "\n y:" + p1.y
                        + "\n 目标是:" + this.getTarget().getName() + "  的坐标 x:" + pos.x + "\n y:" + pos.y);
                }
            }
            if (this.m_statelist) {
                if (this.m_statelist.getSize() == 0) {
                    this.m_statelist = null;
                    return true;
                }
                var b_data = this.m_statelist.begin();
                if (b_data == null) {
                    this.m_statelist.pop();
                    return true;
                }
                this.m_statelist.pop();
                //let typebuf :  e_AiType b_data.aiType
                b_data.aiType = game.g_AiType.strToAiType(b_data.aiType);
                if (b_data.aiType == game.e_AiType.g_AiType_run) {
                    this.m_baseAiControl.changeState(game.e_AiType.g_zhuiji, b_data);
                }
                else if (b_data.aiType == game.e_AiType.g_AiType_back) {
                    this.m_baseAiControl.changeState(game.e_AiType.g_houtui, b_data);
                }
                else if (b_data.aiType == game.e_AiType.g_AiType_Idle) {
                    this.m_baseAiControl.changeState(game.e_AiType.g_silly, b_data);
                }
                else {
                    this.m_baseAiControl.changeState(game.e_AiType.fight, b_data);
                }
            }
            return true;
        };
        return baseState_randSkill;
    }(baseState_AiControl));
    game.baseState_randSkill = baseState_randSkill;
    //被动挨打
    var g_AiType_silly = (function (_super) {
        __extends(g_AiType_silly, _super);
        function g_AiType_silly(role) {
            _super.call(this, role);
            this.m_cd = 1;
            this.m_stateType = game.e_AiType.g_silly;
        }
        g_AiType_silly.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        g_AiType_silly.prototype.InternalEvent = function (key, data) {
            if (data != null) {
                this.m_dataInfo = cc.clone(data);
                this.m_cd = this.m_dataInfo.idletime;
            }
            if (this.m_dataInfo.idletime == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "没有idletime");
                return false;
            }
            this.getRoleObj().changeState(game.e_AiType.g_AiType_Idle);
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        g_AiType_silly.prototype.update = function (t) {
            if (this.isXuanYun()) {
                this.onComplete();
                return;
            }
            this.m_cd -= t;
            if (this.m_cd < 0) {
                this.Complete();
            }
            _super.prototype.update.call(this, t);
            return true;
        };
        g_AiType_silly.prototype.Complete = function () {
            this.m_isEnd = true;
            this.m_baseAiControl.changeState(game.e_AiType.g_randSkill);
            return true;
        };
        return g_AiType_silly;
    }(baseState_AiControl));
    game.g_AiType_silly = g_AiType_silly;
    var monsterState_xunyun = (function (_super) {
        __extends(monsterState_xunyun, _super);
        function monsterState_xunyun(role) {
            _super.call(this, role);
            this.m_stateType = game.e_AiType.xuanyun;
        }
        monsterState_xunyun.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterState_xunyun.prototype.InternalEvent = function (key, data) {
            if (data != null) {
                this.m_dataInfo = cc.clone(data);
            }
            this.getRoleObj().changeState(game.e_AiType.g_AiType_Idle);
            _super.prototype.InternalEvent.call(this, key, data);
            //加特效
            return true;
        };
        monsterState_xunyun.prototype.update = function (t) {
            if (this.isXuanYun() == false) {
                this.onComplete();
                return;
            }
            _super.prototype.update.call(this, t);
            return true;
        };
        monsterState_xunyun.prototype.Complete = function () {
            this.m_isEnd = true;
            this.m_baseAiControl.changeState(game.e_AiType.g_randSkill);
            return true;
        };
        return monsterState_xunyun;
    }(baseState_AiControl));
    game.monsterState_xunyun = monsterState_xunyun;
    //并行状态机
    var baseAiControl = (function (_super) {
        __extends(baseAiControl, _super);
        function baseAiControl(roleObj) {
            _super.call(this, roleObj);
            this.m_roleObj = null;
            this.m_target = null;
            this.m_targetPos = new cc.Vec2(0, 0);
            this.m_Ai_config = null;
            this.m_baseState_beiji_houtui = null;
            this.m_roleObj = roleObj;
            this.m_baseState_beiji_houtui = new baseState_beiji_houtui(this);
            this.initState();
        }
        baseAiControl.prototype.isboss = function () {
            return false;
        };
        baseAiControl.prototype.init = function () {
        };
        baseAiControl.prototype.randomTarget = function () {
            var players = game.roleMgr.getMe().getPlayerAlive();
            var num = Math.floor(Math.random() * players.size);
            return players.getByIndex(num);
        };
        baseAiControl.prototype.getAttackTarget = function () {
            if (!this.m_target) {
                this.m_target = this.randomTarget();
            }
            return this.m_target;
        };
        baseAiControl.prototype.setAttackTarget = function (t) {
            return this.m_target = t;
        };
        //仇恨值系统
        //根据伤害列表选择攻击目标， 谁对我造成的伤害超过现有目标30% 切换目标，
        //如果伤害列表是空的，默认目标
        baseAiControl.prototype.getAttackTarget_changeByDamage = function () {
            var shanghaiMap = this.m_roleObj.getShanghaiMap();
            if (shanghaiMap.isEmpty()) {
                return this.randomTarget();
            }
            var maxShanghai = shanghaiMap.begin();
            var maxShanghaiId = null;
            for (var i = 0; i < shanghaiMap.getSize(); i++) {
                var targetId = shanghaiMap.getKey(i);
                var shanghai = shanghaiMap.getDataByKey(targetId);
                if (shanghai > maxShanghai) {
                    if (game.roleMgr.getMe().getRoleById(targetId) == null) {
                        shanghaiMap.remove(i);
                        continue;
                    }
                    if (game.roleMgr.getMe().getRoleById(targetId).isdead()) {
                        shanghaiMap.remove(i);
                        continue;
                    }
                    maxShanghai = shanghai;
                    maxShanghaiId = targetId;
                }
            }
            if (maxShanghaiId == null) {
                return this.randomTarget();
            }
            else {
                return game.roleMgr.getMe().getRoleById(maxShanghaiId);
            }
        };
        baseAiControl.prototype.update = function (dt) {
            this.m_baseState_beiji_houtui.update(dt);
        };
        baseAiControl.prototype.onMonsterBackBeiji = function (_obj) {
            this.m_baseState_beiji_houtui.InternalEvent(_obj);
        };
        baseAiControl.prototype.shutdown = function () {
        };
        return baseAiControl;
    }(game.baseStateControl));
    game.baseAiControl = baseAiControl;
})(game || (game = {}));
//# sourceMappingURL=baseAiControl.js.map