var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var buffConfig = (function () {
        function buffConfig() {
            this.continueTime = 0; //持续时间
            this.perCoefficient = 0; //增益或减益的值 正数
        }
        return buffConfig;
    }());
    game.buffConfig = buffConfig;
    var baseBuff = (function (_super) {
        __extends(baseBuff, _super);
        function baseBuff(_buffControl) {
            _super.call(this);
            this.m_buffdata = null;
            this.m_type = null;
            this.m_Alive = false;
            this.m_buffControl = null;
            this.m_Owner = null;
            this.m_target = null;
            this.m_buffIcon = null;
            this.m_skillname = null;
            if (_buffControl == null) {
                console.error("baseBuff _buffControl");
            }
            this.m_Owner = null; //释放buff 的role
            this.m_buffControl = _buffControl; //
        }
        baseBuff.prototype.init = function (Owner, target, data) {
            if (Owner) {
                this.m_Owner = Owner;
            }
            if (target) {
                this.m_target = target;
            }
            this.m_buffdata = cc.clone(data);
            this.m_skillname = this.m_Owner.m_curSkillName;
            this.m_Alive = true; //开始执行buff
            // this.buffTexiao();
            return true;
        };
        //释放特效
        baseBuff.prototype.buffTexiao = function () {
            if (this.m_buffdata.resAnimation == null) {
                return;
            }
            if (this.m_buffdata.resAnimation == "") {
                return;
            }
            this.m_target.playBuffSpineAnimation_Once_foot("buffTexiao", this.m_buffdata.resAnimation);
        };
        // 判断是否是增益buff
        baseBuff.prototype.isGoodBuff = function () {
            for (var p in game.g_buff_config["public"]) {
                var data = game.g_buff_config["public"][p];
                if (this.m_type == data.buffType) {
                    if (data.target == "enemy") {
                        return false;
                    }
                }
            }
            return true;
        };
        baseBuff.prototype.initBuffIcon = function (_buffIcon) {
            this.m_buffIcon = _buffIcon;
            this.m_buffIcon.setVisible(true);
            var icon = this.getBuffIocn();
            if (icon) {
                this.m_buffIcon.loadTexture(icon);
            }
            else {
                game.uiMgr.getMe().show_ui_MessageBox(true, "g_buff_config[public]的buffType为：" + this.m_type + "没有值。。。");
            }
        };
        baseBuff.prototype.getBuffIocn = function () {
            for (var p in game.g_buff_config["public"]) {
                var data = game.g_buff_config["public"][p];
                if (data.buffType == this.m_type) {
                    return data.buffIocn;
                }
            }
            return null;
        };
        //释放buff 的role
        baseBuff.prototype.getOwner = function () {
            return this.m_Owner;
        };
        //被释放者
        baseBuff.prototype.getTarget = function () {
            return this.m_target;
        };
        // loop_continueTime (t) {
        //     this.m_buffdata.continueTime -= t;
        //     if (this.m_buffdata.continueTime < 0) {
        //         this.m_Alive = false;
        //     }
        // }
        baseBuff.prototype.loop = function (t) {
            // this.loop_continueTime(t);
            return this.m_Alive;
        };
        baseBuff.prototype.shutdown = function () {
            this.m_Alive = false;
        };
        baseBuff.prototype.getPerCoefficient = function (role) {
            if (role === void 0) { role = null; }
            return this.m_buffdata.perCoefficient;
        };
        baseBuff.prototype.isSuperposition = function () {
            return this.m_buffdata.isSuperposition;
        };
        return baseBuff;
    }(game.baseObj_notNode));
    game.baseBuff = baseBuff;
})(game || (game = {}));
//# sourceMappingURL=baseBuff.js.map 
//# sourceMappingURL=baseBuff.js.map