/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
module  game {
    export class baseRoleControl {
        m_DoEnterCurButtonState: boolean = false;
        m_maxSpeed: any = false;
        m_runButtonPressed: boolean = false;
        m_runDir: any = cc.p(0, 0);

        constructor() {
            this.init();
        }

        onKeyPressed(keyCode) {
            switch (keyCode) {

                // PC版本，数字键1切换主角随从个，数字键2自动战斗,3自动复活开关
                case cc.KEY.num1:
                case 49: {
                    this.onkey_1();
                }
                    break;
                case cc.KEY.num2: //自动战斗
                case 50: {
                    this.onkey_2();
                }
                    break;
                case cc.KEY.num3: //自动战斗
                case 51: {
                    this.onkey_3();
                }
                    break;
                case cc.KEY.a: {
                }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp: {
                    this.up();
                }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown: {
                    this.down();
                }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft: {
                    this.left();
                }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight: {
                    this.right();
                }
                    break;

                case cc.KEY.dpadCenter:
                case cc.KEY.enter: {
                    this.DoEnterCurButton();
                }
                    break;
                case cc.KEY.menu:
                {
                    this.onMenu();
                }
                    break;
            }
        }

        onKeyReleased(keyCode) {
            switch (keyCode) {
                case cc.KEY.num1: {

                }
                    break;

                case cc.KEY.num2: {

                }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp: {
                    this.up_Released();
                }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown: {
                    this.down_Released();
                }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft: {
                    this.left_Released();
                }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight: {
                    this.right_Released();
                }
                    break;

                case cc.KEY.enter:
                case cc.KEY.dpadCenter: {
                    this.DoEnterCurButton_Released();
                }
                    break;
            }

        }

        init() {
        }

        loop(t) {

        }

        onMenu() {
        }

        onkey_1() {
        }

        onkey_2() {
        }

        onkey_3() {
        }

//被控制的角色
        getControlRole() {

            var pRole = roleMgr.getMe().getControlPlayer();
            return pRole;

        }

        left() {
            this.m_runButtonPressed = true;
            return true;
        }

        right() {
            this.m_runButtonPressed = true;
            return true;

        }


        left_Released() {
            this.m_runButtonPressed = false;
            return true;
        }

        right_Released() {
            this.m_runButtonPressed = false;
            return true;
        }


        up() {
            this.m_runButtonPressed = true;
            return true;
        }

        // 操作键下：按一次，释放小技能；按着不松蓄力满了释放大技能。
        down() {
            this.m_runButtonPressed = true;
            return true;
        }

        up_Released() {
            this.m_runButtonPressed = false;
            return true;
        }

        down_Released() {
            this.m_runButtonPressed = false;
            return true;
        }



        DoEnterCurButton() {

            if (this.m_DoEnterCurButtonState == true) {
                return true;
            }

            this.m_DoEnterCurButtonState = true;
            var pRole = this.getControlRole();
            if (pRole) {
                pRole.changeState(e_AiType.g_AiType_play_normalSkill);
            }
            return true;
        }


        DoEnterCurButton_Released() {
            this.m_DoEnterCurButtonState = false;
            return true;
        }

    }
}
//# sourceMappingURL=baseRoleControl.js.map