/**
 * Created by xieli on 2017/2/3.
 */
//shader 效果
var game;
(function (game) {
    //闪烁效果
    var shaderFlash = (function () {
        function shaderFlash(_SpineNode) {
            this.m_SpineNode = null;
            this.m_bloom = null;
            this.m_bloomTime = null;
            this.m_shanshuotime = 10.1;
            this.m_shanshuoState = true;
            this.m_SpineNode = _SpineNode;
        }
        //开始shader
        shaderFlash.prototype.startBloom = function () {
            this.m_bloom = true;
            this.m_bloomTime = 0.1;
            if (this.m_SpineNode) {
                this.m_SpineNode.SetShader_blur(true);
            }
        };
        shaderFlash.prototype.loopShader = function (t) {
            if (this.m_bloom) {
                this.m_bloomTime -= t;
                if (this.m_bloomTime < 0) {
                    this.endBloom();
                }
            }
        };
        //结束shader
        shaderFlash.prototype.endBloom = function () {
            this.m_bloom = false;
            this.m_SpineNode.SetShader_blur(false);
        };
        //开始shader 闪烁
        shaderFlash.prototype.loopShader_shanshuo = function (t, flash) {
            if (flash == true) {
                this.m_shanshuotime += t;
                if (this.m_shanshuotime > 0.050) {
                    this.m_shanshuotime = 0;
                    if (this.m_shanshuoState) {
                        this.startBloom();
                    }
                    else {
                        this.endBloom();
                    }
                    this.m_shanshuoState = !this.m_shanshuoState;
                }
            }
            else {
                if (this.m_shanshuoState) {
                    this.m_shanshuoState = !this.m_shanshuoState;
                    this.endBloom();
                }
            }
        };
        return shaderFlash;
    }());
    game.shaderFlash = shaderFlash;
})(game || (game = {}));
//# sourceMappingURL=shaderEffect.js.map