/**
 * Created by xieli on 2017/2/3.
 */

//shader 效果
module game {
    //闪烁效果
    export class shaderFlash {
        m_SpineNode: SkeletonAnimation_Ex = null;
        m_bloom : boolean= null;
        m_bloomTime : number= null;
        m_shanshuotime: number = 10.1;
        m_shanshuoState: boolean = true;

        constructor(  _SpineNode: SkeletonAnimation_Ex )
        {
            this.m_SpineNode = _SpineNode;
        }
        //开始shader
        startBloom() {
            this.m_bloom = true;
            this.m_bloomTime = 0.1;
            if (this.m_SpineNode) {
                this.m_SpineNode.SetShader_blur(true);
            }
        }

        loopShader(t) {
            if (this.m_bloom) {
                this.m_bloomTime -= t;
                if (this.m_bloomTime < 0) {
                    this.endBloom();
                }
            }
        }

        //结束shader
        endBloom() {
            this.m_bloom = false;
            this.m_SpineNode.SetShader_blur(false);
        }

        //开始shader 闪烁
        loopShader_shanshuo(t:number,flash:boolean) {
            if (flash == true) {
                this.m_shanshuotime += t;
                if (this.m_shanshuotime > 0.050) {
                    this.m_shanshuotime = 0;
                    if (this.m_shanshuoState) {
                        this.startBloom();
                    }
                    else {
                        this.endBloom();
                    }
                    this.m_shanshuoState = !this.m_shanshuoState;
                }
            }
            else {
                if (this.m_shanshuoState) {
                    this.m_shanshuoState = !this.m_shanshuoState;
                    this.endBloom();
                }
            }
        }

    }
}