module  game {
    export class removeSpeedBuff {
        m_buffdata:buffConfig = null;
        m_object_role: baseRole = null;
        m_Alive:boolean = false;
        m_spineNode:SkeletonAnimation_Ex;

        constructor(role){
            this.init(role);
        }

        init(role) { //获得数据结构体并初始化
            if(this.m_Alive){
                this.buff_end();
            }
            this.m_buffdata = new buffConfig();
            this.m_object_role = role;
        }

        getPerCoefficient() {
            return this.m_buffdata.perCoefficient;
        }

        buffTexiao () {
            // this.m_spineNode.playBuffSpineAnimation_Once_foot("buffTexiao", "bingdong");
            if(!this.m_spineNode){
                this.m_spineNode = spineMgr.getMe().loadSpine("buffTexiao",this.m_object_role.getNode(),30);
                this.m_spineNode.setAnimation(0,"bingdong",true);
                this.m_spineNode.setScale(g_buff_config["public"][0].scale);
            }
        }

        loop_continueTime (t) {
            if(this.m_buffdata){
                this.m_buffdata.continueTime -= t;
                if (this.m_buffdata.continueTime < 0) {
                    this.buff_end();
                }
            }
        }

        loop(t) {
            if(this.m_Alive)
                this.loop_continueTime(t);
        }

        buff_start(time,perCoefficient){
            this.m_Alive = true;
            this.m_buffdata.continueTime = time;
            this.m_buffdata.perCoefficient = this.m_buffdata.perCoefficient > perCoefficient ? this.m_buffdata.perCoefficient : perCoefficient;
            this.buffTexiao();

            if(this.m_spineNode && !this.m_spineNode.isVisible()){
                this.m_spineNode.setVisible(true);
                this.m_spineNode.resume();
            }
        }

        buff_end () {
            this.m_Alive = false;
            this.m_buffdata.continueTime = 0;
            this.m_buffdata.perCoefficient = 0;
            // if (this.m_spineNode)
            //     this.m_object_role.removeChild(this.m_spineNode.getNode());
            if(this.m_spineNode && this.m_spineNode.isVisible()){
                this.m_spineNode.setVisible(false);
                this.m_spineNode.pause();
            }
        }

        shutdown () {
            this.m_Alive = false;
            this.m_buffdata = null;
            if (this.m_spineNode && this.m_spineNode.getNode())
                this.m_object_role.removeChild(this.m_spineNode.getNode());
        }
    }
}

//# sourceMappingURL=removeSpeedBuff.js.map