module game {
    export var g_effectEventType = {
        "Damage": "shanghai"
    };
    export class EffectMgr extends xjNode {
        static g_effectMgr: any = null;
        static getMe = function () {
            if (EffectMgr.g_effectMgr == null) {
                EffectMgr.g_effectMgr = new EffectMgr();
                // EffectMgr.g_effectMgr.m_effectDic = new Map();
                EffectMgr.g_effectMgr.getNode().setName("EffectMgr类");
            }
            return EffectMgr.g_effectMgr;
        };

        OnEvent(event, eventEffect) {
            var name = event.data.name;
            //动作停顿

            if (name.indexOf(g_eventFrameType["Pause"]) > -1) {
                this.OnPause(event);
            }
            //动作时间缩放
            if (name.indexOf(g_eventFrameType["TimeScale"]) > -1) {
                this.OnTimeScaleChange(event);
            }
            //震屏
            if (name.indexOf(g_eventFrameType["ScreenShake"]) > -1) {
                this.OnScreenShake(event);
            }
        }

        OnBulletPause(event, _object_role) {

        }

        //停顿
        OnPause(event, _object_role: baseRole = null) {
            var info = g_animation_effect_config.pause[event.data.name];
            //需要判断有没有碰撞
            var colliderPartPos = event.data.name.indexOf(g_eventFrameType["AttackCollision"]);
            var colliderIndexString = event.data.name.substr(colliderPartPos, g_eventFrameType["AttackCollision"].length + 1);
            if (colliderIndexString == null)
                return;
            var anyCollision = false;
            var eList = _object_role.getenemy();
            for (var j = 0; j < eList.size; ++j) {
                var o = eList.getByIndex(j);
                var ret = _object_role.dealPhy(o, colliderIndexString);
                if (ret == 1) {
                    o.HitPause(info.duration);
                    anyCollision = true;
                }
            }
            if (anyCollision) {
                var info = g_animation_effect_config.pause[event.data.name];
                _object_role.HitPause(info.duration);
            }
        }

        OnTimeScaleChange(event) {
            var info = g_animation_effect_config.timeScale[event.data.name];
            //info.duration = 2;
            TimeScaleControl.getMe().setTimeScale(info.degree, info.duration); //
        }

        OnScreenShake(event) {
            var info = g_animation_effect_config.shakeScreen[event.data.name];
            if(info)
            {
                cameraMgr.getMe().start_Shake(info.duration, info.effectval);
            }
            else{
                console.log("error g_animation_effect_config 没有event：" + event.data.name);
            }

        }
    }

}
//# sourceMappingURL=effectMgr.js.map