/**
 * Created by xieli on 2017/2/4.
 */
//物品管理类
var game;
(function (game) {
    var itemMgr = (function () {
        function itemMgr() {
            this.m_item_Info_Type_Map = null;
            this.m_item_Info_name_Map = null;
        }
        itemMgr.prototype.initex = function () {
            //
            this.m_item_Info_Type_Map = new game.Map();
            for (var p in game.g_items_info) {
                var type = p;
                var l_item_Info = game.g_items_info[p];
                this.m_item_Info_Type_Map.set(l_item_Info.type, l_item_Info);
            }
            this.m_item_Info_name_Map = new game.Map();
            for (var p in game.g_items_info) {
                var name_1 = p;
                var l_item_Info = game.g_items_info[p];
                this.m_item_Info_name_Map.set(name_1, l_item_Info);
            }
        };
        itemMgr.prototype.getItemByType = function (type) {
            return this.m_item_Info_Type_Map.get(type);
        };
        itemMgr.prototype.getItemByName = function (name) {
            var ret = this.m_item_Info_name_Map.get(name);
            if (!ret) {
                console.log("没有这个物品" + name);
                game.uiMgr.getMe().show_ui_MessageBox(true, ".error playitem 表  没有这个物品:" + name);
            }
            return ret;
        };
        itemMgr.prototype.getItemZHNameByName = function (name) {
            var ret = this.m_item_Info_name_Map.get(name);
            if (!ret) {
                game.uiMgr.getMe().show_ui_MessageBox(true, ".error playitem 表  没有这个物品:" + name);
            }
            return ret.name;
        };
        itemMgr.prototype.getItemIconByName = function (name) {
            var ret = this.m_item_Info_name_Map.get(name);
            if (ret == null) {
                return null;
            }
            return ret.icon;
        };
        itemMgr.prototype.getItemIconByType = function (type) {
            var ret = this.m_item_Info_Type_Map.get(type);
            if (ret) {
                return ret.icon;
            }
            else {
                console.log("error 没有这个item:" + type);
                return null;
            }
        };
        itemMgr.g_itemMgr = null;
        itemMgr.getMe = function () {
            if (game.itemMgr.g_itemMgr == null) {
                game.itemMgr.g_itemMgr = new game.itemMgr();
            }
            return game.itemMgr.g_itemMgr;
        };
        return itemMgr;
    }());
    game.itemMgr = itemMgr;
})(game || (game = {}));
//# sourceMappingURL=itemMgr.js.map 
//# sourceMappingURL=itemMgr.js.map