"use strict";
//boss的Ai控制 boosAiControl
module game {

    export class bossAiControl extends baseAiControl {
        static create = function (role) {
            var _bossAiControl = new bossAiControl(role);
            return _bossAiControl;
        };
        m_baseState_zhuiji_player: baseState_zhuiji = null;
        m_baseState_randSkill: baseState_randSkill = null;
        m_baseState_houtui_player: baseState_houtui = null;
        m_baseState_fight: baseState_fight = null;
        m_monsterState_xunyun: monsterState_xunyun = null;
        m_g_AiType_silly: g_AiType_silly = null;

        constructor(role) {
            super(role);
            this.m_roleObj = role;
            // this.m_target = roleMgr.getMe().getControlPlayer();
            this.m_target = this.randomTarget();
        }

        isboss() {
            return true;
        }

        init() {
            //this._super;
        }

        initState() {

            this.m_baseState_zhuiji_player = new baseState_zhuiji(this);
            this.m_baseState_randSkill = new baseState_randSkill(this);
            this.m_baseState_houtui_player = new baseState_houtui(this);
            this.m_baseState_fight = new baseState_fight(this);
            this.m_monsterState_xunyun = new monsterState_xunyun(this);
            this.m_g_AiType_silly = new g_AiType_silly(this);

            this.addState(this.m_monsterState_xunyun);
            this.addState(this.m_baseState_fight);
            this.addState(this.m_baseState_zhuiji_player);
            this.addState(this.m_baseState_randSkill);
            this.addState(this.m_baseState_houtui_player);
            this.addState(this.m_g_AiType_silly);
            this.m_cur_RoleAiState = this.m_baseState_zhuiji_player; //当前状态
        }

        update(dt) {
            if (!this.m_roleObj) {
                return;
            }
            this.m_cur_RoleAiState.update(dt);
            super.update(dt);
        }
    }
}


//# sourceMappingURL=bossAiControl.js.map