/**
 * Created by cy1234 on 2016/8/11.
 */

//刷怪类


module game {

    export class createMonsterMgr {
        m_birthData: Array< birthData_child > = null;
        m_index: number = 0; //m_birthData 索引
        m_intervalTime: number = 0; //2个波次的间隔时间
        m_wareData: birthData_child = null;
        m_begin: boolean = false; //刷怪开关
        m_waveIndex: string = null; //波次名称
        m_monsterBirthInfo: Map<number,monster_birth_child> = null; //string

        static getMe() {
            return createMonsterMgr.create();
        };

        static g_ing: any = null;
        static create(): createMonsterMgr {
            console.log(" init createMonsterMgr.create ");
            let l_createMonsterMgr = new createMonsterMgr();
            return l_createMonsterMgr;

            // if (createMonsterMgr.g_ing == null) {
            //     createMonsterMgr.g_ing = new createMonsterMgr();
            //     return createMonsterMgr.g_ing;
            // }
            // else {
            //     return createMonsterMgr.g_ing;
            // }
        };

        constructor() {

        }

        initMonsterBirthData(birthdata:Array< birthData_child >) {

            this.m_birthData = birthdata;
            this.m_begin = true;
            this.m_index = 0;
            this.m_waveIndex = null;
            this.m_intervalTime = 0;
            this.m_wareData = null;
            this.m_monsterBirthInfo = new Map<number,monster_birth_child>();
            this.updateMonsterBirthWaveData();
        }

        shutdown() {
            this.m_monsterBirthInfo = null;
            this.m_begin = false;
            this.m_birthData = null;
            this.m_index = 0;
            this.m_waveIndex = null;
            this.m_intervalTime = 0;
            this.m_wareData = null;
        }

        isUpdataNextWave(){

            if (this.m_begin == false) {
                return false;
            }

            let condition = this.m_wareData.condition;
            for (let p in condition) {
                let cond = condition[p];
                let condType = cond["type"];
                switch (condType) {
                    case "kill": {
                        let monster_name = cond["name"];
                        let killnum = cond["num"];
                        let deadnum = roleMgr.getMe().getMonsterDeadNumByName(monster_name);
                        if (deadnum < killnum) {
                            return false;
                        }
                    }
                        break;
                    case "killall": {
                        if(this.isKillAll() == false){
                            return false;
                        }
                    }
                        break;

                    case "tohpper":
                    {
                        var hpper = cond["hpper"];
                        var boss = roleMgr.getMe().getBoss();
                        if (boss) {
                            if (boss.gethpPer() > hpper) {
                                return false;
                            }
                        }else{
                            return false;
                        }
                    }
                        break;

                    default:
                        break;
                }
            }

            return true;
        }

        updateWaveData(): boolean {
            if (this.m_wareData == null) {
                return false;
            }
            if(!this.isUpdataNextWave()){
                return false;
            }
            //下一波怪物来了
            this.m_index++;
            this.updateMonsterBirthWaveData();
            return true;
        }

        //更新下一波怪
        updateMonsterBirthWaveData():boolean{
            if (this.m_birthData[this.m_index] == null) {
                return false;
            }
            this.m_wareData = cc.clone(this.m_birthData[this.m_index]);
            this.m_intervalTime = this.m_wareData.interval;
            let waveIndex = this.m_wareData.waveIndex;
            this.m_waveIndex = waveIndex;


            var index = 0;


           if(g_monster_birth_config[waveIndex] == null){
               uiMgr.getMe().show_ui_MessageBox(true, "刷怪表没有对应的下标，请检查！")
                return;
            }

            var monsterbirthInfo: Object = cc.clone(g_monster_birth_config[waveIndex]);

            this.m_monsterBirthInfo = new Map<number,monster_birth_child>();
            for ( let i in monsterbirthInfo ) {
                let buff: monster_birth_child = monsterbirthInfo[i];
                buff.birth_total_num = 0;
                buff.birth_end = false;
                buff.birth_wave = waveIndex;
                this.m_monsterBirthInfo.set(index,buff) ;
                index++;
            }
            return true;
        }

        isKillAll(){
            for (let i = 0; i < this.m_monsterBirthInfo.size; ++i) {
                let v = this.m_monsterBirthInfo.getByIndex(i);
                if (v.birth_end == false) {//这一波还没刷新完
                    return false;
                }
            }

            if (roleMgr.getMe().getMonsterAliveByWave(this.m_waveIndex) > 0) {
                return false;
            }

            return true;
        }
        update(t) {

            if (this.m_begin == false) {
                return;
            }
            if (this.m_intervalTime > 0) {
                this.m_intervalTime -= t;
                return;
            }
            else
                {
                if (this.updateWaveData())
                    return;
            }

            if(ccs._parser.g_isLowCpu){
                if(roleMgr.getMe().m_monsterCount >= 2){
                    // console.log("bbbbbbbbbbbbbbbbbbbbbbbbbb "+roleMgr.getMe().m_monsterCount);
                    return;
                }
            }

            for ( let i = 0; i < this.m_monsterBirthInfo.size; ++i )
            {
                let birthInfo: monster_birth_child = this.m_monsterBirthInfo.getByIndex(i);
                if (birthInfo.birth_end) {
                    continue;
                }
                if (birthInfo.birth_total_num >= birthInfo.birth_count) {
                    birthInfo.birth_end = true;
                    continue;
                }
                if (birthInfo.first_birth_time > 0) {
                    birthInfo.first_birth_time -= t;
                    continue;
                }

                roleMgr.getMe().createMonster(birthInfo);
                birthInfo.birth_total_num++;
            }
        }

    }
}
