"use strict";
//怪物ai
module game {
    export class aiBase_monster extends aiBase {
        /**
         * @return {boolean}\
         */

        initZhongduanLevel() {
            for (let p in g_playAiState_zhongduanLevel) {
                let data = g_playAiState_zhongduanLevel[p];
                if (data.type == this.m_stateType) {
                    this.m_stateZhongduanLevel = data.brokenLevel;
                    break;
                }
            }
        }

        getBaseRole(): monster {
            return <monster>this.m_object_role;
        }

        ExternalEvent(key, data): boolean {
            //this.m_object_role.startResetPosition();
            let ret = super.ExternalEvent(key, data);
            if (ret == false) {
                return ret;
            }
            return ret;
        }

        update(dt) {
            super.update(dt);
            //提前结束3帧
            let curTime = this.m_object_role.m_SpineNode.getAnimationSurplusTime();
            if (curTime <= 0.120) {
                this.Complete();
            }
            return true;
        }
    }
    export class aiBaseSkill_monster extends aiBase_monster {
        m_skillInfo: any = null;
        m_state: any = 0;
        m_isEndAnimation: any = 0;

        constructor(role) {
            super(role);
        }

        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            this.m_object_role.m_curSkillInfo = this.m_skillInfo;
            if (this.m_skillInfo == null) {
                return false;
            }
            // this.m_object_role.m_antiStunSum += this.m_skillInfo.raiseLimitStunPoint;
        }

        ExternalEvent(key, data) {
            //this.m_object_role.m_antiStunSum -= this.m_skillInfo.raiseLimitStunPoint;
            return super.ExternalEvent(key, data);
        }

        Complete() {
            //判断是否有回复动画
            if (this.m_isEndAnimation == 1) {
                if (this.endAnimation() == true) {
                    return true;
                }
            }
            super.Complete();
            return true;
        }

        endAnimation() {
            //判断是否有回复动画
            let skill = this.m_object_role.m_curSkillInfo.endAnimation;
            if (skill != null) {
                this.m_object_role.changeState(e_AiType.g_AiType_endAnimate);
                return true;
            }
            return false;
        }
    }

    export class aiBaseSkill_zhuolu extends aiBase_monster {

        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_dead_zhuolu;
            super.initZhongduanLevel();
        }

        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            this.m_object_role.startResetPosition();
            aiBase_public_func.getMe().resetPos_y(this.m_object_role);
            if (this.m_object_role.m_curAnimation == "shouji6") {
                this.m_object_role.playAnimation("shouji6_kongzhong_zhuolu", false);
            }
            else if (this.m_object_role.m_curAnimation == "shouji7") {
                this.m_object_role.playAnimation("shouji7_zhuolu", false);
            }
            else if (this.m_object_role.m_curAnimation == "shouji1_kongzhong") {
                this.m_object_role.playAnimation("shouji1_kongzhong_zhuolu", false);
            }
            else {
                this.m_object_role.playAnimation("shouji7_zhuolu", false);
            }
            return true;
        }

        update(t) {
            //this.m_object_role.setPositionY(this.m_object_role.m_ground.y);
            this.m_object_role.resetPosition(t);
            super.update(t);
            return true;
        }

        ExternalEvent(key, data) {
            return false;
        }

        Complete() {
            this.m_object_role.changeState_Ex(e_AiType.g_AiType_Dead);
            return true;
        }
    }
    //待机
    export class monsterAi_idle extends aiBase_idle {
    }
    //眩晕
    export class monsterAi_yun extends aiBase_yun {
    }
    //移动
    export class monsterAi_run extends aiBase_run {

        constructor(role) {
            super(role);
        }
        shutdown() {
            if (this.m_aiBaseRun_jsb) {
                this.m_aiBaseRun_jsb.release();
                this.m_aiBaseRun_jsb = null;
            }
        }
        m_aiBaseRun_jsb: cc.aiBaseRun_jsb = null;
        m_Rect : any =cc.rect(game.g_walkRect.x, g_walkRect.y, g_walkRect.width, g_walkRect.height);
        InternalEvent(key, data) {

            super.InternalEvent(key, data);
            if (cc.sys.isNative) {
                if (this.m_aiBaseRun_jsb == null) {
                    this.m_aiBaseRun_jsb = new cc.aiBaseRun_jsb();
                    this.m_aiBaseRun_jsb.initEx(this.m_object_role.m_baseRole_js);
                    this.m_aiBaseRun_jsb.retain();
                }
            }
            return true;
        }

        ExternalEvent(key, data) {
            if (this.CanExitExternalEvent(key) == false) {
                return false;
            }
            else if (key == this.m_stateType)
            {
                if (funcMgr.getMe().isObjectValueEqual(this.m_dir, data)) {
                    return false;
                }
                else {
                    return true;
                }
            }
            this.m_object_role.startResetPosition();
            this.m_isEnd = true;
            return true;
        }

        getMonster(): monster {
            return <monster>this.m_object_role;
        }

        update( t : number )
        {
            //return;

            let _proforFunc =  proforFunc.create();
            if ( this.getMonster().m_monsterAiControl.m_baseState_beiji_houtui.isActive() == true )
            {
                return;
            }

            if ( cc.sys.isNative )
            {
                this.m_zhuangqiang =   this.m_aiBaseRun_jsb.update(this.m_dir,this.m_speed ,t);
            }
            else
            {
                this.js_update(t);
            }


            this.m_object_role.m_ground.y = this.m_object_role.getPosition().y;
           // super.update(t);
            _proforFunc.end("monsterAi_run - "+this.m_object_role.getName());
            return true;
        }


        js_update(t)
        {
            let pos = this.m_object_role.getPosition();
            let newpos = cc.pAdd( pos , cc.pMult( this.m_dir, this.m_speed * t ) );
            //已经嵌入到摄像机外面的情况下可以处理
            let walkRect = cc.rectIntersection(cameraMgr.getMe().getRect(), this.m_Rect);

            if(this.m_dir.y > 0){
                if(pos.y > walkRect.height + walkRect.y){
                    this.m_zhuangqiang = true;
                    return true;
                }

            }
            if(this.m_dir.y < 0){
                if(pos.y < walkRect.y){
                    this.m_zhuangqiang = true;
                    return true;
                }
            }

            if (cc.rectContainsPoint(walkRect, pos) == true) {
                if (!cc.rectContainsPoint(walkRect, newpos)) {
                    this.m_zhuangqiang = true;
                    return true;
                }
            }

            this.m_object_role.setPosition(newpos);
        }



    }

    export class monsterAi_dead extends aiBase_monster {
        //m_canDelete:any = false;
        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_Dead;
            super.initZhongduanLevel();

        }

        /**
         * @return {boolean}
         */
        ExternalEvent(key, data) {
            super.ExternalEvent(key, data);
            return false;
        }

        /**
         * @return {boolean}
         */
        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            //清空血条
            this.m_object_role.setHp(0);

            roleMgr.getMe().monsterDead(this.m_object_role);
            // this.m_object_role.m_buffControl.shutdown();
            this.getBaseRole().m_canDelete = false;
            playNuqiMgr.getMe().addNuqi(this.getBaseRole().m_monster_config_Data.addNuqiDead);
            if (data != "killself") {
                if (this.m_object_role.m_curAnimation == "shouji6_kongzhong_zhuolu") {
                    this.m_object_role.playAnimation("shouji6_siwang", false);
                }
                else {
                    this.m_object_role.playAnimation("shouji7_siwang", false);
                }
            }
            else {
                this.getBaseRole().m_canDelete = true;
            }
            return true;
        }

        update(t) {
            super.update(t);
            return true;
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }

        Complete() {
            this.m_isEnd = true;
            this.getBaseRole().m_canDelete = true;
            return true;
        }
    }
    //怪物普通攻击
    export class monsterAi_skillbase extends aiBaseSkill_monster {
        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_autofight_ptgongji1;
            super.initZhongduanLevel();

        }

        ExternalEvent(key, data): boolean {
            let ret = super.ExternalEvent(key, data);
            return ret;
        }

        InternalEvent(key, data) {

            let name = this.m_object_role.getRoleName();
            if (g_monster_skill[name] == null) {
                uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill[name][ptgongji_1] 没有配置 " + name);
                return;
            }
            if (g_monster_skill[name]["ptgongji_1"] == null) {
                uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill[name][ptgongji_1] 没有配置 " + name);
                return;
            }
            else {
                this.m_skillInfo = g_monster_skill[name]["ptgongji_1"]["1"];
            }

            super.InternalEvent(key, data);
            this.m_object_role.playAnimation(this.m_skillInfo.animation, false);
            this.m_object_role.stopMoveRootBone(0);
            return true;
        }

        update(t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            super.update(t);
            return true;
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }

        Complete() {
            super.Complete();
            return true;
        }
    }
    export class monsterAi_baozha extends monsterAi_skillbase {
        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_autofight_baozha;
            super.initZhongduanLevel();
        }

        ExternalEvent(key, data): boolean {
            if (key == this.m_stateType) {
                return false;
            }
            let ret = super.ExternalEvent(key, data);
            this.m_object_role.setHp(0);
            return ret;
        }

        Complete() {
            this.m_object_role.changeState_Ex(e_AiType.g_AiType_Dead);
            return true;
        }
    }
    //攻击Ai
    export class monsterAi_skill extends aiBaseSkill_monster {
        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_autofight_skill;
            super.initZhongduanLevel();
        }

        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            this.m_isEndAnimation = parseInt(data.endAnimate); //;
            let name = this.m_object_role.getRoleName();
            if (g_monster_skill[name] == null) {
                console.log("InternalEvent :" + name);
                //   uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill 没有monster :" + name);

                console.log("g_monster_skill 没有monster :" + name);

                return false;
            }
            if (g_monster_skill[name][data.animation] == null) {
                console.log("InternalEvent :" + data.animation);
                // uiMgr.getMe().show_ui_MessageBox(true, "g_monster_skill 没有skillNameCode:" + data.animation);
                console.log("g_monster_skill 没有skillNameCode:" + data.animation);
                return false;
            }

            this.m_skillInfo = g_monster_skill[name][data.animation];
            super.InternalEvent(key, data);
            this.m_object_role.playAnimation(this.m_skillInfo.animation);
            this.m_object_role.stopMoveRootBone(0);
            return true;
        }

        update(t) {
            this.m_object_role.resetPosition(t, this.m_skillInfo.chongzhuang);
            super.update(t);
            return true;
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }

        Complete() {
            super.Complete();
            return true;
        }
    }
    //被击
    export class monsterAi_beiji_base extends aiBase_monster {
        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_beiji;

        }

        ExternalEvent(key, data) {
            let ret = super.ExternalEvent(key, data);
            if (key == this.m_stateType) {
                this.m_object_role.startResetPosition();
                this.m_object_role.stopMoveRootBone(0);
                this.m_isEnd = true;
                return true;
            }
            return ret;
        }

        InternalEvent(key, data) {
            //this.resetPos();
            //设置方向
            aiBase_public_func.getMe().resetDir_beiji(data, this.m_object_role);
            this.m_object_role.stopMoveRootBone(1);
            if (this.m_object_role.m_beHitActName == "shouji_luxian") {
                uiMgr.getMe().show_ui_MessageBox(true, "玩家技能表错误！");
            }
            this.m_object_role.playAnimation(this.m_object_role.m_beHitActName, false);
            let ret = super.InternalEvent(key, data);
            return ret;
        }

        update(t) {
            let ret = super.update(t);
            return ret;
        }
    }
    export class monsterAi_beiji extends monsterAi_beiji_base {
        m_AnimationName: any = null

        constructor(role) {
            super(role);
            this.m_stateType = e_AiType.g_AiType_beiji;
            super.initZhongduanLevel();
        }

        shutdown() {
            if (this.m_object_role.m_spineLineControl) {
                this.m_object_role.m_spineLineControl.shutdown();
                this.m_object_role.m_spineLineControl = null;
            }
            aiBase_public_func.getMe().resetPos_y(this.m_object_role);
            super.shutdown();
        }

        ExternalEvent(key, data) {
            if (super.ExternalEvent(key, data) == true) {
                this.shutdown();
                return true;
            }
            return false;
        }

        InternalEvent(key, data) {
            //updata dir
            let dir = aiBase_public_func.getMe().updataDir(data, this.m_object_role);
            this.m_AnimationName = this.m_object_role.m_beHitActName;
            super.InternalEvent(key, data);
            if(!this.m_object_role.m_spineLineControl)
                this.m_object_role.m_spineLineControl = spineLine_beiji_noanimation.create(this.m_object_role, "luxian", this.m_object_role.m_beHitActName);
            if (dir) {
                this.m_object_role.m_spineLineControl.setRoleDir(-1 * dir);
            }
            this.m_object_role.stopMoveRootBone(0);
            return true;
        }

        update(t) {
            if (this.m_object_role.m_spineLineControl) {
                //同步速度
                this.m_object_role.m_spineLineControl.setTimeScale(this.m_object_role.getTimeScale());
                let ret = this.m_object_role.m_spineLineControl.loop(t);
                if (ret == true) {
                    this.m_object_role.m_spineLineControl.shutdown();
                    this.m_object_role.m_spineLineControl = null;
                }
            }
            super.update(t);
            return true;
        }

        Complete() {
            if (this.m_object_role.m_curAnimation == "shouji6"
                || this.m_object_role.m_curAnimation == "shouji7"
                || this.m_object_role.m_curAnimation == "shouji6_kongzhong"
                || this.m_object_role.m_curAnimation == "shouji1_kongzhong") {
                this.m_object_role.changeState(e_AiType.g_AiType_fallDown, this.m_AnimationName);
                return;
            }
            if (this.m_object_role.getcurhp() <= 0) {
                this.m_object_role.changeState_Ex(e_AiType.g_AiType_dead_zhuolu);
            }
            else {
                super.Complete();
            }
            return true;
        }
    }
    //空中
    export class monsterAi_beiji_tiaoqi extends aiBase_beiji_tiaoqi {
        ExternalEvent(key, data): boolean {
            return super.ExternalEvent(key, data);
        }

        Complete(data) {
            if (data == "resEnd") {
                return;
            }
            if (this.m_object_role.getcurhp() <= 0) {
                this.m_object_role.changeState_Ex(e_AiType.g_AiType_dead_zhuolu);
            }
            else {
                super.Complete();
            }
            return true;
        }
    }


    export class monsterAi_shache extends aiBase_shache {
    }
    ;
}
