/**
 * Created by xieli on 2016/9/23.
 */
//怪物状态机管理模块
module game {
    export class monsterStateControl extends baseStateControl {

        static create = function () {
            return new monsterStateControl(null);
        };

        constructor(monsterObj) {
            super(monsterObj);
        }

        initState() {
            super.initState();
            this.m_cur_RoleAiState = new monsterAi_idle(this.m_roleObj);
            this.m_cur_RoleAiState.InternalEvent();
            this.addState(this.m_cur_RoleAiState);
            this.addState(new monsterAi_dead(this.m_roleObj));
            this.addState(new monsterAi_run(this.m_roleObj));
            this.addState(new monsterAi_yun(this.m_roleObj));
            this.addState(new monsterAi_baozha(this.m_roleObj));
            this.addState(new aiBaseQishen(this.m_roleObj));
            this.addState(new monsterAi_skill(this.m_roleObj));
            this.addState(new monsterAi_shache(this.m_roleObj));
            this.addState(new monsterAi_beiji_tiaoqi(this.m_roleObj));
            this.addState(new monsterAi_beiji(this.m_roleObj));
            this.addState(new aiBase_fallDown(this.m_roleObj));
            this.addState(new aiBase_AttackRecover(this.m_roleObj));
            this.addState(new aiBase_none(this.m_roleObj));

            this.addState(new aiBaseSkill_zhuolu(this.m_roleObj));
        }

        loop(dt) {
            super.loop(dt);
            this.deadloop(dt);
        }

        //死亡状态切换
        deadloop(dt) {
            if (this.m_roleObj.getcurhp() <= 0) {
                if (this.m_roleObj.isBeiji()) {
                    return true;
                }
                if (this.m_roleObj.getCurStateType() == e_AiType.g_AiType_dead_zhuolu) {
                    return true;
                }
                if (this.getCurStateType() == e_AiType.g_AiType_Dead) {
                    return true;
                }
                this.changeState_Ex(e_AiType.g_AiType_Dead);
            }
        }
    }

}
//# sourceMappingURL=monsterStateControl.js.map