var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var worldBoss = (function (_super) {
        __extends(worldBoss, _super);
        function worldBoss() {
            _super.call(this);
            this.m_isdead = false;
            this.getNode().setName("worldBoss类");
        }
        worldBoss.prototype.init = function (data) {
            this.m_name = "heianwulingwang_boss";
            this.m_ground = cc.p(data["pos_x"], data["pos_y"]);
            this.setPosition(this.m_ground);
            this.m_monster_config_Data = cc.clone(game.g_monster_config[this.m_name]);
            this.m_monster_config_Data.attackPoint = data.attackPoint;
            this.m_monsterMaxHp = data.maxhp;
            this.m_curHp = data.curhp;
            this.initBossBloodBar();
            this.loadres(this.m_monster_config_Data.spine_res); //加载资源
            this.setRoleDir(this.m_roledir);
            this.m_SpineNode.setScale(this.m_monster_config_Data.scale);
            this.m_monsterAiControl = game.bossAiControl.create(this);
            game.ui_zhandoujm.getMe().setBossHp(this.getcurhp() / this.getmaxhp() * 100);
            this.initAi();
        };
        worldBoss.prototype.setHp = function (val) {
            if (this.m_isdead)
                return;
            this.m_curHp = parseInt(val);
            if (this.m_curHp <= 0) {
                game.sceneMgr.getMe().getCurScene().gameOver(true);
                this.m_isdead = true;
            }
            game.ui_zhandoujm.getMe().setBossHp(this.getcurhp() / this.getmaxhp() * 100);
        };
        worldBoss.prototype.dealDamage_val = function (affector, attackPoint) {
            attackPoint = attackPoint * game.g_debug._debug_play_att_per;
            var isCrit = false;
            //暴击率 改成公式
            var crit = affector.getBaojiPer(this);
            var randNum = Math.floor(Math.random() * 1000 + 1);
            if (randNum <= crit * 10) {
                attackPoint *= 2;
                isCrit = true;
            }
            //设置生命值
            this.setHp(this.getcurhp() - attackPoint);
            this.updateShanghaiMap(affector.__instanceId, attackPoint);
            //UI伤害数字
            if (isCrit)
                game.uieffectMgr.getMe().dropCritHp(game.roleMgr.getMe(), attackPoint, this.dealDamageNumberPosition());
            else
                game.uieffectMgr.getMe().dropHp(game.roleMgr.getMe(), attackPoint, this.dealDamageNumberPosition());
            game.sceneMgr.getMe().getCurScene().setDamage(attackPoint);
        };
        worldBoss.create = function () {
            return new worldBoss();
        };
        return worldBoss;
    }(game.monster));
    game.worldBoss = worldBoss;
})(game || (game = {}));
//# sourceMappingURL=monster.js.map 
//# sourceMappingURL=worldBoss.js.map