/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
module  game {
    export class playControl extends baseRoleControl {
        static g_playControl: playControl = null;
        static getMe = function () {
            return playControl.create();
        };

        static create = function () {
            if (playControl.g_playControl == null) {
                playControl.g_playControl = new playControl();
                return playControl.g_playControl;
            }
            else {
                return playControl.g_playControl;
            }
        };

        getControlRole() {
            var pRole = roleMgr.getMe().getControlPlayer();
            return pRole;
        }

        resetKey() {
            this.m_DoEnterCurButtonState = false;
            this.m_runButtonPressed = false;
            this.stoprun();
        }

        onMenu() {
            let pRole = roleMgr.getMe().getControlPlayer();
            let skillInfo  = pRole.getSkillInfo("jineng1");
            if(!playNuqiMgr.getMe().NuqiIsEnough(skillInfo.xiaohao_nuqi)){
                if(sceneMgr.getMe().getCurSceneType() != e_SceneType.SceneType_yindao){
                    ui_tanchuang1.ShowOrHide(true);
                }
                pRole.changeState(e_AiType.g_AiType_Idle);
                pRole.m_playStateControl_Parallel.changeState(e_AiType.g_AiType_none);
                return true;
            }
            // if(pRole != roleMgr.getMe().m_curControlRole && roleMgr.getMe().getMonsterAlive().size < 2){
            //     pRole.changeState(e_AiType.g_AiType_play_normalSkill);
            // }else{
                let ret = pRole.changeState(e_AiType.g_AiType_play_skill1);
                if(ret){
                    playNuqiMgr.getMe().removeNuqi(skillInfo.xiaohao_nuqi)
                }
            // }
        }

        onkey_2() {

        }

        onkey_3() {

        }

        left() {
            this.m_runDir = cc.p(-1, 0);

            this.run();

            return super.left();
        }

        right() {

            this.m_runDir = cc.p(1, 0);

            this.run();

            return super.right();
        }


        left_Released() {
            this.stoprun();

            return super.left_Released();
        }

        right_Released() {

            this.stoprun();

            return super.right_Released();
        }

        run() {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                if (pRole.m_buffControl.isFaint()) {
                    return;
                }
                pRole.changeState(e_AiType.g_AiType_run, this.m_runDir);
                pRole.m_playStateControl_Parallel.changeState(e_AiType.g_AiType_none); //
            }
        }


        stoprun() {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return;
                // }

                if (this.m_maxSpeed) {
                    this.m_maxSpeed = false;
                    pRole.changeState(e_AiType.g_AiType_shache);
                }
                else{
                    pRole.changeState(e_AiType.g_AiType_Idle);
                }

            }
        }

        stoprun_noshache() {
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return;
                // }

                pRole.changeState(e_AiType.g_AiType_Idle);
            }
        }

        // 操作键下：按一次，释放普通攻击；按着不松蓄力满了释放技能。
        DoEnterCurButton() {

            if (this.m_DoEnterCurButtonState == true) {
                return true;
            }
            this.m_DoEnterCurButtonState = true;
            var pRole = this.getControlRole();
            if (pRole) {
                // if (pRole.isNotOperation()) {
                //     return true;
                // }
                var ret = pRole.m_playStateControl_Parallel.changeState(e_AiType.g_AiType_play_xuli_enter); //
                if (ret == false) {
                    pRole.m_playStateControl_Parallel.changeState(e_AiType.g_AiType_play_xuli_enter_memory); //
                }
            }
            return true;
        }


        up() {
            this.m_runDir = cc.p(0, 1);

            this.run();

            return super.up();
        }

        down() {
            this.m_runDir = cc.p(0, -1);

            this.run();

            return super.down();

        }

        up_Released() {
            this.stoprun_noshache();

            return super.up_Released();

        }

        down_Released() {
            this.stoprun_noshache();

            return super.down_Released();

        }
    }

}


