module  game {
    export class playNuqiMgr {

        static getMe = function () {
            return playNuqiMgr.create();
        };
        static g_ing: playNuqiMgr = null;
        static create = function (): playNuqiMgr {

            if (playNuqiMgr.g_ing == null) {
                playNuqiMgr.g_ing = new playNuqiMgr();
                return playNuqiMgr.g_ing;
            }
            else {
                return playNuqiMgr.g_ing;
            }
        };

        m_nuqitiao_Num: number = 0; //几罐怒气
        m_maxNuqi: number = 0; //一罐最大有多少怒气
        m_curNuqi: number = 0; //当前怒气
        constructor() {
        }

        init() {
            this.m_maxNuqi = g_nuqi_cofig.chushiNuqi + dataMgr.getMe().getHeroUnLockNum() * g_nuqi_cofig.addNuqi_unlockHero;
            this.m_nuqitiao_Num = dataMgr.getMe().getItemByType("nuqitiao");
            this.m_curNuqi = this.m_maxNuqi;
            this.updateUI(this.m_nuqitiao_Num, this.m_curNuqi);
        }

        reset(){
            this.m_maxNuqi = g_nuqi_cofig.chushiNuqi + dataMgr.getMe().getHeroUnLockNum() * g_nuqi_cofig.addNuqi_unlockHero;
            this.m_nuqitiao_Num = dataMgr.getMe().getItemByType("nuqitiao");
            this.updateUI(this.m_nuqitiao_Num, this.m_curNuqi);
            this.addNuqi(0);
        }

        addNuqi(val: number) {
            if (val == null) {
                return false;
            }
            if (val < 0) {
                return false;
            }
            let buff = this.m_curNuqi + val;
            if (buff > this.m_maxNuqi) { // 减去当前,加怒气条数
                this.m_curNuqi = this.m_maxNuqi;
                this.updateUI(this.m_nuqitiao_Num, 100);
            } else {
                this.m_curNuqi = buff;
                let per = (this.m_curNuqi / this.m_maxNuqi) * 100;
                this.updateUI(this.m_nuqitiao_Num, per);
            }
            return true;
        }

        updateUI(nuqitiaoNum, nuqiPer) {
            if (ui_zhandoujm.getMe()) {
                ui_zhandoujm.getMe().updateNuqiUI(nuqitiaoNum, nuqiPer);
            }
        }

        getCurNuqi() {
            return this.m_curNuqi;
        }

        removeNuqi(val: number) {
            if (val == null) {
                return false;
            }
            if (val < 0) {
                return false;
            }
            if (this.m_curNuqi < val) { // 判断是否有怒气条
                if(this.m_nuqitiao_Num > 0){
                    this.m_nuqitiao_Num --;
                    this.m_curNuqi = (this.m_curNuqi + this.m_maxNuqi) - val;
                }else{
                    console.log("没有怒气...");
                    return false;
                }
            }else{
                this.m_curNuqi = this.m_curNuqi - val;
            }
            let per = (this.m_curNuqi / this.m_maxNuqi) * 100;
            dataMgr.getMe().setItemByType("nuqitiao", this.m_nuqitiao_Num);
            this.updateUI(this.m_nuqitiao_Num, per);
            return true;
        }

        NuqiIsEnough(val) {
            if(this.m_nuqitiao_Num > 0){
                return true;
            }
            if (val > this.getCurNuqi()) {
                return false;
            }
            return true;
        }

        NuqiIsEnough_follow(val) {
            if (val > this.getCurNuqi()) {
                return false;
            }
            return true;
        }

        getMaxNuqi() {
            return this.m_maxNuqi;
        }

    }

}
//# sourceMappingURL=playNuqiMgr.js.map