var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/8/17.
 */
//蓄力释放大绝招 状态
var game;
(function (game) {
    var playerAi_Skill_xuli_enter = (function (_super) {
        __extends(playerAi_Skill_xuli_enter, _super);
        function playerAi_Skill_xuli_enter(role) {
            _super.call(this, role);
            this.m_state = 0;
            this.m_xuli_time = 0;
            this.m_b_xuli_juezhao = false;
            this.m_xulitiao = null;
            this.m_stateType = game.e_AiType.g_AiType_play_xuli_enter;
            this.m_xulitiao = game.ui_zhandoujm.getMe().m_xulitiao;
        }
        playerAi_Skill_xuli_enter.prototype.InternalEvent = function (key, data) {
            this.m_state = 0;
            this.m_xuli_time = 0;
            this.m_b_xuli_juezhao = false;
            return true;
        };
        playerAi_Skill_xuli_enter.prototype.ExternalEvent = function (key, data) {
            if (this.m_xulitiao.isVisible())
                this.m_xulitiao.setVisible(false);
            return true;
        };
        playerAi_Skill_xuli_enter.prototype.remXuli = function (_xuli_time) {
            this.m_xuli_time += _xuli_time;
            if (this.m_xuli_time > 0.15) {
                if (!this.m_xulitiao.isVisible()) {
                    this.m_xulitiao.setVisible(true);
                }
                this.m_xulitiao.setPercent(this.m_xuli_time / 1 * 100);
            }
            if (this.m_xuli_time > 1) {
                this.m_state = 2;
                this.m_b_xuli_juezhao = true;
            }
        };
        playerAi_Skill_xuli_enter.prototype.update = function (val) {
            if (this.m_state == 0) {
                if (game.playControl.getMe().m_DoEnterCurButtonState) {
                    this.remXuli(val);
                }
                else {
                    this.m_xuli_time = 0;
                    this.m_state = 2;
                }
            }
            else if (this.m_state == 2) {
                this.m_state = 3;
                if (this.m_b_xuli_juezhao) {
                    var skillInfo = this.m_object_role.getSkillInfo("jineng1");
                    if (!game.playNuqiMgr.getMe().NuqiIsEnough(skillInfo.xiaohao_nuqi)) {
                        if (game.sceneMgr.getMe().getCurSceneType() != game.e_SceneType.SceneType_yindao) {
                            game.ui_tanchuang1.ShowOrHide(true);
                        }
                        this.m_object_role.changeState(game.e_AiType.g_AiType_Idle);
                        this.end();
                        return true;
                    }
                    if (this.m_object_role != game.roleMgr.getMe().m_curControlRole && game.roleMgr.getMe().getMonsterAlive().size < 2) {
                        this.m_object_role.changeState(game.e_AiType.g_AiType_play_normalSkill);
                    }
                    else {
                        var ret = this.m_object_role.changeState(game.e_AiType.g_AiType_play_skill1);
                        if (ret) {
                            game.playNuqiMgr.getMe().removeNuqi(skillInfo.xiaohao_nuqi);
                        }
                    }
                }
                else {
                    this.m_object_role.changeState(game.e_AiType.g_AiType_play_normalSkill);
                }
                this.end();
            }
            return true;
        };
        playerAi_Skill_xuli_enter.prototype.end = function () {
            this.m_object_role.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_none);
        };
        return playerAi_Skill_xuli_enter;
    }(game.aiBase_play));
    game.playerAi_Skill_xuli_enter = playerAi_Skill_xuli_enter;
    var playerAi_Skill_xuli_enter_memory = (function (_super) {
        __extends(playerAi_Skill_xuli_enter_memory, _super);
        // m_xuli_time: any = 0
        function playerAi_Skill_xuli_enter_memory(role) {
            _super.call(this, role);
            this.m_state = 0;
            this.reset();
            this.m_stateType = game.e_AiType.g_AiType_play_xuli_enter_memory;
        }
        playerAi_Skill_xuli_enter_memory.prototype.reset = function () {
            this.m_state = 0;
            // this.m_xuli_time = 0;
        };
        playerAi_Skill_xuli_enter_memory.prototype.ExternalEvent = function (key, data) {
            this.reset();
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        playerAi_Skill_xuli_enter_memory.prototype.InternalEvent = function (key, data) {
            if (this.m_object_role.m_SpineNode.getAnimationSurplusTime() > game.g_public_val["memory_xuStartTime"]) {
                return false;
            }
            if (this.m_object_role.isXuli()) {
                return false;
            }
            if (this.canFight_up()) {
                return false;
            }
            this.reset();
            return _super.prototype.InternalEvent.call(this, key, data);
        };
        playerAi_Skill_xuli_enter_memory.prototype.canFight_up = function () {
            if (!this.m_object_role.isFight() && !this.m_object_role.isBeiji())
                return true;
            return false;
        };
        playerAi_Skill_xuli_enter_memory.prototype.update = function (val) {
            // if (this.m_state == 0)
            {
                // if (playControl.getMe().m_DoEnterCurButtonState) {
                //     this.m_xuli_time += val;
                // }
                if (this.canFight_up()) {
                    this.m_object_role.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_play_xuli_enter);
                    // var state = this.m_object_role.m_playStateControl_Parallel.getState(e_AiType.g_AiType_play_xuli_enter);
                    // state.remXuli(this.m_xuli_time);
                    this.end();
                }
            }
            return true;
        };
        playerAi_Skill_xuli_enter_memory.prototype.end = function () {
            this.m_object_role.m_playStateControl_Parallel.changeState(game.e_AiType.g_AiType_none);
        };
        return playerAi_Skill_xuli_enter_memory;
    }(game.aiBase_play));
    game.playerAi_Skill_xuli_enter_memory = playerAi_Skill_xuli_enter_memory;
})(game || (game = {}));
//# sourceMappingURLap=playerAi_Skill_xuli.js.m 
//# sourceMappingURL=playerAi_Skill_xuli.js.map