var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗场景
var game;
(function (game) {
    var fightscene_chengjianchue = (function (_super) {
        __extends(fightscene_chengjianchue, _super);
        function fightscene_chengjianchue() {
            _super.call(this);
            this.m_createMonsterMgr = null;
            this.m_SceneType = game.e_SceneType.SceneType_chengjianchue;
            this.m_createMonsterMgr = game.createMonsterMgr.create();
            this.getNode().setName("fightscene_chengjianchue类");
        }
        fightscene_chengjianchue.prototype.init = function () {
            game.uiMgr.getMe().shutdownAllUi();
            game.ui_zhandoujm.ShowOrHide(true);
            game.playNuqiMgr.getMe().init();
            this.initlayout();
            var coreData = game.dataMgr.getMe().getPlayDoc().coreData;
            var sceneName = "scene" + coreData.curchaperId + "_" + coreData.curguankaId;
            var sceneInfo = game.sceneMgr.getMe().getSceneInfoBySceneName(sceneName);
            this.m_SceneInfo.hpper = sceneInfo.hpper;
            this.m_SceneInfo.attper = sceneInfo.attper;
            var arr = ["c_1_1", "c_1_2", "c_1_3", "c_1_4", "c_1_5"];
            var r = Math.floor(Math.random() * 5);
            this.m_SceneInfo.guochang[0].posEvent[1].monsterbirth[0].waveIndex = arr[r];
            game.guankaMgr.getMe().initGuanKaData(this.m_SceneInfo);
            return true;
        };
        fightscene_chengjianchue.prototype.loadsceneEx = function () {
            _super.prototype.loadsceneEx.call(this);
            // this.initMonster();
            this.isCreateBoss = false;
        };
        fightscene_chengjianchue.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            if (this.m_createMonsterMgr) {
                this.m_createMonsterMgr.shutdown();
            }
            return true;
        };
        fightscene_chengjianchue.prototype.initMonster = function () {
            var monsterInfo = new game.monster_birth_child();
            var monstername = game.dataMgr.getMe().getOneRandBoss();
            monsterInfo["monstername"] = monstername;
            monsterInfo["pos_x"] = game.g_cjce_config["boss_birthPos"]["pos_x"];
            monsterInfo["pos_y"] = game.g_cjce_config["boss_birthPos"]["pos_y"];
            game.roleMgr.getMe().createMonster(monsterInfo);
        };
        fightscene_chengjianchue.prototype.updateStartGame = function (t) {
            if (this.m_sceneTime > 1 && !this.isCreateBoss) {
                this.initMonster();
                this.isCreateBoss = true;
            }
            _super.prototype.updateStartGame.call(this, t);
            if (this.m_createMonsterMgr)
                this.m_createMonsterMgr.update(t);
        };
        fightscene_chengjianchue.prototype.show_shengli_shibai = function () {
            if (this.m_win) {
                game.ui_shibai_shengli_cjce.ShowOrHide(true, true);
            }
            else {
                game.ui_shibai_shengli_cjce.ShowOrHide(true, false);
            }
        };
        fightscene_chengjianchue.scene = function () {
            var layer = new fightscene_chengjianchue();
            return layer;
        };
        return fightscene_chengjianchue;
    }(game.baseSceneFight));
    game.fightscene_chengjianchue = fightscene_chengjianchue;
})(game || (game = {}));
//# sourceMappingURL=fightscene.js.map 
//# sourceMappingURL=fightscene_chengjianchue.js.map