//战斗场景
module game {
    export class fightscene_chengjianchue extends baseSceneFight {
        m_createMonsterMgr:createMonsterMgr =  null;
        isCreateBoss:boolean;
        static scene = function () {
            var layer = new fightscene_chengjianchue();
            return layer;
        };

        constructor() {
            super();
            this.m_SceneType = e_SceneType.SceneType_chengjianchue;
            this.m_createMonsterMgr = createMonsterMgr.create();
            this.getNode().setName("fightscene_chengjianchue类");
        }

        init() {
            uiMgr.getMe().shutdownAllUi();
            ui_zhandoujm.ShowOrHide(true);
            playNuqiMgr.getMe().init();
            this.initlayout();

            let coreData = dataMgr.getMe().getPlayDoc().coreData;
            let sceneName = "scene" + coreData.curchaperId + "_" + coreData.curguankaId;
            let sceneInfo = sceneMgr.getMe().getSceneInfoBySceneName(sceneName);
            this.m_SceneInfo.hpper = sceneInfo.hpper;
            this.m_SceneInfo.attper = sceneInfo.attper;

            let arr = ["c_1_1", "c_1_2", "c_1_3", "c_1_4", "c_1_5"];
            let r = Math.floor(Math.random() * 5);
            this.m_SceneInfo.guochang[0].posEvent[1].monsterbirth[0].waveIndex = arr[r];

            guankaMgr.getMe().initGuanKaData(this.m_SceneInfo);
            return true;
        }

        loadsceneEx(){
            super.loadsceneEx();
            // this.initMonster();
            this.isCreateBoss = false;
        }
        shutdown() {
            super.shutdown();
            if (this.m_createMonsterMgr) {
                this.m_createMonsterMgr.shutdown();
            }
            return true;
        }

        initMonster(){
            var monsterInfo:monster_birth_child = new monster_birth_child();
            var monstername = dataMgr.getMe().getOneRandBoss();
            monsterInfo["monstername"] = monstername;
            monsterInfo["pos_x"] = game.g_cjce_config["boss_birthPos"]["pos_x"];
            monsterInfo["pos_y"] = game.g_cjce_config["boss_birthPos"]["pos_y"];
            roleMgr.getMe().createMonster(monsterInfo);
        }

        updateStartGame(t) {
            if(this.m_sceneTime>1 && !this.isCreateBoss){
                this.initMonster();
                this.isCreateBoss = true;
            }
            super.updateStartGame(t);
            if (this.m_createMonsterMgr)
                this.m_createMonsterMgr.update(t);
        }

        show_shengli_shibai() {
            if (this.m_win) {
                ui_shibai_shengli_cjce.ShowOrHide(true, true);
            }
            else {
                ui_shibai_shengli_cjce.ShowOrHide(true, false);
            }
        }
    }

}
//# sourceMappingURL=fightscene.js.map