var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗场景
var game;
(function (game) {
    var fightscene_worldboss = (function (_super) {
        __extends(fightscene_worldboss, _super);
        function fightscene_worldboss() {
            _super.call(this);
            this.m_timer = 0;
            this.m_damage = 0;
            this.m_SceneType = game.e_SceneType.SceneType_worldboss;
            this.getNode().setName("fightscene_worldboss类");
        }
        fightscene_worldboss.prototype.loadsceneEx = function () {
            _super.prototype.loadsceneEx.call(this);
            // this.initMonster();
            //从服务器上获得boss属性 所有的场景加上预加载
            game.proto_worldBoss_getState.getMe().send();
            this.m_timer = 0;
            this.m_damage = 0;
        };
        fightscene_worldboss.prototype.init = function () {
            _super.prototype.init.call(this);
            return true;
        };
        fightscene_worldboss.prototype.closeBoss = function (f) {
            var str = "";
            if (f == 1) {
                str = game.ui_shijieboss_config.boss_dead;
            }
            else {
                str = game.ui_shijieboss_config.boss_timeout;
            }
            game.rootScene.getMe().zanting(true);
            game.ui_messageBox2.ShowOrHide(true, str, function () {
                game.rootScene.getMe().zanting(false);
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login, "");
                game.ui_shijiboss.ShowOrHide(true);
            }, this);
        };
        fightscene_worldboss.prototype.initMonster = function (data) {
            if (game.roleMgr.getMe().m_worldBoss)
                return;
            var monsterInfo = new game.shijieboss_info();
            monsterInfo.pos_x = game.g_cjce_config["boss_birthPos"]["pos_x"];
            monsterInfo.pos_y = game.g_cjce_config["boss_birthPos"]["pos_y"];
            monsterInfo.attackPoint = data.attackPoint;
            monsterInfo.maxhp = data.maxhp;
            monsterInfo.curhp = data.curhp;
            game.roleMgr.getMe().createWorldBoss(monsterInfo);
        };
        fightscene_worldboss.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            return true;
        };
        //
        fightscene_worldboss.prototype.show_shengli_shibai = function () {
        };
        fightscene_worldboss.prototype.setDamage = function (v) {
            this.m_damage += v;
        };
        fightscene_worldboss.prototype.updateStartGame = function (t) {
            this.m_sceneTime += t;
            this.m_timer += t;
            if (this.m_timer >= 10) {
                game.proto_worldBoss_removeBossHp.getMe().send(this.m_damage);
                this.m_timer = 0;
                this.m_damage = 0;
            }
            // if(roleMgr.getMe().m_worldBoss && roleMgr.getMe().m_worldBoss.isdead()){
            //     // if(!roleMgr.getMe().m_worldBoss){
            //     proto_worldBoss_closeBoss.getMe().send();
            // }
        };
        fightscene_worldboss.prototype.gameOver = function (winval, data) {
            if (data === void 0) { data = null; }
            if (this.m_gameOver) {
                return;
            }
            this.m_win = winval;
            if (game.playComboMgr.getMe())
                game.playComboMgr.getMe().breakCombo();
            this.end_game();
            game.proto_worldBoss_closeBoss.getMe().send();
        };
        fightscene_worldboss.scene = function () {
            return new fightscene_worldboss();
        };
        return fightscene_worldboss;
    }(game.baseSceneFight));
    game.fightscene_worldboss = fightscene_worldboss;
})(game || (game = {}));
//# sourceMappingURL=fightscene.js.map 
//# sourceMappingURL=fightscene_worldboss.js.map