var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var rootScene = (function (_super) {
        __extends(rootScene, _super);
        function rootScene() {
            _super.apply(this, arguments);
            this._zanting = false;
            this._zanting_fightcd = false;
            this.m_autoDownload = false;
            this.m_isUpdate = false;
            this.m_win_scale = 1;
            this.m_curFps = 100;
            //15秒调用一次
            this.m_15s_time = 0;
            this.m_003s_time = 0;
        }
        rootScene.prototype.onExit = function () {
            console.log("exit js");
            if (cc.sys.isNative) {
                game.fileMgr.getMe().savePlayInfo();
            }
            _super.prototype.onExit.call(this);
        };
        rootScene.prototype.isLowCpu = function () {
            return ccs._parser.g_isLowCpu;
        };
        //fps 低于15
        rootScene.prototype.fpsLow_15 = function () {
            if (this.m_curFps < 15) {
                return true;
            }
            return false;
        };
        rootScene.prototype.testcpu = function () {
            if (cc.sys.isNative) {
                this.m_curFps = cc.director.getFrameRate();
                if (this.m_curFps < 25) {
                    ccs._parser.g_isLowCpu = true;
                }
                else {
                    ccs._parser.g_isLowCpu = false;
                }
            }
            else {
                ccs._parser.g_isLowCpu = false;
            }
        };
        //只初始化一次
        rootScene.prototype.init = function () {
            this.getNode().setName("rootScene类");
            this.m_ccNodeLoop = new cc.updateNode();
            this.m_ccNodeLoop.initEx();
            this.addChild(this.m_ccNodeLoop);
            this.m_ccNodeLoop.regUnpdate(this.loop_0016s.bind(this));
            this.m_win_scale = game.fileMgr.getMe().m_curMyStruct_xiangsu_base.scale;
            game.iapMgr.getMe().init();
            game.js_GameLogicMgr.getMe().init();
            game.js_GameLogicMgr.getMe().tvsdk_login_shouui();
            game.httpMgr.getMe().init();
            // httpMgr.getMe().getPlayData();
            this.addChild(game.KeyboardMgr.getMe().getNode(), 10000);
            this.addChild(game.uiMgr.getMe().getNode(), 1000);
            if (this.m_autoDownload == true) {
                //uiMgr.getMe().show_ui_autoDownload(true);
                // autoDownloadMgr.getMe().init();
                if (this.m_isUpdate == false) {
                    this.m_isUpdate = true;
                    this.scheduleUpdate();
                }
            }
            else {
                this.init_1();
            }
            // ccs._parser.g_isLowCpu = true;
            return true;
        };
        rootScene.prototype.init_1 = function () {
            game.musicMgr.getMe();
            game.resMgr.getMe().loadTexutre();
            return true;
        };
        rootScene.prototype.initex = function () {
            this.addChild(game.sceneMgr.getMe().getNode(), 0);
            this.addChild(game.parMgr.getMe().getNode(), 100);
            // if (dataMgr.getMe().getPlayDoc().yindaos.xinshou.lock == 0) {
            //     sceneMgr.getMe().selectScene(e_SceneType.SceneType_xiangdao, "scene_12_1_config");
            // }
            // else {
            //
            game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login);
            // }
            if (this.m_isUpdate == false) {
                this.m_isUpdate = true;
            }
            //登录游戏
            game.httpLoginThreePath.getMe().onSendMsg(game.js_GameLogicMgr.getMe().getShenjian_login_id());
            // httpConsumptionList.getMe().onSendMsg("测试消费记录");
            game.worldBossMgr.getMe().init();
            game.propertyMgr.getMe().init();
        };
        rootScene.prototype.speed_time = function (speed, timelen) {
            var director = cc.director;
            director.getScheduler().setTimeScale(speed);
        };
        rootScene.prototype.loop_15s = function (dt) {
            this.m_15s_time += dt;
            if (this.m_15s_time < 15) {
                return;
            }
            dt = this.m_15s_time;
            this.m_15s_time = 0;
            game.mainServer_webSocketManager.getMe().loop_15s(dt);
            game.mainserver_getServerTime.getMe().loop(dt);
        };
        rootScene.prototype.loop_003s = function (dt) {
            // if (rootScene.getMe().fpsLow_15() == true) {
            //     return;
            // }
            // this.m_003s_time += dt;
            // if (this.m_003s_time < 0.05) {
            //     return
            // }
            // dt = this.m_003s_time;
            // this.m_003s_time = 0;
            game.httpMgr.getMe().loop(dt);
            game.protoBuffMgr.getMe().updata();
            game.musicMgr.getMe().loop(dt);
            if (this.iszanting()) {
                return;
            }
            game.uieffectMgr.getMe().loop();
            if (game.roleMgr.getMe()) {
                game.roleMgr.getMe().update_0_3(dt);
            }
            game.sceneMgr.getMe().update_0_3(dt);
        };
        rootScene.prototype.loop_0016s = function (dt) {
            game.js_GameLogicMgr.getMe().loop(dt);
            //  return;
            this.testcpu();
            this.loop_15s(dt);
            this.loop_003s(dt);
            game.uiMgr.getMe().loop(dt);
            game.spineMgr.getMe().update(dt);
            if (this.iszanting()) {
                return;
            }
            if (game.roleMgr.getMe() != null) {
                game.roleMgr.getMe().update(dt);
            }
            if (game.bulletMgr.getMe() != null) {
                game.bulletMgr.getMe().update(dt);
            }
            game.cameraMgr.getMe().loop(dt);
            game.sceneMgr.getMe().update(dt);
            game.TimeScaleControl.getMe().updateCall(dt); //
            game.worldBossMgr.getMe().loop(dt);
        };
        rootScene.prototype.update_download = function (dt) {
            // if (this.m_autoDownload == true) {
            //     if (autoDownloadMgr.getMe().m_state == 0) {
            //         autoDownloadMgr.getMe().update(dt);
            //         uiMgr.getMe().loop(dt);
            //         return true;
            //     }
            // }
            return false;
        };
        rootScene.prototype.update = function (dt) {
        };
        rootScene.prototype.iszanting = function () {
            return this._zanting;
        };
        //暂停动画 与 cd
        rootScene.prototype.zanting = function (flag) {
            this._zanting = flag;
            if (game.roleMgr.getMe()) {
                game.roleMgr.getMe().zanting(flag);
            }
            if (game.spineMgr.getMe()) {
                game.spineMgr.getMe().zanting(flag);
            }
            if (game.bulletMgr.getMe()) {
                game.bulletMgr.getMe().zanting(flag);
            }
        };
        //暂停技能cd
        rootScene.prototype.zanting_fightcd = function (flag) {
            this._zanting_fightcd = flag;
        };
        rootScene.prototype.shutdown = function () {
            console.log("exit");
            // uieffectMgr.getMe().shutdown();
        };
        //m_updateCall_counter : any = 0 ;  //更新定时器
        // m_updateCall :any =  null;  //更新定时器到时间的回调
        rootScene.g_point = null;
        rootScene.getMe = function () {
            return rootScene.g_point;
        };
        rootScene.scene = function () {
            var scene = new cc.Scene();
            var layer = new rootScene();
            rootScene.g_point = layer;
            layer.init();
            scene.addChild(layer.getNode());
            return scene;
        };
        return rootScene;
    }(game.xjLayer));
    game.rootScene = rootScene;
})(game || (game = {}));
//# sourceMappingURL=rootScene.js.map