/**
 * Created by cy1234 on 2016/5/18.
 */
module game {
    export class spineControl extends xjNode {
        m_SpineNode: SkeletonAnimation_Ex = null;
        m_isShutDown: any = false;

        static create = function (res, animationname, father: cc.Node, pos, z) {
            var fff = new game.spineControl();
            fff.initex(res, animationname);
            if (pos != null) {
                fff.setPosition(pos);
            }
            if (z == null) {
                z = 1;
            }
            father.addChild(fff.getNode(), z);
            fff.getNode().setName("spineControl类 +++" + animationname);
            return fff;
        };

        initex(res, animationname) {
            this.m_SpineNode = game.spineMgr.getMe().loadSpine(res, this.getNode(), 10);
            //this.addChild( this.m_SpineNode.getNode(), 10 );
            this.m_SpineNode.setAnimation(0, animationname, true);
            this.m_SpineNode.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start", null);
            }.bind(this));
            this.m_SpineNode.setEndListener(function (traceIndex) {
                this.onFrameEvent("End", null);
            }.bind(this));
            this.m_SpineNode.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete", null);
                //cc.log("%d complete: %d", traceIndex, loopCount);
            }.bind(this));
            this.m_SpineNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
                // cc.log( traceIndex + " event: %s, %d, %f, %s",event.data.name, event.intValue, event.floatValue, event.stringValue);
            }.bind(this));
        }

        update(t) {
            return this.m_isShutDown;
        }

        onFrameEvent(type, event) {
            if (type == "End") {
                this.m_isShutDown = true;
            }
            else if (type == "Complete") {
                this.m_isShutDown = true;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    game.musicMgr.getMe().playeffect(event.data.name);
                }
            }
        }

        shutdown() {
            if (this.getParent()) {
                this.getParent().removeChild(this.getNode(), true);
             }
        }

 }
}
