var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//
//控制玩家路线
var game;
(function (game) {
    var spineLine = (function (_super) {
        __extends(spineLine, _super);
        function spineLine() {
            _super.apply(this, arguments);
            this.m_ControlNode = null;
            this.m_isStop = true;
        }
        spineLine.prototype.initEx = function (roleOBj, spinename, animationName) {
            this.reset();
            this.m_isStop = false;
            this.m_ControlNode = roleOBj;
            this.loadres(spinename, animationName);
            this.setRoleDir(this.m_ControlNode.m_roledir);
            this.getNode().setName("spineLine类 +++" + spinename);
        };
        spineLine.prototype.start = function (roleOBj, spinename, animationName) {
            this.initEx(roleOBj, spinename, animationName);
            //this.m_startResetPos = this.getRootPosition( "root" );
        };
        spineLine.prototype.shutdown = function () {
            try {
                game.roleMgr.getMe().removeChild(this.getNode());
            }
            catch (e) {
            }
        };
        spineLine.prototype.reset = function () {
            _super.prototype.reset.call(this);
            this.m_isStop = true;
        };
        spineLine.prototype.loop = function (t) {
            if (this.m_isStop == true)
                return true;
            if (this.m_ControlNode == null) {
                return true;
            }
            // if (rootScene.getMe().iszanting() == true) {
            //     this.zanting(true);
            //     return true;
            // }
            // else {
            //     this.zanting(false);
            // }
            //控制移动
            var pos = this.getRootPosition();
            var rect = game.cameraMgr.getMe().getCameraRect_Small_half();
            if (cc.rectContainsPoint(rect, pos)) {
                this.m_ControlNode.setPositionEx(pos);
            }
            this.m_ControlNode.setPositionY(pos.y);
            return false;
        };
        spineLine.prototype.loop_notSetPos = function (t) {
            if (this.m_isStop == true)
                return null;
            if (this.m_ControlNode) {
                var pos = this.getBone_RelativePos();
                return pos;
            }
            return null;
        };
        spineLine.prototype.onComplete = function () {
            this.m_isStop = true;
            //roleMgr.getMe().removeChild( this );
        };
        spineLine.create = function (roleOBj, spinename, animationName) {
            var _instarn = new spineLine();
            _instarn.initEx(roleOBj, spinename, animationName);
            _instarn.setPosition(roleOBj.getPosition());
            game.roleMgr.getMe().addChild(_instarn.getNode());
            return _instarn;
        };
        return spineLine;
    }(game.spineObj));
    game.spineLine = spineLine;
})(game || (game = {}));
//# sourceMappingURL=spineLine.js.map 
//# sourceMappingURL=spineLine.js.map