//
var game;
(function (game) {
    var spineMgr = (function () {
        function spineMgr() {
            this.m_playOnceSpineMap = null;
            this.m_playOnceSpineMap_juezhao = null;
            this.init();
            this.m_playOnceSpineMap = new game.ArrayEx();
            this.m_playOnceSpineMap_juezhao = new game.ArrayEx();
            this.m_spineMap = new game.Map();
        }
        spineMgr.getMe = function () {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };
        ;
        spineMgr.prototype.init = function () {
        };
        spineMgr.prototype.shutdown = function () {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap.clear();
            for (var i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                var data = this.m_playOnceSpineMap_juezhao.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap_juezhao.clear();
            this.m_spineMap.clear();
            // this.chanageScene_resetBuff();
        };
        spineMgr.prototype.zanting = function (flag) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        };
        spineMgr.prototype.update = function (t) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                var ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
            for (var i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                var data = this.m_playOnceSpineMap_juezhao.keys[i];
                var ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap_juezhao.remove(data);
                    data.shutdown();
                    return;
                }
            }
        };
        //
        spineMgr.prototype.createSpineControl_chuansong = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.spineControl_chuansong.create(res, animationname, father, pos, z);
            return ret;
        };
        spineMgr.prototype.createSpineControl = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.spineControl.create(res, animationname, father, pos, z);
            return ret;
        };
        spineMgr.prototype.createSpineOncePlay = function (res, animationname, father, pos, z) {
            if (z === void 0) { z = null; }
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        };
        spineMgr.prototype.createSpineOncePlay_juezhao = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.playOnceSpine_juzhao.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap_juezhao.put(ret);
            return ret;
        };
        ////
        //缓存spine
        spineMgr.prototype.createBuffSpine = function (res, father, zOder) {
            if (zOder === void 0) { zOder = 0; }
            //  let key = res + father.__instanceId;
            /*       let resArray: ArrayEx<SkeletonAnimation_Ex> = this.m_spineMap.get(res);
                   if (!resArray) {
                       resArray = new ArrayEx< SkeletonAnimation_Ex >();
                       this.m_spineMap.set(res, resArray);
                   }
       
                   if (resArray.getSize() > 0) {
                       let ret = resArray.begin();
       
                       rootScene.getMe().removeChild(ret.getNode());
                       father.addChild(ret.getNode(), zOder);
                       ret.getNode().release();
                       ret.resume();
                       resArray.pop();
                       //console.log("使用了缓存spine :" + res );
                       ret.setVisible(true);
                       return ret;
                   }
       
                   let spine: SkeletonAnimation_Ex = this.loadSpine(res, father, zOder);
                   return spine;*/
            var key = res + father.__instanceId;
            var spine = this.m_spineMap.get(key);
            if (!spine) {
                spine = this.loadSpine(res, father, zOder);
                this.m_spineMap.set(key, spine);
            }
            spine.setVisible(true);
            return spine;
        };
        /*  deleteBuffSpine(spine: SkeletonAnimation_Ex) {
  
              if (spine == null)
                  return;
  
              let resArray: ArrayEx<SkeletonAnimation_Ex> = this.m_spineMap.get(spine.m_spine_res);
              if (!resArray) {
                  resArray = new ArrayEx< SkeletonAnimation_Ex >();
                  this.m_spineMap.set(spine.m_spine_res, resArray);
              }
  
              spine.getNode().retain();
              spine.getParent().removeChild(spine.getNode());
              spine.setVisible(false);
              spine.pause();
              rootScene.getMe().addChild(spine.getNode());
              resArray.put(spine);
          }
  
          //场景切换 删除缓存
          chanageScene_resetBuff()
          {
              this.m_spineMap.forEach((v: ArrayEx<SkeletonAnimation_Ex>, k) => {
                  for (let p in v) {
                      let data = v[p];
                      data.realse();
                  }
              }, this);
  
  
              this.m_spineMap.clear();
          }
  */
        /////
        //无缓存
        spineMgr.prototype.loadSpine = function (res, father, zOder) {
            if (zOder === void 0) { zOder = 0; }
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            var jsonname = "xingjiezhuzhuxia2/big/spine/" + res + "/" + res + ".json";
            var atlasame = "xingjiezhuzhuxia2/big/spine/" + res + "/" + res + ".atlas";
            var spineBoy = new game.SkeletonAnimation_Ex(jsonname, atlasame, father, zOder);
            spineBoy.m_spine_res = res;
            return spineBoy;
        };
        spineMgr.prototype.createSpinePlay = function (res, animationname, isloop, father, pos, scale) {
            var _ret = spineMgr.getMe().loadSpine(res, father, 23);
            _ret.setAnimation(0, animationname, isloop);
            //father.addChild(_ret.getNode(), 23);
            _ret.setPosition(pos);
            _ret.setScale(scale);
            return _ret;
        };
        spineMgr.g_instance = null;
        return spineMgr;
    }());
    game.spineMgr = spineMgr;
})(game || (game = {}));
//# sourceMappingURL=spineMgr.js.map