var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/11/11.
 */
//进度条
var game;
(function (game) {
    var ui_sceneLoading = (function (_super) {
        __extends(ui_sceneLoading, _super);
        function ui_sceneLoading() {
            _super.call(this);
            this.m_LoadingBar = null;
            this.m_curScenePer = 0;
            this.m_seceneData = null; // type :"", scenename:""
            this.m_isLoadhp = false;
            this.m_canloop = 0;
            this.m_spineMap = null;
            this.m_des = "ui_sceneLoading类";
            this.getNode().setName("ui_sceneLoading类");
        }
        ui_sceneLoading.prototype.oninit = function (data) {
            var root = this._parseUIFile("loading.json", 0);
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_LoadingBar = ccui.helper.seekWidgetByName(root, "LoadingBar_1");
            this.m_LoadingBar.setPercent(0);
            this.m_curScenePer = 0;
            this.m_seceneData = data;
            var text = ccui.helper.seekWidgetByName(root, "Text_1");
            if (text) {
                var num = Math.floor(Math.random() * game.ui_loading_config.length);
                text.setString(game.ui_loading_config[num]);
            }
            this.m_spineMap = game.sceneResSpineMgr.getloadSceneSpine(this.m_seceneData.scenename, this.m_seceneData.type);
        };
        ui_sceneLoading.prototype.loop = function (t) {
            _super.prototype.loop.call(this, t);
            if (this.m_canloop < 0.1) {
                this.m_canloop += t;
                return;
            }
            this.m_canloop = 0;
            if (this.m_curScenePer == 0) {
                game.sceneMgr.getMe().selectSceneEx(this.m_seceneData.type, this.m_seceneData.scenename);
                this.m_curScenePer = 30;
                this.m_LoadingBar.setPercent(this.m_curScenePer);
                return;
            }
            else if (game.sceneMgr.getMe().getCurScene()) {
                if (game.sceneMgr.getMe().getCurScene().m_bIsloadind == true && this.m_curScenePer < 50) {
                    this.m_curScenePer = 50;
                    this.m_LoadingBar.setPercent(this.m_curScenePer);
                    return;
                }
                if (this.m_isLoadhp == false || this.m_curScenePer < 80) {
                    if (this.m_isLoadhp == false) {
                        this.m_isLoadhp = true;
                        game.uieffectMgr.getMe().initPlaydrophp();
                    }
                    for (var p in this.m_spineMap) {
                        var res = this.m_spineMap[p];
                        game.js_GameLogicMgr.getMe().loadSpineRes(res);
                        delete (this.m_spineMap[p]);
                    }
                    this.m_curScenePer = 80;
                    this.m_LoadingBar.setPercent(this.m_curScenePer);
                    return;
                }
                if (game.sceneMgr.getMe().getCurScene().m_bIsloadind == true && this.m_curScenePer < 100) {
                    this.m_curScenePer = 100;
                    this.m_LoadingBar.setPercent(this.m_curScenePer);
                    return;
                }
                if (this.m_curScenePer == 100) {
                    game.sceneMgr.getMe().getCurScene().startjuqing();
                    game.playControl.getMe().init();
                    game.uiMgr.getMe().show_ui_sceneLoading(false);
                    if (this.m_seceneData.callback) {
                        this.m_seceneData.callback(this.m_seceneData.callback_data);
                    }
                    return;
                }
            }
        };
        ui_sceneLoading.g_instarn = null;
        ui_sceneLoading.getMe = function () {
            return ui_sceneLoading.g_instarn;
        };
        ui_sceneLoading.ShowOrHide = function (flag, data) {
            if (flag == true) {
                if (ui_sceneLoading.g_instarn == null) {
                    ui_sceneLoading.g_instarn = new ui_sceneLoading();
                    game.uiMgr.getMe().addChild(ui_sceneLoading.g_instarn.getNode(), 999999999);
                    ui_sceneLoading.g_instarn.oninit(data);
                    return ui_sceneLoading.g_instarn;
                }
                else {
                    return ui_sceneLoading.g_instarn;
                }
            }
            else {
                if (ui_sceneLoading.g_instarn != null) {
                    ui_sceneLoading.g_instarn.shutdown();
                    game.uiMgr.getMe().removeChild(ui_sceneLoading.g_instarn.getNode());
                    ui_sceneLoading.g_instarn = null;
                }
            }
        };
        return ui_sceneLoading;
    }(game.UiBase));
    game.ui_sceneLoading = ui_sceneLoading;
})(game || (game = {}));
//# sourceMappingURL=ui_sceneLoading.js.map