var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_duihuanma = (function (_super) {
        __extends(ui_duihuanma, _super);
        function ui_duihuanma() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_cd_key_text = null;
            this.m_des = "ui_cdkey类";
            this.getNode().setName("ui_cdkey类");
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
            this.m_CBaseKeyState.setUIName("cdkey");
        }
        ui_duihuanma.prototype.oninit = function (data) {
            var root = this._parseUIFile("duihuanma.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.m_cd_key_text = ccui.helper.seekWidgetByName(root, "shurukuang");
            this.m_cd_key_text.setPlaceHolder("请输入");
            this.m_cd_key_text.setString("");
            for (var i = 0; i <= 9; ++i) {
                var num_che = ccui.helper.seekWidgetByName(root, i.toString());
                num_che.addTouchEventListener(this.shuRu, this);
                this.m_CBaseKeyState.regNodeEx(num_che, i);
            }
            var duihuan_che = ccui.helper.seekWidgetByName(root, "duihuan");
            duihuan_che.addTouchEventListener(this.duihuan, this);
            var clean_che = ccui.helper.seekWidgetByName(root, "houtui");
            clean_che.addTouchEventListener(this.clean, this);
            this.m_CBaseKeyState.regNodeEx(duihuan_che, 10);
            this.m_CBaseKeyState.regNodeEx(clean_che, 11);
            this.m_CBaseKeyState.init(this);
        };
        ui_duihuanma.prototype.onBack = function () {
            this.endLayout(function () {
                ui_duihuanma.ShowOrHide(false);
            });
        };
        ui_duihuanma.prototype.clean = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        this.m_cd_key_text.setString("");
                    }
                    break;
                default:
                    break;
            }
        };
        ui_duihuanma.prototype.duihuan = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        var cd_key_str = this.m_cd_key_text.getString();
                        if (cd_key_str == "") {
                            game.ui_messageBox2.ShowOrHide(true, "兑换码不能为空！");
                            return;
                        }
                        game.js_GameLogicMgr.getMe().cdkey(cd_key_str);
                    }
                    break;
                default:
                    break;
            }
        };
        ui_duihuanma.prototype.shuRu = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        var shuzi = sender.getName();
                        var cd_key_str = this.m_cd_key_text.getString();
                        if (cd_key_str.length < 10) {
                            cd_key_str = cd_key_str + shuzi;
                            this.m_cd_key_text.setString(cd_key_str);
                        }
                    }
                    break;
                default:
                    break;
            }
        };
        ui_duihuanma.g_instarn = null;
        ui_duihuanma.getMe = function () {
            if (!ui_duihuanma.g_instarn) {
                ui_duihuanma.g_instarn = new ui_duihuanma();
            }
            return ui_duihuanma.g_instarn;
        };
        ui_duihuanma.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_duihuanma, game.uiMgr.getMe(), 200);
        };
        return ui_duihuanma;
    }(game.UiBase));
    game.ui_duihuanma = ui_duihuanma;
    var cdkeyMgr = (function () {
        function cdkeyMgr() {
        }
        cdkeyMgr.create = function () {
            if (cdkeyMgr.g_ing == null) {
                cdkeyMgr.g_ing = new cdkeyMgr();
                return cdkeyMgr.g_ing;
            }
            else {
                return cdkeyMgr.g_ing;
            }
        };
        cdkeyMgr.prototype.cdkeyBack = function (json) {
            //json = '{"Description":{"PropID":["1","2","3"], "PropName":["地雷","手雷","激光枪"], "Count":["200","300","11"] }, "Result": 0 }';
            json = json.replace(/\\/g, "");
            json = json.replace(/"{/g, "{");
            json = json.replace(/}"/g, "}");
            console.log("cdkey : " + json);
            if (json == "") {
                return;
            }
            try {
                var cdkey = JSON.parse(json);
            }
            catch (e) {
                return;
            }
            console.log("cdkey.Result : " + cdkey.Result);
            if (cdkey.Result == 1) {
                game.ui_messageBox2.ShowOrHide(true, "道具不存在！");
                return;
            }
            else if (cdkey.Result == 2) {
                game.ui_messageBox2.ShowOrHide(true, "不存在该CDKey！");
                return;
            }
            else if (cdkey.Result == 3) {
                game.ui_messageBox2.ShowOrHide(true, "用户已兑换过该CDKey！");
                return;
            }
            else if (cdkey.Result != 0) {
                return;
            }
            if (!cdkey.hasOwnProperty("Description")) {
                return;
            }
            if (!cdkey.Description.hasOwnProperty("PropID")) {
                return;
            }
            if (!cdkey.Description.hasOwnProperty("PropName")) {
                return;
            }
            if (!cdkey.Description.hasOwnProperty("Count")) {
                return;
            }
            game.ui_duihuanma2.ShowOrHide(true, cdkey.Description.Count);
        };
        cdkeyMgr.getMe = function () {
            return cdkeyMgr.create();
        };
        cdkeyMgr.g_ing = null;
        return cdkeyMgr;
    }());
    game.cdkeyMgr = cdkeyMgr;
})(game || (game = {}));
//# sourceMappingURL=ui_duihuanma.js.map