/**
 * Created by w on 2017/2/15.
 */
module game {
    export class ui_duihuanma extends UiBase {
        static g_instarn: any = null;
        m_CBaseKeyState = null;
        m_cd_key_text: ccui.Text = null;

        static getMe = function () {
            if (!ui_duihuanma.g_instarn) {
                ui_duihuanma.g_instarn = new ui_duihuanma();
            }
            return ui_duihuanma.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_duihuanma, uiMgr.getMe(), 200);
        }

        constructor() {
            super();
            this.m_des = "ui_cdkey类";
            this.getNode().setName("ui_cdkey类");
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
            this.m_CBaseKeyState.setUIName("cdkey");
        }


        oninit(data) {
            var root = this._parseUIFile("duihuanma.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);


            this.m_cd_key_text = ccui.helper.seekWidgetByName(root, "shurukuang");
            this.m_cd_key_text.setPlaceHolder("请输入");
            this.m_cd_key_text.setString("");

            for (var i = 0; i <= 9; ++i) {
                var num_che = ccui.helper.seekWidgetByName(root, i.toString());
                num_che.addTouchEventListener(this.shuRu, this);
                this.m_CBaseKeyState.regNodeEx(num_che, i);
            }

            var duihuan_che = ccui.helper.seekWidgetByName(root, "duihuan");
            duihuan_che.addTouchEventListener(this.duihuan, this);

            var clean_che = ccui.helper.seekWidgetByName(root, "houtui");
            clean_che.addTouchEventListener(this.clean, this);

            this.m_CBaseKeyState.regNodeEx(duihuan_che, 10);
            this.m_CBaseKeyState.regNodeEx(clean_che, 11);

            this.m_CBaseKeyState.init(this);
        }


        onBack() {
            this.endLayout(function () {
                ui_duihuanma.ShowOrHide(false);
            });

        }


        clean(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    this.m_cd_key_text.setString("");
                }
                    break;
                default:
                    break;
            }
        }


        duihuan(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    var cd_key_str = this.m_cd_key_text.getString();
                    if (cd_key_str == "") {
                        ui_messageBox2.ShowOrHide(true, "兑换码不能为空！");
                        return;
                    }
                    js_GameLogicMgr.getMe().cdkey(cd_key_str);

                }
                    break;
                default:
                    break;
            }
        }


        shuRu(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED: {
                    var shuzi = sender.getName();
                    var cd_key_str = this.m_cd_key_text.getString();
                    if (cd_key_str.length < 10) {
                        cd_key_str = cd_key_str + shuzi;
                        this.m_cd_key_text.setString(cd_key_str);
                    }
                }
                    break;
                default:
                    break;
            }
        }
    }



    export class cdkeyMgr {


        static getMe = function () {
            return cdkeyMgr.create();
        };

        static g_ing: any = null;
        static create  (): cdkeyMgr {

            if (cdkeyMgr.g_ing == null) {
                cdkeyMgr.g_ing = new cdkeyMgr();
                return cdkeyMgr.g_ing;
            }
            else {
                return cdkeyMgr.g_ing;
            }
        }

        cdkeyBack (json) {
            //json = '{"Description":{"PropID":["1","2","3"], "PropName":["地雷","手雷","激光枪"], "Count":["200","300","11"] }, "Result": 0 }';
            json = json.replace(/\\/g, "");
            json = json.replace(/"{/g, "{");
            json = json.replace(/}"/g, "}");
            console.log("cdkey : " + json);
            if (json == "") {
                return;
            }
            try {

                var cdkey = JSON.parse(json);

            } catch (e) {

                return;
            }

            console.log("cdkey.Result : " + cdkey.Result);
            if (cdkey.Result == 1) {
                ui_messageBox2.ShowOrHide(true, "道具不存在！");
                return;
            } else if (cdkey.Result == 2) {
                ui_messageBox2.ShowOrHide(true, "不存在该CDKey！");
                return;
            } else if (cdkey.Result == 3) {
                ui_messageBox2.ShowOrHide(true, "用户已兑换过该CDKey！");
                return;
            } else if (cdkey.Result != 0) {
                return;
            }
            if (!cdkey.hasOwnProperty("Description")) {
                return
            }
            if (!cdkey.Description.hasOwnProperty("PropID")) {
                return
            }
            if (!cdkey.Description.hasOwnProperty("PropName")) {
                return
            }
            if (!cdkey.Description.hasOwnProperty("Count")) {
                return
            }

            ui_duihuanma2.ShowOrHide(true, cdkey.Description.Count);

        }
    }


}


