var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_getPieces = (function (_super) {
        __extends(ui_getPieces, _super);
        function ui_getPieces() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_des = "ui_getPieces类";
            this.getNode().setName("ui_getPieces类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_getPieces.prototype.oninit = function (data) {
            var root = this._parseUIFile("choukahuode.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var ok = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            var one = ccui.helper.seekWidgetByName(this.m_root, "zaichou1ci");
            var ten = ccui.helper.seekWidgetByName(this.m_root, "chou10ci");
            ok.addTouchEventListener(this.ok_func, this);
            one.addTouchEventListener(this.one_pumping, this);
            ten.addTouchEventListener(this.ten_pumping, this);
            this.m_CBaseKeyState.regNodeEx(ok, 1);
            this.m_CBaseKeyState.regNodeEx(one, 2);
            this.m_CBaseKeyState.regNodeEx(ten, 3);
            this.m_CBaseKeyState.init(this);
            var one_price = ccui.helper.seekWidgetByName(one, "xiaohao");
            var ten_price = ccui.helper.seekWidgetByName(ten, "xiaohao");
            one_price.setString("消耗" + game.g_differentPrices[game.g_version].other.pumpCard_one);
            ten_price.setString("消耗" + game.g_differentPrices[game.g_version].other.pumpCard_ten);
            this.initUI(data);
            this.m_CBaseKeyState.setCurKey_byName("huode1");
        };
        ui_getPieces.prototype.initUI = function (data) {
            var one = ccui.helper.seekWidgetByName(this.m_root, "huode1");
            var ten = ccui.helper.seekWidgetByName(this.m_root, "huode10ci");
            var cards = data.cards;
            if (data.type == game.e_choukaType.one) {
                one.setVisible(true);
                ten.setVisible(false);
                var shuoming = ccui.helper.seekWidgetByName(one, "shuoming");
                var s = cards[0].split("_");
                one.loadTexture(game.g_pintu_info[s[0]][s[1]].image);
                shuoming.setString(game.g_pintu_info[s[0]][s[1]].name);
            }
            if (data.type == game.e_choukaType.ten) {
                one.setVisible(false);
                ten.setVisible(true);
                for (var i = 1; i <= 10; ++i) {
                    var image = ccui.helper.seekWidgetByName(ten, "huode10_" + i);
                    var shuoming = ccui.helper.seekWidgetByName(image, "shuoming");
                    var s = cards[i - 1].split("_");
                    image.loadTexture(game.g_pintu_info[s[0]][s[1]].image);
                    shuoming.setString(game.g_pintu_info[s[0]][s[1]].name);
                }
            }
        };
        ui_getPieces.prototype.one = function () {
            var _this = this;
            console.log("one");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_one;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_one();
                    game.dataMgr.getMe().addItemByType(cardName, 1);
                    var card = new game.Card();
                    card.type = game.e_choukaType.one;
                    card.cards = [cardName];
                    this.initUI(card);
                    this.EnterUI();
                    this.m_CBaseKeyState.setCurKey_byName("huode1");
                    game.httpConsumptionList.getMe().onSendMsg("单抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_one_pumping();
                }, null, this);
            }
        };
        ui_getPieces.prototype.ten = function () {
            var _this = this;
            console.log("ten");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_ten;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_ten();
                    for (var i = 0; i < 10; ++i) {
                        game.dataMgr.getMe().addItemByType(cardName[i], 1);
                    }
                    var card = new game.Card();
                    card.type = game.e_choukaType.ten;
                    card.cards = cardName;
                    this.initUI(card);
                    this.EnterUI();
                    this.m_CBaseKeyState.setCurKey_byName("huode10ci");
                    game.httpConsumptionList.getMe().onSendMsg("十抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_ten_pumping();
                }, null, this);
            }
        };
        ui_getPieces.prototype.buy_diamond_and_one_pumping = function () {
            var callback_func = game.MyCallback.create(this.one, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_getPieces.prototype.buy_diamond_and_ten_pumping = function () {
            var callback_func = game.MyCallback.create(this.ten, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_getPieces.prototype.one_pumping = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.one();
                    break;
                default:
                    break;
            }
        };
        ui_getPieces.prototype.ten_pumping = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.ten();
                    break;
                default:
                    break;
            }
        };
        ui_getPieces.prototype.getRandomCard_one = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                allgailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_getPieces.prototype.getRandomCard_ten = function () {
            var arr = new Array();
            for (var i = 0; i < 10; ++i) {
                arr[i] = this.getRandomCards();
            }
            return arr;
        };
        ui_getPieces.prototype.getRandomCards = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                allgailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_getPieces.prototype.ok_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
                default:
                    break;
            }
        };
        ui_getPieces.prototype.onBack = function () {
            this.endLayout(function () {
                ui_getPieces.ShowOrHide(false);
            });
        };
        ui_getPieces.g_instarn = null;
        ui_getPieces.getMe = function () {
            return ui_getPieces.g_instarn;
        };
        ui_getPieces.ShowOrHide = function (flag, card) {
            game.UiBase.ShowOrHide(flag, ui_getPieces, game.uiMgr.getMe(), 2000, card);
        };
        return ui_getPieces;
    }(game.UiBase));
    game.ui_getPieces = ui_getPieces;
})(game || (game = {}));
//# sourceMappingURL=ui_getPieces.js.map