/**
 * Created by w on 2017/2/15.
 */
module game {
    export class ui_getPieces extends UiBase {
        static g_instarn: ui_getPieces = null;
        m_CBaseKeyState = null;
        static getMe = function () {
            return ui_getPieces.g_instarn;
        };
        static ShowOrHide = function (flag,card?) {
            UiBase.ShowOrHide(flag, ui_getPieces, uiMgr.getMe(), 2000,card);
        };

        constructor() {
            super();
            this.m_des = "ui_getPieces类";
            this.getNode().setName("ui_getPieces类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        oninit(data:Card) {
            let root = this._parseUIFile("choukahuode.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let ok = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            let one = ccui.helper.seekWidgetByName(this.m_root, "zaichou1ci");
            let ten = ccui.helper.seekWidgetByName(this.m_root, "chou10ci");
            ok.addTouchEventListener(this.ok_func, this);
            one.addTouchEventListener(this.one_pumping, this);
            ten.addTouchEventListener(this.ten_pumping, this);
            this.m_CBaseKeyState.regNodeEx(ok, 1);
            this.m_CBaseKeyState.regNodeEx(one, 2);
            this.m_CBaseKeyState.regNodeEx(ten, 3);
            this.m_CBaseKeyState.init(this);

            let one_price = ccui.helper.seekWidgetByName(one, "xiaohao");
            let ten_price = ccui.helper.seekWidgetByName(ten, "xiaohao");
            one_price.setString("消耗"+g_differentPrices[g_version].other.pumpCard_one);
            ten_price.setString("消耗"+g_differentPrices[g_version].other.pumpCard_ten);
            this.initUI(data);
            this.m_CBaseKeyState.setCurKey_byName("huode1");
        }

        initUI(data:Card){
            let one = ccui.helper.seekWidgetByName(this.m_root, "huode1");
            let ten = ccui.helper.seekWidgetByName(this.m_root, "huode10ci");

            let cards = data.cards;
            if(data.type == e_choukaType.one){
                one.setVisible(true);
                ten.setVisible(false);
                let shuoming = ccui.helper.seekWidgetByName(one, "shuoming");
                let s = cards[0].split("_");
                one.loadTexture(g_pintu_info[s[0]][s[1]].image);
                shuoming.setString(g_pintu_info[s[0]][s[1]].name);
            }
            if(data.type == e_choukaType.ten){
                one.setVisible(false);
                ten.setVisible(true);
                for(let i = 1; i <= 10; ++i){
                    let image = ccui.helper.seekWidgetByName(ten, "huode10_" + i);
                    let shuoming = ccui.helper.seekWidgetByName(image, "shuoming");
                    let s = cards[i-1].split("_");
                    image.loadTexture(g_pintu_info[s[0]][s[1]].image);
                    shuoming.setString(g_pintu_info[s[0]][s[1]].name);
                }
            }
        }

        one(){
            console.log("one");
            let price = g_differentPrices[g_version].other.pumpCard_one;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_one();
                    dataMgr.getMe().addItemByType(cardName,1);

                    let card = new Card();
                    card.type = e_choukaType.one;
                    card.cards = [cardName];

                    this.initUI(card);
                    this.EnterUI();
                    this.m_CBaseKeyState.setCurKey_byName("huode1");

                    httpConsumptionList.getMe().onSendMsg("单抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            }else{
                // 钻石不足...
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_one_pumping();
                },null,this);
            }
        }

        ten(){
            console.log("ten");
            let price = g_differentPrices[g_version].other.pumpCard_ten;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_ten();
                    for(let i = 0; i < 10; ++i){
                        dataMgr.getMe().addItemByType(cardName[i],1);
                    }

                    let card = new Card();
                    card.type = e_choukaType.ten;
                    card.cards = cardName;

                    this.initUI(card);
                    this.EnterUI();
                    this.m_CBaseKeyState.setCurKey_byName("huode10ci");

                    httpConsumptionList.getMe().onSendMsg("十抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            }else{
                // 钻石不足...
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_ten_pumping();
                },null,this);
            }
        }

        buy_diamond_and_one_pumping () {
            let callback_func = MyCallback.create(this.one, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_ten_pumping () {
            let callback_func = MyCallback.create(this.ten, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        one_pumping(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.one();
                    break;
                default:
                    break;
            }
        }

        ten_pumping(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.ten();
                    break;
                default:
                    break;
            }
        }

        getRandomCard_one(){
            let cardName = null;
            var allgailv = 0;
            for(let i in g_chouka_config.chouka_one.gailv){
                allgailv += g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for(let i in g_chouka_config.chouka_one.gailv){
                let nowgailv = aigailv + g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        getRandomCard_ten(){
            let arr = new Array<string>();
            for(let i = 0; i<10; ++i){
                arr[i] = this.getRandomCards();
            }
            return arr;
        }

        getRandomCards(){
            let cardName = null;
            var allgailv = 0;
            for(let i in g_chouka_config.chouka_ten.gailv){
                allgailv += g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for(let i in g_chouka_config.chouka_ten.gailv){
                let nowgailv = aigailv + g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        ok_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
                default:
                    break;
            }
        }

        onBack() {
            this.endLayout(function () {
                ui_getPieces.ShowOrHide(false);
            });
        }
    }
}