var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗界面
var game;
(function (game) {
    var ui_zhandoujm = (function (_super) {
        __extends(ui_zhandoujm, _super);
        function ui_zhandoujm() {
            _super.call(this);
            this.m_nuqitiao1 = null;
            this.m_nuqitiao2 = null;
            this.m_nuqishu = null;
            this.m_xulitiao = null;
            this.m_des = "ui_zhandoujm类";
            this.getNode().setName("ui_zhandoujm类");
        }
        ui_zhandoujm.prototype.addNode_test = function () {
            // let node = new cc.Sprite();
            // this.addChild(node, 200);
            // node.setTextureRect(cc.rect(0, 0, 100, 100));
            // node.setColor(cc.color(122, 122, 255));
            // node.setPosition(500, 300);
            // node.setOpacity(120);
        };
        ui_zhandoujm.prototype.oninit = function (data) {
            this.setOpacity(255 * 0.0);
            var root = this._parseUIFile("zhandoujiemian.json", 0, false);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.init_UI();
            this.showTouxiang();
            // 添加连击ui
            game.ui_pengxue.ShowOrHide(true);
            if (game.ui_pengxue.getMe()) {
                game.ui_pengxue.getMe().hide();
            }
            this.m_arrow = game.spineMgr.getMe().loadSpine("jiantou", game.roleMgr.getMe().getNode(), 10000);
            this.m_arrow.setAnimation(0, "jiantou", true);
            this.m_arrow.setScale(0.5);
            if (game.sceneMgr.getMe().getCurSceneType() != game.e_SceneType.SceneType_yindao)
                game.ui_tanchuang2.ShowOrHide(true);
        };
        ui_zhandoujm.prototype.onKeyPressed = function (keyCode) {
            game.playControl.getMe().onKeyPressed(keyCode);
            _super.prototype.onKeyPressed.call(this, keyCode);
        };
        ui_zhandoujm.prototype.onKeyReleased = function (keyCode) {
            game.playControl.getMe().onKeyReleased(keyCode);
            _super.prototype.onKeyReleased.call(this, keyCode);
        };
        ui_zhandoujm.prototype.loop = function (t) {
            // playControl.getMe().loop( t );
            this.m_role = game.roleMgr.getMe().getControlPlayer();
            if (this.m_role) {
                var pos1 = this.m_role.getBoneWroldPosition("toubu");
                pos1.y += 100;
                this.m_arrow.setPosition(pos1);
            }
        };
        ui_zhandoujm.prototype.init_UI = function () {
            //玩家一
            var Player_One = ccui.helper.seekWidgetByName(this.m_root, "juese1");
            this.m_zhujue_touxiang = ccui.helper.seekWidgetByName(Player_One, "touxiang");
            this.m_zhujue_xuetiao = ccui.helper.seekWidgetByName(Player_One, "xuetiao"); //loadingbar
            //玩家二
            this.m_suicong1 = ccui.helper.seekWidgetByName(this.m_root, "juese2");
            this.m_suicong_touxiang1 = ccui.helper.seekWidgetByName(this.m_suicong1, "touxiang");
            var img_head_hui_Two = ccui.helper.seekWidgetByName(this.m_suicong1, "touxianghui");
            this.m_suicong_xuetiao1 = ccui.helper.seekWidgetByName(this.m_suicong1, "xuetiao"); //loadingbar
            //玩家三
            this.m_suicong2 = ccui.helper.seekWidgetByName(this.m_root, "juese3");
            this.m_suicong_touxiang2 = ccui.helper.seekWidgetByName(this.m_suicong2, "touxiang");
            var img_head_hui_Three = ccui.helper.seekWidgetByName(this.m_suicong2, "touxianghui");
            this.m_suicong_xuetiao2 = ccui.helper.seekWidgetByName(this.m_suicong2, "xuetiao"); //loadingbar
            //怒气条
            this.m_nuqitiao1 = ccui.helper.seekWidgetByName(this.m_root, "nuqitiaoman");
            this.m_nuqitiao2 = ccui.helper.seekWidgetByName(this.m_root, "nuqitiaoman2");
            this.m_nuqishu = ccui.helper.seekWidgetByName(this.m_root, "nuqishu");
            //xuli条
            this.m_xulitiao = ccui.helper.seekWidgetByName(this.m_root, "xulitiao");
            this.m_xulitiao.setVisible(false);
            //boss
            this.m_boss = ccui.helper.seekWidgetByName(this.m_root, "boss");
            this.m_bossImage = ccui.helper.seekWidgetByName(this.m_boss, "touxiang");
            this.m_boss_xuetiao = ccui.helper.seekWidgetByName(this.m_boss, "xuetiao");
            this.m_boss.setVisible(false);
        };
        ui_zhandoujm.prototype.showTouxiang = function () {
            var curhero = game.dataMgr.getMe().getCurHero();
            if (curhero != "") {
                var level = game.dataMgr.getMe().getHeroLevel(curhero);
                var headIcon1 = game.dataMgr.getMe().getHeroHeadIcon(curhero + level);
                this.m_zhujue_touxiang.loadTexture(headIcon1);
            }
            var curFollower = game.dataMgr.getMe().getCurFollow();
            if (curFollower.length > 0) {
                if (curFollower.length == 1) {
                    var level = game.dataMgr.getMe().getHeroLevel(curFollower[0]);
                    var headIcon2 = game.dataMgr.getMe().getHeroHeadIcon(curFollower[0] + level);
                    this.m_suicong_touxiang1.loadTexture(headIcon2);
                    this.m_suicong1.setVisible(true);
                    this.m_suicong2.setVisible(false);
                }
                else if (curFollower.length == 2) {
                    var level = game.dataMgr.getMe().getHeroLevel(curFollower[0]);
                    var level2 = game.dataMgr.getMe().getHeroLevel(curFollower[1]);
                    var headIcon = game.dataMgr.getMe().getHeroHeadIcon(curFollower[0] + level);
                    this.m_suicong_touxiang1.loadTexture(headIcon);
                    var headIcon2 = game.dataMgr.getMe().getHeroHeadIcon(curFollower[1] + level2);
                    this.m_suicong_touxiang2.loadTexture(headIcon2);
                    this.m_suicong1.setVisible(true);
                    this.m_suicong2.setVisible(true);
                }
            }
            else {
                this.m_suicong1.setVisible(false);
                this.m_suicong2.setVisible(false);
            }
        };
        ui_zhandoujm.prototype.updateUI = function () {
            this.m_zhujue_touxiang.setColor({ r: 255, g: 255, b: 255 });
            this.m_suicong_touxiang1.setColor({ r: 255, g: 255, b: 255 });
            this.m_suicong_touxiang2.setColor({ r: 255, g: 255, b: 255 });
            var role = game.dataMgr.getMe().getCurHero();
            var follows = game.dataMgr.getMe().getCurFollow();
            var players = game.roleMgr.getMe().m_player_map;
            for (var i = 0; i < players.size; ++i) {
                var data = players.getByIndex(i);
                if (data.getName().indexOf("bobifenshen") > -1)
                    continue;
                if (data.isdead()) {
                    if (follows.length == 1) {
                        if (data.getName().indexOf(follows[0]) > -1) {
                            this.m_suicong_touxiang1.setColor({ r: 128, g: 121, b: 121 });
                        }
                    }
                    else if (follows.length == 2) {
                        if (data.getName().indexOf(follows[0]) > -1) {
                            this.m_suicong_touxiang1.setColor({ r: 128, g: 121, b: 121 });
                        }
                        else if (data.getName().indexOf(follows[1]) > -1) {
                            this.m_suicong_touxiang2.setColor({ r: 128, g: 121, b: 121 });
                        }
                    }
                    if (data.getName().indexOf(role) > -1) {
                        this.m_zhujue_touxiang.setColor({ r: 128, g: 121, b: 121 });
                    }
                }
            }
        };
        ui_zhandoujm.prototype.init = function () {
            // this.m_zhujueImage = ccui.helper.seekWidgetByName(this.m_root, "touxiang1");
            // this.m_zhujue_touxiang = ccui.helper.seekWidgetByName(this.m_zhujueImage, "touxiang1tu");
            // this.m_zhujue_xuetiao = ccui.helper.seekWidgetByName(this.m_zhujueImage, "xuetiao1");
            // this.m_zhujue_dengji = ccui.helper.seekWidgetByName(this.m_zhujueImage, "dengji");
            // this.m_zhujue_dengji.setString(game.dataMgr.getMe().getHeroLevel(game.dataMgr.getMe().getPlayDoc().curHero));
            // this.m_suicongImage = ccui.helper.seekWidgetByName(this.m_root, "touxiang2");
            // this.m_suicong_touxiang = ccui.helper.seekWidgetByName(this.m_suicongImage, "touxiang2tu");
            // this.m_suicong_xuetiao = ccui.helper.seekWidgetByName(this.m_suicongImage, "xuetiao2");
            // this.m_suicongImage.setVisible(false);
            //
            // this.m_suicong_dengji = ccui.helper.seekWidgetByName(this.m_suicongImage, "dengji");
            //
            // this.Particle_1 = ccui.helper.seekWidgetByName(this.m_root, "Particle_1");
            // this.Particle_1.stopSystem();
            // //this.m_guangkajindutiao = ccui.helper.seekWidgetByName(this.m_root, "guankajindu");
            // // 隐藏boss头像
            // this.m_bossImage = ccui.helper.seekWidgetByName(this.m_root, "BOSStouxiang");
            // this.m_bossIcon = ccui.helper.seekWidgetByName(this.m_bossImage, "Image_12");
            // this.m_boss_xuetiao1 = ccui.helper.seekWidgetByName(this.m_bossImage, "boss_xuetiao1");
            // this.m_boss_xuetiao2 = ccui.helper.seekWidgetByName(this.m_bossImage, "boss_xuetiao2");
            // this.m_bossImage.setVisible(false);
            // this.m_zhujue_xuetiao.setPercent(100);
            // this.m_suicong_xuetiao.setPercent(100);
            // this.m_nuqitiao.setPercent(1);
            // for (let i = 1; i <= 8; ++i) {
            //     let buff = ccui.helper.seekWidgetByName(this.m_zhujueImage, "buff" + i);
            //     buff.setVisible(false);
            //     this.m_buffList_zhujiao.put(i, buff);
            // }
            // for (let i = 1; i <= 8; ++i) {
            //     let buff = ccui.helper.seekWidgetByName(this.m_suicongImage, "buff" + i);
            //     this.m_buffList_suicong.put(i, buff);
            //     buff.setVisible(false);
            // }
            // for (let i = 1; i <= 8; ++i) {
            //     let buff = ccui.helper.seekWidgetByName(this.m_bossImage, "buff" + i);
            //     this.m_buffList_boss.put(i, buff);
            //     buff.setVisible(false);
            // }
            // this.showTouxiang();
            //
            // // if (achieveScoreMgr.getMe())
            // //     achieveScoreMgr.getMe().init();
        };
        // 主角显示血量
        ui_zhandoujm.prototype.setzhujuePer = function (per) {
            this.m_zhujue_xuetiao.setPercent(per);
        };
        // 随从显示血量
        ui_zhandoujm.prototype.setsuicongPer = function (name, per) {
            var follows = game.dataMgr.getMe().getCurFollow();
            if (follows.length == 1) {
                this.m_suicong_xuetiao1.setPercent(per);
            }
            else if (follows.length == 2) {
                if (name.indexOf(follows[0]) > -1) {
                    this.m_suicong_xuetiao1.setPercent(per);
                }
                else {
                    this.m_suicong_xuetiao2.setPercent(per);
                }
            }
        };
        // 怒气值显示量
        ui_zhandoujm.prototype.updateNuqiUI = function (nuqitiaoNum, nuqitiaoPer) {
            nuqitiaoNum = Math.floor(nuqitiaoNum);
            this.m_nuqishu.setString(nuqitiaoNum);
            if (nuqitiaoPer >= 100) {
                this.m_nuqitiao2.setVisible(false);
                this.m_nuqitiao1.setVisible(true);
                this.m_nuqitiao1.setPercent(100);
            }
            else {
                this.m_nuqitiao1.setVisible(false);
                this.m_nuqitiao2.setVisible(true);
                this.m_nuqitiao2.setPercent(nuqitiaoPer);
            }
        };
        ui_zhandoujm.prototype.onBack = function () {
            if (game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_yindao) {
                game.dataMgr.getMe().setPlayYindao("xinshouyindao", true);
                game.rootScene.getMe().zanting(true);
                game.ui_messageBox.ShowOrHide(true, "是否退出引导？", function () {
                    game.dataMgr.getMe().setCurFollow([]);
                    game.dataMgr.getMe().setCurHero("bobi");
                    game.fileMgr.getMe().savePlayInfo();
                    game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login, "");
                    game.ui_login.ShowOrHide(false);
                    game.ui_zhujiemian.ShowOrHide(true);
                }, function () {
                    game.rootScene.getMe().zanting(false);
                }, this);
                return;
            }
            game.ui_zanting.ShowOrHide(true);
        };
        ui_zhandoujm.prototype.shutdown = function () {
            // roleMgr.getMe().getNode().removeChild(this.m_arrow);
            _super.prototype.shutdown.call(this);
            game.ui_pengxue.ShowOrHide(false);
        };
        // 设置boss血条血量
        ui_zhandoujm.prototype.setBossHp = function (per) {
            this.m_boss_xuetiao.setPercent(per);
        };
        //初始化boss血条
        ui_zhandoujm.prototype.initBossBloodBar = function (name) {
            // let ss = name.split("boss");
            this.m_boss.setVisible(true);
            // 改变角色图片
            this.m_bossImage.loadTexture(game.g_monster_config[name].small_head_icon);
        };
        ui_zhandoujm.g_instarn = null;
        ui_zhandoujm.getMe = function () {
            return game.ui_zhandoujm.g_instarn;
        };
        ui_zhandoujm.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_zhandoujm, null, 100);
        };
        return ui_zhandoujm;
    }(game.UiBase));
    game.ui_zhandoujm = ui_zhandoujm;
})(game || (game = {}));
//# sourceMappingURL=ui_zhandoujm.js.map 
//# sourceMappingURL=ui_zhandoujm.js.map