/**
 * Created by w on 2017/2/14.
 */
module game {
    export class ui_jinhua extends UiBase {
        static g_instarn: ui_jinhua = null;
        m_CBaseKeyState = null;
        m_curCheckBoxName;
        m_selectHero;
        static getMe = function () {
            return ui_jinhua.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_jinhua, uiMgr.getMe(), 600);
        };

        constructor() {
            super();
            this.m_des = "ui_jinhua类";
            this.getNode().setName("ui_jinhua类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        shutdown() {
            // ui_huobi.ShowOrHide(false);
            super.shutdown();
        }

        oninit(data) {
            let root = this._parseUIFile("jinhua.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            // ui_huobi.ShowOrHide(true);

            let hero1: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero1");
            let hero2: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero2");
            let hero3: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero3");
            let hero4: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero4");
            let hero5: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero5");
            let hero6: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero6");
            hero1.addTouchEventListener(this.jinhua_func, this);
            hero2.addTouchEventListener(this.jinhua_func, this);
            hero3.addTouchEventListener(this.jinhua_func, this);
            hero4.addTouchEventListener(this.jinhua_func, this);
            hero5.addTouchEventListener(this.jinhua_func, this);
            hero6.addTouchEventListener(this.jinhua_func, this);

            this.m_CBaseKeyState.regNodeEx(hero1, 1);
            this.m_CBaseKeyState.regNodeEx(hero2, 2);
            this.m_CBaseKeyState.regNodeEx(hero3, 3);
            this.m_CBaseKeyState.regNodeEx(hero4, 4);
            this.m_CBaseKeyState.regNodeEx(hero5, 5);
            this.m_CBaseKeyState.regNodeEx(hero6, 6);
            this.m_CBaseKeyState.init(this);
            this.m_selectHero = "wulingwang";
            this.m_curCheckBoxName = "hero1";
            this.initUI();
            this.updateUI();
            this.initheroPanel();
        }

        initheroPanel() {
            let panel = this.m_root;
            for (let i = 1; i <= 6; ++i) {
                let hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                let click_text = ccui.helper.seekWidgetByName(hero, "Text_10");
                let lock_image = ccui.helper.seekWidgetByName(hero, "Image_10");
                let hero_price = ccui.helper.seekWidgetByName(hero, "Text_5");
                let Image_20 = ccui.helper.seekWidgetByName(hero, "Image_20");
                let name = this.checkBoxNameToheroname("hero" + i);
                let selectHeroLevel = dataMgr.getMe().getHeroLevel(name);
                let isLocked = dataMgr.getMe().getHeroIsLocked(name);
                if (isLocked) {
                    hero_price.setString("消耗：" + g_differentPrices[g_version].unlock[name + selectHeroLevel]);
                    lock_image.setVisible(true);
                    click_text.setString("点击解锁");
                } else {
                    hero_price.setString("消耗：" + g_differentPrices[g_version].heros[name + selectHeroLevel]);
                    if(selectHeroLevel == 3){
                        Image_20.setVisible(false);
                        click_text.setVisible(false);
                    }else{
                        Image_20.setVisible(true);
                        click_text.setVisible(true);
                    }
                    lock_image.setVisible(false);
                    click_text.setString("点击升级");//xingjiezhuzhuxia2\big\ui\image
                }
            }
        }

        checkBoxNameToheroname(name) {
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        }

        initUI(){
            this.changeIcon("wulingwang","hero1");
            this.changeIcon("zhuzhuxia","hero2");
            this.changeIcon("xiaodaidai","hero3");
            this.changeIcon("feifei","hero4");
            this.changeIcon("chaorenqiang","hero5");
            this.changeIcon("bobi","hero6");
        }

        jinhua_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    let islock =  dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
                    if(islock){
                        if(this.m_selectHero == "wulingwang"){
                            ui_jinhua.ShowOrHide(false);
                            ui_wulingwang.ShowOrHide(true);
                            return;
                        }
                        this.unlockCallback(this.m_selectHero);
                    }else{
                        this.levelUpCallback(this.m_selectHero);
                    }
                    break;
                default:
                    break;
            }
        }

        unlockCallback(name: string) {
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);

                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "解锁"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_unlock();
                    }, null, this);
                }
            } else {
                ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        }

        a(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石升级"+heronameZh);
                }
            }else{// 钻石不足
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并升级", ()=>{
                    this.buy_diamond_and_levelUp();
                },null,this);
            }
        }

        b(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石解锁"+heronameZh);
                }
            }else{// 钻石不足
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并解锁", ()=>{
                    this.buy_diamond_and_unlock();
                },null,this);
            }
        }

        buy_diamond_and_unlock () {
            let callback_func = MyCallback.create(this.b, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_levelUp () {
            let callback_func = MyCallback.create(this.a, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        unlockSuccess() {
            // ui_messageBox2.ShowOrHide(true, "解锁成功", null, null);
            uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.updateUI();
            this.initheroPanel();
        }

        levelUpCallback(name: string) {
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);

                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "升级"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            } else {
                ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null)
            }
        }

        levelUpSuccess() {
            // ui_messageBox2.ShowOrHide(true, "升级成功", null, null);
            uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.updateUI();
            this.initheroPanel();
        }

        updateHeroIcon(){
            let heroConfig1 = dataMgr.getMe().getHeroConfig(this.m_selectHero + "1");
            let heroConfig2 = dataMgr.getMe().getHeroConfig(this.m_selectHero + "2");
            let heroConfig3 = dataMgr.getMe().getHeroConfig(this.m_selectHero + "3");
            let spineName1 = heroConfig1.hero_big_image;
            let spineName2 = heroConfig2.hero_big_image;
            let spineName3 = heroConfig3.hero_big_image;
            let xingtai1 = ccui.helper.seekWidgetByName(this.m_root, "xingtai1");
            let xingtai2 = ccui.helper.seekWidgetByName(this.m_root, "xingtai2");
            let xingtai3 = ccui.helper.seekWidgetByName(this.m_root, "xingtai3");
            xingtai1.loadTexture(spineName1);
            xingtai2.loadTexture(spineName2);
            xingtai3.loadTexture(spineName3);

            this.changeIcon(this.m_selectHero,this.m_curCheckBoxName);
        }

        changeIcon(name,checkName){
            let hero1: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, checkName);
            let hero1_icon = ccui.helper.seekWidgetByName(hero1, "touxiang");
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let heroConfig = dataMgr.getMe().getHeroConfig(name + curlevel);
            hero1_icon.loadTexture(heroConfig.small_head_icon);
        }

        updateUI() {
            this.updateCurHero();
            this.updateHeroIcon();
        }

        onBack() {
            ui_jinhua.ShowOrHide(false);
            ui_zhujiemian.ShowOrHide(true);
        }

        right() {
            super.right();
            switch (this.m_selectHero) {
                case "wulingwang":
                    this.m_selectHero = "zhuzhuxia";
                    this.m_curCheckBoxName = "hero2";
                    break;
                case "zhuzhuxia":
                    this.m_selectHero = "xiaodaidai";
                    this.m_curCheckBoxName = "hero3";
                    break;
                case "xiaodaidai":
                    this.m_selectHero = "feifei";
                    this.m_curCheckBoxName = "hero4";
                    break;
                case "feifei":
                    this.m_selectHero = "chaorenqiang";
                    this.m_curCheckBoxName = "hero5";
                    break;
                case "chaorenqiang":
                    this.m_selectHero = "bobi";
                    this.m_curCheckBoxName = "hero6";
                    break;
                case "bobi":
                    this.m_selectHero = "bobi";
                    break;
            }
            this.updateUI();
        }

        left() {
            super.left();
            switch (this.m_selectHero) {
                case "wulingwang":
                    this.m_selectHero = "wulingwang";
                    break
                case "zhuzhuxia":
                    this.m_selectHero = "wulingwang";
                    this.m_curCheckBoxName = "hero1";
                    break;
                case "xiaodaidai":
                    this.m_selectHero = "zhuzhuxia";
                    this.m_curCheckBoxName = "hero2";
                    break;
                case "feifei":
                    this.m_selectHero = "xiaodaidai";
                    this.m_curCheckBoxName = "hero3";
                    break;
                case "chaorenqiang":
                    this.m_selectHero = "feifei";
                    this.m_curCheckBoxName = "hero4";
                    break;
                case "bobi":
                    this.m_selectHero = "chaorenqiang";
                    this.m_curCheckBoxName = "hero5";
                    break;
            }
            this.updateUI();
        }

        /**
         *  上边三个角色选择框
         */
        updateCurHero() {
            let selectHeroLevel = dataMgr.getMe().getHeroLevel(this.m_selectHero);
            let islock =  dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            for (let j = 1; j <= 3; j++) {
                let heroNode = ccui.helper.seekWidgetByName(this.m_root, "xingtai" + j);
                // let texiao = ccui.helper.seekWidgetByName(heroNode, "uitexiao");
                let image = ccui.helper.seekWidgetByName(heroNode, "dangqianxingtai" + j);
                if (selectHeroLevel == j && !islock) {
                    // texiao.setVisible(true);
                    image.setVisible(true);
                } else {
                    // texiao.setVisible(false);
                    image.setVisible(false);
                }
            }
        }
    }
}