/**
 * Created by w on 2017/2/14.
 */
module game {
    //角色 选择类
    import CheckBox = ccui.CheckBox;
    export class ui_juesexuanze extends UiBase {
        static g_instarn: ui_juesexuanze = null;
        m_CBaseKeyState = null;
        m_sceneName = null;
        m_sceneType = null;
        m_selectHero = "wulingwang";// 当前光标选择的角色
        m_curHerosList: Array<string> = null; // 选择的角色集
        static getMe = function () {
            return ui_juesexuanze.g_instarn;
        };
        static ShowOrHide = function (flag, data: any = null) {
            UiBase.ShowOrHide(flag, ui_juesexuanze, uiMgr.getMe(), 800, data);
            ui_tip.ShowOrHide(flag);
        };

        constructor() {
            super();
            this.m_des = "ui_juesexuanze类";
            this.getNode().setName("ui_juesexuanze类");
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
            this.m_curHerosList = new Array<string>();
        }

        onBack() {
            this.endLayout(function () {
                if(this.m_sceneType == e_SceneType.SceneType_worldboss){
                    ui_juesexuanze.ShowOrHide(false);
                    ui_shijiboss.ShowOrHide(true);
                }else{
                    ui_juesexuanze.ShowOrHide(false);
                    ui_zhujiemian.ShowOrHide(true);
                }
            })
        }

        shutdown() {
            ui_huobi.ShowOrHide(false);
            super.shutdown();
        }

        oninit(data) {
            this.m_sceneName = data.sceneName;
            this.m_sceneType = data.sceneType;
            ui_huobi.ShowOrHide(true);
            let root = this._parseUIFile("juesexuanze.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);


            let curHero = dataMgr.getMe().getCurHero();
            if (curHero != "") {
                this.m_curHerosList.push(curHero);
            }
            let curFollow = dataMgr.getMe().getCurFollow();
            if (curFollow.length != 0) {
                for (let i = 0; i < curFollow.length; ++i) {
                    this.m_curHerosList.push(curFollow[i]);
                }
            }
            this.m_selectHero = "wulingwang";
            this.regBaseKey();
            this.m_CBaseKeyState.setUIName("choice");
            this.initheroPanel();
            this.updateheroPanel();
            this.updateSelectHero();
        }

        regBaseKey() {
            let panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (let i = 1; i <= 6; ++i) {
                let hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                hero.addTouchEventListener(this.jinhua_func, this);
                this.m_CBaseKeyState.regNodeEx(hero, i);
            }

            let start = ccui.helper.seekWidgetByName(this.m_root, "kaishizhandou");
            start.addTouchEventListener(this.start_func, this);
            this.m_CBaseKeyState.regNodeEx(start, 7);
            this.m_CBaseKeyState.init(this);
        }

        left() {
            super.left();
            this.m_selectHero = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key.getName());
            this.updateheroPanel();
        }

        right() {
            super.right();
            this.m_selectHero = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key.getName());
            this.updateheroPanel();
        }

        /**
         * 解锁或出战
         */
        up() {
            super.up();
            if (!this.m_selectHero) {
                console.log(this.m_selectHero);
                return;
            }
            // 是否解锁
            let isLocked = dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            if (isLocked) {
                if(this.m_selectHero == "wulingwang"){
                    ui_juesexuanze.ShowOrHide(false);
                    ui_wulingwang.ShowOrHide(true);
                    return;
                }
                this.unlockCallback();
                return;
            }
            this.showFighter();
            this.updateheroPanel();
        }

        /**
         * 出战
         */
        showFighter(){
            for (let i = 0; i < this.m_curHerosList.length; ++i) {
                if (this.m_curHerosList[i] == this.m_selectHero) {
                    this.m_curHerosList.splice(i, 1);
                    this.updateSelectHero();
                    return;
                }
            }
            if(rootScene.getMe().isLowCpu()) {
                if (this.m_curHerosList.length == 2) {
                    this.m_curHerosList.splice(0, 1);
                }
            }else{
                if (this.m_curHerosList.length == 3) {
                    this.m_curHerosList.splice(0, 1);
                }
            }
            this.m_curHerosList.push(this.m_selectHero);
            this.updateSelectHero();
        }

        initheroPanel() {
            let panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4");
            for (let i = 1; i <= 6; ++i) {
                let hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                let up_image = ccui.helper.seekWidgetByName(hero, "xuanzechuzhan");
                let click_text = ccui.helper.seekWidgetByName(hero, "dianjishengji");
                let lock_image = ccui.helper.seekWidgetByName(hero, "Image_319_0");
                let icon_image = ccui.helper.seekWidgetByName(hero, "touxiang");
                let hero_price = ccui.helper.seekWidgetByName(hero, "Text_5");
                let Image_20 = ccui.helper.seekWidgetByName(hero, "Image_20");
                let name = this.checkBoxNameToheroname("hero" + i);
                let selectHeroLevel = dataMgr.getMe().getHeroLevel(name);
                let isLocked = dataMgr.getMe().getHeroIsLocked(name);
                let heroConfig = dataMgr.getMe().getHeroConfig(name + selectHeroLevel);
                icon_image.loadTexture(heroConfig.small_head_icon);
                if (isLocked) {
                    hero_price.setString("消耗：" + g_differentPrices[g_version].unlock[name + selectHeroLevel]);
                    lock_image.setVisible(true);
                    click_text.setString("点击解锁");
                    up_image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui262.png");
                } else {
                    hero_price.setString("消耗：" + g_differentPrices[g_version].heros[name + selectHeroLevel]);
                    if(selectHeroLevel == 3){
                        Image_20.setVisible(false);
                        click_text.setVisible(false);
                    }else{
                        Image_20.setVisible(true);
                        click_text.setVisible(true);
                    }
                    lock_image.setVisible(false);
                    click_text.setString("点击升级");//xingjiezhuzhuxia2\big\ui\image
                    up_image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui256.png");
                }
            }
        }

        updateheroPanel() {
            let panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4")
            for (let i = 1; i <= 6; ++i) {
                let hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                let up_image = ccui.helper.seekWidgetByName(hero, "xuanzechuzhan");
                let click_text = ccui.helper.seekWidgetByName(hero, "dianjishengji");
                let arrow_image = ccui.helper.seekWidgetByName(hero, "up");
                up_image.setVisible(false);
                click_text.setVisible(false);
                arrow_image.setVisible(false);
            }
            let name = this.checkBoxNameByheroname(this.m_selectHero);
            if (name == "") return;
            let hero = ccui.helper.seekWidgetByName(panel, name);
            let up_image = ccui.helper.seekWidgetByName(hero, "xuanzechuzhan");
            let click_text = ccui.helper.seekWidgetByName(hero, "dianjishengji");
            let arrow_image = ccui.helper.seekWidgetByName(hero, "up");
            if(!this.isSelectByName(this.m_selectHero)){
                up_image.setVisible(true);
                arrow_image.setVisible(true);
            }
            let selectHeroLevel = dataMgr.getMe().isHeroMaxLevel(this.m_selectHero);
            if(selectHeroLevel){
                click_text.setVisible(false);
            }else{
                click_text.setVisible(true);
            }

            this.updateShowHeroImage();
        }

        /**
         * 角色列表中是否存在当前英雄
         */
        isSelectByName(name){
            for (let i = 0; i < this.m_curHerosList.length; ++i) {
                if (this.m_curHerosList[i] == name) {
                    return true;
                }
            }
            return false;
        }

        updateSelectHero() {
            let panel = ccui.helper.seekWidgetByName(this.m_root, "Image_4")
            for (let i = 1; i <= 6; ++i) {
                let hero = ccui.helper.seekWidgetByName(panel, "hero" + i);
                let image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(false);
            }
            if (this.m_curHerosList.length == 0) return;
            if (this.m_curHerosList.length > 0) {
                let mainHero = this.checkBoxNameByheroname(this.m_curHerosList[0]);
                let hero = ccui.helper.seekWidgetByName(panel, mainHero);
                let image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui73.png");
            }
            if (this.m_curHerosList.length > 1) {
                let secondHero = this.checkBoxNameByheroname(this.m_curHerosList[1]);
                let hero = ccui.helper.seekWidgetByName(panel, secondHero);
                let image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui72.png");
            }
            if (this.m_curHerosList.length > 2) {
                let thirdHero = this.checkBoxNameByheroname(this.m_curHerosList[2]);
                let hero = ccui.helper.seekWidgetByName(panel, thirdHero);
                let image = ccui.helper.seekWidgetByName(hero, "xiaohuoban");
                image.setVisible(true);
                image.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_scengui72.png");
            }
        }

        updateShowHeroImage(){
            let dangqianxingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai1");
            let zuigaoxingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai3");
            let xiayixingtai = ccui.helper.seekWidgetByName(this.m_root, "xingtai2");
            let arrow = ccui.helper.seekWidgetByName(this.m_root, "Image_11");
            let node1 = ccui.helper.seekWidgetByName(this.m_root, "Node_1");
            let node2 = ccui.helper.seekWidgetByName(this.m_root, "Node_2");
            let rim1 = ccui.helper.seekWidgetByName(node1, "3jitexiao");
            let rim11 = ccui.helper.seekWidgetByName(node1, "3jitexiao_0");
            let rim2 = ccui.helper.seekWidgetByName(node2, "2jitexiao");
            let rim22 = ccui.helper.seekWidgetByName(node2, "2jitexiao_0");

            let heroPropertyPanel = ccui.helper.seekWidgetByName(this.m_root, "shuxing");
            let gongji1: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "gongji1");
            let gongji2: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "gongji2");
            let fangyu1: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "fangyu1");
            let fangyu2: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "fangyu2");
            let xueliang1: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "xueliang1");
            let xueliang2: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "xueliang2");
            let arrow1: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia6");
            let arrow2: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia5");
            let arrow3: ccui.Text = ccui.helper.seekWidgetByName(heroPropertyPanel, "zengjia4");

            let name = this.m_selectHero;
            let selectHeroLevel = dataMgr.getMe().getHeroLevel(name);
            let heroConfig = dataMgr.getMe().getHeroConfig(name + selectHeroLevel);
            if(selectHeroLevel == 3){
                dangqianxingtai.setVisible(false);
                xiayixingtai.setVisible(false);
                zuigaoxingtai.setVisible(true);
                arrow.setVisible(false);

                zuigaoxingtai.loadTexture(heroConfig.hero_big_image);

                arrow1.setVisible(false);
                arrow2.setVisible(false);
                arrow3.setVisible(false);
                gongji2.setVisible(false);
                fangyu2.setVisible(false);
                xueliang2.setVisible(false);
                node1.setVisible(true);
                node2.setVisible(false);
                rim1.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_"+this.m_selectHero+".png");
                rim11.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_"+this.m_selectHero+".png");
            }else{
                dangqianxingtai.setVisible(true);
                xiayixingtai.setVisible(true);
                zuigaoxingtai.setVisible(false);
                arrow.setVisible(true);

                arrow1.setVisible(true);
                arrow2.setVisible(true);
                arrow3.setVisible(true);
                gongji2.setVisible(true);
                fangyu2.setVisible(true);
                xueliang2.setVisible(true);
                node1.setVisible(false);
                node2.setVisible(true);

                let nextheroConfig = dataMgr.getMe().getHeroConfig(name + (selectHeroLevel + 1));
                dangqianxingtai.loadTexture(heroConfig.hero_big_image);
                xiayixingtai.loadTexture(nextheroConfig.hero_big_image);

                gongji2.setString(Math.round(nextheroConfig.attackPoint * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_att)+1)));
                fangyu2.setString(Math.round(nextheroConfig.defencePoint * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_defense)+1)));
                xueliang2.setString(Math.round(nextheroConfig.hp * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_hp)+1)));

                rim2.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_"+this.m_selectHero+".png");
                rim22.loadTexture("xingjiezhuzhuxia2/big/ui/image/zhuzhuxia_fz_"+this.m_selectHero+".png");
            }
            let a = propertyMgr.getMe().getPropertyNum(e_property_Type.e_att);
            gongji1.setString(Math.round(heroConfig.attackPoint * (a + 1)));
            fangyu1.setString(Math.round(heroConfig.defencePoint * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_defense)+1)));
            xueliang1.setString(Math.round(heroConfig.hp * (propertyMgr.getMe().getPropertyNum(e_property_Type.e_hp)+1)));
        }

        start_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_curHerosList.length == 0) {
                        ui_messageBox2.ShowOrHide(true, "请选择至少一个出战英雄");
                        return;
                    }
                    // for (let j = 0; j < this.m_curHerosList.length; j++) {
                    //     console.log("出战英雄：" + this.m_curHerosList[j]);
                    // }

                    // dataMgr.getMe().setCurHero(this.m_curHerosList[0]);
                    // dataMgr.getMe().setCurFollow(this.m_curHerosList.splice(1, 2));
                    // sceneMgr.getMe().selectScene(this.m_sceneType, this.m_sceneName);
                    let num;
                    if(rootScene.getMe().isLowCpu()) {
                        num = 2 - this.m_curHerosList.length;
                    }else{
                        num = 3 - this.m_curHerosList.length;
                    }

                    if(num != 0){
                        ui_messageBox.ShowOrHide(true,"还可选择"+num+"个同伴一起出战,是否继续选择?",function(){
                            ui_messageBox.ShowOrHide(false);
                        },function () {
                            ui_messageBox.ShowOrHide(false);
                            ui_juesexuanze.getMe().fight_ex();
                        },this );
                        break;
                    }
                    ui_juesexuanze.getMe().fight_ex();
                    // ui_tanchuang2.ShowOrHide(true);
                    break;
            }
        }

        fight_ex(){
            dataMgr.getMe().setCurHero(this.m_curHerosList[0]);
            dataMgr.getMe().setCurFollow(this.m_curHerosList.splice(1, 2));
            sceneMgr.getMe().selectScene(this.m_sceneType, this.m_sceneName);
        }

        /**
         *  解锁或升级或出战
         */
        jinhua_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.m_selectHero) {
                        console.log(this.m_selectHero);
                        return;
                    }
                    // 是否解锁
                    let isLocked = dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
                    if (isLocked) {
                        if(this.m_selectHero == "wulingwang"){
                            ui_juesexuanze.ShowOrHide(false);
                            ui_wulingwang.ShowOrHide(true);
                            return;
                        }
                        this.unlockCallback();
                        return;
                    }
                    this.levelUpCallback();
                    break;
                default:
                    break;
            }
        }

        levelUpSuccess() {
            uiMgr.getMe().show_ui_playOnce("jinhuachenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.initheroPanel();
            this.updateShowHeroImage();
        }

        unlockSuccess() {
            uiMgr.getMe().show_ui_playOnce("jiesuochenggong.json", "play");
            fileMgr.getMe().savePlayInfo();
            this.initheroPanel();
        }

        unlockCallback() {
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);

                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石解锁英雄" + heronameZh, () => {
                    //     this.b();
                    // }, null, this);
                    this.b();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "解锁"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_unlock();
                    }, null, this);
                }
            } else {
                ui_messageBox2.ShowOrHide(true, "已是最高等级", null, null);
            }
        }

        levelUpCallback() {
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            if (curlevel < 3) {
                let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
                let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true, "是否花费" + levelDiamond + "钻石升级英雄" + heronameZh, () => {
                    //     this.a();
                    // }, null, this)
                    this.a();
                }else{ //解锁/升级XXX需要9999钻石，当前钻石不足，是否花费XX元购买9999钻石
                    ui_unlockHero.ShowOrHide(true, "升级"+heronameZh+"需要" + levelDiamond + "钻石，当前钻石不足，是否花费"  + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石", () => {
                        this.buy_diamond_and_levelUp();
                    }, null, this);
                }
            } else {
                this.showFighter();
                this.updateheroPanel();
            }
        }

        a(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
            let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().addHeroLevel(name);
                    this.levelUpSuccess();
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石升级"+heronameZh);
                }
            }else{// 钻石不足
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并升级", ()=>{
                    this.buy_diamond_and_levelUp();
                },null,this);
            }
        }

        b(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let heronameZh = dataMgr.getMe().getHeroName_ZH(name + curlevel);
            let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().unLockHero(name);
                    this.unlockSuccess();
                    httpConsumptionList.getMe().onSendMsg(levelDiamond+"钻石解锁"+heronameZh);
                }
            }else{// 钻石不足
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并解锁", ()=>{
                    this.buy_diamond_and_unlock();
                },null,this);
            }
        }

        buy_diamond_and_unlock () {
            let callback_func = MyCallback.create(this.b, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_levelUp () {
            let callback_func = MyCallback.create(this.a, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        /**
         * 根据键名返回对应角色名
         */
        checkBoxNameToheroname(name) {
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        }

        checkBoxNameByheroname(name) {
            if (name == "wulingwang") {
                return "hero1";
            }
            else if (name == "zhuzhuxia") {
                return "hero2";
            }
            else if (name == "xiaodaidai") {
                return "hero3";
            }
            else if (name == "feifei") {
                return "hero4";
            }
            else if (name == "chaorenqiang") {
                return "hero5";
            }
            else if (name == "bobi") {
                return "hero6";
            }
            return "";
        }
    }
}