var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/14.
 */
var game;
(function (game) {
    var ui_pintu = (function (_super) {
        __extends(ui_pintu, _super);
        function ui_pintu() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_selectHero = "wulingwang";
            this.m_des = "ui_pintu类";
            this.getNode().setName("ui_pintu类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_pintu.prototype.shutdown = function () {
            game.ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        ui_pintu.prototype.oninit = function (data) {
            var root = this._parseUIFile("pintu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.ui_huobi.ShowOrHide(true);
            this.regCheckBoxKey();
            this.updateUI();
            this.updateAllPropertyUI();
        };
        /**
         * 注册UI按钮
         */
        ui_pintu.prototype.regCheckBoxKey = function () {
            //下方显示 的英雄1-6
            for (var j = 1; j <= 6; j++) {
                var hero = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                hero.addTouchEventListener(this.hechengFunc, this);
                this.m_CBaseKeyState.regNodeEx(hero, j);
            }
            var pintuhuoqu = ccui.helper.seekWidgetByName(this.m_root, "pintuhuoqu");
            pintuhuoqu.addTouchEventListener(this.shuomingFunc, this);
            this.m_CBaseKeyState.regNodeEx(pintuhuoqu, 7);
            this.m_CBaseKeyState.init(this);
            this.updateCheckIcon();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());
        };
        ui_pintu.prototype.updateCheckIcon = function () {
            for (var j = 1; j <= 6; j++) {
                var hero = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                var hero_Head = ccui.helper.seekWidgetByName(hero, "touxiang");
                var heroName = this.checkBoxNameToheroname(hero);
                var heroLevel = game.dataMgr.getMe().getHeroLevel(heroName);
                var heriHeadimg = game.dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel);
                hero_Head.loadTexture(heriHeadimg);
            }
        };
        /**
         * 更新左侧全属性界面信息
         * //Image_20 下的界面信息 需要在propertyMgr中获取数据
         */
        ui_pintu.prototype.updateAllPropertyUI = function () {
            var att = Math.round(game.propertyMgr.getMe().getProperty(game.e_property_Type.e_att).per * 100);
            var def = Math.round(game.propertyMgr.getMe().getProperty(game.e_property_Type.e_defense).per * 100);
            var hp = Math.round(game.propertyMgr.getMe().getProperty(game.e_property_Type.e_hp).per * 100);
            var speed = Math.round(game.propertyMgr.getMe().getProperty(game.e_property_Type.e_runSpeed).per * 100);
            var crit = Math.round(game.propertyMgr.getMe().getProperty(game.e_property_Type.e_baoji).per * 100);
            var shuxin = ccui.helper.seekWidgetByName(this.m_root, "Image_20");
            var txt_gongjiAdd = ccui.helper.seekWidgetByName(shuxin, "gongjizengqiang");
            var txt_fangyuAdd = ccui.helper.seekWidgetByName(shuxin, "fangyuzengjai");
            var txt_xueliangAdd = ccui.helper.seekWidgetByName(shuxin, "xueliangzengjia");
            var txt_gongsuAdd = ccui.helper.seekWidgetByName(shuxin, "baojizengjia");
            var txt_yisuAdd = ccui.helper.seekWidgetByName(shuxin, "yisuzengjia");
            txt_gongjiAdd.setString(att);
            txt_fangyuAdd.setString(def);
            txt_xueliangAdd.setString(hp);
            txt_gongsuAdd.setString(crit);
            txt_yisuAdd.setString(speed);
        };
        /**
         * 更新右侧单个属性界面信息 数据在playhero_config中
         * 需要在焦点指向某人时,显示对应数据
         */
        ui_pintu.prototype.updateSinglePropertyUI = function () {
            var des = ccui.helper.seekWidgetByName(this.m_root, "kehuodeqianghua");
            var name_txt = ccui.helper.seekWidgetByName(des, "mingzi");
            var pro_txt = ccui.helper.seekWidgetByName(des, "shuxing");
            var val_txt = ccui.helper.seekWidgetByName(des, "shuzhi");
            var data = game.g_pintu_info[this.m_selectHero];
            name_txt.setString(data.desName);
            pro_txt.setString(data.shuxing);
            val_txt.setString(data.percent);
        };
        /**
         * 更新中间的拼图信息 数据从存档中读取
         * 当没有这个拼图时 区块隐藏
         */
        ui_pintu.prototype.updatePintuUI = function () {
            var data = game.g_pintu_info[this.m_selectHero];
            var piece1 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian1");
            var piece2 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian2");
            var piece3 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian3");
            var piece4 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian4");
            var piece1_image = ccui.helper.seekWidgetByName(this.m_root, "suipian1_pic");
            var piece2_image = ccui.helper.seekWidgetByName(this.m_root, "suipian2_pic");
            var piece3_image = ccui.helper.seekWidgetByName(this.m_root, "suipian3_pic");
            var piece4_image = ccui.helper.seekWidgetByName(this.m_root, "suipian4_pic");
            var piece1_num = ccui.helper.seekWidgetByName(this.m_root, "suipian1shumu");
            var piece2_num = ccui.helper.seekWidgetByName(this.m_root, "suipian2shumu");
            var piece3_num = ccui.helper.seekWidgetByName(this.m_root, "suipian3shumu");
            var piece4_num = ccui.helper.seekWidgetByName(this.m_root, "suipian4shumu");
            piece1_image.loadTexture(data.suipian1.image);
            piece2_image.loadTexture(data.suipian2.image);
            piece3_image.loadTexture(data.suipian3.image);
            piece4_image.loadTexture(data.suipian4.image);
            piece1_num.setString("数量：" + piece1);
            piece2_num.setString("数量：" + piece2);
            piece3_num.setString("数量：" + piece3);
            piece4_num.setString("数量：" + piece4);
            if (piece1 == 0) {
                piece1_image.setVisible(false);
            }
            else {
                piece1_image.setVisible(true);
            }
            if (piece2 == 0) {
                piece2_image.setVisible(false);
            }
            else {
                piece2_image.setVisible(true);
            }
            if (piece3 == 0) {
                piece3_image.setVisible(false);
            }
            else {
                piece3_image.setVisible(true);
            }
            if (piece4 == 0) {
                piece4_image.setVisible(false);
            }
            else {
                piece4_image.setVisible(true);
            }
        };
        /**
         * 光标移动
         * 根据当前焦点对应的英雄更新界面信息
         */
        ui_pintu.prototype.updateUI = function () {
            this.updatePintuUI();
            this.updateSinglePropertyUI();
        };
        /**
         * 说明按键监听事件
         * 是否可以合成碎片,合成事件的处理
         */
        ui_pintu.prototype.shuomingFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    game.ui_suipianhuoqu.ShowOrHide(true);
                    break;
                default:
                    break;
            }
        };
        /**
         *  处理按键逻辑
         *  可根据实际情况看是否使用父类方法
         */
        ui_pintu.prototype.left = function () {
            _super.prototype.left.call(this);
            if (this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu") {
                return;
            }
            var heroName = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key);
            this.m_selectHero = heroName;
            this.updateUI();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());
        };
        ui_pintu.prototype.right = function () {
            _super.prototype.right.call(this);
            if (this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu") {
                return;
            }
            var heroName = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key);
            this.m_selectHero = heroName;
            this.updateUI();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());
        };
        ui_pintu.prototype.hideAllArrow = function (name) {
            for (var i = 1; i <= 6; ++i) {
                var hero = ccui.helper.seekWidgetByName(this.m_root, "hero" + i);
                var arrow = ccui.helper.seekWidgetByName(hero, "up");
                arrow.setVisible(false);
            }
            var h = ccui.helper.seekWidgetByName(this.m_root, name);
            var a = ccui.helper.seekWidgetByName(h, "up");
            a.setVisible(true);
        };
        ui_pintu.prototype.down = function () {
            if (this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu") {
                game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
                this.m_CBaseKeyState.setCurKey_byName(this.checkBoxNameByheroname(this.m_selectHero));
            }
            else {
                _super.prototype.right.call(this);
            }
        };
        /**
         * 合成按键监听事件
         * 是否可以合成碎片,合成事件的处理
         */
        ui_pintu.prototype.hechengFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.validateLevelLimit()) {
                        return;
                    }
                    if (this.canCombine()) {
                        this.combine();
                        game.propertyMgr.getMe().reset();
                        this.updateAllPropertyUI();
                        this.updateUI();
                    }
                    else {
                        game.ui_messageBox2.ShowOrHide(true, "碎片不足,不能合成");
                    }
                    break;
                default:
                    break;
            }
        };
        ui_pintu.prototype.combine = function () {
            game.dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian1", 1);
            game.dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian2", 1);
            game.dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian3", 1);
            game.dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian4", 1);
            game.dataMgr.getMe().addPintuByName(this.m_selectHero, 1);
            game.uiMgr.getMe().show_ui_playOnce("wanchengpintu.json", "play");
        };
        /**
         *  1.是否可以合成
         */
        ui_pintu.prototype.canCombine = function () {
            var piece1 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian1");
            var piece2 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian2");
            var piece3 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian3");
            var piece4 = game.dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian4");
            if (piece1 == 0)
                return false;
            if (piece2 == 0)
                return false;
            if (piece3 == 0)
                return false;
            if (piece4 == 0)
                return false;
            return true;
        };
        /**
         * 2.根据等级等价合成限制
         */
        ui_pintu.prototype.validateLevelLimit = function () {
            var _this = this;
            var isLocked = game.dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            var level = game.dataMgr.getMe().getHeroLevel(this.m_selectHero);
            var num = game.dataMgr.getMe().getPintuByName(this.m_selectHero);
            var name_CH = game.dataMgr.getMe().getHeroName_ZH(this.m_selectHero + level);
            var name = this.m_selectHero;
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + level);
            if (isLocked) {
                if (this.m_selectHero == "wulingwang") {
                    ui_pintu.ShowOrHide(false);
                    game.ui_wulingwang.ShowOrHide(true);
                    return false;
                }
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true,"合成"+name_CH+"拼图需先解锁"+name_CH+"。是否解锁"+name_CH, ()=>{
                    //     this.b();
                    // },null,this);
                    this.b();
                }
                else {
                    game.ui_unlockHero.ShowOrHide(true, "需要解锁" + name_CH + "才能合成拼图，解锁该英雄需要" + levelDiamond +
                        "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_unlock();
                    }, null, this);
                }
                return false;
            }
            if (level == 1 && num >= 1) {
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true,"合成"+name_CH+"拼图需要更高等级的"+name_CH+"。是否升级"+name_CH, ()=>{
                    //     this.a();
                    // },null,this);
                    this.a();
                }
                else {
                    game.ui_levelUpHero.ShowOrHide(true, "需要升级" + name_CH + "才能合成拼图，升级该英雄需要" + levelDiamond +
                        "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_levelUp();
                    }, null, this);
                }
                return false;
            }
            if (level == 2 && num >= 3) {
                if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true,"合成"+name_CH+"拼图需要更高等级的"+name_CH+"。是否升级"+name_CH, ()=>{
                    //     this.a();
                    // },null,this);
                    this.a();
                }
                else {
                    game.ui_levelUpHero.ShowOrHide(true, "需要升级" + name_CH + "才能合成拼图，升级该英雄需要" + levelDiamond +
                        "钻石，当前钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石", function () {
                        _this.buy_diamond_and_levelUp();
                    }, null, this);
                }
                return false;
            }
            return true;
        };
        ui_pintu.prototype.a = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().addHeroLevel(name);
                    this.success();
                }
            }
            else {
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并升级", function () {
                    _this.buy_diamond_and_levelUp();
                }, null, this);
            }
        };
        ui_pintu.prototype.b = function () {
            var _this = this;
            var name = this.m_selectHero;
            var curlevel = game.dataMgr.getMe().getHeroLevel(name);
            var levelDiamond = game.dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= game.dataMgr.getMe().getDiamond()) {
                if (game.dataMgr.getMe().removeDiamond(levelDiamond)) {
                    game.dataMgr.getMe().unLockHero(name);
                    this.success();
                }
            }
            else {
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并解锁", function () {
                    _this.buy_diamond_and_unlock();
                }, null, this);
            }
        };
        ui_pintu.prototype.buy_diamond_and_unlock = function () {
            var callback_func = game.MyCallback.create(this.b, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_pintu.prototype.buy_diamond_and_levelUp = function () {
            var callback_func = game.MyCallback.create(this.a, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_pintu.prototype.success = function () {
            this.updateUI();
            this.updateCheckIcon();
            game.fileMgr.getMe().savePlayInfo();
        };
        /**
         * 根据键名返回对应角色名
         */
        ui_pintu.prototype.checkBoxNameToheroname = function (sender) {
            var name = sender.getName();
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        };
        ui_pintu.prototype.checkBoxNameByheroname = function (name) {
            if (name == "wulingwang") {
                return "hero1";
            }
            else if (name == "zhuzhuxia") {
                return "hero2";
            }
            else if (name == "xiaodaidai") {
                return "hero3";
            }
            else if (name == "feifei") {
                return "hero4";
            }
            else if (name == "chaorenqiang") {
                return "hero5";
            }
            else if (name == "bobi") {
                return "hero6";
            }
            return "";
        };
        /**
         * 退出UI的处理
         */
        ui_pintu.prototype.onBack = function () {
            this.endLayout(function () {
                ui_pintu.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_pintu.g_instarn = null;
        ui_pintu.getMe = function () {
            return ui_pintu.g_instarn;
        };
        ui_pintu.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_pintu, game.uiMgr.getMe(), 400);
            game.ui_tip.ShowOrHide(flag);
        };
        return ui_pintu;
    }(game.UiBase));
    game.ui_pintu = ui_pintu;
})(game || (game = {}));
//# sourceMappingURL=ui_pintu.js.map