/**
 * Created by w on 2017/2/14.
 */
module game {
    export class ui_pintu extends UiBase {
        static g_instarn: ui_pintu = null;
        m_CBaseKeyState: BaseKeyState = null;
        m_selectHero: string = "wulingwang";
        static getMe = function () {
            return ui_pintu.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_pintu, uiMgr.getMe(), 400);
            ui_tip.ShowOrHide(flag);
        };

        constructor() {
            super();
            this.m_des = "ui_pintu类";
            this.getNode().setName("ui_pintu类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        shutdown() {
            ui_huobi.ShowOrHide(false);
            super.shutdown();
        }

        oninit(data) {
            let root = this._parseUIFile("pintu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            ui_huobi.ShowOrHide(true);

            this.regCheckBoxKey();
            this.updateUI();
            this.updateAllPropertyUI();
        }

        /**
         * 注册UI按钮
         */
        regCheckBoxKey() {
            //下方显示 的英雄1-6
            for (let j = 1; j <= 6; j++) {
                let hero: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                hero.addTouchEventListener(this.hechengFunc, this);
                this.m_CBaseKeyState.regNodeEx(hero, j);
            }
            let pintuhuoqu = ccui.helper.seekWidgetByName(this.m_root, "pintuhuoqu");
            pintuhuoqu.addTouchEventListener(this.shuomingFunc, this);
            this.m_CBaseKeyState.regNodeEx(pintuhuoqu, 7);
            this.m_CBaseKeyState.init(this);

            this.updateCheckIcon();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());
        }

        updateCheckIcon(){
            for (let j = 1; j <= 6; j++) {
                let hero: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                let hero_Head: ccui.ImageView = ccui.helper.seekWidgetByName(hero, "touxiang");
                let heroName = this.checkBoxNameToheroname(hero)
                let heroLevel = dataMgr.getMe().getHeroLevel(heroName)
                let heriHeadimg = dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel)
                hero_Head.loadTexture(heriHeadimg)
            }
        }

        /**
         * 更新左侧全属性界面信息
         * //Image_20 下的界面信息 需要在propertyMgr中获取数据
         */
        updateAllPropertyUI() {
            let att = Math.round(propertyMgr.getMe().getProperty(e_property_Type.e_att).per * 100);
            let def = Math.round(propertyMgr.getMe().getProperty(e_property_Type.e_defense).per * 100);
            let hp = Math.round(propertyMgr.getMe().getProperty(e_property_Type.e_hp).per * 100);
            let speed = Math.round(propertyMgr.getMe().getProperty(e_property_Type.e_runSpeed).per * 100);
            let crit = Math.round(propertyMgr.getMe().getProperty(e_property_Type.e_baoji).per * 100);
            let shuxin: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_20");
            let txt_gongjiAdd: ccui.Text = ccui.helper.seekWidgetByName(shuxin, "gongjizengqiang");
            let txt_fangyuAdd: ccui.Text = ccui.helper.seekWidgetByName(shuxin, "fangyuzengjai");
            let txt_xueliangAdd: ccui.Text = ccui.helper.seekWidgetByName(shuxin, "xueliangzengjia");
            let txt_gongsuAdd: ccui.Text = ccui.helper.seekWidgetByName(shuxin, "baojizengjia");
            let txt_yisuAdd: ccui.Text = ccui.helper.seekWidgetByName(shuxin, "yisuzengjia");
            txt_gongjiAdd.setString(att);
            txt_fangyuAdd.setString(def);
            txt_xueliangAdd.setString(hp);
            txt_gongsuAdd.setString(crit);
            txt_yisuAdd.setString(speed);
        }

        /**
         * 更新右侧单个属性界面信息 数据在playhero_config中
         * 需要在焦点指向某人时,显示对应数据
         */
        updateSinglePropertyUI() {
            let des: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "kehuodeqianghua");
            let name_txt: ccui.Text = ccui.helper.seekWidgetByName(des, "mingzi");
            let pro_txt: ccui.Text = ccui.helper.seekWidgetByName(des, "shuxing");
            let val_txt: ccui.Text = ccui.helper.seekWidgetByName(des, "shuzhi");
            let data = g_pintu_info[this.m_selectHero];
            name_txt.setString(data.desName);
            pro_txt.setString(data.shuxing);
            val_txt.setString(data.percent);
        }

        /**
         * 更新中间的拼图信息 数据从存档中读取
         * 当没有这个拼图时 区块隐藏
         */
        updatePintuUI() {
            let data = g_pintu_info[this.m_selectHero];
            let piece1 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian1");
            let piece2 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian2");
            let piece3 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian3");
            let piece4 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian4");
            let piece1_image = ccui.helper.seekWidgetByName(this.m_root, "suipian1_pic");
            let piece2_image = ccui.helper.seekWidgetByName(this.m_root, "suipian2_pic");
            let piece3_image = ccui.helper.seekWidgetByName(this.m_root, "suipian3_pic");
            let piece4_image = ccui.helper.seekWidgetByName(this.m_root, "suipian4_pic")
            let piece1_num: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "suipian1shumu");
            let piece2_num: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "suipian2shumu");
            let piece3_num: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "suipian3shumu");
            let piece4_num: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "suipian4shumu");
            piece1_image.loadTexture(data.suipian1.image);
            piece2_image.loadTexture(data.suipian2.image);
            piece3_image.loadTexture(data.suipian3.image);
            piece4_image.loadTexture(data.suipian4.image);
            piece1_num.setString("数量：" + piece1);
            piece2_num.setString("数量：" + piece2);
            piece3_num.setString("数量：" + piece3);
            piece4_num.setString("数量：" + piece4);
            if (piece1 == 0) {
                piece1_image.setVisible(false);
            }else{
                piece1_image.setVisible(true);
            }
            if (piece2 == 0) {
                piece2_image.setVisible(false);
            }else{
                piece2_image.setVisible(true);
            }
            if (piece3 == 0) {
                piece3_image.setVisible(false);
            }else{
                piece3_image.setVisible(true);
            }
            if (piece4 == 0) {
                piece4_image.setVisible(false);
            }else{
                piece4_image.setVisible(true);
            }
        }

        /**
         * 光标移动
         * 根据当前焦点对应的英雄更新界面信息
         */
        updateUI() {
            this.updatePintuUI();
            this.updateSinglePropertyUI();
        }

        /**
         * 说明按键监听事件
         * 是否可以合成碎片,合成事件的处理
         */
        shuomingFunc(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_suipianhuoqu.ShowOrHide(true);
                    break;
                default:
                    break
            }
        }

        /**
         *  处理按键逻辑
         *  可根据实际情况看是否使用父类方法
         */
        left() {
            super.left();
            if(this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu"){
                return;
            }
            let heroName = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key);
            this.m_selectHero = heroName;
            this.updateUI();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());
        }

        right() {
            super.right();
            if(this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu"){
                return;
            }
            let heroName = this.checkBoxNameToheroname(this.m_CBaseKeyState.m_key);
            this.m_selectHero = heroName;
            this.updateUI();
            this.hideAllArrow(this.m_CBaseKeyState.m_key.getName());

        }

        hideAllArrow(name){
            for(let i = 1; i <= 6; ++i){
                let hero = ccui.helper.seekWidgetByName(this.m_root, "hero"+i);
                let arrow = ccui.helper.seekWidgetByName(hero, "up");
                arrow.setVisible(false);
            }
            let h = ccui.helper.seekWidgetByName(this.m_root, name);
            let a = ccui.helper.seekWidgetByName(h, "up");
            a.setVisible(true);
        }

        down(){
            if(this.m_CBaseKeyState.m_key.getName() == "pintuhuoqu"){
                musicMgr.getMe().playeffect(g_buttonChangeMp3);
                this.m_CBaseKeyState.setCurKey_byName(this.checkBoxNameByheroname(this.m_selectHero));
            }else{
                super.right();
            }
        }

        /**
         * 合成按键监听事件
         * 是否可以合成碎片,合成事件的处理
         */
        hechengFunc(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if(!this.validateLevelLimit()){
                        return;
                    }
                    if(this.canCombine()){
                        this.combine();
                        propertyMgr.getMe().reset();
                        this.updateAllPropertyUI();
                        this.updateUI();
                    }else{
                        ui_messageBox2.ShowOrHide(true,"碎片不足,不能合成");
                    }
                    break;
                default:
                    break
            }
        }

        combine(){
            dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian1",1);
            dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian2",1);
            dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian3",1);
            dataMgr.getMe().removeItemByType(this.m_selectHero + "_suipian4",1);
            dataMgr.getMe().addPintuByName(this.m_selectHero,1);

            uiMgr.getMe().show_ui_playOnce("wanchengpintu.json", "play");
        }

        /**
         *  1.是否可以合成
         */
        canCombine(){
            let piece1 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian1");
            let piece2 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian2");
            let piece3 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian3");
            let piece4 = dataMgr.getMe().getItemByType(this.m_selectHero + "_suipian4");
            if(piece1 == 0) return false;
            if(piece2 == 0) return false;
            if(piece3 == 0) return false;
            if(piece4 == 0) return false;
            return true;
        }

        /**
         * 2.根据等级等价合成限制
         */
        validateLevelLimit(){
            let isLocked = dataMgr.getMe().getHeroIsLocked(this.m_selectHero);
            let level = dataMgr.getMe().getHeroLevel(this.m_selectHero);
            let num = dataMgr.getMe().getPintuByName(this.m_selectHero);
            let name_CH = dataMgr.getMe().getHeroName_ZH(this.m_selectHero + level);

            let name = this.m_selectHero;
            let levelDiamond = dataMgr.getMe().getLevelUpCost(name + level);

            if(isLocked){
                if(this.m_selectHero == "wulingwang"){
                    ui_pintu.ShowOrHide(false);
                    ui_wulingwang.ShowOrHide(true);
                    return false;
                }
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_unlockHero.ShowOrHide(true,"合成"+name_CH+"拼图需先解锁"+name_CH+"。是否解锁"+name_CH, ()=>{
                    //     this.b();
                    // },null,this);
                    this.b();
                }else{ //需要解锁初级菲菲才能合成拼图，解锁该英雄需要XXX钻石，当前钻石不足，是否花费25元购买2500钻石？
                    ui_unlockHero.ShowOrHide(true,"需要解锁"+name_CH+"才能合成拼图，解锁该英雄需要"+levelDiamond +
                        "钻石，当前钻石不足，是否花费"+ iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()+"钻石", ()=>{
                        this.buy_diamond_and_unlock();
                    },null,this);
                }
                return false;
            }
            if(level == 1 && num >= 1){
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true,"合成"+name_CH+"拼图需要更高等级的"+name_CH+"。是否升级"+name_CH, ()=>{
                    //     this.a();
                    // },null,this);
                    this.a();
                }else{ //需要解锁初级菲菲才能合成拼图，解锁该英雄需要XXX钻石，当前钻石不足，是否花费25元购买2500钻石？
                    ui_levelUpHero.ShowOrHide(true,"需要升级"+name_CH+"才能合成拼图，升级该英雄需要"+levelDiamond +
                        "钻石，当前钻石不足，是否花费"+ iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()+"钻石", ()=>{
                        this.buy_diamond_and_levelUp();
                    },null,this);
                }
                return false;
            }
            if(level == 2 && num >= 3){
                if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                    // ui_levelUpHero.ShowOrHide(true,"合成"+name_CH+"拼图需要更高等级的"+name_CH+"。是否升级"+name_CH, ()=>{
                    //     this.a();
                    // },null,this);
                    this.a();
                }else{ //需要解锁初级菲菲才能合成拼图，解锁该英雄需要XXX钻石，当前钻石不足，是否花费25元购买2500钻石？
                    ui_levelUpHero.ShowOrHide(true,"需要升级"+name_CH+"才能合成拼图，升级该英雄需要"+levelDiamond +
                        "钻石，当前钻石不足，是否花费"+ iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()+"钻石", ()=>{
                        this.buy_diamond_and_levelUp();
                    },null,this);
                }
                return false;
            }
            return true;
        }

        a(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getLevelUpCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().addHeroLevel(name);
                    this.success();
                }
            }else{// 钻石不足
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并升级", ()=>{
                    this.buy_diamond_and_levelUp();
                },null,this);
            }
        }

        b(){
            let name = this.m_selectHero;
            let curlevel = dataMgr.getMe().getHeroLevel(name);
            let levelDiamond = dataMgr.getMe().getUnlockCost(name + curlevel);
            if (levelDiamond <= dataMgr.getMe().getDiamond()) {
                if (dataMgr.getMe().removeDiamond(levelDiamond)) {
                    dataMgr.getMe().unLockHero(name);
                    this.success();
                }
            }else{// 钻石不足
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并解锁", ()=>{
                    this.buy_diamond_and_unlock();
                },null,this);
            }
        }

        buy_diamond_and_unlock () {
            let callback_func = MyCallback.create(this.b, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_levelUp () {
            let callback_func = MyCallback.create(this.a, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        success(){
            this.updateUI();
            this.updateCheckIcon();
            fileMgr.getMe().savePlayInfo();
        }

        /**
         * 根据键名返回对应角色名
         */
        checkBoxNameToheroname(sender) {
            var name = sender.getName();
            if (name == "hero1") {
                return "wulingwang";
            }
            else if (name == "hero2") {
                return "zhuzhuxia";
            }
            else if (name == "hero3") {
                return "xiaodaidai";
            }
            else if (name == "hero4") {
                return "feifei";
            }
            else if (name == "hero5") {
                return "chaorenqiang";
            }
            else if (name == "hero6") {
                return "bobi";
            }
            return "";
        }

        checkBoxNameByheroname(name) {
            if (name == "wulingwang") {
                return "hero1";
            }
            else if (name == "zhuzhuxia") {
                return "hero2";
            }
            else if (name == "xiaodaidai") {
                return "hero3";
            }
            else if (name == "feifei") {
                return "hero4";
            }
            else if (name == "chaorenqiang") {
                return "hero5";
            }
            else if (name == "bobi") {
                return "hero6";
            }
            return "";
        }

        /**
         * 退出UI的处理
         */
        onBack() {
            this.endLayout(function () {
                ui_pintu.ShowOrHide(false);
                ui_zhujiemian.ShowOrHide(true);
            });
        }
    }
}