var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/14.
 */
var game;
(function (game) {
    var ui_shangcheng = (function (_super) {
        __extends(ui_shangcheng, _super);
        function ui_shangcheng() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_des = "ui_shangcheng_类";
            this.getNode().setName("ui_shangcheng_类");
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
            this.m_CBaseKeyState.setUIName("shop");
        }
        ui_shangcheng.prototype.oninit = function (data) {
            var root = this._parseUIFile("shangcheng.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.ui_huobi.ShowOrHide(true);
            var maxprice = game.iapMgr.getMe().getMaxPrice();
            for (var j = 1; j <= 3; j++) {
                var jinbi_check = ccui.helper.seekWidgetByName(root, "zuanshi" + j);
                this.m_CBaseKeyState.regNodeEx(jinbi_check, j);
                var item = game.fileMgr.getMe().getShopInfoItem_byid(j);
                if (maxprice < item.price_rmb) {
                    jinbi_check.setVisible(false);
                }
                else {
                    jinbi_check.setUserData("goumai" + j);
                    jinbi_check.addTouchEventListener(this.buy_func, this);
                }
                var a = ccui.helper.seekWidgetByName(jinbi_check, "miaoshu");
                var b = ccui.helper.seekWidgetByName(jinbi_check, "Text_1");
                a.setString(game.g_differentPrices[game.g_version].price[j].money);
                b.setString(game.g_differentPrices[game.g_version].money);
            }
            var chouka1 = ccui.helper.seekWidgetByName(root, "choukaX1"); //:ccui.CheckBox
            chouka1.setUserData("chouka1");
            chouka1.addTouchEventListener(this.chouka_func, this);
            this.m_CBaseKeyState.regNodeEx(chouka1, 5);
            var chouka10 = ccui.helper.seekWidgetByName(root, "choukaX10"); //:ccui.CheckBox
            chouka10.setUserData("chouka10");
            chouka10.addTouchEventListener(this.chouka_func, this);
            this.m_CBaseKeyState.regNodeEx(chouka10, 6);
            this.m_CBaseKeyState.init(this);
            var five = ccui.helper.seekWidgetByName(root, "Text_24");
            var ten = ccui.helper.seekWidgetByName(root, "Text_25");
            var twenty = ccui.helper.seekWidgetByName(root, "Text_26");
            var chouka1_price = ccui.helper.seekWidgetByName(chouka1, "miaoshu");
            var chouka10_price = ccui.helper.seekWidgetByName(chouka10, "miaoshu");
            five.setString(game.g_differentPrices[game.g_version].price["1"].diamond);
            ten.setString(game.g_differentPrices[game.g_version].price["2"].diamond);
            twenty.setString(game.g_differentPrices[game.g_version].price["3"].diamond);
            chouka1_price.setString("消耗" + game.g_differentPrices[game.g_version].other.pumpCard_one);
            chouka10_price.setString("消耗" + game.g_differentPrices[game.g_version].other.pumpCard_ten);
        };
        ui_shangcheng.prototype.onBack = function () {
            this.endLayout(function () {
                ui_shangcheng.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_shangcheng.prototype.shutdown = function () {
            game.ui_huobi.ShowOrHide(false);
            _super.prototype.shutdown.call(this);
        };
        // test 抽卡未完成
        ui_shangcheng.prototype.chouka_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        var key = sender.getUserData();
                        if (key == "chouka1") {
                            this.one_pumping();
                        }
                        if (key == "chouka10") {
                            this.ten_pumping();
                        }
                    }
                    break;
            }
        };
        ui_shangcheng.prototype.one_pumping = function () {
            var _this = this;
            console.log("one");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_one;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_one();
                    game.dataMgr.getMe().addItemByType(cardName, 1);
                    var card = new game.Card();
                    card.type = game.e_choukaType.one;
                    card.cards = [cardName];
                    game.ui_getPieces.ShowOrHide(true, card);
                    game.httpConsumptionList.getMe().onSendMsg("单抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_levelUpHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_one_pumping();
                }, null, this);
            }
        };
        ui_shangcheng.prototype.buy_diamond_and_one_pumping = function () {
            var callback_func = game.MyCallback.create(this.one_pumping, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_shangcheng.prototype.buy_diamond_and_ten_pumping = function () {
            var callback_func = game.MyCallback.create(this.ten_pumping, this, null);
            game.iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        };
        ui_shangcheng.prototype.ten_pumping = function () {
            var _this = this;
            console.log("ten");
            var price = game.g_differentPrices[game.g_version].other.pumpCard_ten;
            var curDiamond = game.dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (game.dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    var cardName = this.getRandomCard_ten();
                    for (var i = 0; i < 10; ++i) {
                        game.dataMgr.getMe().addItemByType(cardName[i], 1);
                    }
                    var card = new game.Card();
                    card.type = game.e_choukaType.ten;
                    card.cards = cardName;
                    game.ui_getPieces.ShowOrHide(true, card);
                    game.httpConsumptionList.getMe().onSendMsg("十抽" + price + "钻石");
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            else {
                // 钻石不足...
                game.ui_unlockHero.ShowOrHide(true, "钻石不足，是否花费" + game.iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + game.iapMgr.getMe().getUseDiamondsDefaultLibao() + "钻石并抽卡", function () {
                    _this.buy_diamond_and_ten_pumping();
                }, null, this);
            }
        };
        ui_shangcheng.prototype.getRandomCard_one = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                allgailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_one.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_shangcheng.prototype.getRandomCard_ten = function () {
            var arr = new Array();
            for (var i = 0; i < 10; ++i) {
                arr[i] = this.getRandomCards();
            }
            return arr;
        };
        ui_shangcheng.prototype.getRandomCards = function () {
            var cardName = null;
            var allgailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                allgailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for (var i in game.g_chouka_config.chouka_ten.gailv) {
                var nowgailv = aigailv + game.g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += game.g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        };
        ui_shangcheng.prototype.buy_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        var id = sender.getUserData();
                        id = id.replace("goumai", "");
                        game.iapMgr.getMe().buy(id, null, null, true, true);
                    }
                    break;
            }
        };
        ui_shangcheng.g_instarn = null;
        ui_shangcheng.getMe = function () {
            return ui_shangcheng.g_instarn;
        };
        ui_shangcheng.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_shangcheng, game.uiMgr.getMe(), 1000);
            game.ui_tip.ShowOrHide(flag);
        };
        return ui_shangcheng;
    }(game.UiBase));
    game.ui_shangcheng = ui_shangcheng;
})(game || (game = {}));
//# sourceMappingURL=ui_shangcheng.js.map