/**
 * Created by w on 2017/2/15.
 */
module game {
    export class ui_shijiboss extends UiBase {
        static g_instarn: ui_shijiboss = null;
        m_CBaseKeyState = null;

        bossTime: ccui.Text;
        txt_bossTime: ccui.Text;
        txt_parcent: ccui.Text;
        bar_parcent: ccui.Loadingbar;
        txt_resurgenceTime: ccui.Text;
        start_fighting;
        receive_award;
        lijifuhuo;

        bossState: worldBossState;
        rankList: Array<damageRankData>;
        myRank;
        awards: Array<rankAward_struct>;
        award:rankAward_struct;

        isGetAward:boolean = false;
        m_timer = 0;

        m_xuetiao;
        m_notStart;
        // m_timer2 = 0;
        static getMe = function () {
            return ui_shijiboss.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_shijiboss, uiMgr.getMe(), 400);
        };

        constructor() {
            super();
            this.m_des = "ui_shijiboss类";
            this.getNode().setName("ui_shijiboss类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        oninit(data) {
            let root = this._parseUIFile("shijieboss.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let boss: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "boss");
            this.txt_bossTime = ccui.helper.seekWidgetByName(boss, "time");
            this.txt_parcent = ccui.helper.seekWidgetByName(boss, "baifenbi");
            this.bar_parcent = ccui.helper.seekWidgetByName(boss, "xueliang");
            this.m_xuetiao = ccui.helper.seekWidgetByName(boss, "Image_13");
            this.m_notStart = ccui.helper.seekWidgetByName(boss, "timeout");
            this.txt_resurgenceTime = ccui.helper.seekWidgetByName(this.m_root, "fuhuoshijan");
            this.bossTime = ccui.helper.seekWidgetByName(this.m_root, "bossshuaxin");
            this.txt_resurgenceTime.setVisible(false);
            this.regBaseStateKey();

            this.bossState = new worldBossState();
            this.bossState.isbegin = false;
            this.bossState.daojishi = -1;
            this.bossState.startTime = "0";
            this.bossState.curhp = 1;
            this.bossState.maxhp = 1;
            this.initBossState();

            proto_worldBoss_enterRoom.getMe().send();
            proto_worldBoss_getPrizesList.getMe().send(); // 初始化就不需要变了
            proto_worldBoss_getAward.getMe().send();
            this.initData();
            // this.initUI(); // 分三部分 排行榜 boss状态 按钮状态
            // this.m_timer = 0;

            let d = ccui.helper.seekWidgetByName(this.m_root, "Text_183");
            d.setString("消耗" + g_differentPrices[g_version].other.boss_resurrect);

            this.lijifuhuo.setVisible(false);
            this.start_fighting.setVisible(false);
            this.receive_award.setVisible(false);
        }

        /**
         * 向服务器获得房间数据
         */
        initData() {
            proto_worldBoss_getDamageRank.getMe().send();
            proto_worldBoss_getState.getMe().send();
        }

        /**
         * 初始化UI
         */
        initUI() {
            this.initRank();
            this.initBossState();
            this.initAwardsList();
            this.updateKeyState();
            this.updateWait();
        }

        /**
         * 更新UI 更新实时数据
         */
        updateUI() {
            // this.updateRank();
            // this.updateBossState();
        }

        initRank() {
            let allRanking: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            let allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            let length = this.rankList.length;
            for (let id = 1; id <= 10; id++) {
                let paiming: ccui.ImageView = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
                let Txt_Player_Name: ccui.Text = ccui.helper.seekWidgetByName(paiming, "id");
                let Txt_Player_Hurt: ccui.Text = ccui.helper.seekWidgetByName(paiming, "shanghai");
                if (id > length) {
                    paiming.setVisible(false);
                } else {
                    if (this.getRankerByRank(id) == null) {
                        console.log("没有排行榜数据");
                        continue;
                    }

                    let Account = this.getRankerByRank(id).play_id;
                    let buffname = Account;
                    if (Account.length > 8) {
                        buffname = Account.substr(0, 3);
                        buffname += "**";
                        buffname += Account.substr(Account.length - 3, 3);
                    }

                    paiming.setVisible(true);
                    Txt_Player_Name.setString(buffname);
                    Txt_Player_Hurt.setString("伤害：" + this.getRankerByRank(id).damage);

                    if(this.getRankerByRank(id).damage == 0){
                        Txt_Player_Name.setString("暂无");
                    }
                }
            }

            //我的伤害与排名
            let my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            let txt_myHurt: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            let txt_myRanking: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "mingci");

            if (txt_myHurt) {
                if(this.myRank.damage == null){
                    this.myRank.damage = 0;
                }
                txt_myHurt.setString("我的伤害 ：" + this.myRank.damage);//这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ：" + this.myRank.sort);//这里设置排名信息
            }
            if(this.myRank.damage == 0){
                txt_myRanking.setString("我的排名 ：" +"暂无");
            }
        }

        timetostring(t){
            if(t >=0 && t <10){
                return "0"+t;
            }
            return t;
        }

        initBossState() {
            let h = Math.floor(this.bossState.daojishi / 60);
            let m = Math.floor(this.bossState.daojishi % 60);
            h = this.timetostring(h);
            m = this.timetostring(m);
            this.txt_bossTime.setString(h + ":" + m);
            this.bossTime.setString("boss出现时间：" + this.bossState.startTime);
            let hpper = Math.floor(this.bossState.curhp / this.bossState.maxhp * 100);
            this.txt_parcent.setString(hpper);
            this.bar_parcent.setPercent(hpper);

            if(m < 0){
                this.bossState.isbegin = false;
            }

            if (this.bossState.isbegin) {
                if(!this.txt_bossTime.isVisible()){
                    this.txt_bossTime.setVisible(true);
                    this.m_xuetiao.setVisible(true);
                }
                this.m_notStart.setVisible(false);
            }else{
                if(this.txt_bossTime.isVisible()){
                    this.txt_bossTime.setVisible(false);
                    this.m_xuetiao.setVisible(false);
                }
                this.m_notStart.setVisible(true);
            }
        }

        initAwardsList() {
            let allRankingView = ccui.helper.seekWidgetByName(this.m_root, "Image_1_0");
            for (let i = 1; i < 12; ++i) {
                let paiming: ccui.ImageView = ccui.helper.seekWidgetByName(allRankingView, "rank" + i);
                let suipian3_shumu: ccui.Text = ccui.helper.seekWidgetByName(paiming, "suipian3_shumu");
                let suipian4_shumu: ccui.Text = ccui.helper.seekWidgetByName(paiming, "suipian4_shumu");
                let zuanshi_shumu: ccui.Text = ccui.helper.seekWidgetByName(paiming, "zuanshi_shumu");
                suipian3_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "suipian3"));
                suipian4_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "suipian4"));
                zuanshi_shumu.setString("X" + this.getAwardNumByRankAndName(i + "", "zuanshi"));
            }
        }

        updateKeyState() {
            this.lijifuhuo.setVisible(false);
            this.start_fighting.setVisible(false);
            this.receive_award.setVisible(false);
            if (this.bossState){
                if (this.bossState.isbegin) {
                    if (worldBossMgr.getMe().isWait()) {
                        this.lijifuhuo.setVisible(true);
                    } else {
                        this.start_fighting.setVisible(true);
                    }
                }
            }else{
                console.log("世界boss没有初始化"+this.bossState);
            }
            if(!this.isGetAward)
                this.receive_award.setVisible(true);
        }

        updateKey() {

        }

        updateBossState() {

        }

        /**
         * 更新排行数据
         * 1玩家排行榜 2我的排行
         */
        updateRank() {
            let allRanking: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            let allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            for (let id = 1; id <= 10; id++) {
                let paiming: ccui.ImageView = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
                // let Txt_Player_Ranking:ccui.Text = ccui.helper.seekWidgetByName(paiming,"mingci");
                // if(Txt_Player_Ranking){
                //     Txt_Player_Ranking.setString(id.toString());//设置排名
                // }
                // let Txt_Player_Name:ccui.Text = ccui.helper.seekWidgetByName(paiming,"id");
                // if(Txt_Player_Name){
                //     Txt_Player_Name.setString("名字  here is name");//设置游戏名
                // }
                // let Txt_Player_Hurt:ccui.Text = ccui.helper.seekWidgetByName(paiming,"shanghai");
                // if(Txt_Player_Hurt){
                //     Txt_Player_Hurt.setString("伤害值 here is Hurt");//设置伤害数值
                // }

            }

            //我的伤害与排名
            let my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank");//CheckBox
            let txt_myHurt: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            let txt_myRanking: ccui.Text = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (txt_myHurt) {
                txt_myHurt.setString("我的伤害 ： 999999");//这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ： 100");//这里设置排名信息
            }
        }

        closeBoss_callback(f){
            let str:string = "";
            if(f == 1){
                str = ui_shijieboss_config.boss_dead;
            }else{
                str = ui_shijieboss_config.boss_timeout;
            }
            ui_messageBox2.ShowOrHide(true,str,function () {

            },this);
        }

        getAward_callback(data){
            if(data == "had"){
                this.isGetAward = true;
                this.updateKeyState();
            }else{
                this.award = data;
            }
        }

        enterRoom_callback(data) {
            this.bossState = data;
            this.initBossState();
            this.updateKeyState();
            this.updateWait();
        }

        getDamageRank_callback(data, mysort) {
            this.rankList = data;
            this.myRank = mysort;
            this.initRank();
        }

        getPrizesList_callback(data) {
            this.awards = data;
            this.initAwardsList();
        }

        onBack() {
            this.endLayout(function () {
                proto_worldBoss_exitRoom.getMe().send();
                ui_shijiboss.ShowOrHide(false);
                ui_zhujiemian.ShowOrHide(true);
            })
        }

        /**
         * 开始战斗
         */
        fight_Func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shijiboss.ShowOrHide(false);
                    // ui_shijiebossfuhuo.ShowOrHide(true);
                    // sceneMgr.getMe().selectScene(e_SceneType.SceneType_worldboss, "scenew_1");
                    let guankadata = {};
                    guankadata["sceneType"] = e_SceneType.SceneType_worldboss;
                    guankadata["sceneName"] = "scenew_1";
                    ui_juesexuanze.ShowOrHide(true, guankadata);
                    break;
                default:
                    break;
            }
        }

        /**
         * 领取奖励 // suipian3:2,
         */
        receive_Func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    let data:any = {};
                    let a = this.award.rankAward;
                    for(let i=0;i<a.length;++i){
                        if(a[i].name == "suipian3"){
                            data.suipian3 = a[i].num;
                        }
                        else if(a[i].name == "suipian4"){
                            data.suipian4 = a[i].num;
                        }
                        else if(a[i].name == "zuanshi"){
                            data.zuanshi = a[i].num;
                        }
                    }
                    ui_huodongjiangli2.ShowOrHide(true,data);
                    break;
                default:
                    break;
            }
        }

        /**
         * 立即复活
         */
        revive_Func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.a();
                    break;
                default:
                    break;
            }
        }

        a(){
            let needDiamond = g_differentPrices[g_version].other.boss_resurrect;
            if(dataMgr.getMe().getDiamond() >= needDiamond){
                this.callback();
            }else{
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并复活全部英雄", ()=>{
                    this.buy_diamond.call(this);
                },null,this)
            }
        }

        callback(){
            worldBossMgr.getMe().setWait(false);
            this.updateWait();
        }

        buy_diamond () {
            let callback_func = MyCallback.create(this.a, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        /**
         * 注册键位
         */
        regBaseStateKey() {
            this.receive_award = ccui.helper.seekWidgetByName(this.m_root, "lingqujiangli");
            this.start_fighting = ccui.helper.seekWidgetByName(this.m_root, "kaishizhandou");
            this.lijifuhuo = ccui.helper.seekWidgetByName(this.m_root, "lijifuhuo");
            this.start_fighting.addTouchEventListener(this.fight_Func, this);
            this.receive_award.addTouchEventListener(this.receive_Func, this);
            this.lijifuhuo.addTouchEventListener(this.revive_Func, this);
            this.m_CBaseKeyState.regNodeEx(this.start_fighting, 1);
            this.m_CBaseKeyState.regNodeEx(this.receive_award, 2);
            this.m_CBaseKeyState.regNodeEx(this.lijifuhuo, 3);
            this.m_CBaseKeyState.init(this);
        }

        /**
         * 根据排名和名称获得奖励数
         */
        getAwardNumByRankAndName(rank, name) {
            for (let i = 0; i < this.awards.length; ++i) {
                if (this.awards[i].rank == rank) {
                    let rankAward = this.awards[i].rankAward;
                    for (let j = 0; j < rankAward.length; ++j) {
                        if (rankAward[j].name == name) {
                            return this.awards[i].rankAward[j].num;
                        }
                    }
                }
            }
            return 0;
        }

        /**
         * 根据排名获得排名信息
         */
        getRankerByRank(rank) {
            for (let i = 0; i < this.rankList.length; ++i) {
                if (this.rankList[i].sort == rank) {
                    return this.rankList[i];
                }
            }
            return null;
        }

        loop(t) {
            super.loop(t);
            this.m_timer += t;
            if (this.m_timer >= 1) {
                this.m_timer = 0;
                this.initData();
                this.updateWait();
            }
            // this.m_timer2 += t;
            // if (this.m_timer2 >= 30) {
            //     this.m_timer2 = 0;
            //     this.initData();
            // }
        }

        updateWait() {
            if (worldBossMgr.getMe().isWait()) {
                if(!this.txt_resurgenceTime.isVisible()){
                    this.txt_resurgenceTime.setVisible(true);
                    this.updateKeyState();
                }
                let time = worldBossMgr.getMe().m_timer;
                this.txt_resurgenceTime.setString("复活倒计时：" + Math.floor(time) + "秒");
            } else {
                if(this.txt_resurgenceTime.isVisible()){
                    this.txt_resurgenceTime.setVisible(false);
                    this.updateKeyState();
                }
            }
        }
    }
}