var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_shijiebosspaihang = (function (_super) {
        __extends(ui_shijiebosspaihang, _super);
        function ui_shijiebosspaihang() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_playUIListMap = null;
            this.m_des = "ui_shijiebosspaihang类";
            this.getNode().setName("ui_shijiebosspaihang类");
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_playUIListMap = new game.MapGame();
        }
        ui_shijiebosspaihang.prototype.oninit = function (data) {
            var root = this._parseUIFile("shijieboss_paihang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.proto_worldBoss_getDamageRank.getMe().send();
            //排名信息
            for (var id = 1; id <= 10; id++) {
                var paiming = ccui.helper.seekWidgetByName(root, "rank" + id);
                if (paiming) {
                    //更新数据前需要隐藏
                    paiming.setVisible(false);
                    this.m_playUIListMap.put(id, paiming);
                }
            }
            //我的信息
            var my_Info = ccui.helper.seekWidgetByName(root, "myrank");
            var Txt_My_Ranking = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (Txt_My_Ranking) {
                Txt_My_Ranking.setString("我的名次：99999");
            }
            var Txt_My_Hurt = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            if (Txt_My_Hurt) {
                Txt_My_Hurt.setString("我的伤害：99999");
            }
            var Return_button = ccui.helper.seekWidgetByName(root, "fanhui");
            // Return_button.addTouchEventListener(this.Return_Func,this);
            this.m_CBaseKeyState.regNodeEx(Return_button, 1);
            this.m_CBaseKeyState.init(this);
        };
        ui_shijiebosspaihang.prototype.initRank = function () {
            var allRanking = ccui.helper.seekWidgetByName(this.m_root, "paihangbang");
            var allRankingView = ccui.helper.seekWidgetByName(allRanking, "ListView_1");
            //玩家信息
            var length = this.rankList.length;
            for (var id = 1; id <= 10; id++) {
                var paiming = ccui.helper.seekWidgetByName(allRankingView, "rank" + id);
                var Txt_Player_Name = ccui.helper.seekWidgetByName(paiming, "id");
                var Txt_Player_Hurt = ccui.helper.seekWidgetByName(paiming, "shanghai");
                if (id > length) {
                    paiming.setVisible(false);
                }
                else {
                    if (this.getRankerByRank(id) == null) {
                        console.log("没有排行榜数据");
                        continue;
                    }
                    var Account = this.getRankerByRank(id).play_id;
                    var buffname = Account;
                    if (Account.length > 8) {
                        buffname = Account.substr(0, 3);
                        buffname += "**";
                        buffname += Account.substr(Account.length - 3, 3);
                    }
                    paiming.setVisible(true);
                    Txt_Player_Name.setString(buffname);
                    Txt_Player_Hurt.setString("伤害：" + this.getRankerByRank(id).damage);
                }
            }
            //我的伤害与排名
            var my_Info = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            var txt_myHurt = ccui.helper.seekWidgetByName(my_Info, "shanghai");
            var txt_myRanking = ccui.helper.seekWidgetByName(my_Info, "mingci");
            if (txt_myHurt) {
                if (this.myRank.damage == null) {
                    this.myRank.damage = 0;
                }
                txt_myHurt.setString("我的伤害 ：" + this.myRank.damage); //这里设置总伤害数值
            }
            if (txt_myRanking) {
                txt_myRanking.setString("我的排名 ：" + this.myRank.sort); //这里设置排名信息
            }
        };
        ui_shijiebosspaihang.prototype.getDamageRank_callback = function (data, mysort) {
            this.rankList = data;
            this.myRank = mysort;
            this.initRank();
        };
        // Return_Func(sender,type){
        //     switch (type){
        //         case ccui.Widget.TOUCH_ENDED:
        //             ui_shijiebosspaihang.ShowOrHide(false);
        //             // ui_shijiebossfuhuo.ShowOrHide(true);
        //             break;
        //         default :
        //             break;
        //     }
        // }
        ui_shijiebosspaihang.prototype.DoEnterCurButton = function () {
            ui_shijiebosspaihang.ShowOrHide(false);
        };
        ui_shijiebosspaihang.prototype.getRankerByRank = function (rank) {
            for (var i = 0; i < this.rankList.length; ++i) {
                if (this.rankList[i].sort == rank) {
                    return this.rankList[i];
                }
            }
            return null;
        };
        ui_shijiebosspaihang.g_instarn = null;
        ui_shijiebosspaihang.getMe = function () {
            return ui_shijiebosspaihang.g_instarn;
        };
        ui_shijiebosspaihang.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_shijiebosspaihang, game.uiMgr.getMe(), 2500);
        };
        return ui_shijiebosspaihang;
    }(game.UiBase));
    game.ui_shijiebosspaihang = ui_shijiebosspaihang;
})(game || (game = {}));
//# sourceMappingURL=ui_shijiebosspaihang.js.map