/**
 * Created by w on 2017/2/15.
 */
module game {
    export class ui_suipianhuoqu extends UiBase {
        static g_instarn: ui_suipianhuoqu = null;
        m_CBaseKeyState = null;
        static getMe = function () {
            return ui_suipianhuoqu.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_suipianhuoqu, uiMgr.getMe(), 1000);
        };

        constructor() {
            super();
            this.m_des = "ui_suipianhuoqu类";
            this.getNode().setName("ui_suipianhuoqu类");
            this.m_CBaseKeyState = new BaseKeyState();
        }

        oninit(data) {
            let root = this._parseUIFile("suipianhuoqu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let one = ccui.helper.seekWidgetByName(this.m_root, "danchou1");
            let ten = ccui.helper.seekWidgetByName(this.m_root, "shilianchou1");
            one.addTouchEventListener(this.one_pumping, this);
            ten.addTouchEventListener(this.ten_pumping, this);
            this.m_CBaseKeyState.regNodeEx(one, 1);
            this.m_CBaseKeyState.regNodeEx(ten, 2);
            this.m_CBaseKeyState.init(this);

            let one_price = ccui.helper.seekWidgetByName(one, "Text_2");
            let ten_price = ccui.helper.seekWidgetByName(ten, "Text_2");
            one_price.setString(g_differentPrices[g_version].other.pumpCard_one);
            ten_price.setString(g_differentPrices[g_version].other.pumpCard_ten);
        }

        one_pumping(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.one();
                    break;
                default:
                    break;
            }
        }

        buy_diamond_and_one_pumping () {
            let callback_func = MyCallback.create(this.one, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        buy_diamond_and_ten_pumping () {
            let callback_func = MyCallback.create(this.ten, this, null);
            iapMgr.getMe().useDiamondsDefaultLibao(callback_func);
        }

        ten_pumping(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.ten();
                    break;
                default:
                    break;
            }
        }

        one(){
            console.log("one");
            let price = g_differentPrices[g_version].other.pumpCard_one;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_one();
                    dataMgr.getMe().addItemByType(cardName,1);

                    let card = new Card();
                    card.type = e_choukaType.one;
                    card.cards = [cardName];
                    ui_getPieces.ShowOrHide(true,card);

                    httpConsumptionList.getMe().onSendMsg("单抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            }else{
                // 钻石不足...
                ui_levelUpHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_one_pumping();
                },null,this);
            }
        }

        ten(){
            console.log("ten");
            let price = g_differentPrices[g_version].other.pumpCard_ten;
            let curDiamond = dataMgr.getMe().getDiamond();
            if (price <= curDiamond) {
                if (dataMgr.getMe().removeDiamond(price)) {
                    // 获得碎片,添加到items
                    let cardName = this.getRandomCard_ten();
                    for(let i = 0; i < 10; ++i){
                        dataMgr.getMe().addItemByType(cardName[i],1);
                    }

                    let card = new Card();
                    card.type = e_choukaType.ten;
                    card.cards = cardName;
                    ui_getPieces.ShowOrHide(true,card);

                    httpConsumptionList.getMe().onSendMsg("十抽"+price+"钻石");
                    fileMgr.getMe().savePlayInfo();
                }
            }else{
                // 钻石不足...
                ui_unlockHero.ShowOrHide(true,"钻石不足，是否花费" + iapMgr.getMe().getDefaultDiamondsPrice() + "购买" + iapMgr.getMe().getUseDiamondsDefaultLibao()  +"钻石并抽卡", ()=>{
                    this.buy_diamond_and_ten_pumping();
                },null,this);
            }
        }

        getRandomCard_one(){
            let cardName = null;
            var allgailv = 0;
            for(let i in g_chouka_config.chouka_one.gailv){
                allgailv += g_chouka_config.chouka_one.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for(let i in g_chouka_config.chouka_one.gailv){
                let nowgailv = aigailv + g_chouka_config.chouka_one.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_one.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        getRandomCard_ten(){
            let arr = new Array<string>();
            for(let i = 0; i<10; ++i){
                arr[i] = this.getRandomCards();
            }
            return arr;
        }

        getRandomCards(){
            let cardName = null;
            var allgailv = 0;
            for(let i in g_chouka_config.chouka_ten.gailv){
                allgailv += g_chouka_config.chouka_ten.gailv[i];
            }
            var gailv = cc.random0To1() * allgailv;
            var aigailv = 0;
            for(let i in g_chouka_config.chouka_ten.gailv){
                let nowgailv = aigailv + g_chouka_config.chouka_ten.gailv[i];
                if (aigailv < gailv && nowgailv >= gailv) {
                    cardName = i;
                    break;
                }
                aigailv += g_chouka_config.chouka_ten.gailv[i];
            }
            console.log(cardName);
            return cardName;
        }

        onBack() {
            this.endLayout(function () {
                ui_suipianhuoqu.ShowOrHide(false);
                ui_pintu.getMe().updateUI();
            });
        }
    }
}