var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/14.
 */
var game;
(function (game) {
    var ui_tujian = (function (_super) {
        __extends(ui_tujian, _super);
        function ui_tujian() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_heroList = null;
            this.m_CurCheckBox = null;
            this.m_CurSpine = null;
            this.m_ui_show_spine = null;
            this.m_show_panel = null;
            this.m_des = "ui_tujian类";
            this.getNode().setName("ui_tujian类");
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_heroList = new Array();
        }
        ui_tujian.prototype.oninit = function (data) {
            var root = this._parseUIFile("tujian.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_show_panel = ccui.helper.seekWidgetByName(this.m_root, "Image_23");
            //按图片中英雄顺序排列
            var heroNamelist = ["wulingwang", "zhuzhuxia", "xiaodaidai", "feifei", "chaorenqiang", "bobi"];
            var heroDoc = game.dataMgr.getMe().getPlayDoc().heroes;
            for (var j = 1; j <= 6; j++) {
                var heroName = heroNamelist[j - 1];
                var heroLevel = heroDoc[heroName].level;
                var heroHead = game.dataMgr.getMe().getHeroHeadIcon(heroName + heroLevel);
                var heroData = { name: heroName, level: heroLevel };
                var heroCheckBox = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                heroCheckBox.setUserData(heroData);
                var touxiang = ccui.helper.seekWidgetByName(heroCheckBox, "touxiang");
                touxiang.loadTexture(heroHead);
                this.m_CBaseKeyState.regNodeEx(heroCheckBox, j);
                this.m_heroList.push(heroCheckBox);
            }
            this.m_CBaseKeyState.init(this);
        };
        ui_tujian.prototype.updateUI = function () {
            var curHeroData = this.m_CurCheckBox.getUserData();
            var mingcheng = ccui.helper.seekWidgetByName(this.m_root, "mingcheng");
            var gongji = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            var fangyu = ccui.helper.seekWidgetByName(this.m_root, "fangyu");
            var xueliang = ccui.helper.seekWidgetByName(this.m_root, "xueliang");
            var gongsu = ccui.helper.seekWidgetByName(this.m_root, "gongsu");
            var yisu = ccui.helper.seekWidgetByName(this.m_root, "yisu");
            var juezhao = ccui.helper.seekWidgetByName(this.m_root, "juezhao");
            var jieshao = ccui.helper.seekWidgetByName(this.m_root, "jieshao");
            var heroConfig = game.dataMgr.getMe().getHeroConfig(curHeroData.name + curHeroData.level);
            gongji.setString(":" + (Math.round(heroConfig.attackPoint * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_att) + 1))));
            fangyu.setString(":" + (Math.round(heroConfig.defencePoint * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_defense) + 1))));
            xueliang.setString(":" + (Math.round(heroConfig.hp * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_hp) + 1))));
            gongsu.setString(":" + (Math.round(heroConfig.criticalRate * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_baoji) + 1))));
            yisu.setString(":" + (Math.round(heroConfig.runSpeed * (game.propertyMgr.getMe().getPropertyNum(game.e_property_Type.e_runSpeed) + 1))));
            juezhao.setString(":" + heroConfig.juezhao);
            jieshao.setString(heroConfig.des);
            mingcheng.setString(heroConfig.desName);
            this.updateSpine();
        };
        ui_tujian.prototype.updateSpine = function () {
            var curHeroData = this.m_CurCheckBox.getUserData();
            if (this.m_ui_show_spine) {
                this.m_ui_show_spine.shutdown();
                this.m_show_panel.removeChild(this.m_ui_show_spine.getNode());
                this.m_ui_show_spine = null;
            }
            var animationList = new game.ArrayEx();
            var animaData = game.g_show_animation[curHeroData.name + curHeroData.level];
            if (animaData) {
                for (var j = 0; j < animaData.length; j++) {
                    animationList.put(animaData[j]);
                }
            }
            //动作配置表在g_show_animation
            this.m_ui_show_spine = game.ui_show_spine.create(curHeroData.name + curHeroData.level, null);
            this.m_show_panel.addChild(this.m_ui_show_spine.getNode());
        };
        ui_tujian.prototype.onBack = function () {
            ui_tujian.ShowOrHide(false);
            game.ui_zhujiemian.ShowOrHide(true);
        };
        ui_tujian.prototype.loop = function (dt) {
            if (game.rootScene.getMe()._zanting)
                return;
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(dt);
                if (this.m_CBaseKeyState.m_key.node != this.m_CurCheckBox) {
                    this.m_CurCheckBox = this.m_CBaseKeyState.m_key.node;
                    this.updateUI();
                }
            }
            if (this.m_ui_show_spine) {
                this.m_ui_show_spine.loop(dt);
            }
        };
        ui_tujian.g_instarn = null;
        ui_tujian.getMe = function () {
            return ui_tujian.g_instarn;
        };
        ui_tujian.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_tujian, game.uiMgr.getMe(), 400);
        };
        return ui_tujian;
    }(game.UiBase));
    game.ui_tujian = ui_tujian;
})(game || (game = {}));
//# sourceMappingURL=ui_tujian.js.map