var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
// 普通战斗场景 胜利失败界面
var game;
(function (game) {
    var ui_shibai_shengli = (function (_super) {
        __extends(ui_shibai_shengli, _super);
        function ui_shibai_shengli() {
            _super.call(this);
            this.m_win = true;
            this.m_scenename = null;
            this.m_CBaseKeyState = null;
            this.m_des = "ui_shibai_shengli类";
            this.getNode().setName("ui_shibai_shengli类");
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_shibai_shengli.prototype.shutdown = function () {
            game.rootScene.getMe().zanting(false);
            _super.prototype.shutdown.call(this);
        };
        ui_shibai_shengli.prototype.oninit = function (win) {
            game.rootScene.getMe().zanting(true);
            this.m_win = win;
            if (this.m_win) {
                var root = this._parseUIFile("shengli2.json", 0);
                this.EnterUI();
                this.shipeiCenter(root);
                this.addChild(root);
                //退出
                var fanhui_che = ccui.helper.seekWidgetByName(root, "fanhui"); //CheckBox
                fanhui_che.addTouchEventListener(this.fanhui_func, this);
                //下一关
                var xiayiguan_che = ccui.helper.seekWidgetByName(root, "xiayiguan"); //CheckBox
                xiayiguan_che.addTouchEventListener(this.xiayiguan_func, this);
                //重玩本关卡
                var chongwan_che = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan_che.addTouchEventListener(this.chongwan_func, this);
                this.m_CBaseKeyState.regNodeEx(fanhui_che, 1);
                this.m_CBaseKeyState.regNodeEx(xiayiguan_che, 2);
                this.m_CBaseKeyState.regNodeEx(chongwan_che, 3);
                this.m_CBaseKeyState.init(this);
                this.updateGuankaShu();
                this.initShengliUI();
                game.fileMgr.getMe().savePlayInfo();
                this.m_CBaseKeyState.setCurKey_byName("xiayiguan");
            }
            else {
                var root = this._parseUIFile("shibai2.json", 0);
                this.EnterUI();
                this.shipeiCenter(root);
                this.addChild(root);
                //退出
                var fanhui_che = ccui.helper.seekWidgetByName(root, "fanhui"); //CheckBox
                fanhui_che.addTouchEventListener(this.fanhui_func, this);
                //下一关
                var shengji_che = ccui.helper.seekWidgetByName(root, "shengji"); //CheckBox
                shengji_che.addTouchEventListener(this.shengji_func, this);
                //重玩本关卡
                var chongwan_che = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan_che.addTouchEventListener(this.chongwan_func, this);
                //
                this.initShibaiUI();
                this.m_CBaseKeyState.regNodeEx(fanhui_che, 1);
                this.m_CBaseKeyState.regNodeEx(shengji_che, 2);
                this.m_CBaseKeyState.regNodeEx(chongwan_che, 3);
                this.m_CBaseKeyState.init(this);
                if (!game.dataMgr.getMe().getPlayYindaoByType("fail")) {
                    game.ui_yindao_fail.ShowOrHide(true);
                    game.fileMgr.getMe().savePlayInfo();
                }
            }
            // let scene: fightscene = <fightscene>sceneMgr.getMe().getCurScene();
        };
        ui_shibai_shengli.prototype.initShengliUI = function () {
            var icon_jiangli = ccui.helper.seekWidgetByName(this.m_root, "jiangli1");
            var num_jiangli = ccui.helper.seekWidgetByName(icon_jiangli, "shuliang1");
            var sceneName = game.sceneMgr.getMe().getCurSceneName();
            var sceneinfo = game.fileMgr.getMe().getSceneInfo(sceneName);
            var winjiangli;
            if (game.dataMgr.getMe().isWinBySceneName(sceneName)) {
                winjiangli = sceneinfo.winjiangli;
            }
            else {
                winjiangli = sceneinfo.winjiangli_f;
                game.dataMgr.getMe().setWinBySceneName(sceneName, 1);
            }
            var data;
            var l_item_Info;
            if (winjiangli) {
                data = winjiangli[0];
                l_item_Info = game.itemMgr.getMe().getItemByName(data.name);
                num_jiangli.setString(data.num);
                game.dataMgr.getMe().addItemByType(data.name, data.num);
                icon_jiangli.loadTexture(l_item_Info.icon);
            }
        };
        ui_shibai_shengli.prototype.initShibaiUI = function () {
        };
        ui_shibai_shengli.prototype.updateGuankaShu = function () {
            var scenename = game.sceneMgr.getMe().getCurSceneName();
            var chapterid = parseInt(scenename.substring(5, 6));
            var guankaid = parseInt(scenename.substring(7, 8));
            cc.log("shibai_shengli chaptername " + chapterid);
            cc.log("shibai_shengli guankaname " + guankaid);
            guankaid++;
            if (guankaid > 5) {
                guankaid = 1;
                chapterid++;
                if (chapterid > 6) {
                    chapterid = 6;
                    guankaid = 5;
                }
            }
            var docInfo = game.dataMgr.getMe().getPlayDoc().coreData;
            if (chapterid > docInfo["curchaperId"]) {
                docInfo["curchaperId"] = chapterid;
                docInfo["curguankaId"] = guankaid;
            }
            else if (chapterid == docInfo["curchaperId"]) {
                if (guankaid > docInfo["curguankaId"]) {
                    docInfo["curguankaId"] = guankaid;
                }
            }
            // g_sceneName = "scene"+docInfo["curchaperId"] +"_"+docInfo["curguankaId"];
        };
        ui_shibai_shengli.prototype.onBack = function () {
            this.endLayout(function () {
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login);
                game.ui_login.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(false);
                game.ui_guanqiaaxuanze.ShowOrHide(true);
                ui_shibai_shengli.ShowOrHide(false, false);
            });
        };
        ui_shibai_shengli.prototype.shengji_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shibai_shengli.ShowOrHide(false, false);
                    game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login);
                    game.ui_login.ShowOrHide(false);
                    game.ui_jinhua.ShowOrHide(true);
                    break;
                default:
                    break;
            }
        };
        ui_shibai_shengli.prototype.chongwan_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    {
                        // sceneMgr.getMe().reset();
                        var scenename = game.sceneMgr.getMe().getCurSceneName();
                        game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_fight, scenename);
                    }
                    break;
            }
        };
        ui_shibai_shengli.prototype.fanhui_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_shibai_shengli.prototype.xiayiguan_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var sceneinfo = game.fileMgr.getMe().getSceneInfo(game.sceneMgr.getMe().getCurSceneName());
                    var next_fubenName = sceneinfo["next_fuben"];
                    if (next_fubenName != "") {
                        game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login);
                        var guankadata = {};
                        guankadata["sceneType"] = game.e_SceneType.SceneType_fight;
                        guankadata["sceneName"] = next_fubenName;
                        game.ui_juesexuanze.ShowOrHide(true, guankadata);
                    }
                    else {
                        game.uiMgr.getMe().show_ui_MessageBox(true, "场景配置表填错，下一关名字为空！");
                    }
                    break;
            }
        };
        ui_shibai_shengli.g_instarn = null;
        ui_shibai_shengli.getMe = function () {
            return ui_shibai_shengli.g_instarn;
        };
        ui_shibai_shengli.ShowOrHide = function (flag, win) {
            game.UiBase.ShowOrHide(flag, ui_shibai_shengli, game.uiMgr.getMe(), 2000, win);
        };
        return ui_shibai_shengli;
    }(game.UiBase));
    game.ui_shibai_shengli = ui_shibai_shengli;
})(game || (game = {}));
//# sourceMappingURL=ui_shibai_shengli.js.map