/**
 * Created by Allen on 2016/9/6.
 */
// g_show_animation 动画配置表
//ui控件上的动画展示
module game{
    export class ui_show_spine extends spineObj{
        m_isLoad: any = false;
        m_roleResName: any = null;
        m_curplay: any = 0;
        m_animationlist: any = null;
        m_BulletMgr: bulletMgr_demo = null;
        static create  ( heroname , animationlist ) : ui_show_spine {
            let spineObj = new ui_show_spine();
            spineObj.oninit( heroname , animationlist );
            return spineObj;
        };

        oninit (heroname:string, animationlist):void
        {
            this.getNode().setName("ui_show_spine类");
            let roleInfo:HeroConfig_s =  game.fileMgr.getMe().m_playHero_data_Map.get(heroname);
            //let roleInfo = g_playhero_config[heroname];
            if (roleInfo.spine_res == null) {
                uiMgr.getMe().show_ui_MessageBox(true, "hero 表出错: name： " + heroname + "没有字段：spine_res");
                console.error("hero 表出错: name： " + heroname + "没有字段：spine_res");
            }
            this.m_roleResName = roleInfo.spine_res;
            this.m_animationlist = new ArrayEx<any>();
            if (animationlist == undefined) {
                for (let p in g_show_animation[heroname]) {
                    this.m_animationlist.put(g_show_animation[heroname][p]);
                }
            }
            else {
                // for (let i = 0; i < animationlist.getSize(); ++i) {
                //     let animation = animationlist.keys[i];
                //     let obj = game.g_show_talent_animation[heroname][animation];
                //     if (obj != null) {
                //         if (obj.animation == animation) {
                //             this.m_animationlist.put(obj);
                //         }
                //     }
                // }
            }
            this.m_BulletMgr =  bulletMgr_demo.create();
            this.addChild(this.m_BulletMgr.getNode(), 200);
            this.loadres();
        }
        loadres () {

            if (this.m_isLoad) {
                return;
            }
            this.m_isLoad = true;
            if (this.m_SpineNode == null) {
                this.m_SpineNode = spineMgr.getMe().loadSpine(this.m_roleResName,this.getNode());
                this.m_SpineNode.setAnchorPoint(cc.p(0.5, 0));
                this.m_SpineNode.setLocalZOrder(4000);
                // this.addChild(this.m_SpineNode.getNode());
                this.m_SpineNode.setVisible(true);
            }
            else {
                this.m_SpineNode.setToSetupPose();
            }
            this.m_SpineNode.setStartListener( this.onStart.bind(this));
            this.m_SpineNode.setEndListener(   this.onEnd.bind(this) );
            this.m_SpineNode.setCompleteListener(   this.onComplete.bind(this) );


            this.m_SpineNode.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
            }.bind( this));

            this.stopMoveRootBone(0);
        }

        stopMoveRootBone(flag) {
            if (cc.sys.isNative) {
                if (!this.m_SpineNode) {
                    return;
                }
                this.m_SpineNode.SetBoneData("root", flag);
            }
            else {
                if (!this.m_SpineNode) {
                    return;
                }
                let pspBone = this.m_SpineNode.findBone("root");
                if (!pspBone) {
                    return;
                }
                pspBone.isMoveX = flag;
            }
        }

        onStart ( trackIndex    ) {

        }
        onEnd ( trackIndex    ) {

        }

        onComplete ( traceIndex, loopCount    ) :void{

        }

        playAnimationEx (name, loop:any= null, mix:any= null, mintime:any= null, b_setToSetupPose:any= null) {
            this.playAnimation(name, loop, mix, mintime, b_setToSetupPose);
        }
        shutdown () {
            if (this.m_SpineNode) {
                this.removeChild(this.m_SpineNode.getNode());
                this.m_SpineNode = null;
            }
            if (this.m_BulletMgr != null) {
                this.m_BulletMgr.shutdown();
                this.removeChild(this.m_BulletMgr.getNode());
                this.m_BulletMgr = null;
            }
        }
        animation_completeEx () {
            if (!this.m_SpineNode.isVisible()) {
                return;
            }
            if (this.m_animationlist.isEmpty()) {
                return;
            }
            let animObj = this.m_animationlist.getData(this.m_curplay);
            this.m_SpineNode.setScale(animObj.scale);
            let pos = cc.p(0, 0);
            let lsize = this.getParent().getContentSize();
            pos.x = lsize.width * animObj.pos_x_a;
            pos.y = lsize.height * animObj.pos_y_a;
            this.m_SpineNode.setAnchorPoint(cc.p(0, 0));
            this.m_SpineNode.setPosition(pos);
            this.m_SpineNode.setToSetupPose();
            this.playAnimationEx(animObj.animation, false);
            if (++this.m_curplay >= this.m_animationlist.size()) {
                this.m_curplay = 0;
            }
        }
        loop (t) {
            if (this.m_SpineNode == null) {
                return;
            }
            if (!this.m_SpineNode.isVisible()) {
                return;
            }
            if (this.m_BulletMgr != null) {
                this.m_BulletMgr.update(t);
            }
            if (this.m_SpineNode.isPlay() == false) {
                if (this.m_BulletMgr.isPlay() == false) {
                    this.animation_completeEx();
                }
            }
        }
        onFrameEvent (type, event) {
            if ("event" == type) {
                this.Event_texiao(event);
            }
        }
        Event_texiao (event) {
            let name = event.data.name;
            if (name.indexOf(g_eventFrameType["Texiao"]) > -1) {
                let strs = name.split("_"); //字符分割
                let pos = this.m_SpineNode.getBoneWorldPos(strs[1]);
                let info = null;
                if (g_bullet_demo[name] != null) {
                    info = g_bullet_demo[name];
                }
                else {
                    info = g_bullet_demo["texiao_demo"];
                }
                let playPos = this.m_SpineNode.getPosition();
                info["res"] = strs[0];
                info["resAnimation"] = strs[2];
                info["pos"] = cc.pAdd(pos, playPos);
                info["dir"] = cc.p(1, 0);
                info["roleType"] = g_bulletRoleType.bulletType_play;
                this.m_BulletMgr.createNormalBullet_texiao(info);
            }
            else if (name.indexOf(g_eventFrameType["FireBullet"]) > -1) {
                let strs = name.split("_"); //字符分割
                let bulletType = name;
                let info = cc.copy(g_bullet_demo[bulletType]);
                if (info == null) {
                    uiMgr.getMe().show_ui_MessageBox(true, "g_bullet_demo 没有这个子弹" + bulletType);
                    return null;
                }
                let pos = this.m_SpineNode.getBoneWorldPos(strs[0]);
                let playPos = this.m_SpineNode.getPosition();
                info["pos"] = cc.pAdd(pos, playPos);
                info["dir"] = cc.p(1, 0);
                info["roleType"] = g_bulletRoleType.bulletType_play;
                this.m_BulletMgr.createBullet(info);
            }
        }
    }

}
//# sourceMappingURL=ui_show_spine.js.map